unit uTaktualni_stav;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Taktualni_stav = class;
  
  [Entity]
  [Table('aktualni_stav')]
  [Id('Fworker_id', TIdGenerator.None)]
  Taktualni_stav = class
  private
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('order_id', [TColumnProp.Required], 25)]
    Forder_id: string;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('mnoz', [TColumnProp.Required], 15, 2)]
    Fmnoz: Double;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('worker_id2', [TColumnProp.Required])]
    Fworker_id2: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('order_group_id', [TColumnProp.Required])]
    Forder_group_id: Integer;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Int64;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property order_id: string read Forder_id write Forder_id;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property mnoz: Double read Fmnoz write Fmnoz;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property poradi: Integer read Fporadi write Fporadi;
    property worker_id2: Integer read Fworker_id2 write Fworker_id2;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property order_group_id: Integer read Forder_group_id write Forder_group_id;
    property readdata_id: Int64 read Freaddata_id write Freaddata_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Taktualni_stav }

constructor Taktualni_stav.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Taktualni_stav.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Taktualni_stav);

end.
