unit uTaktualni_stav_details;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Taktualni_stav_details = class;
  
  [Entity]
  [Table('aktualni_stav_details')]
  [Id('Fworker_id', TIdGenerator.None)]
  Taktualni_stav_details = class
  private
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('real_time_day', [TColumnProp.Required])]
    Freal_time_day: Int64;
    
    [Column('real_time_month', [TColumnProp.Required])]
    Freal_time_month: Int64;
    
    [Column('production_day', [TColumnProp.Required], 15, 2)]
    Fproduction_day: Double;
    
    [Column('production_month', [TColumnProp.Required], 15, 2)]
    Fproduction_month: Double;
    
    [Column('zmetku_day', [TColumnProp.Required], 15, 2)]
    Fzmetku_day: Double;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property real_time_day: Int64 read Freal_time_day write Freal_time_day;
    property real_time_month: Int64 read Freal_time_month write Freal_time_month;
    property production_day: Double read Fproduction_day write Fproduction_day;
    property production_month: Double read Fproduction_month write Fproduction_month;
    property zmetku_day: Double read Fzmetku_day write Fzmetku_day;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Taktualni_stav_details }

constructor Taktualni_stav_details.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Taktualni_stav_details.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Taktualni_stav_details);

end.
