unit uTauto_login;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tauto_login = class;
  
  [Entity]
  [Table('auto_login')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tauto_login = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('pc', [TColumnProp.Required], 20)]
    Fpc: string;
    
    [Column('login', [TColumnProp.Required], 20)]
    Flogin: string;
    
    [Column('pass', [TColumnProp.Required], 20)]
    Fpass: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property pc: string read Fpc write Fpc;
    property login: string read Flogin write Flogin;
    property pass: string read Fpass write Fpass;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tauto_login }

constructor Tauto_login.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tauto_login.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tauto_login);

end.
