unit uTc_order;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tc_order = class;
  
  [Entity]
  [Table('c_order')]
  [UniqueKey('bar_id')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tc_order = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Int64;
    
    [Column('code', [TColumnProp.Required], 100)]
    Fcode: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Int64;
    
    [Column('note', [])]
    [DBTypeMemo]
    Fnote: WideString;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('customer_name', [TColumnProp.Required], 200)]
    Fcustomer_name: string;
    
    [Column('active', [TColumnProp.Required], 20)]
    Factive: string;
    
    [Column('user_time', [TColumnProp.Required])]
    Fuser_time: Integer;
    
    [Column('user_price', [TColumnProp.Required], 15, 2)]
    Fuser_price: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    
    [Column('real_time', [TColumnProp.Required])]
    Freal_time: Integer;
    
    [Column('real_price', [TColumnProp.Required], 15, 2)]
    Freal_price: Double;
    
    [Column('created', [TColumnProp.Required], 50)]
    Fcreated: string;
    
    [Column('kusu', [TColumnProp.Required], 15, 3)]
    Fkusu: Double;
    
    [Column('last_op', [TColumnProp.Required])]
    Flast_op: Int64;
    
    [Column('drawing', [TColumnProp.Required], 200)]
    Fdrawing: string;
    
    [Column('note2', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote2: TBlob;
    
    [Column('cislo_objednavky', [TColumnProp.Required], 25)]
    Fcislo_objednavky: string;
    
    [Column('has_docs', [TColumnProp.Required])]
    Fhas_docs: Integer;
    
    [Column('montaz_date', [TColumnProp.Required])]
    Fmontaz_date: TDateTime;
    
    [Column('montaz_time', [TColumnProp.Required])]
    Fmontaz_time: Integer;
    
    [Column('created_mat_id', [TColumnProp.Required])]
    Fcreated_mat_id: Int64;
    
    [Column('prevedeno', [TColumnProp.Required], 15, 3)]
    Fprevedeno: Double;
    
    [Column('expandovano', [TColumnProp.Required], 15, 3)]
    Fexpandovano: Double;
    
    [Column('int_bar_id', [TColumnProp.Required])]
    Fint_bar_id: Int64;
    
    [Column('oken_unit', [TColumnProp.Required], 15, 3)]
    Foken_unit: Double;
    
    [Column('user_time_order', [TColumnProp.Required])]
    Fuser_time_order: Integer;
    
    [Column('vypocteno_vyrobeno', [TColumnProp.Required])]
    Fvypocteno_vyrobeno: Integer;
    
    [Column('user_time_ks_second', [TColumnProp.Required])]
    Fuser_time_ks_second: Integer;
    
    [Column('note_nabidka', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote_nabidka: TBlob;
    
    [Column('price_ukony', [TColumnProp.Required], 15, 2)]
    Fprice_ukony: Double;
    
    [Column('volitelna1', [TColumnProp.Required], 200)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 200)]
    Fvolitelna2: string;
    
    [Column('volitelna3', [TColumnProp.Required], 200)]
    Fvolitelna3: string;
    
    [Column('volitelna4', [TColumnProp.Required], 200)]
    Fvolitelna4: string;
    
    [Column('volitelna5', [TColumnProp.Required], 200)]
    Fvolitelna5: string;
    
    [Column('volitelna6', [TColumnProp.Required], 200)]
    Fvolitelna6: string;
    
    [Column('volitelna7', [TColumnProp.Required], 200)]
    Fvolitelna7: string;
    
    [Column('volitelna8', [TColumnProp.Required], 200)]
    Fvolitelna8: string;
    
    [Column('volitelna9', [TColumnProp.Required], 200)]
    Fvolitelna9: string;
    
    [Column('volitelna10', [TColumnProp.Required], 200)]
    Fvolitelna10: string;
    
    [Column('volitelna11', [], 200)]
    Fvolitelna11: Nullable<string>;
    
    [Column('volitelna12', [], 200)]
    Fvolitelna12: Nullable<string>;
    
    [Column('pocetKlt', [TColumnProp.Required])]
    FpocetKlt: Integer;
    
    [Column('user_price_mat', [TColumnProp.Required], 15, 2)]
    Fuser_price_mat: Double;
    
    [Column('user_price_sub', [TColumnProp.Required], 15, 2)]
    Fuser_price_sub: Double;
    
    [Column('user_price_work', [TColumnProp.Required], 15, 2)]
    Fuser_price_work: Double;
    
    [Column('ukon1_planks', [TColumnProp.Required], 15, 3)]
    Fukon1_planks: Double;
    
    [Column('ukon2_planks', [TColumnProp.Required], 15, 3)]
    Fukon2_planks: Double;
    
    [Column('ukon3_planks', [TColumnProp.Required], 15, 3)]
    Fukon3_planks: Double;
    
    [Column('ukon4_planks', [TColumnProp.Required], 15, 3)]
    Fukon4_planks: Double;
    
    [Column('ukon5_planks', [TColumnProp.Required], 15, 3)]
    Fukon5_planks: Double;
    
    [Column('ukon6_planks', [TColumnProp.Required], 15, 3)]
    Fukon6_planks: Double;
    
    [Column('ukon7_planks', [TColumnProp.Required], 15, 3)]
    Fukon7_planks: Double;
    
    [Column('ukon8_planks', [TColumnProp.Required], 15, 3)]
    Fukon8_planks: Double;
    
    [Column('ukon9_planks', [TColumnProp.Required], 15, 3)]
    Fukon9_planks: Double;
    
    [Column('ukon10_planks', [TColumnProp.Required], 15, 3)]
    Fukon10_planks: Double;
    
    [Column('ukon11_planks', [TColumnProp.Required], 15, 3)]
    Fukon11_planks: Double;
    
    [Column('ukon12_planks', [TColumnProp.Required], 15, 3)]
    Fukon12_planks: Double;
    
    [Column('ukon13_planks', [TColumnProp.Required], 15, 3)]
    Fukon13_planks: Double;
    
    [Column('ukon14_planks', [TColumnProp.Required], 15, 3)]
    Fukon14_planks: Double;
    
    [Column('ukon15_planks', [TColumnProp.Required], 15, 3)]
    Fukon15_planks: Double;
    
    [Column('ukon1_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon1_vyrobenoks: Double;
    
    [Column('ukon2_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon2_vyrobenoks: Double;
    
    [Column('ukon3_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon3_vyrobenoks: Double;
    
    [Column('ukon4_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon4_vyrobenoks: Double;
    
    [Column('ukon5_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon5_vyrobenoks: Double;
    
    [Column('ukon6_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon6_vyrobenoks: Double;
    
    [Column('ukon7_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon7_vyrobenoks: Double;
    
    [Column('ukon8_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon8_vyrobenoks: Double;
    
    [Column('ukon9_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon9_vyrobenoks: Double;
    
    [Column('ukon10_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon10_vyrobenoks: Double;
    
    [Column('ukon11_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon11_vyrobenoks: Double;
    
    [Column('ukon12_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon12_vyrobenoks: Double;
    
    [Column('ukon13_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon13_vyrobenoks: Double;
    
    [Column('ukon14_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon14_vyrobenoks: Double;
    
    [Column('ukon15_vyrobenoks', [TColumnProp.Required], 15, 3)]
    Fukon15_vyrobenoks: Double;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    
    [Column('volitelna13', [TColumnProp.Required], 200)]
    Fvolitelna13: string;
    
    [Column('plan_kalendar', [TColumnProp.Required])]
    Fplan_kalendar: Integer;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('techpostup_id', [TColumnProp.Required])]
    Ftechpostup_id: Int64;
    
    [Column('ciselna_volitelna1', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna1: Double;
    
    [Column('ciselna_volitelna2', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna2: Double;
    
    [Column('unirec', [], 256)]
    Funirec: Nullable<string>;
    
    [Column('volitelna14', [TColumnProp.Required], 200)]
    Fvolitelna14: string;
    
    [Column('datumcaszmeny', [TColumnProp.Required])]
    Fdatumcaszmeny: TDateTime;
    
    [Column('datumova_volitelna1', [TColumnProp.Required])]
    Fdatumova_volitelna1: TDateTime;
    
    [Column('datumova_volitelna2', [TColumnProp.Required])]
    Fdatumova_volitelna2: TDateTime;
    
    [Column('datumova_volitelna3', [TColumnProp.Required])]
    Fdatumova_volitelna3: TDateTime;
    
    [Column('datumova_volitelna4', [TColumnProp.Required])]
    Fdatumova_volitelna4: TDateTime;
    
    [Column('koeficient_on', [TColumnProp.Required], 15, 2)]
    Fkoeficient_on: Double;
    
    [Column('odmeny_predpoklad', [TColumnProp.Required], 15, 2)]
    Fodmeny_predpoklad: Double;
    
    [Column('odmeny_vyuctovano', [TColumnProp.Required], 15, 2)]
    Fodmeny_vyuctovano: Double;
    
    [Column('externi_faktura', [], 100)]
    Fexterni_faktura: Nullable<string>;
    
    [Column('vykres_ze_souboru', [TColumnProp.Required])]
    Fvykres_ze_souboru: Integer;
    
    [Column('datumExpedice', [TColumnProp.Required])]
    FdatumExpedice: TDateTime;
    
    [Column('zpusob_dopravy_id', [TColumnProp.Required])]
    Fzpusob_dopravy_id: Int64;
    
    [Column('baliku1', [TColumnProp.Required])]
    Fbaliku1: Integer;
    
    [Column('baliku2', [TColumnProp.Required])]
    Fbaliku2: Integer;
    
    [Column('baliku3', [TColumnProp.Required])]
    Fbaliku3: Integer;
    
    [Column('email_upozornovat', [TColumnProp.Required])]
    Femail_upozornovat: Integer;
    
    [Column('sklad_group_id', [TColumnProp.Required])]
    Fsklad_group_id: Integer;
    
    [Column('operation_group_id', [TColumnProp.Required])]
    Foperation_group_id: Integer;
    
    [Column('dispTree', [TColumnProp.Required], 72)]
    FdispTree: string;
    
    [Column('uroven', [TColumnProp.Required])]
    Furoven: Integer;
    
    [Column('masterOrderId', [TColumnProp.Required])]
    FmasterOrderId: Integer;
    
    [Column('customer_id_adresa', [TColumnProp.Required])]
    Fcustomer_id_adresa: Integer;
    
    [Column('ciselna_volitelna3', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna3: Double;
    
    [Column('id_pohoda', [TColumnProp.Required], 100)]
    Fid_pohoda: string;
    
    [Column('startVyroba', [TColumnProp.Required])]
    FstartVyroba: TDateTime;
    
    [Column('finishVyroba', [TColumnProp.Required])]
    FfinishVyroba: TDateTime;
    
    [Column('viceprace', [TColumnProp.Required])]
    Fviceprace: Integer;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('rozmer1', [TColumnProp.Required], 15, 3)]
    Frozmer1: Double;
    
    [Column('rozmer2', [TColumnProp.Required], 15, 3)]
    Frozmer2: Double;
    
    [Column('rozmer3', [TColumnProp.Required], 15, 3)]
    Frozmer3: Double;
    
    [Column('order_cena_jednotka', [TColumnProp.Required], 15, 4)]
    Forder_cena_jednotka: Double;
    
    [Column('ciselna_volitelna4', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna4: Double;
    
    [Column('volitelna15', [TColumnProp.Required], 200)]
    Fvolitelna15: string;
    
    [Column('volitelna16', [TColumnProp.Required], 200)]
    Fvolitelna16: string;
    
    [Column('typ_vypoctu_ceny', [TColumnProp.Required])]
    Ftyp_vypoctu_ceny: Integer;
    
    [Column('real_price2', [TColumnProp.Required], 15, 2)]
    Freal_price2: Double;
    
    [Column('gdpr_zbyva', [TColumnProp.Required])]
    Fgdpr_zbyva: Integer;
    
    [Column('gdpr_anonymizovano', [TColumnProp.Required])]
    Fgdpr_anonymizovano: Integer;
    
    [Column('druha_mena_zkratka', [TColumnProp.Required], 50)]
    Fdruha_mena_zkratka: string;
    
    [Column('real_mzda', [TColumnProp.Required], 15, 2)]
    Freal_mzda: Double;
    
    [Column('force_prepocet', [TColumnProp.Required])]
    Fforce_prepocet: Integer;
    
    [Column('id_ciselna_rada', [TColumnProp.Required])]
    Fid_ciselna_rada: Integer;
    
    [Column('prefix_ciselna_rada', [TColumnProp.Required], 50)]
    Fprefix_ciselna_rada: string;
    
    [Column('is_sablona', [TColumnProp.Required])]
    Fis_sablona: Integer;
    
    [Column('ciselna_volitelna5', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna5: Double;
    
    [Column('ciselna_volitelna6', [TColumnProp.Required], 15, 5)]
    Fciselna_volitelna6: Double;
    
    [Column('drawing_revision', [TColumnProp.Required], 20)]
    Fdrawing_revision: string;
    
    [Column('export_datetime', [TColumnProp.Required])]
    Fexport_datetime: TDateTime;
    
    [Column('sablony_kod', [TColumnProp.Required], 250)]
    Fsablony_kod: string;
    
    [Column('sablony_datetime', [])]
    Fsablony_datetime: Nullable<TDateTime>;
    
    [Column('use_orderwork_time', [TColumnProp.Required])]
    Fuse_orderwork_time: Integer;
    
    [Column('start_req', [TColumnProp.Required])]
    Fstart_req: TDateTime;
    
    [Column('finish_req', [TColumnProp.Required])]
    Ffinish_req: TDateTime;
    
    [Column('start_real', [TColumnProp.Required])]
    Fstart_real: TDateTime;
    
    [Column('finish_real', [TColumnProp.Required])]
    Ffinish_real: TDateTime;
    
    [Column('ep_typ_planu_ID', [TColumnProp.Required])]
    Fep_typ_planu_ID: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;

    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property parent_id: Int64 read Fparent_id write Fparent_id;
    property code: string read Fcode write Fcode;
    property customer_id: Int64 read Fcustomer_id write Fcustomer_id;
    property note: WideString read Fnote write Fnote;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property customer_name: string read Fcustomer_name write Fcustomer_name;
    property active: string read Factive write Factive;
    property user_time: Integer read Fuser_time write Fuser_time;
    property user_price: Double read Fuser_price write Fuser_price;
    property user: string read Fuser write Fuser;
    property typ: Integer read Ftyp write Ftyp;
    property real_time: Integer read Freal_time write Freal_time;
    property real_price: Double read Freal_price write Freal_price;
    property created: string read Fcreated write Fcreated;
    property kusu: Double read Fkusu write Fkusu;
    property last_op: Int64 read Flast_op write Flast_op;
    property drawing: string read Fdrawing write Fdrawing;
    property note2: TBlob read Fnote2 write Fnote2;
    property cislo_objednavky: string read Fcislo_objednavky write Fcislo_objednavky;
    property has_docs: Integer read Fhas_docs write Fhas_docs;
    property montaz_date: TDateTime read Fmontaz_date write Fmontaz_date;
    property montaz_time: Integer read Fmontaz_time write Fmontaz_time;
    property created_mat_id: Int64 read Fcreated_mat_id write Fcreated_mat_id;
    property prevedeno: Double read Fprevedeno write Fprevedeno;
    property expandovano: Double read Fexpandovano write Fexpandovano;
    property int_bar_id: Int64 read Fint_bar_id write Fint_bar_id;
    property oken_unit: Double read Foken_unit write Foken_unit;
    property user_time_order: Integer read Fuser_time_order write Fuser_time_order;
    property vypocteno_vyrobeno: Integer read Fvypocteno_vyrobeno write Fvypocteno_vyrobeno;
    property user_time_ks_second: Integer read Fuser_time_ks_second write Fuser_time_ks_second;
    property note_nabidka: TBlob read Fnote_nabidka write Fnote_nabidka;
    property price_ukony: Double read Fprice_ukony write Fprice_ukony;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property volitelna3: string read Fvolitelna3 write Fvolitelna3;
    property volitelna4: string read Fvolitelna4 write Fvolitelna4;
    property volitelna5: string read Fvolitelna5 write Fvolitelna5;
    property volitelna6: string read Fvolitelna6 write Fvolitelna6;
    property volitelna7: string read Fvolitelna7 write Fvolitelna7;
    property volitelna8: string read Fvolitelna8 write Fvolitelna8;
    property volitelna9: string read Fvolitelna9 write Fvolitelna9;
    property volitelna10: string read Fvolitelna10 write Fvolitelna10;
    property volitelna11: Nullable<string> read Fvolitelna11 write Fvolitelna11;
    property volitelna12: Nullable<string> read Fvolitelna12 write Fvolitelna12;
    property pocetKlt: Integer read FpocetKlt write FpocetKlt;
    property user_price_mat: Double read Fuser_price_mat write Fuser_price_mat;
    property user_price_sub: Double read Fuser_price_sub write Fuser_price_sub;
    property user_price_work: Double read Fuser_price_work write Fuser_price_work;
    property ukon1_planks: Double read Fukon1_planks write Fukon1_planks;
    property ukon2_planks: Double read Fukon2_planks write Fukon2_planks;
    property ukon3_planks: Double read Fukon3_planks write Fukon3_planks;
    property ukon4_planks: Double read Fukon4_planks write Fukon4_planks;
    property ukon5_planks: Double read Fukon5_planks write Fukon5_planks;
    property ukon6_planks: Double read Fukon6_planks write Fukon6_planks;
    property ukon7_planks: Double read Fukon7_planks write Fukon7_planks;
    property ukon8_planks: Double read Fukon8_planks write Fukon8_planks;
    property ukon9_planks: Double read Fukon9_planks write Fukon9_planks;
    property ukon10_planks: Double read Fukon10_planks write Fukon10_planks;
    property ukon11_planks: Double read Fukon11_planks write Fukon11_planks;
    property ukon12_planks: Double read Fukon12_planks write Fukon12_planks;
    property ukon13_planks: Double read Fukon13_planks write Fukon13_planks;
    property ukon14_planks: Double read Fukon14_planks write Fukon14_planks;
    property ukon15_planks: Double read Fukon15_planks write Fukon15_planks;
    property ukon1_vyrobenoks: Double read Fukon1_vyrobenoks write Fukon1_vyrobenoks;
    property ukon2_vyrobenoks: Double read Fukon2_vyrobenoks write Fukon2_vyrobenoks;
    property ukon3_vyrobenoks: Double read Fukon3_vyrobenoks write Fukon3_vyrobenoks;
    property ukon4_vyrobenoks: Double read Fukon4_vyrobenoks write Fukon4_vyrobenoks;
    property ukon5_vyrobenoks: Double read Fukon5_vyrobenoks write Fukon5_vyrobenoks;
    property ukon6_vyrobenoks: Double read Fukon6_vyrobenoks write Fukon6_vyrobenoks;
    property ukon7_vyrobenoks: Double read Fukon7_vyrobenoks write Fukon7_vyrobenoks;
    property ukon8_vyrobenoks: Double read Fukon8_vyrobenoks write Fukon8_vyrobenoks;
    property ukon9_vyrobenoks: Double read Fukon9_vyrobenoks write Fukon9_vyrobenoks;
    property ukon10_vyrobenoks: Double read Fukon10_vyrobenoks write Fukon10_vyrobenoks;
    property ukon11_vyrobenoks: Double read Fukon11_vyrobenoks write Fukon11_vyrobenoks;
    property ukon12_vyrobenoks: Double read Fukon12_vyrobenoks write Fukon12_vyrobenoks;
    property ukon13_vyrobenoks: Double read Fukon13_vyrobenoks write Fukon13_vyrobenoks;
    property ukon14_vyrobenoks: Double read Fukon14_vyrobenoks write Fukon14_vyrobenoks;
    property ukon15_vyrobenoks: Double read Fukon15_vyrobenoks write Fukon15_vyrobenoks;
    property priorita: Integer read Fpriorita write Fpriorita;
    property volitelna13: string read Fvolitelna13 write Fvolitelna13;
    property plan_kalendar: Integer read Fplan_kalendar write Fplan_kalendar;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property techpostup_id: Int64 read Ftechpostup_id write Ftechpostup_id;
    property ciselna_volitelna1: Double read Fciselna_volitelna1 write Fciselna_volitelna1;
    property ciselna_volitelna2: Double read Fciselna_volitelna2 write Fciselna_volitelna2;
    property unirec: Nullable<string> read Funirec write Funirec;
    property volitelna14: string read Fvolitelna14 write Fvolitelna14;
    property datumcaszmeny: TDateTime read Fdatumcaszmeny write Fdatumcaszmeny;
    property datumova_volitelna1: TDateTime read Fdatumova_volitelna1 write Fdatumova_volitelna1;
    property datumova_volitelna2: TDateTime read Fdatumova_volitelna2 write Fdatumova_volitelna2;
    property datumova_volitelna3: TDateTime read Fdatumova_volitelna3 write Fdatumova_volitelna3;
    property datumova_volitelna4: TDateTime read Fdatumova_volitelna4 write Fdatumova_volitelna4;
    property koeficient_on: Double read Fkoeficient_on write Fkoeficient_on;
    property odmeny_predpoklad: Double read Fodmeny_predpoklad write Fodmeny_predpoklad;
    property odmeny_vyuctovano: Double read Fodmeny_vyuctovano write Fodmeny_vyuctovano;
    property externi_faktura: Nullable<string> read Fexterni_faktura write Fexterni_faktura;
    property vykres_ze_souboru: Integer read Fvykres_ze_souboru write Fvykres_ze_souboru;
    property datumExpedice: TDateTime read FdatumExpedice write FdatumExpedice;
    property zpusob_dopravy_id: Int64 read Fzpusob_dopravy_id write Fzpusob_dopravy_id;
    property baliku1: Integer read Fbaliku1 write Fbaliku1;
    property baliku2: Integer read Fbaliku2 write Fbaliku2;
    property baliku3: Integer read Fbaliku3 write Fbaliku3;
    property email_upozornovat: Integer read Femail_upozornovat write Femail_upozornovat;
    property sklad_group_id: Integer read Fsklad_group_id write Fsklad_group_id;
    property operation_group_id: Integer read Foperation_group_id write Foperation_group_id;
    property dispTree: string read FdispTree write FdispTree;
    property uroven: Integer read Furoven write Furoven;
    property masterOrderId: Integer read FmasterOrderId write FmasterOrderId;
    property customer_id_adresa: Integer read Fcustomer_id_adresa write Fcustomer_id_adresa;
    property ciselna_volitelna3: Double read Fciselna_volitelna3 write Fciselna_volitelna3;
    property id_pohoda: string read Fid_pohoda write Fid_pohoda;
    property startVyroba: TDateTime read FstartVyroba write FstartVyroba;
    property finishVyroba: TDateTime read FfinishVyroba write FfinishVyroba;
    property viceprace: Integer read Fviceprace write Fviceprace;
    property unit_: Integer read Funit_ write Funit_;
    property rozmer1: Double read Frozmer1 write Frozmer1;
    property rozmer2: Double read Frozmer2 write Frozmer2;
    property rozmer3: Double read Frozmer3 write Frozmer3;
    property order_cena_jednotka: Double read Forder_cena_jednotka write Forder_cena_jednotka;
    property ciselna_volitelna4: Double read Fciselna_volitelna4 write Fciselna_volitelna4;
    property volitelna15: string read Fvolitelna15 write Fvolitelna15;
    property volitelna16: string read Fvolitelna16 write Fvolitelna16;
    property typ_vypoctu_ceny: Integer read Ftyp_vypoctu_ceny write Ftyp_vypoctu_ceny;
    property real_price2: Double read Freal_price2 write Freal_price2;
    property gdpr_zbyva: Integer read Fgdpr_zbyva write Fgdpr_zbyva;
    property gdpr_anonymizovano: Integer read Fgdpr_anonymizovano write Fgdpr_anonymizovano;
    property druha_mena_zkratka: string read Fdruha_mena_zkratka write Fdruha_mena_zkratka;
    property real_mzda: Double read Freal_mzda write Freal_mzda;
    property force_prepocet: Integer read Fforce_prepocet write Fforce_prepocet;
    property id_ciselna_rada: Integer read Fid_ciselna_rada write Fid_ciselna_rada;
    property prefix_ciselna_rada: string read Fprefix_ciselna_rada write Fprefix_ciselna_rada;
    property is_sablona: Integer read Fis_sablona write Fis_sablona;
    property ciselna_volitelna5: Double read Fciselna_volitelna5 write Fciselna_volitelna5;
    property ciselna_volitelna6: Double read Fciselna_volitelna6 write Fciselna_volitelna6;
    property drawing_revision: string read Fdrawing_revision write Fdrawing_revision;
    property export_datetime: TDateTime read Fexport_datetime write Fexport_datetime;
    property sablony_kod: string read Fsablony_kod write Fsablony_kod;
    property sablony_datetime: Nullable<TDateTime> read Fsablony_datetime write Fsablony_datetime;
    property use_orderwork_time: Integer read Fuse_orderwork_time write Fuse_orderwork_time;
    property start_req: TDateTime read Fstart_req write Fstart_req;
    property finish_req: TDateTime read Ffinish_req write Ffinish_req;
    property start_real: TDateTime read Fstart_real write Fstart_real;
    property finish_real: TDateTime read Ffinish_real write Ffinish_real;
    property ep_typ_planu_ID: Integer read Fep_typ_planu_ID write Fep_typ_planu_ID;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tc_order }

constructor Tc_order.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tc_order.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tc_order);

end.
