unit uTc_order_calc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tc_order_calc = class;
  
  [Entity]
  [Table('c_order_calc')]
  [UniqueKey('order_id')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tc_order_calc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 100)]
    Forder_id: string;
    
    [Column('casZpodzak', [TColumnProp.Required])]
    FcasZpodzak: Int64;
    
    [Column('last_worker_id', [TColumnProp.Required])]
    Flast_worker_id: Integer;
    
    [Column('last_operation_id', [])]
    Flast_operation_id: Nullable<Integer>;
    
    [Column('last_start', [TColumnProp.Required])]
    Flast_start: TDateTime;
    
    [Column('last_finish', [TColumnProp.Required])]
    Flast_finish: TDateTime;
    
    [Column('min_cas', [TColumnProp.Required])]
    Fmin_cas: TDateTime;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    
    [Column('hodinova_mzda', [TColumnProp.Required], 15, 3)]
    Fhodinova_mzda: Double;
    
    [Column('KusyNaOperacich', [TColumnProp.Required], 15, 3)]
    FKusyNaOperacich: Double;
    
    [Column('CasNaOperacichOW', [TColumnProp.Required], 15, 3)]
    FCasNaOperacichOW: Double;
    
    [Column('ukonova_mzda_celkem', [TColumnProp.Required], 15, 3)]
    Fukonova_mzda_celkem: Double;
    
    [Column('dispDiff2', [TColumnProp.Required], 15, 3)]
    FdispDiff2: Double;
    
    [Column('dispDiff2Val', [TColumnProp.Required])]
    FdispDiff2Val: Integer;
    
    [Column('tot_op', [TColumnProp.Required], 15, 3)]
    Ftot_op: Double;
    
    [Column('vydano_na_dodacichListech', [TColumnProp.Required], 15, 3)]
    Fvydano_na_dodacichListech: Double;
    
    [Column('zauctovano_na_dodacichListech', [TColumnProp.Required], 15, 3)]
    Fzauctovano_na_dodacichListech: Double;
    
    [Column('ZmetkyNaOperacich', [TColumnProp.Required], 15, 3)]
    FZmetkyNaOperacich: Double;
    
    [Column('cena_mat', [TColumnProp.Required], 15, 3)]
    Fcena_mat: Double;
    
    [Column('cena_mat_nakup', [TColumnProp.Required], 15, 3)]
    Fcena_mat_nakup: Double;
    
    [Column('pohyb_vazena_cena_celkem', [TColumnProp.Required], 15, 3)]
    Fpohyb_vazena_cena_celkem: Double;
    
    [Column('cena_sub', [TColumnProp.Required], 15, 3)]
    Fcena_sub: Double;
    
    [Column('cena_plan_sub', [TColumnProp.Required], 15, 3)]
    Fcena_plan_sub: Double;
    
    [Column('user_price_subdodavky', [TColumnProp.Required], 15, 3)]
    Fuser_price_subdodavky: Double;
    
    [Column('cena_matpred', [TColumnProp.Required], 15, 3)]
    Fcena_matpred: Double;
    
    [Column('predpoklad_cas_ukonu', [TColumnProp.Required])]
    Fpredpoklad_cas_ukonu: Integer;
    
    [Column('predpoklad_cena_ukonu', [TColumnProp.Required], 15, 3)]
    Fpredpoklad_cena_ukonu: Double;
    
    [Column('vyfakturovano', [TColumnProp.Required], 15, 3)]
    Fvyfakturovano: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property casZpodzak: Int64 read FcasZpodzak write FcasZpodzak;
    property last_worker_id: Integer read Flast_worker_id write Flast_worker_id;
    property last_operation_id: Nullable<Integer> read Flast_operation_id write Flast_operation_id;
    property last_start: TDateTime read Flast_start write Flast_start;
    property last_finish: TDateTime read Flast_finish write Flast_finish;
    property min_cas: TDateTime read Fmin_cas write Fmin_cas;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property hodinova_mzda: Double read Fhodinova_mzda write Fhodinova_mzda;
    property KusyNaOperacich: Double read FKusyNaOperacich write FKusyNaOperacich;
    property CasNaOperacichOW: Double read FCasNaOperacichOW write FCasNaOperacichOW;
    property ukonova_mzda_celkem: Double read Fukonova_mzda_celkem write Fukonova_mzda_celkem;
    property dispDiff2: Double read FdispDiff2 write FdispDiff2;
    property dispDiff2Val: Integer read FdispDiff2Val write FdispDiff2Val;
    property tot_op: Double read Ftot_op write Ftot_op;
    property vydano_na_dodacichListech: Double read Fvydano_na_dodacichListech write Fvydano_na_dodacichListech;
    property zauctovano_na_dodacichListech: Double read Fzauctovano_na_dodacichListech write Fzauctovano_na_dodacichListech;
    property ZmetkyNaOperacich: Double read FZmetkyNaOperacich write FZmetkyNaOperacich;
    property cena_mat: Double read Fcena_mat write Fcena_mat;
    property cena_mat_nakup: Double read Fcena_mat_nakup write Fcena_mat_nakup;
    property pohyb_vazena_cena_celkem: Double read Fpohyb_vazena_cena_celkem write Fpohyb_vazena_cena_celkem;
    property cena_sub: Double read Fcena_sub write Fcena_sub;
    property cena_plan_sub: Double read Fcena_plan_sub write Fcena_plan_sub;
    property user_price_subdodavky: Double read Fuser_price_subdodavky write Fuser_price_subdodavky;
    property cena_matpred: Double read Fcena_matpred write Fcena_matpred;
    property predpoklad_cas_ukonu: Integer read Fpredpoklad_cas_ukonu write Fpredpoklad_cas_ukonu;
    property predpoklad_cena_ukonu: Double read Fpredpoklad_cena_ukonu write Fpredpoklad_cena_ukonu;
    property vyfakturovano: Double read Fvyfakturovano write Fvyfakturovano;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tc_order_calc }

constructor Tc_order_calc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tc_order_calc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tc_order_calc);

end.
