unit uTc_order_doc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tc_order_doc = class;
  
  [Entity]
  [Table('c_order_doc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tc_order_doc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('path', [TColumnProp.Required], 255)]
    Fpath: string;
    
    [Column('isFile', [TColumnProp.Required])]
    FisFile: Integer;
    
    [Column('zobrazitNahled', [TColumnProp.Required])]
    FzobrazitNahled: Integer;
    
    [Column('external_list_type', [TColumnProp.Required], 10)]
    Fexternal_list_type: string;
    
    [Column('external_list_id_record', [TColumnProp.Required])]
    Fexternal_list_id_record: Integer;
    
    [Column('defaultDocument', [TColumnProp.Required])]
    FdefaultDocument: Integer;
    
    [Column('print_with_document', [TColumnProp.Required])]
    Fprint_with_document: Integer;
    
    [Column('print_with_document_landscape', [TColumnProp.Required])]
    Fprint_with_document_landscape: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property name: string read Fname write Fname;
    property path: string read Fpath write Fpath;
    property isFile: Integer read FisFile write FisFile;
    property zobrazitNahled: Integer read FzobrazitNahled write FzobrazitNahled;
    property external_list_type: string read Fexternal_list_type write Fexternal_list_type;
    property external_list_id_record: Integer read Fexternal_list_id_record write Fexternal_list_id_record;
    property defaultDocument: Integer read FdefaultDocument write FdefaultDocument;
    property print_with_document: Integer read Fprint_with_document write Fprint_with_document;
    property print_with_document_landscape: Integer read Fprint_with_document_landscape write Fprint_with_document_landscape;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tc_order_doc }

constructor Tc_order_doc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tc_order_doc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tc_order_doc);

end.
