unit uTc_order_parameters;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tc_order_parameters = class;
  
  [Entity]
  [Table('c_order_parameters')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tc_order_parameters = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('param_id', [])]
    Fparam_id: Nullable<Integer>;
    
    [Column('param_value', [TColumnProp.Required], 4096)]
    Fparam_value: string;
    
    [Column('order_id', [TColumnProp.Required], 200)]
    Forder_id: string;
    
    [Column('param_name', [TColumnProp.Required], 100)]
    Fparam_name: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property param_id: Nullable<Integer> read Fparam_id write Fparam_id;
    property param_value: string read Fparam_value write Fparam_value;
    property order_id: string read Forder_id write Forder_id;
    property param_name: string read Fparam_name write Fparam_name;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tc_order_parameters }

constructor Tc_order_parameters.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tc_order_parameters.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tc_order_parameters);

end.
