unit uTc_order_parameters_def;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tc_order_parameters_def = class;
  
  [Entity]
  [Table('c_order_parameters_def')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tc_order_parameters_def = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('param_name', [TColumnProp.Required], 100)]
    Fparam_name: string;
    
    [Column('param_type', [TColumnProp.Required], 255)]
    Fparam_type: string;
    
    [Column('param_default', [TColumnProp.Required], 255)]
    Fparam_default: string;
    
    [Column('param_caption', [TColumnProp.Required], 255)]
    Fparam_caption: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property param_name: string read Fparam_name write Fparam_name;
    property param_type: string read Fparam_type write Fparam_type;
    property param_default: string read Fparam_default write Fparam_default;
    property param_caption: string read Fparam_caption write Fparam_caption;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tc_order_parameters_def }

constructor Tc_order_parameters_def.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tc_order_parameters_def.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tc_order_parameters_def);

end.
