unit uTcalc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcalc = class;
  
  [Entity]
  [Table('calc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcalc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('koeficient', [TColumnProp.Required], 9, 3)]
    Fkoeficient: Double;
    
    [Column('material_id2', [TColumnProp.Required])]
    Fmaterial_id2: Integer;
    
    [Column('koeficient2', [TColumnProp.Required], 9, 3)]
    Fkoeficient2: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property nazev: string read Fnazev write Fnazev;
    property koeficient: Double read Fkoeficient write Fkoeficient;
    property material_id2: Integer read Fmaterial_id2 write Fmaterial_id2;
    property koeficient2: Double read Fkoeficient2 write Fkoeficient2;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcalc }

constructor Tcalc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcalc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcalc);

end.
