unit uTcalendar;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcalendar = class;
  
  [Entity]
  [Table('calendar')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcalendar = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('year', [TColumnProp.Required])]
    Fyear: Integer;
    
    [Column('month', [TColumnProp.Required])]
    Fmonth: Integer;
    
    [Column('days', [TColumnProp.Required], 31)]
    Fdays: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property year: Integer read Fyear write Fyear;
    property month: Integer read Fmonth write Fmonth;
    property days: string read Fdays write Fdays;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcalendar }

constructor Tcalendar.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcalendar.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcalendar);

end.
