unit uTcalendar_day;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcalendar_day = class;
  
  [Entity]
  [Table('calendar_day')]
  [Id('Fcalendar_date', TIdGenerator.None)]
  [Id('Fcalendar_int', TIdGenerator.None)]
  [Id('Fcalendar_date_type', TIdGenerator.None)]
  Tcalendar_day = class
  private
    [Column('calendar_date', [TColumnProp.Required])]
    Fcalendar_date: TDateTime;
    
    [Column('calendar_date_type', [TColumnProp.Required], 1)]
    Fcalendar_date_type: string;
    
    [Column('calendar_int', [TColumnProp.Required])]
    Fcalendar_int: Integer;
    
    [Column('businessDays', [TColumnProp.Required])]
    FbusinessDays: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property calendar_date: TDateTime read Fcalendar_date write Fcalendar_date;
    property calendar_date_type: string read Fcalendar_date_type write Fcalendar_date_type;
    property calendar_int: Integer read Fcalendar_int write Fcalendar_int;
    property businessDays: Integer read FbusinessDays write FbusinessDays;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcalendar_day }

constructor Tcalendar_day.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcalendar_day.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcalendar_day);

end.
