unit uTcidla;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcidla = class;
  
  [Entity]
  [Table('cidla')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcidla = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property note: TBlob read Fnote write Fnote;
    property bar_id: string read Fbar_id write Fbar_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcidla }

constructor Tcidla.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcidla.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcidla);

end.
