unit uTcidla_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcidla_readdata = class;
  
  [Entity]
  [Table('cidla_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcidla_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('cas', [TColumnProp.Required])]
    Fcas: TDateTime;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('cidlo_id', [TColumnProp.Required])]
    Fcidlo_id: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property cas: TDateTime read Fcas write Fcas;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property cidlo_id: Integer read Fcidlo_id write Fcidlo_id;
    property note: TBlob read Fnote write Fnote;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcidla_readdata }

constructor Tcidla_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcidla_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcidla_readdata);

end.
