unit uTcis_den;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_den = class;
  
  [Entity]
  [Table('cis_den')]
  [Id('Fid_den', TIdGenerator.IdentityOrSequence)]
  Tcis_den = class
  private
    [Column('id_den', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_den: Integer;
    
    [Column('nazev', [TColumnProp.Required], 15)]
    Fnazev: string;
    
    [Column('zkratka', [TColumnProp.Required], 2)]
    Fzkratka: string;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_den: Integer read Fid_den write Fid_den;
    property nazev: string read Fnazev write Fnazev;
    property zkratka: string read Fzkratka write Fzkratka;
    property typ: Integer read Ftyp write Ftyp;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_den }

constructor Tcis_den.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_den.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_den);

end.
