unit uTcis_frekvence;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_frekvence = class;
  
  [Entity]
  [Table('cis_frekvence')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcis_frekvence = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('kod', [TColumnProp.Required])]
    Fkod: Integer;
    
    [Column('popis', [], 10)]
    Fpopis: Nullable<string>;
    
    [Column('zkratka', [TColumnProp.Required], 1)]
    Fzkratka: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property kod: Integer read Fkod write Fkod;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property zkratka: string read Fzkratka write Fzkratka;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_frekvence }

constructor Tcis_frekvence.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_frekvence.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_frekvence);

end.
