unit uTcis_pozice;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_pozice = class;
  
  [Entity]
  [Table('cis_pozice')]
  [Id('Fid_pozice', TIdGenerator.IdentityOrSequence)]
  Tcis_pozice = class
  private
    [Column('id_pozice', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_pozice: Integer;
    
    [Column('popis_funkce', [TColumnProp.Required], 120)]
    Fpopis_funkce: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_pozice: Integer read Fid_pozice write Fid_pozice;
    property popis_funkce: string read Fpopis_funkce write Fpopis_funkce;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_pozice }

constructor Tcis_pozice.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_pozice.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_pozice);

end.
