unit uTcis_typ_provoz;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcis_typ_provoz = class;
  
  [Entity]
  [Table('cis_typ_provoz')]
  [Id('Fid_typ_provoz', TIdGenerator.IdentityOrSequence)]
  Tcis_typ_provoz = class
  private
    [Column('id_typ_provoz', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_typ_provoz: Integer;
    
    [Column('nazev', [TColumnProp.Required], 15)]
    Fnazev: string;
    
    [Column('fond_hodin', [TColumnProp.Required], 5, 2)]
    Ffond_hodin: Double;
    
    [Column('denni_fond', [TColumnProp.Required], 5, 2)]
    Fdenni_fond: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_typ_provoz: Integer read Fid_typ_provoz write Fid_typ_provoz;
    property nazev: string read Fnazev write Fnazev;
    property fond_hodin: Double read Ffond_hodin write Ffond_hodin;
    property denni_fond: Double read Fdenni_fond write Fdenni_fond;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcis_typ_provoz }

constructor Tcis_typ_provoz.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcis_typ_provoz.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcis_typ_provoz);

end.
