unit uTciselne_rady;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tciselne_rady = class;
  
  [Entity]
  [Table('ciselne_rady')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tciselne_rady = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('prefix', [TColumnProp.Required], 20)]
    Fprefix: string;
    
    [Column('cislo', [TColumnProp.Required], 20)]
    Fcislo: string;
    
    [Column('agenda', [TColumnProp.Required], 30)]
    Fagenda: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('defaultni', [TColumnProp.Required])]
    Fdefaultni: Integer;
    
    [Column('nazev', [TColumnProp.Required], 30)]
    Fnazev: string;
    
    [Column('oddelovac', [TColumnProp.Required], 20)]
    Foddelovac: string;
    
    [Column('sufix', [TColumnProp.Required], 20)]
    Fsufix: string;
    
    [Column('aktivni', [TColumnProp.Required])]
    Faktivni: Integer;
    
    [Column('agenda_kod', [TColumnProp.Required], 20)]
    Fagenda_kod: string;
    
    [Column('vychozi_typ_pohybu', [TColumnProp.Required])]
    Fvychozi_typ_pohybu: Integer;
    
    [Column('isSablona', [TColumnProp.Required])]
    FisSablona: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property prefix: string read Fprefix write Fprefix;
    property cislo: string read Fcislo write Fcislo;
    property agenda: string read Fagenda write Fagenda;
    property note: TBlob read Fnote write Fnote;
    property defaultni: Integer read Fdefaultni write Fdefaultni;
    property nazev: string read Fnazev write Fnazev;
    property oddelovac: string read Foddelovac write Foddelovac;
    property sufix: string read Fsufix write Fsufix;
    property aktivni: Integer read Faktivni write Faktivni;
    property agenda_kod: string read Fagenda_kod write Fagenda_kod;
    property vychozi_typ_pohybu: Integer read Fvychozi_typ_pohybu write Fvychozi_typ_pohybu;
    property isSablona: Integer read FisSablona write FisSablona;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tciselne_rady }

constructor Tciselne_rady.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tciselne_rady.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tciselne_rady);

end.
