unit uTcnc_import_casu;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcnc_import_casu = class;
  
  [Entity]
  [Table('cnc_import_casu')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcnc_import_casu = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('cnc_id', [TColumnProp.Required])]
    Fcnc_id: Integer;
    
    [Column('cnc_name', [TColumnProp.Required], 100)]
    Fcnc_name: string;
    
    [Column('order_id', [TColumnProp.Required], 100)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 4)]
    Fmnozstvi: Double;
    
    [Column('note', [TColumnProp.Required], 255)]
    Fnote: string;
    
    [Column('processed', [TColumnProp.Required])]
    Fprocessed: Integer;
    
    [Column('imported', [TColumnProp.Required])]
    Fimported: Integer;
    
    [Column('imported_datetime', [])]
    Fimported_datetime: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property cnc_id: Integer read Fcnc_id write Fcnc_id;
    property cnc_name: string read Fcnc_name write Fcnc_name;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Integer read Foperation_id write Foperation_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property note: string read Fnote write Fnote;
    property processed: Integer read Fprocessed write Fprocessed;
    property imported: Integer read Fimported write Fimported;
    property imported_datetime: Nullable<TDateTime> read Fimported_datetime write Fimported_datetime;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcnc_import_casu }

constructor Tcnc_import_casu.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcnc_import_casu.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcnc_import_casu);

end.
