unit uTcolumns;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcolumns = class;
  
  [Entity]
  [Table('columns')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcolumns = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('dochazka', [TColumnProp.Lazy])]
    Fdochazka: TBlob;
    
    [Column('worker', [TColumnProp.Lazy])]
    Fworker: TBlob;
    
    [Column('readdata', [TColumnProp.Lazy])]
    Freaddata: TBlob;
    
    [Column('skladmaterialu', [TColumnProp.Lazy])]
    Fskladmaterialu: TBlob;
    
    [Column('customer', [TColumnProp.Lazy])]
    Fcustomer: TBlob;
    
    [Column('skladnaradi', [TColumnProp.Lazy])]
    Fskladnaradi: TBlob;
    
    [Column('skladmaterialu_readdata', [TColumnProp.Lazy])]
    Fskladmaterialu_readdata: TBlob;
    
    [Column('stroje', [TColumnProp.Lazy])]
    Fstroje: TBlob;
    
    [Column('skladskupiny', [TColumnProp.Lazy])]
    Fskladskupiny: TBlob;
    
    [Column('skladnaradi_readdata', [TColumnProp.Lazy])]
    Fskladnaradi_readdata: TBlob;
    
    [Column('skladnaradi_pohyb', [TColumnProp.Lazy])]
    Fskladnaradi_pohyb: TBlob;
    
    [Column('skladmaterialu_prijemky1', [TColumnProp.Lazy])]
    Fskladmaterialu_prijemky1: TBlob;
    
    [Column('skladmaterialu_prijemky2', [TColumnProp.Lazy])]
    Fskladmaterialu_prijemky2: TBlob;
    
    [Column('repairtype', [TColumnProp.Lazy])]
    Frepairtype: TBlob;
    
    [Column('pausal', [TColumnProp.Lazy])]
    Fpausal: TBlob;
    
    [Column('orderwork_plan', [TColumnProp.Lazy])]
    Forderwork_plan: TBlob;
    
    [Column('orderstavy', [TColumnProp.Lazy])]
    Forderstavy: TBlob;
    
    [Column('operation_group', [TColumnProp.Lazy])]
    Foperation_group: TBlob;
    
    [Column('operation', [TColumnProp.Lazy])]
    Foperation: TBlob;
    
    [Column('cnc', [TColumnProp.Lazy])]
    Fcnc: TBlob;
    
    [Column('dodacilist1', [TColumnProp.Lazy])]
    Fdodacilist1: TBlob;
    
    [Column('dodacilist2', [TColumnProp.Lazy])]
    Fdodacilist2: TBlob;
    
    [Column('order_page1', [TColumnProp.Lazy])]
    Forder_page1: TBlob;
    
    [Column('order_page2', [TColumnProp.Lazy])]
    Forder_page2: TBlob;
    
    [Column('order_page3', [TColumnProp.Lazy])]
    Forder_page3: TBlob;
    
    [Column('order_page4', [TColumnProp.Lazy])]
    Forder_page4: TBlob;
    
    [Column('order_page5', [TColumnProp.Lazy])]
    Forder_page5: TBlob;
    
    [Column('order_page6', [TColumnProp.Lazy])]
    Forder_page6: TBlob;
    
    [Column('order_page7', [TColumnProp.Lazy])]
    Forder_page7: TBlob;
    
    [Column('order_page8', [TColumnProp.Lazy])]
    Forder_page8: TBlob;
    
    [Column('order_page9', [TColumnProp.Lazy])]
    Forder_page9: TBlob;
    
    [Column('order_page10', [TColumnProp.Lazy])]
    Forder_page10: TBlob;
    
    [Column('sort_settings', [TColumnProp.Lazy])]
    Fsort_settings: TBlob;
    
    [Column('application_setting', [TColumnProp.Lazy])]
    Fapplication_setting: TBlob;
    
    [Column('data_colection', [TColumnProp.Lazy])]
    Fdata_colection: TBlob;
    
    [Column('objednavky', [TColumnProp.Lazy])]
    Fobjednavky: TBlob;
    
    [Column('objednavky_polozky', [TColumnProp.Lazy])]
    Fobjednavky_polozky: TBlob;
    
    [Column('objednavky_polozkyNaradi', [TColumnProp.Lazy])]
    Fobjednavky_polozkyNaradi: TBlob;
    
    [Column('materialy', [TColumnProp.Lazy])]
    Fmaterialy: TBlob;
    
    [Column('graficky_prehled', [TColumnProp.Lazy])]
    Fgraficky_prehled: TBlob;
    
    [Column('order_page11', [TColumnProp.Lazy])]
    Forder_page11: TBlob;
    
    [Column('tech_postup', [TColumnProp.Lazy])]
    Ftech_postup: TBlob;
    
    [Column('tech_postup_polozky', [TColumnProp.Lazy])]
    Ftech_postup_polozky: TBlob;
    
    [Column('naradi_reader', [TColumnProp.Lazy])]
    Fnaradi_reader: TBlob;
    
    [Column('order_page12', [TColumnProp.Lazy])]
    Forder_page12: TBlob;
    
    [Column('cidla_readdata', [TColumnProp.Lazy])]
    Fcidla_readdata: TBlob;
    
    [Column('sprava_zaznamu', [TColumnProp.Lazy])]
    Fsprava_zaznamu: TBlob;
    
    [Column('objednavky_prijate', [TColumnProp.Lazy])]
    Fobjednavky_prijate: TBlob;
    
    [Column('objednavky_prijate_polozky', [TColumnProp.Lazy])]
    Fobjednavky_prijate_polozky: TBlob;
    
    [Column('order_page13', [TColumnProp.Lazy])]
    Forder_page13: TBlob;
    
    [Column('touchTerminal', [TColumnProp.Lazy])]
    FtouchTerminal: TBlob;
    
    [Column('hromadnyVydej', [TColumnProp.Lazy])]
    FhromadnyVydej: TBlob;
    
    [Column('KDatuOrder', [TColumnProp.Lazy])]
    FKDatuOrder: TBlob;
    
    [Column('KDatuOrderWork', [TColumnProp.Lazy])]
    FKDatuOrderWork: TBlob;
    
    [Column('hromadnyPohybNar', [TColumnProp.Lazy])]
    FhromadnyPohybNar: TBlob;
    
    [Column('CNCGroup', [TColumnProp.Lazy])]
    FCNCGroup: TBlob;
    
    [Column('StrojGroup', [TColumnProp.Lazy])]
    FStrojGroup: TBlob;
    
    [Column('customer_order', [TColumnProp.Lazy])]
    Fcustomer_order: TBlob;
    
    [Column('customer_osoby', [TColumnProp.Lazy])]
    Fcustomer_osoby: TBlob;
    
    [Column('skladmaterialu_vydejky1', [TColumnProp.Lazy])]
    Fskladmaterialu_vydejky1: TBlob;
    
    [Column('skladmaterialu_vydejky2', [TColumnProp.Lazy])]
    Fskladmaterialu_vydejky2: TBlob;
    
    [Column('customer_udalosti', [TColumnProp.Lazy])]
    Fcustomer_udalosti: TBlob;
    
    [Column('agUlAdresyView', [TColumnProp.Lazy])]
    FagUlAdresyView: TBlob;
    
    [Column('agUlSkladView', [TColumnProp.Lazy])]
    FagUlSkladView: TBlob;
    
    [Column('agUlZakazkyView', [TColumnProp.Lazy])]
    FagUlZakazkyView: TBlob;
    
    [Column('agUlOperaceView', [TColumnProp.Lazy])]
    FagUlOperaceView: TBlob;
    
    [Column('agUlSarzeView', [TColumnProp.Lazy])]
    FagUlSarzeView: TBlob;
    
    [Column('PPSkladBlokace', [TColumnProp.Lazy])]
    FPPSkladBlokace: TBlob;
    
    [Column('PPSkladVyroba', [TColumnProp.Lazy])]
    FPPSkladVyroba: TBlob;
    
    [Column('PPSkladObjednavky', [TColumnProp.Lazy])]
    FPPSkladObjednavky: TBlob;
    
    [Column('PPMatBlokace', [TColumnProp.Lazy])]
    FPPMatBlokace: TBlob;
    
    [Column('PPMatVyroba', [TColumnProp.Lazy])]
    FPPMatVyroba: TBlob;
    
    [Column('PPMatObjednavky', [TColumnProp.Lazy])]
    FPPMatObjednavky: TBlob;
    
    [Column('PPMatPBlokace', [TColumnProp.Lazy])]
    FPPMatPBlokace: TBlob;
    
    [Column('PPMatPVyroba', [TColumnProp.Lazy])]
    FPPMatPVyroba: TBlob;
    
    [Column('PPMatPObjednavky', [TColumnProp.Lazy])]
    FPPMatPObjednavky: TBlob;
    
    [Column('skladformy', [TColumnProp.Lazy])]
    Fskladformy: TBlob;
    
    [Column('skladformy_readdata', [TColumnProp.Lazy])]
    Fskladformy_readdata: TBlob;
    
    [Column('skladformy_pohyb', [TColumnProp.Lazy])]
    Fskladformy_pohyb: TBlob;
    
    [Column('SkladovePozice', [TColumnProp.Lazy])]
    FSkladovePozice: TBlob;
    
    [Column('SkladovePoziceReadData', [TColumnProp.Lazy])]
    FSkladovePoziceReadData: TBlob;
    
    [Column('SkladoveInventury', [TColumnProp.Lazy])]
    FSkladoveInventury: TBlob;
    
    [Column('SkladoveInventurySoupisy', [TColumnProp.Lazy])]
    FSkladoveInventurySoupisy: TBlob;
    
    [Column('SkladoveInventuryPolozky', [TColumnProp.Lazy])]
    FSkladoveInventuryPolozky: TBlob;
    
    [Column('agUlObjednavkyView', [TColumnProp.Lazy])]
    FagUlObjednavkyView: TBlob;
    
    [Column('PPZamDovednosti', [TColumnProp.Lazy])]
    FPPZamDovednosti: TBlob;
    
    [Column('PPZamOperace', [TColumnProp.Lazy])]
    FPPZamOperace: TBlob;
    
    [Column('PPZamCNC', [TColumnProp.Lazy])]
    FPPZamCNC: TBlob;
    
    [Column('PPZamSkupiny', [TColumnProp.Lazy])]
    FPPZamSkupiny: TBlob;
    
    [Column('PPStrojeDefTypySer', [TColumnProp.Lazy])]
    FPPStrojeDefTypySer: TBlob;
    
    [Column('PPStrojePlanServisy', [TColumnProp.Lazy])]
    FPPStrojePlanServisy: TBlob;
    
    [Column('PPStrojeProvServisy', [TColumnProp.Lazy])]
    FPPStrojeProvServisy: TBlob;
    
    [Column('PPCNCDefTypySer', [TColumnProp.Lazy])]
    FPPCNCDefTypySer: TBlob;
    
    [Column('PPCNCPlanServisy', [TColumnProp.Lazy])]
    FPPCNCPlanServisy: TBlob;
    
    [Column('PPCNCProvServisy', [TColumnProp.Lazy])]
    FPPCNCProvServisy: TBlob;
    
    [Column('PPOperaceZam', [TColumnProp.Lazy])]
    FPPOperaceZam: TBlob;
    
    [Column('PPOperaceStroje', [TColumnProp.Lazy])]
    FPPOperaceStroje: TBlob;
    
    [Column('PPOperaceCNC', [TColumnProp.Lazy])]
    FPPOperaceCNC: TBlob;
    
    [Column('Dochazka2015', [TColumnProp.Lazy])]
    FDochazka2015: TBlob;
    
    [Column('skladnaradisledovane', [TColumnProp.Lazy])]
    Fskladnaradisledovane: TBlob;
    
    [Column('Dochazka2015_mesic', [TColumnProp.Lazy])]
    FDochazka2015_mesic: TBlob;
    
    [Column('agUlSkupinyOperaciView', [TColumnProp.Lazy])]
    FagUlSkupinyOperaciView: TBlob;
    
    [Column('GrafickyPrehledDenOP', [TColumnProp.Lazy])]
    FGrafickyPrehledDenOP: TBlob;
    
    [Column('agUlWorkerView', [TColumnProp.Lazy])]
    FagUlWorkerView: TBlob;
    
    [Column('agUlCNCView', [TColumnProp.Lazy])]
    FagUlCNCView: TBlob;
    
    [Column('agUlObjednavkyPrijateView', [TColumnProp.Lazy])]
    FagUlObjednavkyPrijateView: TBlob;
    
    [Column('agUlObjednavkyPrijatePolozkyView', [TColumnProp.Lazy])]
    FagUlObjednavkyPrijatePolozkyView: TBlob;
    
    [Column('objednavky_polozkyBezVazby', [TColumnProp.Lazy])]
    Fobjednavky_polozkyBezVazby: TBlob;
    
    [Column('objednavky_polozkySubdodavky', [TColumnProp.Lazy])]
    Fobjednavky_polozkySubdodavky: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property dochazka: TBlob read Fdochazka write Fdochazka;
    property worker: TBlob read Fworker write Fworker;
    property readdata: TBlob read Freaddata write Freaddata;
    property skladmaterialu: TBlob read Fskladmaterialu write Fskladmaterialu;
    property customer: TBlob read Fcustomer write Fcustomer;
    property skladnaradi: TBlob read Fskladnaradi write Fskladnaradi;
    property skladmaterialu_readdata: TBlob read Fskladmaterialu_readdata write Fskladmaterialu_readdata;
    property stroje: TBlob read Fstroje write Fstroje;
    property skladskupiny: TBlob read Fskladskupiny write Fskladskupiny;
    property skladnaradi_readdata: TBlob read Fskladnaradi_readdata write Fskladnaradi_readdata;
    property skladnaradi_pohyb: TBlob read Fskladnaradi_pohyb write Fskladnaradi_pohyb;
    property skladmaterialu_prijemky1: TBlob read Fskladmaterialu_prijemky1 write Fskladmaterialu_prijemky1;
    property skladmaterialu_prijemky2: TBlob read Fskladmaterialu_prijemky2 write Fskladmaterialu_prijemky2;
    property repairtype: TBlob read Frepairtype write Frepairtype;
    property pausal: TBlob read Fpausal write Fpausal;
    property orderwork_plan: TBlob read Forderwork_plan write Forderwork_plan;
    property orderstavy: TBlob read Forderstavy write Forderstavy;
    property operation_group: TBlob read Foperation_group write Foperation_group;
    property operation: TBlob read Foperation write Foperation;
    property cnc: TBlob read Fcnc write Fcnc;
    property dodacilist1: TBlob read Fdodacilist1 write Fdodacilist1;
    property dodacilist2: TBlob read Fdodacilist2 write Fdodacilist2;
    property order_page1: TBlob read Forder_page1 write Forder_page1;
    property order_page2: TBlob read Forder_page2 write Forder_page2;
    property order_page3: TBlob read Forder_page3 write Forder_page3;
    property order_page4: TBlob read Forder_page4 write Forder_page4;
    property order_page5: TBlob read Forder_page5 write Forder_page5;
    property order_page6: TBlob read Forder_page6 write Forder_page6;
    property order_page7: TBlob read Forder_page7 write Forder_page7;
    property order_page8: TBlob read Forder_page8 write Forder_page8;
    property order_page9: TBlob read Forder_page9 write Forder_page9;
    property order_page10: TBlob read Forder_page10 write Forder_page10;
    property sort_settings: TBlob read Fsort_settings write Fsort_settings;
    property application_setting: TBlob read Fapplication_setting write Fapplication_setting;
    property data_colection: TBlob read Fdata_colection write Fdata_colection;
    property objednavky: TBlob read Fobjednavky write Fobjednavky;
    property objednavky_polozky: TBlob read Fobjednavky_polozky write Fobjednavky_polozky;
    property objednavky_polozkyNaradi: TBlob read Fobjednavky_polozkyNaradi write Fobjednavky_polozkyNaradi;
    property materialy: TBlob read Fmaterialy write Fmaterialy;
    property graficky_prehled: TBlob read Fgraficky_prehled write Fgraficky_prehled;
    property order_page11: TBlob read Forder_page11 write Forder_page11;
    property tech_postup: TBlob read Ftech_postup write Ftech_postup;
    property tech_postup_polozky: TBlob read Ftech_postup_polozky write Ftech_postup_polozky;
    property naradi_reader: TBlob read Fnaradi_reader write Fnaradi_reader;
    property order_page12: TBlob read Forder_page12 write Forder_page12;
    property cidla_readdata: TBlob read Fcidla_readdata write Fcidla_readdata;
    property sprava_zaznamu: TBlob read Fsprava_zaznamu write Fsprava_zaznamu;
    property objednavky_prijate: TBlob read Fobjednavky_prijate write Fobjednavky_prijate;
    property objednavky_prijate_polozky: TBlob read Fobjednavky_prijate_polozky write Fobjednavky_prijate_polozky;
    property order_page13: TBlob read Forder_page13 write Forder_page13;
    property touchTerminal: TBlob read FtouchTerminal write FtouchTerminal;
    property hromadnyVydej: TBlob read FhromadnyVydej write FhromadnyVydej;
    property KDatuOrder: TBlob read FKDatuOrder write FKDatuOrder;
    property KDatuOrderWork: TBlob read FKDatuOrderWork write FKDatuOrderWork;
    property hromadnyPohybNar: TBlob read FhromadnyPohybNar write FhromadnyPohybNar;
    property CNCGroup: TBlob read FCNCGroup write FCNCGroup;
    property StrojGroup: TBlob read FStrojGroup write FStrojGroup;
    property customer_order: TBlob read Fcustomer_order write Fcustomer_order;
    property customer_osoby: TBlob read Fcustomer_osoby write Fcustomer_osoby;
    property skladmaterialu_vydejky1: TBlob read Fskladmaterialu_vydejky1 write Fskladmaterialu_vydejky1;
    property skladmaterialu_vydejky2: TBlob read Fskladmaterialu_vydejky2 write Fskladmaterialu_vydejky2;
    property customer_udalosti: TBlob read Fcustomer_udalosti write Fcustomer_udalosti;
    property agUlAdresyView: TBlob read FagUlAdresyView write FagUlAdresyView;
    property agUlSkladView: TBlob read FagUlSkladView write FagUlSkladView;
    property agUlZakazkyView: TBlob read FagUlZakazkyView write FagUlZakazkyView;
    property agUlOperaceView: TBlob read FagUlOperaceView write FagUlOperaceView;
    property agUlSarzeView: TBlob read FagUlSarzeView write FagUlSarzeView;
    property PPSkladBlokace: TBlob read FPPSkladBlokace write FPPSkladBlokace;
    property PPSkladVyroba: TBlob read FPPSkladVyroba write FPPSkladVyroba;
    property PPSkladObjednavky: TBlob read FPPSkladObjednavky write FPPSkladObjednavky;
    property PPMatBlokace: TBlob read FPPMatBlokace write FPPMatBlokace;
    property PPMatVyroba: TBlob read FPPMatVyroba write FPPMatVyroba;
    property PPMatObjednavky: TBlob read FPPMatObjednavky write FPPMatObjednavky;
    property PPMatPBlokace: TBlob read FPPMatPBlokace write FPPMatPBlokace;
    property PPMatPVyroba: TBlob read FPPMatPVyroba write FPPMatPVyroba;
    property PPMatPObjednavky: TBlob read FPPMatPObjednavky write FPPMatPObjednavky;
    property skladformy: TBlob read Fskladformy write Fskladformy;
    property skladformy_readdata: TBlob read Fskladformy_readdata write Fskladformy_readdata;
    property skladformy_pohyb: TBlob read Fskladformy_pohyb write Fskladformy_pohyb;
    property SkladovePozice: TBlob read FSkladovePozice write FSkladovePozice;
    property SkladovePoziceReadData: TBlob read FSkladovePoziceReadData write FSkladovePoziceReadData;
    property SkladoveInventury: TBlob read FSkladoveInventury write FSkladoveInventury;
    property SkladoveInventurySoupisy: TBlob read FSkladoveInventurySoupisy write FSkladoveInventurySoupisy;
    property SkladoveInventuryPolozky: TBlob read FSkladoveInventuryPolozky write FSkladoveInventuryPolozky;
    property agUlObjednavkyView: TBlob read FagUlObjednavkyView write FagUlObjednavkyView;
    property PPZamDovednosti: TBlob read FPPZamDovednosti write FPPZamDovednosti;
    property PPZamOperace: TBlob read FPPZamOperace write FPPZamOperace;
    property PPZamCNC: TBlob read FPPZamCNC write FPPZamCNC;
    property PPZamSkupiny: TBlob read FPPZamSkupiny write FPPZamSkupiny;
    property PPStrojeDefTypySer: TBlob read FPPStrojeDefTypySer write FPPStrojeDefTypySer;
    property PPStrojePlanServisy: TBlob read FPPStrojePlanServisy write FPPStrojePlanServisy;
    property PPStrojeProvServisy: TBlob read FPPStrojeProvServisy write FPPStrojeProvServisy;
    property PPCNCDefTypySer: TBlob read FPPCNCDefTypySer write FPPCNCDefTypySer;
    property PPCNCPlanServisy: TBlob read FPPCNCPlanServisy write FPPCNCPlanServisy;
    property PPCNCProvServisy: TBlob read FPPCNCProvServisy write FPPCNCProvServisy;
    property PPOperaceZam: TBlob read FPPOperaceZam write FPPOperaceZam;
    property PPOperaceStroje: TBlob read FPPOperaceStroje write FPPOperaceStroje;
    property PPOperaceCNC: TBlob read FPPOperaceCNC write FPPOperaceCNC;
    property Dochazka2015: TBlob read FDochazka2015 write FDochazka2015;
    property skladnaradisledovane: TBlob read Fskladnaradisledovane write Fskladnaradisledovane;
    property Dochazka2015_mesic: TBlob read FDochazka2015_mesic write FDochazka2015_mesic;
    property agUlSkupinyOperaciView: TBlob read FagUlSkupinyOperaciView write FagUlSkupinyOperaciView;
    property GrafickyPrehledDenOP: TBlob read FGrafickyPrehledDenOP write FGrafickyPrehledDenOP;
    property agUlWorkerView: TBlob read FagUlWorkerView write FagUlWorkerView;
    property agUlCNCView: TBlob read FagUlCNCView write FagUlCNCView;
    property agUlObjednavkyPrijateView: TBlob read FagUlObjednavkyPrijateView write FagUlObjednavkyPrijateView;
    property agUlObjednavkyPrijatePolozkyView: TBlob read FagUlObjednavkyPrijatePolozkyView write FagUlObjednavkyPrijatePolozkyView;
    property objednavky_polozkyBezVazby: TBlob read Fobjednavky_polozkyBezVazby write Fobjednavky_polozkyBezVazby;
    property objednavky_polozkySubdodavky: TBlob read Fobjednavky_polozkySubdodavky write Fobjednavky_polozkySubdodavky;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcolumns }

constructor Tcolumns.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcolumns.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcolumns);

end.
