unit uTcolumns_caption;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcolumns_caption = class;
  
  [Entity]
  [Table('columns_caption')]
  [Id('FformName', TIdGenerator.None)]
  [Id('FgridName', TIdGenerator.None)]
  [Id('FfieldName', TIdGenerator.None)]
  [Id('FlanguageCode', TIdGenerator.None)]
  Tcolumns_caption = class
  private
    [Column('formName', [TColumnProp.Required], 200)]
    FformName: string;
    
    [Column('gridName', [TColumnProp.Required], 200)]
    FgridName: string;
    
    [Column('fieldName', [TColumnProp.Required], 200)]
    FfieldName: string;
    
    [Column('languageCode', [TColumnProp.Required], 20)]
    FlanguageCode: string;
    
    [Column('columnCaption', [TColumnProp.Required], 200)]
    FcolumnCaption: string;
    
    [Column('columnHint', [TColumnProp.Required], 200)]
    FcolumnHint: string;
    
    [Column('columnCaptionUser', [TColumnProp.Required], 200)]
    FcolumnCaptionUser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property formName: string read FformName write FformName;
    property gridName: string read FgridName write FgridName;
    property fieldName: string read FfieldName write FfieldName;
    property languageCode: string read FlanguageCode write FlanguageCode;
    property columnCaption: string read FcolumnCaption write FcolumnCaption;
    property columnHint: string read FcolumnHint write FcolumnHint;
    property columnCaptionUser: string read FcolumnCaptionUser write FcolumnCaptionUser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcolumns_caption }

constructor Tcolumns_caption.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcolumns_caption.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcolumns_caption);

end.
