unit uTcolumns_change_type;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcolumns_change_type = class;
  
  [Entity]
  [Table('columns_change_type')]
  [Id('Fcolumnfieldname', TIdGenerator.None)]
  [Id('Fuser_id', TIdGenerator.None)]
  Tcolumns_change_type = class
  private
    [Column('columnfieldname', [TColumnProp.Required], 50)]
    Fcolumnfieldname: string;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('column_type', [TColumnProp.Required])]
    Fcolumn_type: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property columnfieldname: string read Fcolumnfieldname write Fcolumnfieldname;
    property user_id: Integer read Fuser_id write Fuser_id;
    property column_type: Integer read Fcolumn_type write Fcolumn_type;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcolumns_change_type }

constructor Tcolumns_change_type.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcolumns_change_type.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcolumns_change_type);

end.
