unit uTcolumns_log;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcolumns_log = class;
  
  [Entity]
  [Table('columns_log')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcolumns_log = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('qry_name', [], 50)]
    Fqry_name: Nullable<string>;
    
    [Column('datum_zmeny', [TColumnProp.Required])]
    Fdatum_zmeny: TDateTime;
    
    [Column('field_name', [], 50)]
    Ffield_name: Nullable<string>;
    
    [Column('original_caption', [], 80)]
    Foriginal_caption: Nullable<string>;
    
    [Column('actual_caption', [], 80)]
    Factual_caption: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property qry_name: Nullable<string> read Fqry_name write Fqry_name;
    property datum_zmeny: TDateTime read Fdatum_zmeny write Fdatum_zmeny;
    property field_name: Nullable<string> read Ffield_name write Ffield_name;
    property original_caption: Nullable<string> read Foriginal_caption write Foriginal_caption;
    property actual_caption: Nullable<string> read Factual_caption write Factual_caption;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcolumns_log }

constructor Tcolumns_log.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcolumns_log.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcolumns_log);

end.
