unit uTconfig;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tconfig = class;
  
  [Entity]
  [Table('config')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tconfig = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('dochazka_format', [TColumnProp.Required], 20)]
    Fdochazka_format: string;
    
    [Column('dochazka_autobreak', [TColumnProp.Required], 20)]
    Fdochazka_autobreak: string;
    
    [Column('dochazka_autobreak_podmina', [TColumnProp.Required], 20)]
    Fdochazka_autobreak_podmina: string;
    
    [Column('price_calculate', [TColumnProp.Required], 20)]
    Fprice_calculate: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property dochazka_format: string read Fdochazka_format write Fdochazka_format;
    property dochazka_autobreak: string read Fdochazka_autobreak write Fdochazka_autobreak;
    property dochazka_autobreak_podmina: string read Fdochazka_autobreak_podmina write Fdochazka_autobreak_podmina;
    property price_calculate: string read Fprice_calculate write Fprice_calculate;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tconfig }

constructor Tconfig.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tconfig.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tconfig);

end.
