unit uTcustomer;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer = class;
  
  [Entity]
  [Table('customer')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('name', [TColumnProp.Required], 150)]
    Fname: string;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('adress', [TColumnProp.Required], 100)]
    Fadress: string;
    
    [Column('phone', [TColumnProp.Required], 50)]
    Fphone: string;
    
    [Column('fax', [TColumnProp.Required], 50)]
    Ffax: string;
    
    [Column('mobile', [TColumnProp.Required], 50)]
    Fmobile: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('fak_adress', [TColumnProp.Required], 100)]
    Ffak_adress: string;
    
    [Column('fak_psc', [TColumnProp.Required], 10)]
    Ffak_psc: string;
    
    [Column('fak_mesto', [TColumnProp.Required], 100)]
    Ffak_mesto: string;
    
    [Column('ico', [TColumnProp.Required], 20)]
    Fico: string;
    
    [Column('dic', [TColumnProp.Required], 20)]
    Fdic: string;
    
    [Column('osoba', [TColumnProp.Required], 100)]
    Fosoba: string;
    
    [Column('ucet', [TColumnProp.Required], 100)]
    Fucet: string;
    
    [Column('banka', [TColumnProp.Required], 100)]
    Fbanka: string;
    
    [Column('email', [TColumnProp.Required], 100)]
    Femail: string;
    
    [Column('web', [TColumnProp.Required], 100)]
    Fweb: string;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    
    [Column('dod_psc', [TColumnProp.Required], 10)]
    Fdod_psc: string;
    
    [Column('dod_mesto', [TColumnProp.Required], 100)]
    Fdod_mesto: string;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('barvaPlanu', [])]
    FbarvaPlanu: Nullable<Integer>;
    
    [Column('dod_osoba', [TColumnProp.Required], 100)]
    Fdod_osoba: string;
    
    [Column('dod_stat', [TColumnProp.Required], 100)]
    Fdod_stat: string;
    
    [Column('fak_firma', [TColumnProp.Required], 150)]
    Ffak_firma: string;
    
    [Column('fak_osoba', [TColumnProp.Required], 100)]
    Ffak_osoba: string;
    
    [Column('dod_firma', [TColumnProp.Required], 150)]
    Fdod_firma: string;
    
    [Column('fak_oddeleni', [TColumnProp.Required], 100)]
    Ffak_oddeleni: string;
    
    [Column('dod_oddeleni', [TColumnProp.Required], 100)]
    Fdod_oddeleni: string;
    
    [Column('fak_phone', [TColumnProp.Required], 50)]
    Ffak_phone: string;
    
    [Column('fak_email', [TColumnProp.Required], 100)]
    Ffak_email: string;
    
    [Column('fak_stat', [TColumnProp.Required], 100)]
    Ffak_stat: string;
    
    [Column('email_odesilat', [TColumnProp.Required])]
    Femail_odesilat: Integer;
    
    [Column('splatnost_dni', [TColumnProp.Required])]
    Fsplatnost_dni: Integer;
    
    [Column('doprava', [TColumnProp.Required], 50)]
    Fdoprava: string;
    
    [Column('platba', [TColumnProp.Required], 50)]
    Fplatba: string;
    
    [Column('dorucenifaktury', [TColumnProp.Required], 50)]
    Fdorucenifaktury: string;
    
    [Column('forma', [TColumnProp.Required], 10)]
    Fforma: string;
    
    [Column('gdpr_zbyva', [TColumnProp.Required])]
    Fgdpr_zbyva: Integer;
    
    [Column('gdpr_anonymizovano', [TColumnProp.Required])]
    Fgdpr_anonymizovano: Integer;
    
    [Column('prima_dodaci_adresa', [TColumnProp.Required])]
    Fprima_dodaci_adresa: Integer;
    
    [Column('icdph', [TColumnProp.Required], 20)]
    Ficdph: string;
    
    [Column('oblast', [TColumnProp.Required])]
    Foblast: Integer;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('note2', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote2: TBlob;
    
    [Column('cm_mena', [TColumnProp.Required], 50)]
    Fcm_mena: string;
    
    [Column('nadrizena_id', [TColumnProp.Required])]
    Fnadrizena_id: Int64;
    
    [Column('doprava_id', [TColumnProp.Required])]
    Fdoprava_id: Int64;
    
    [Column('platba_id', [TColumnProp.Required])]
    Fplatba_id: Int64;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property name: string read Fname write Fname;
    property bar_id: string read Fbar_id write Fbar_id;
    property adress: string read Fadress write Fadress;
    property phone: string read Fphone write Fphone;
    property fax: string read Ffax write Ffax;
    property mobile: string read Fmobile write Fmobile;
    property note: TBlob read Fnote write Fnote;
    property user: string read Fuser write Fuser;
    property fak_adress: string read Ffak_adress write Ffak_adress;
    property fak_psc: string read Ffak_psc write Ffak_psc;
    property fak_mesto: string read Ffak_mesto write Ffak_mesto;
    property ico: string read Fico write Fico;
    property dic: string read Fdic write Fdic;
    property osoba: string read Fosoba write Fosoba;
    property ucet: string read Fucet write Fucet;
    property banka: string read Fbanka write Fbanka;
    property email: string read Femail write Femail;
    property web: string read Fweb write Fweb;
    property typ: Integer read Ftyp write Ftyp;
    property dod_psc: string read Fdod_psc write Fdod_psc;
    property dod_mesto: string read Fdod_mesto write Fdod_mesto;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property barvaPlanu: Nullable<Integer> read FbarvaPlanu write FbarvaPlanu;
    property dod_osoba: string read Fdod_osoba write Fdod_osoba;
    property dod_stat: string read Fdod_stat write Fdod_stat;
    property fak_firma: string read Ffak_firma write Ffak_firma;
    property fak_osoba: string read Ffak_osoba write Ffak_osoba;
    property dod_firma: string read Fdod_firma write Fdod_firma;
    property fak_oddeleni: string read Ffak_oddeleni write Ffak_oddeleni;
    property dod_oddeleni: string read Fdod_oddeleni write Fdod_oddeleni;
    property fak_phone: string read Ffak_phone write Ffak_phone;
    property fak_email: string read Ffak_email write Ffak_email;
    property fak_stat: string read Ffak_stat write Ffak_stat;
    property email_odesilat: Integer read Femail_odesilat write Femail_odesilat;
    property splatnost_dni: Integer read Fsplatnost_dni write Fsplatnost_dni;
    property doprava: string read Fdoprava write Fdoprava;
    property platba: string read Fplatba write Fplatba;
    property dorucenifaktury: string read Fdorucenifaktury write Fdorucenifaktury;
    property forma: string read Fforma write Fforma;
    property gdpr_zbyva: Integer read Fgdpr_zbyva write Fgdpr_zbyva;
    property gdpr_anonymizovano: Integer read Fgdpr_anonymizovano write Fgdpr_anonymizovano;
    property prima_dodaci_adresa: Integer read Fprima_dodaci_adresa write Fprima_dodaci_adresa;
    property icdph: string read Ficdph write Ficdph;
    property oblast: Integer read Foblast write Foblast;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property note2: TBlob read Fnote2 write Fnote2;
    property cm_mena: string read Fcm_mena write Fcm_mena;
    property nadrizena_id: Int64 read Fnadrizena_id write Fnadrizena_id;
    property doprava_id: Int64 read Fdoprava_id write Fdoprava_id;
    property platba_id: Int64 read Fplatba_id write Fplatba_id;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer }

constructor Tcustomer.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer);

end.
