unit uTcustomer_adresy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer_adresy = class;
  
  [Entity]
  [Table('customer_adresy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer_adresy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('customer_id_address_id', [TColumnProp.Required])]
    Fcustomer_id_address_id: Integer;
    
    [Column('dod_osoba', [TColumnProp.Required], 100)]
    Fdod_osoba: string;
    
    [Column('dod_ulice', [TColumnProp.Required], 100)]
    Fdod_ulice: string;
    
    [Column('dod_mesto', [TColumnProp.Required], 100)]
    Fdod_mesto: string;
    
    [Column('dod_psc', [TColumnProp.Required], 100)]
    Fdod_psc: string;
    
    [Column('dod_email', [TColumnProp.Required], 100)]
    Fdod_email: string;
    
    [Column('dod_telefon', [TColumnProp.Required], 100)]
    Fdod_telefon: string;
    
    [Column('dod_mobil', [TColumnProp.Required], 100)]
    Fdod_mobil: string;
    
    [Column('dod_fax', [TColumnProp.Required], 100)]
    Fdod_fax: string;
    
    [Column('dod_note', [TColumnProp.Required], 300)]
    Fdod_note: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property customer_id_address_id: Integer read Fcustomer_id_address_id write Fcustomer_id_address_id;
    property dod_osoba: string read Fdod_osoba write Fdod_osoba;
    property dod_ulice: string read Fdod_ulice write Fdod_ulice;
    property dod_mesto: string read Fdod_mesto write Fdod_mesto;
    property dod_psc: string read Fdod_psc write Fdod_psc;
    property dod_email: string read Fdod_email write Fdod_email;
    property dod_telefon: string read Fdod_telefon write Fdod_telefon;
    property dod_mobil: string read Fdod_mobil write Fdod_mobil;
    property dod_fax: string read Fdod_fax write Fdod_fax;
    property dod_note: string read Fdod_note write Fdod_note;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer_adresy }

constructor Tcustomer_adresy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer_adresy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer_adresy);

end.
