unit uTcustomer_osoby;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer_osoby = class;
  
  [Entity]
  [Table('customer_osoby')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer_osoby = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('jmeno', [], 45)]
    Fjmeno: Nullable<string>;
    
    [Column('prijmeni', [], 45)]
    Fprijmeni: Nullable<string>;
    
    [Column('telefon', [], 45)]
    Ftelefon: Nullable<string>;
    
    [Column('email', [], 45)]
    Femail: Nullable<string>;
    
    [Column('poznamka', [], 250)]
    Fpoznamka: Nullable<string>;
    
    [Column('vychozi', [])]
    Fvychozi: Nullable<Integer>;
    
    [Column('hierarchie', [])]
    Fhierarchie: Nullable<Integer>;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property jmeno: Nullable<string> read Fjmeno write Fjmeno;
    property prijmeni: Nullable<string> read Fprijmeni write Fprijmeni;
    property telefon: Nullable<string> read Ftelefon write Ftelefon;
    property email: Nullable<string> read Femail write Femail;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property vychozi: Nullable<Integer> read Fvychozi write Fvychozi;
    property hierarchie: Nullable<Integer> read Fhierarchie write Fhierarchie;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer_osoby }

constructor Tcustomer_osoby.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer_osoby.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer_osoby);

end.
