unit uTcustomer_skupiny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer_skupiny = class;
  
  [Entity]
  [Table('customer_skupiny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer_skupiny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    
    [Column('zkratka', [TColumnProp.Required], 200)]
    Fzkratka: string;
    
    [Column('note', [TColumnProp.Required], 1024)]
    Fnote: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property zkratka: string read Fzkratka write Fzkratka;
    property note: string read Fnote write Fnote;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer_skupiny }

constructor Tcustomer_skupiny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer_skupiny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer_skupiny);

end.
