unit uTcustomer_udalosti;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer_udalosti = class;
  
  [Entity]
  [Table('customer_udalosti')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer_udalosti = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    
    [Column('datum', [])]
    Fdatum: Nullable<TDateTime>;
    
    [Column('predmet', [], 45)]
    Fpredmet: Nullable<string>;
    
    [Column('popis', [], 500)]
    Fpopis: Nullable<string>;
    
    [Column('order_id', [], 100)]
    Forder_id: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property typ: Integer read Ftyp write Ftyp;
    property datum: Nullable<TDateTime> read Fdatum write Fdatum;
    property predmet: Nullable<string> read Fpredmet write Fpredmet;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property order_id: Nullable<string> read Forder_id write Forder_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer_udalosti }

constructor Tcustomer_udalosti.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer_udalosti.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer_udalosti);

end.
