unit uTcustomer_udalosti_typy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tcustomer_udalosti_typy = class;
  
  [Entity]
  [Table('customer_udalosti_typy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tcustomer_udalosti_typy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 45)]
    Fnazev: string;
    
    [Column('popis', [], 45)]
    Fpopis: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tcustomer_udalosti_typy }

constructor Tcustomer_udalosti_typy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tcustomer_udalosti_typy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tcustomer_udalosti_typy);

end.
