unit uTdatum;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdatum = class;
  
  [Entity]
  [Table('datum')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdatum = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    
    [Column('pc', [TColumnProp.Required], 20)]
    Fpc: string;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property datum: TDateTime read Fdatum write Fdatum;
    property pc: string read Fpc write Fpc;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdatum }

constructor Tdatum.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdatum.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdatum);

end.
