unit uTdochazka;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdochazka = class;
  
  [Entity]
  [Table('dochazka')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdochazka = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('dovolena', [TColumnProp.Required])]
    Fdovolena: Integer;
    
    [Column('nemoc', [TColumnProp.Required])]
    Fnemoc: Integer;
    
    [Column('ostatni', [TColumnProp.Required])]
    Fostatni: Integer;
    
    [Column('svatek', [TColumnProp.Required])]
    Fsvatek: Integer;
    
    [Column('propustka', [TColumnProp.Required])]
    Fpropustka: Integer;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('fond', [TColumnProp.Required])]
    Ffond: Integer;
    
    [Column('placeno', [TColumnProp.Required])]
    Fplaceno: Integer;
    
    [Column('neodpracovano', [TColumnProp.Required])]
    Fneodpracovano: Integer;
    
    [Column('prescas', [TColumnProp.Required])]
    Fprescas: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('real_odprac', [TColumnProp.Required])]
    Freal_odprac: Integer;
    
    [Column('smena', [TColumnProp.Required], 25)]
    Fsmena: string;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('ostatni_korekce', [TColumnProp.Required])]
    Fostatni_korekce: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('nahrvolno', [TColumnProp.Required])]
    Fnahrvolno: Integer;
    
    [Column('ocr', [TColumnProp.Required])]
    Focr: Integer;
    
    [Column('prestavka', [TColumnProp.Required])]
    Fprestavka: Integer;
    
    [Column('vikend', [TColumnProp.Required])]
    Fvikend: Integer;
    
    [Column('placvolno', [TColumnProp.Required])]
    Fplacvolno: Integer;
    
    [Column('absence', [TColumnProp.Required])]
    Fabsence: Integer;
    
    [Column('svatek_nahr', [TColumnProp.Required])]
    Fsvatek_nahr: Integer;
    
    [Column('prostoj', [TColumnProp.Required])]
    Fprostoj: Integer;
    
    [Column('neplac_volno', [TColumnProp.Required])]
    Fneplac_volno: Integer;
    
    [Column('ostatni_nahr', [TColumnProp.Required])]
    Fostatni_nahr: Integer;
    
    [Column('nocni', [TColumnProp.Required])]
    Fnocni: Integer;
    
    [Column('saldo_prescas', [TColumnProp.Required])]
    Fsaldo_prescas: Integer;
    
    [Column('verze', [TColumnProp.Required], 20)]
    Fverze: string;
    
    [Column('cas_vypoctu', [])]
    Fcas_vypoctu: Nullable<TDateTime>;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('verze_id', [TColumnProp.Required])]
    Fverze_id: Integer;
    
    [Column('karantena', [TColumnProp.Required])]
    Fkarantena: Integer;
    
    [Column('smena_id', [TColumnProp.Required])]
    Fsmena_id: Integer;
    
    [Column('odpracovano_prestavka', [TColumnProp.Required])]
    Fodpracovano_prestavka: Integer;
    
    [Column('odpracovano_na_zakazku', [TColumnProp.Required])]
    Fodpracovano_na_zakazku: Integer;
    
    [Column('odpracovano_bez_zakazky', [TColumnProp.Required])]
    Fodpracovano_bez_zakazky: Integer;
    
    [Column('odpracovano_Rezie', [TColumnProp.Required])]
    Fodpracovano_Rezie: Integer;
    
    [Column('odpracovano_ostatni', [TColumnProp.Required])]
    Fodpracovano_ostatni: Integer;
    
    [Column('propustka_bez', [TColumnProp.Required])]
    Fpropustka_bez: Integer;
    
    [Column('prekazka_zamestnanec_s', [TColumnProp.Required])]
    Fprekazka_zamestnanec_s: Integer;
    
    [Column('prekazka_zamestnanec_bez', [TColumnProp.Required])]
    Fprekazka_zamestnanec_bez: Integer;
    
    [Column('prekazka_pocasi', [TColumnProp.Required])]
    Fprekazka_pocasi: Integer;
    
    [Column('prekazka_nezamestnanost', [TColumnProp.Required])]
    Fprekazka_nezamestnanost: Integer;
    
    [Column('prekazka_ostatni', [TColumnProp.Required])]
    Fprekazka_ostatni: Integer;
    
    [Column('prescas_fond', [TColumnProp.Required])]
    Fprescas_fond: Integer;
    
    [Column('prescas_proplatit', [TColumnProp.Required])]
    Fprescas_proplatit: Integer;
    
    [Column('prescas_proplatit_fond', [TColumnProp.Required])]
    Fprescas_proplatit_fond: Integer;
    
    [Column('zamceno', [TColumnProp.Required])]
    Fzamceno: Integer;
    
    [Column('odpoledni', [TColumnProp.Required])]
    Fodpoledni: Integer;
    
    [Column('nadpracovani', [TColumnProp.Required])]
    Fnadpracovani: Integer;
    
    [Column('user_zmena', [TColumnProp.Required], 200)]
    Fuser_zmena: string;
    
    [Column('ts_zmena', [TColumnProp.Required])]
    Fts_zmena: TDateTime;
    
    [Column('user_zamceno', [TColumnProp.Required], 200)]
    Fuser_zamceno: string;
    
    [Column('ts_zamceno', [TColumnProp.Required])]
    Fts_zamceno: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property dovolena: Integer read Fdovolena write Fdovolena;
    property nemoc: Integer read Fnemoc write Fnemoc;
    property ostatni: Integer read Fostatni write Fostatni;
    property svatek: Integer read Fsvatek write Fsvatek;
    property propustka: Integer read Fpropustka write Fpropustka;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property fond: Integer read Ffond write Ffond;
    property placeno: Integer read Fplaceno write Fplaceno;
    property neodpracovano: Integer read Fneodpracovano write Fneodpracovano;
    property prescas: Integer read Fprescas write Fprescas;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property real_odprac: Integer read Freal_odprac write Freal_odprac;
    property smena: string read Fsmena write Fsmena;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property ostatni_korekce: Integer read Fostatni_korekce write Fostatni_korekce;
    property note: TBlob read Fnote write Fnote;
    property nahrvolno: Integer read Fnahrvolno write Fnahrvolno;
    property ocr: Integer read Focr write Focr;
    property prestavka: Integer read Fprestavka write Fprestavka;
    property vikend: Integer read Fvikend write Fvikend;
    property placvolno: Integer read Fplacvolno write Fplacvolno;
    property absence: Integer read Fabsence write Fabsence;
    property svatek_nahr: Integer read Fsvatek_nahr write Fsvatek_nahr;
    property prostoj: Integer read Fprostoj write Fprostoj;
    property neplac_volno: Integer read Fneplac_volno write Fneplac_volno;
    property ostatni_nahr: Integer read Fostatni_nahr write Fostatni_nahr;
    property nocni: Integer read Fnocni write Fnocni;
    property saldo_prescas: Integer read Fsaldo_prescas write Fsaldo_prescas;
    property verze: string read Fverze write Fverze;
    property cas_vypoctu: Nullable<TDateTime> read Fcas_vypoctu write Fcas_vypoctu;
    property user: string read Fuser write Fuser;
    property verze_id: Integer read Fverze_id write Fverze_id;
    property karantena: Integer read Fkarantena write Fkarantena;
    property smena_id: Integer read Fsmena_id write Fsmena_id;
    property odpracovano_prestavka: Integer read Fodpracovano_prestavka write Fodpracovano_prestavka;
    property odpracovano_na_zakazku: Integer read Fodpracovano_na_zakazku write Fodpracovano_na_zakazku;
    property odpracovano_bez_zakazky: Integer read Fodpracovano_bez_zakazky write Fodpracovano_bez_zakazky;
    property odpracovano_Rezie: Integer read Fodpracovano_Rezie write Fodpracovano_Rezie;
    property odpracovano_ostatni: Integer read Fodpracovano_ostatni write Fodpracovano_ostatni;
    property propustka_bez: Integer read Fpropustka_bez write Fpropustka_bez;
    property prekazka_zamestnanec_s: Integer read Fprekazka_zamestnanec_s write Fprekazka_zamestnanec_s;
    property prekazka_zamestnanec_bez: Integer read Fprekazka_zamestnanec_bez write Fprekazka_zamestnanec_bez;
    property prekazka_pocasi: Integer read Fprekazka_pocasi write Fprekazka_pocasi;
    property prekazka_nezamestnanost: Integer read Fprekazka_nezamestnanost write Fprekazka_nezamestnanost;
    property prekazka_ostatni: Integer read Fprekazka_ostatni write Fprekazka_ostatni;
    property prescas_fond: Integer read Fprescas_fond write Fprescas_fond;
    property prescas_proplatit: Integer read Fprescas_proplatit write Fprescas_proplatit;
    property prescas_proplatit_fond: Integer read Fprescas_proplatit_fond write Fprescas_proplatit_fond;
    property zamceno: Integer read Fzamceno write Fzamceno;
    property odpoledni: Integer read Fodpoledni write Fodpoledni;
    property nadpracovani: Integer read Fnadpracovani write Fnadpracovani;
    property user_zmena: string read Fuser_zmena write Fuser_zmena;
    property ts_zmena: TDateTime read Fts_zmena write Fts_zmena;
    property user_zamceno: string read Fuser_zamceno write Fuser_zamceno;
    property ts_zamceno: TDateTime read Fts_zamceno write Fts_zamceno;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdochazka }

constructor Tdochazka.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdochazka.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdochazka);

end.
