unit uTdochazka_mirror;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdochazka_mirror = class;
  
  [Entity]
  [Table('dochazka_mirror')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdochazka_mirror = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('dovolena', [TColumnProp.Required])]
    Fdovolena: Integer;
    
    [Column('nemoc', [TColumnProp.Required])]
    Fnemoc: Integer;
    
    [Column('ostatni', [TColumnProp.Required])]
    Fostatni: Integer;
    
    [Column('svatek', [TColumnProp.Required])]
    Fsvatek: Integer;
    
    [Column('propustka', [TColumnProp.Required])]
    Fpropustka: Integer;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('fond', [TColumnProp.Required])]
    Ffond: Integer;
    
    [Column('placeno', [TColumnProp.Required])]
    Fplaceno: Integer;
    
    [Column('neodpracovano', [TColumnProp.Required])]
    Fneodpracovano: Integer;
    
    [Column('prescas', [TColumnProp.Required])]
    Fprescas: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('real_odprac', [TColumnProp.Required])]
    Freal_odprac: Integer;
    
    [Column('smena', [TColumnProp.Required], 25)]
    Fsmena: string;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('ostatni_korekce', [TColumnProp.Required])]
    Fostatni_korekce: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('nahrvolno', [TColumnProp.Required])]
    Fnahrvolno: Integer;
    
    [Column('ocr', [TColumnProp.Required])]
    Focr: Integer;
    
    [Column('prestavka', [TColumnProp.Required])]
    Fprestavka: Integer;
    
    [Column('vikend', [TColumnProp.Required])]
    Fvikend: Integer;
    
    [Column('placvolno', [TColumnProp.Required])]
    Fplacvolno: Integer;
    
    [Column('absence', [TColumnProp.Required])]
    Fabsence: Integer;
    
    [Column('svatek_nahr', [TColumnProp.Required])]
    Fsvatek_nahr: Integer;
    
    [Column('prostoj', [TColumnProp.Required])]
    Fprostoj: Integer;
    
    [Column('neplac_volno', [TColumnProp.Required])]
    Fneplac_volno: Integer;
    
    [Column('ostatni_nahr', [TColumnProp.Required])]
    Fostatni_nahr: Integer;
    
    [Column('nocni', [TColumnProp.Required])]
    Fnocni: Integer;
    
    [Column('saldo_prescas', [TColumnProp.Required])]
    Fsaldo_prescas: Integer;
    
    [Column('verze', [TColumnProp.Required], 20)]
    Fverze: string;
    
    [Column('cas_vypoctu', [])]
    Fcas_vypoctu: Nullable<TDateTime>;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property dovolena: Integer read Fdovolena write Fdovolena;
    property nemoc: Integer read Fnemoc write Fnemoc;
    property ostatni: Integer read Fostatni write Fostatni;
    property svatek: Integer read Fsvatek write Fsvatek;
    property propustka: Integer read Fpropustka write Fpropustka;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property fond: Integer read Ffond write Ffond;
    property placeno: Integer read Fplaceno write Fplaceno;
    property neodpracovano: Integer read Fneodpracovano write Fneodpracovano;
    property prescas: Integer read Fprescas write Fprescas;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property real_odprac: Integer read Freal_odprac write Freal_odprac;
    property smena: string read Fsmena write Fsmena;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property ostatni_korekce: Integer read Fostatni_korekce write Fostatni_korekce;
    property note: TBlob read Fnote write Fnote;
    property nahrvolno: Integer read Fnahrvolno write Fnahrvolno;
    property ocr: Integer read Focr write Focr;
    property prestavka: Integer read Fprestavka write Fprestavka;
    property vikend: Integer read Fvikend write Fvikend;
    property placvolno: Integer read Fplacvolno write Fplacvolno;
    property absence: Integer read Fabsence write Fabsence;
    property svatek_nahr: Integer read Fsvatek_nahr write Fsvatek_nahr;
    property prostoj: Integer read Fprostoj write Fprostoj;
    property neplac_volno: Integer read Fneplac_volno write Fneplac_volno;
    property ostatni_nahr: Integer read Fostatni_nahr write Fostatni_nahr;
    property nocni: Integer read Fnocni write Fnocni;
    property saldo_prescas: Integer read Fsaldo_prescas write Fsaldo_prescas;
    property verze: string read Fverze write Fverze;
    property cas_vypoctu: Nullable<TDateTime> read Fcas_vypoctu write Fcas_vypoctu;
    property user: string read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdochazka_mirror }

constructor Tdochazka_mirror.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdochazka_mirror.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdochazka_mirror);

end.
