unit uTdochazka_typy_operaci;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdochazka_typy_operaci = class;
  
  [Entity]
  [Table('dochazka_typy_operaci')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdochazka_typy_operaci = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('barva', [TColumnProp.Required])]
    Fbarva: Integer;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    
    [Column('seznam_operaci', [TColumnProp.Required], 200)]
    Fseznam_operaci: string;
    
    [Column('graf', [TColumnProp.Required])]
    Fgraf: Integer;
    
    [Column('sloupec', [TColumnProp.Required], 50)]
    Fsloupec: string;
    
    [Column('system', [TColumnProp.Required])]
    Fsystem: Integer;
    
    [Column('active', [TColumnProp.Required])]
    Factive: Integer;
    
    [Column('seznam_skupin', [TColumnProp.Required], 200)]
    Fseznam_skupin: string;
    
    [Column('vazba_na_zakazku', [TColumnProp.Required])]
    Fvazba_na_zakazku: Integer;
    
    [Column('negenerovat_prichod_odchod', [TColumnProp.Required])]
    Fnegenerovat_prichod_odchod: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('nutnost_zadosti', [TColumnProp.Required])]
    Fnutnost_zadosti: Integer;
    
    [Column('vterinova_zadost', [TColumnProp.Required])]
    Fvterinova_zadost: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property barva: Integer read Fbarva write Fbarva;
    property priorita: Integer read Fpriorita write Fpriorita;
    property seznam_operaci: string read Fseznam_operaci write Fseznam_operaci;
    property graf: Integer read Fgraf write Fgraf;
    property sloupec: string read Fsloupec write Fsloupec;
    property system: Integer read Fsystem write Fsystem;
    property active: Integer read Factive write Factive;
    property seznam_skupin: string read Fseznam_skupin write Fseznam_skupin;
    property vazba_na_zakazku: Integer read Fvazba_na_zakazku write Fvazba_na_zakazku;
    property negenerovat_prichod_odchod: Integer read Fnegenerovat_prichod_odchod write Fnegenerovat_prichod_odchod;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property nutnost_zadosti: Integer read Fnutnost_zadosti write Fnutnost_zadosti;
    property vterinova_zadost: Integer read Fvterinova_zadost write Fvterinova_zadost;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdochazka_typy_operaci }

constructor Tdochazka_typy_operaci.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdochazka_typy_operaci.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdochazka_typy_operaci);

end.
