unit uTdochazka_verze;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdochazka_verze = class;
  
  [Entity]
  [Table('dochazka_verze')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdochazka_verze = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('editovat', [TColumnProp.Required])]
    Feditovat: Integer;
    
    [Column('active', [TColumnProp.Required])]
    Factive: Integer;
    
    [Column('vychozi', [TColumnProp.Required])]
    Fvychozi: Integer;
    
    [Column('barva', [TColumnProp.Required])]
    Fbarva: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property editovat: Integer read Feditovat write Feditovat;
    property active: Integer read Factive write Factive;
    property vychozi: Integer read Fvychozi write Fvychozi;
    property barva: Integer read Fbarva write Fbarva;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdochazka_verze }

constructor Tdochazka_verze.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdochazka_verze.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdochazka_verze);

end.
