unit uTdodaci_listy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdodaci_listy = class;
  
  [Entity]
  [Table('dodaci_listy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdodaci_listy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('vystaveno', [TColumnProp.Required])]
    Fvystaveno: TDateTime;
    
    [Column('code', [TColumnProp.Required], 25)]
    Fcode: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    
    [Column('userCode', [TColumnProp.Required], 100)]
    FuserCode: string;
    
    [Column('zpusobDopravy', [TColumnProp.Required], 100)]
    FzpusobDopravy: string;
    
    [Column('hmotnostCelkem', [TColumnProp.Required], 15, 3)]
    FhmotnostCelkem: Double;
    
    [Column('balikyPocet', [TColumnProp.Required])]
    FbalikyPocet: Integer;
    
    [Column('balikyObjem', [TColumnProp.Required], 15, 3)]
    FbalikyObjem: Double;
    
    [Column('kurzHodnota', [TColumnProp.Required], 15, 4)]
    FkurzHodnota: Double;
    
    [Column('kurzDatum', [TColumnProp.Required])]
    FkurzDatum: TDateTime;
    
    [Column('dodaciadresa', [TColumnProp.Required])]
    Fdodaciadresa: Integer;
    
    [Column('cisloFaktury', [TColumnProp.Required], 100)]
    FcisloFaktury: string;
    
    [Column('stavDL', [TColumnProp.Required])]
    FstavDL: Integer;
    
    [Column('splatnostDni', [TColumnProp.Required])]
    FsplatnostDni: Integer;
    
    [Column('splatnostDatum', [TColumnProp.Required])]
    FsplatnostDatum: TDateTime;
    
    [Column('zpusob_platby', [TColumnProp.Required])]
    Fzpusob_platby: Integer;
    
    [Column('stavdokladu', [TColumnProp.Required])]
    Fstavdokladu: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property user: string read Fuser write Fuser;
    property vystaveno: TDateTime read Fvystaveno write Fvystaveno;
    property code: string read Fcode write Fcode;
    property note: TBlob read Fnote write Fnote;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property userCode: string read FuserCode write FuserCode;
    property zpusobDopravy: string read FzpusobDopravy write FzpusobDopravy;
    property hmotnostCelkem: Double read FhmotnostCelkem write FhmotnostCelkem;
    property balikyPocet: Integer read FbalikyPocet write FbalikyPocet;
    property balikyObjem: Double read FbalikyObjem write FbalikyObjem;
    property kurzHodnota: Double read FkurzHodnota write FkurzHodnota;
    property kurzDatum: TDateTime read FkurzDatum write FkurzDatum;
    property dodaciadresa: Integer read Fdodaciadresa write Fdodaciadresa;
    property cisloFaktury: string read FcisloFaktury write FcisloFaktury;
    property stavDL: Integer read FstavDL write FstavDL;
    property splatnostDni: Integer read FsplatnostDni write FsplatnostDni;
    property splatnostDatum: TDateTime read FsplatnostDatum write FsplatnostDatum;
    property zpusob_platby: Integer read Fzpusob_platby write Fzpusob_platby;
    property stavdokladu: Integer read Fstavdokladu write Fstavdokladu;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdodaci_listy }

constructor Tdodaci_listy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdodaci_listy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdodaci_listy);

end.
