unit uTdodaci_listy_polozky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdodaci_listy_polozky = class;
  
  [Entity]
  [Table('dodaci_listy_polozky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdodaci_listy_polozky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('kusu', [TColumnProp.Required], 15, 3)]
    Fkusu: Double;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('unit_price', [TColumnProp.Required], 15, 4)]
    Funit_price: Double;
    
    [Column('prevod_mat_id', [TColumnProp.Required])]
    Fprevod_mat_id: Integer;
    
    [Column('material_id', [TColumnProp.Required], 25)]
    Fmaterial_id: string;
    
    [Column('polozka_prijate_objednavky_id', [TColumnProp.Required])]
    Fpolozka_prijate_objednavky_id: Integer;
    
    [Column('dodaci_list_id', [TColumnProp.Required])]
    Fdodaci_list_id: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('vydej_id', [TColumnProp.Required])]
    Fvydej_id: Integer;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    
    [Column('serial_id', [])]
    Fserial_id: Nullable<Integer>;
    
    [Column('zpracovano', [TColumnProp.Required])]
    Fzpracovano: Integer;
    
    [Column('intrastatcode', [TColumnProp.Required], 100)]
    Fintrastatcode: string;
    
    [Column('pripravaVyrobyCheck', [TColumnProp.Required])]
    FpripravaVyrobyCheck: Integer;
    
    [Column('pripravaVyroby', [TColumnProp.Required], 15, 4)]
    FpripravaVyroby: Double;
    
    [Column('pripravaPredlohyCheck', [TColumnProp.Required])]
    FpripravaPredlohyCheck: Integer;
    
    [Column('pripravaPredlohy', [TColumnProp.Required], 15, 4)]
    FpripravaPredlohy: Double;
    
    [Column('ineCheck', [TColumnProp.Required])]
    FineCheck: Integer;
    
    [Column('ine', [TColumnProp.Required], 15, 4)]
    Fine: Double;
    
    [Column('hmotnostPolozky', [TColumnProp.Required], 15, 4)]
    FhmotnostPolozky: Double;
    
    [Column('dodaciAdresa', [TColumnProp.Required])]
    FdodaciAdresa: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property kusu: Double read Fkusu write Fkusu;
    property order_id: string read Forder_id write Forder_id;
    property unit_price: Double read Funit_price write Funit_price;
    property prevod_mat_id: Integer read Fprevod_mat_id write Fprevod_mat_id;
    property material_id: string read Fmaterial_id write Fmaterial_id;
    property polozka_prijate_objednavky_id: Integer read Fpolozka_prijate_objednavky_id write Fpolozka_prijate_objednavky_id;
    property dodaci_list_id: Integer read Fdodaci_list_id write Fdodaci_list_id;
    property note: TBlob read Fnote write Fnote;
    property vydej_id: Integer read Fvydej_id write Fvydej_id;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property serial_id: Nullable<Integer> read Fserial_id write Fserial_id;
    property zpracovano: Integer read Fzpracovano write Fzpracovano;
    property intrastatcode: string read Fintrastatcode write Fintrastatcode;
    property pripravaVyrobyCheck: Integer read FpripravaVyrobyCheck write FpripravaVyrobyCheck;
    property pripravaVyroby: Double read FpripravaVyroby write FpripravaVyroby;
    property pripravaPredlohyCheck: Integer read FpripravaPredlohyCheck write FpripravaPredlohyCheck;
    property pripravaPredlohy: Double read FpripravaPredlohy write FpripravaPredlohy;
    property ineCheck: Integer read FineCheck write FineCheck;
    property ine: Double read Fine write Fine;
    property hmotnostPolozky: Double read FhmotnostPolozky write FhmotnostPolozky;
    property dodaciAdresa: Integer read FdodaciAdresa write FdodaciAdresa;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdodaci_listy_polozky }

constructor Tdodaci_listy_polozky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdodaci_listy_polozky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdodaci_listy_polozky);

end.
