unit uTdoklady_status_log;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tdoklady_status_log = class;
  
  [Entity]
  [Table('doklady_status_log')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tdoklady_status_log = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('tablename', [TColumnProp.Required], 100)]
    Ftablename: string;
    
    [Column('doklad_id', [TColumnProp.Required], 255)]
    Fdoklad_id: string;
    
    [Column('status', [TColumnProp.Required], 255)]
    Fstatus: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property tablename: string read Ftablename write Ftablename;
    property doklad_id: string read Fdoklad_id write Fdoklad_id;
    property status: string read Fstatus write Fstatus;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tdoklady_status_log }

constructor Tdoklady_status_log.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tdoklady_status_log.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tdoklady_status_log);

end.
