unit uTep_resource_plan_default;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tep_resource_plan_default = class;
  
  [Entity]
  [Table('ep_resource_plan_default')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tep_resource_plan_default = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('Resource_id', [TColumnProp.Required])]
    FResource_id: Int64;
    
    [Column('ep_resource_plan_typ_id', [TColumnProp.Required])]
    Fep_resource_plan_typ_id: Integer;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('hodin', [TColumnProp.Required], 11, 3)]
    Fhodin: Double;
    
    [Column('note', [TColumnProp.Required], 200)]
    Fnote: string;
    
    [Column('dayofweek', [TColumnProp.Required])]
    Fdayofweek: Integer;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property Resource_id: Int64 read FResource_id write FResource_id;
    property ep_resource_plan_typ_id: Integer read Fep_resource_plan_typ_id write Fep_resource_plan_typ_id;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property hodin: Double read Fhodin write Fhodin;
    property note: string read Fnote write Fnote;
    property dayofweek: Integer read Fdayofweek write Fdayofweek;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tep_resource_plan_default }

constructor Tep_resource_plan_default.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tep_resource_plan_default.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tep_resource_plan_default);

end.
