unit uTep_simulace;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tep_simulace = class;
  
  [Entity]
  [Table('ep_simulace')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tep_simulace = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('note', [TColumnProp.Required], 200)]
    Fnote: string;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property nazev: string read Fnazev write Fnazev;
    property note: string read Fnote write Fnote;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tep_simulace }

constructor Tep_simulace.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tep_simulace.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tep_simulace);

end.
