unit uTep_simulace_c_order;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tep_simulace_c_order = class;
  
  [Entity]
  [Table('ep_simulace_c_order')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tep_simulace_c_order = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('order_id', [TColumnProp.Required])]
    Forder_id: Int64;
    
    [Column('ep_simulace_id', [TColumnProp.Required])]
    Fep_simulace_id: Integer;
    
    [Column('ep_typ_planu_ID', [TColumnProp.Required])]
    Fep_typ_planu_ID: Integer;
    
    [Column('start_req', [TColumnProp.Required])]
    Fstart_req: TDateTime;
    
    [Column('finish_req', [TColumnProp.Required])]
    Ffinish_req: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property order_id: Int64 read Forder_id write Forder_id;
    property ep_simulace_id: Integer read Fep_simulace_id write Fep_simulace_id;
    property ep_typ_planu_ID: Integer read Fep_typ_planu_ID write Fep_typ_planu_ID;
    property start_req: TDateTime read Fstart_req write Fstart_req;
    property finish_req: TDateTime read Ffinish_req write Ffinish_req;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tep_simulace_c_order }

constructor Tep_simulace_c_order.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tep_simulace_c_order.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tep_simulace_c_order);

end.
