unit uTep_typ_planu;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tep_typ_planu = class;
  
  [Entity]
  [Table('ep_typ_planu')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tep_typ_planu = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('smer', [TColumnProp.Required])]
    Fsmer: Integer;
    
    [Column('fixace', [TColumnProp.Required])]
    Ffixace: Integer;
    
    [Column('color', [TColumnProp.Required])]
    Fcolor: Integer;
    
    [Column('aktivni', [TColumnProp.Required])]
    Faktivni: Integer;
    
    [Column('note', [TColumnProp.Required], 1000)]
    Fnote: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property smer: Integer read Fsmer write Fsmer;
    property fixace: Integer read Ffixace write Ffixace;
    property color: Integer read Fcolor write Fcolor;
    property aktivni: Integer read Faktivni write Faktivni;
    property note: string read Fnote write Fnote;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tep_typ_planu }

constructor Tep_typ_planu.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tep_typ_planu.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tep_typ_planu);

end.
