unit uTfaktury;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tfaktury = class;
  
  [Entity]
  [Table('faktury')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tfaktury = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('cislo', [TColumnProp.Required], 50)]
    Fcislo: string;
    
    [Column('popis', [TColumnProp.Required], 200)]
    Fpopis: string;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    
    [Column('castka', [TColumnProp.Required], 15, 2)]
    Fcastka: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('datum_platby', [TColumnProp.Required])]
    Fdatum_platby: TDateTime;
    
    [Column('castka_dph', [TColumnProp.Required], 15, 2)]
    Fcastka_dph: Double;
    
    [Column('sazba_dph', [TColumnProp.Required], 5, 2)]
    Fsazba_dph: Double;
    
    [Column('use_zaklad', [TColumnProp.Required])]
    Fuse_zaklad: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property cislo: string read Fcislo write Fcislo;
    property popis: string read Fpopis write Fpopis;
    property datum: TDateTime read Fdatum write Fdatum;
    property castka: Double read Fcastka write Fcastka;
    property user: string read Fuser write Fuser;
    property datum_platby: TDateTime read Fdatum_platby write Fdatum_platby;
    property castka_dph: Double read Fcastka_dph write Fcastka_dph;
    property sazba_dph: Double read Fsazba_dph write Fsazba_dph;
    property use_zaklad: Integer read Fuse_zaklad write Fuse_zaklad;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tfaktury }

constructor Tfaktury.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tfaktury.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tfaktury);

end.
