unit uTform_caption_hook;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tform_caption_hook = class;
  
  [Entity]
  [Table('form_caption_hook')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tform_caption_hook = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('FormName', [], 100)]
    FFormName: Nullable<string>;
    
    [Column('ComponentType', [], 100)]
    FComponentType: Nullable<string>;
    
    [Column('ComponentName', [], 100)]
    FComponentName: Nullable<string>;
    
    [Column('ComponentProperty', [], 100)]
    FComponentProperty: Nullable<string>;
    
    [Column('Value', [], 100)]
    FValue: Nullable<string>;
    
    [Column('Language', [], 100)]
    FLanguage: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property FormName: Nullable<string> read FFormName write FFormName;
    property ComponentType: Nullable<string> read FComponentType write FComponentType;
    property ComponentName: Nullable<string> read FComponentName write FComponentName;
    property ComponentProperty: Nullable<string> read FComponentProperty write FComponentProperty;
    property Value: Nullable<string> read FValue write FValue;
    property Language: Nullable<string> read FLanguage write FLanguage;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tform_caption_hook }

constructor Tform_caption_hook.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tform_caption_hook.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tform_caption_hook);

end.
