unit uTformy_skupina;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tformy_skupina = class;
  
  [Entity]
  [Table('formy_skupina')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tformy_skupina = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 255)]
    Fname: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tformy_skupina }

constructor Tformy_skupina.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tformy_skupina.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tformy_skupina);

end.
