unit uTgdpr_fields;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tgdpr_fields = class;
  
  [Entity]
  [Table('gdpr_fields')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tgdpr_fields = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('table_name', [], 100)]
    Ftable_name: Nullable<string>;
    
    [Column('field_name', [], 100)]
    Ffield_name: Nullable<string>;
    
    [Column('description', [], 150)]
    Fdescription: Nullable<string>;
    
    [Column('selected', [])]
    Fselected: Nullable<Integer>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property table_name: Nullable<string> read Ftable_name write Ftable_name;
    property field_name: Nullable<string> read Ffield_name write Ffield_name;
    property description: Nullable<string> read Fdescription write Fdescription;
    property selected: Nullable<Integer> read Fselected write Fselected;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tgdpr_fields }

constructor Tgdpr_fields.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tgdpr_fields.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tgdpr_fields);

end.
