unit uTgdpr_logs;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tgdpr_logs = class;
  
  [Entity]
  [Table('gdpr_logs')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tgdpr_logs = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('time_stamp', [TColumnProp.Required])]
    Ftime_stamp: TDateTime;
    
    [Column('table_name', [], 100)]
    Ftable_name: Nullable<string>;
    
    [Column('field_name', [], 100)]
    Ffield_name: Nullable<string>;
    
    [Column('description', [], 150)]
    Fdescription: Nullable<string>;
    
    [Column('oldvalue', [], 255)]
    Foldvalue: Nullable<string>;
    
    [Column('newvalue', [], 255)]
    Fnewvalue: Nullable<string>;
    
    [Column('username', [], 50)]
    Fusername: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property time_stamp: TDateTime read Ftime_stamp write Ftime_stamp;
    property table_name: Nullable<string> read Ftable_name write Ftable_name;
    property field_name: Nullable<string> read Ffield_name write Ffield_name;
    property description: Nullable<string> read Fdescription write Fdescription;
    property oldvalue: Nullable<string> read Foldvalue write Foldvalue;
    property newvalue: Nullable<string> read Fnewvalue write Fnewvalue;
    property username: Nullable<string> read Fusername write Fusername;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tgdpr_logs }

constructor Tgdpr_logs.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tgdpr_logs.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tgdpr_logs);

end.
