unit uTgdpr_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tgdpr_settings = class;
  
  [Entity]
  [Table('gdpr_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tgdpr_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('aktivni', [TColumnProp.Required])]
    Faktivni: Integer;
    
    [Column('dny_keep_zakaznik', [TColumnProp.Required])]
    Fdny_keep_zakaznik: Integer;
    
    [Column('dny_keep_zamestnanec', [TColumnProp.Required])]
    Fdny_keep_zamestnanec: Integer;
    
    [Column('dny_keep_auditlog', [TColumnProp.Required])]
    Fdny_keep_auditlog: Integer;
    
    [Column('dny_keep_systemlog', [TColumnProp.Required])]
    Fdny_keep_systemlog: Integer;
    
    [Column('dny_keep_printlog', [TColumnProp.Required])]
    Fdny_keep_printlog: Integer;
    
    [Column('dny_keep_otherlogs', [TColumnProp.Required])]
    Fdny_keep_otherlogs: Integer;
    
    [Column('zablok_prihlas', [TColumnProp.Required])]
    Fzablok_prihlas: Integer;
    
    [Column('zablok_prihlas_pocet', [TColumnProp.Required])]
    Fzablok_prihlas_pocet: Integer;
    
    [Column('zablok_prihlas_mail', [TColumnProp.Required])]
    Fzablok_prihlas_mail: Integer;
    
    [Column('zablok_prihlas_server', [TColumnProp.Required], 128)]
    Fzablok_prihlas_server: string;
    
    [Column('zablok_prihlas_user', [TColumnProp.Required], 128)]
    Fzablok_prihlas_user: string;
    
    [Column('zablok_prihlas_password', [TColumnProp.Required], 256)]
    Fzablok_prihlas_password: string;
    
    [Column('heslo_vyzadovat_min_delku', [TColumnProp.Required])]
    Fheslo_vyzadovat_min_delku: Integer;
    
    [Column('heslo_min_delka', [TColumnProp.Required])]
    Fheslo_min_delka: Integer;
    
    [Column('heslo_jine_nez_user', [TColumnProp.Required])]
    Fheslo_jine_nez_user: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property aktivni: Integer read Faktivni write Faktivni;
    property dny_keep_zakaznik: Integer read Fdny_keep_zakaznik write Fdny_keep_zakaznik;
    property dny_keep_zamestnanec: Integer read Fdny_keep_zamestnanec write Fdny_keep_zamestnanec;
    property dny_keep_auditlog: Integer read Fdny_keep_auditlog write Fdny_keep_auditlog;
    property dny_keep_systemlog: Integer read Fdny_keep_systemlog write Fdny_keep_systemlog;
    property dny_keep_printlog: Integer read Fdny_keep_printlog write Fdny_keep_printlog;
    property dny_keep_otherlogs: Integer read Fdny_keep_otherlogs write Fdny_keep_otherlogs;
    property zablok_prihlas: Integer read Fzablok_prihlas write Fzablok_prihlas;
    property zablok_prihlas_pocet: Integer read Fzablok_prihlas_pocet write Fzablok_prihlas_pocet;
    property zablok_prihlas_mail: Integer read Fzablok_prihlas_mail write Fzablok_prihlas_mail;
    property zablok_prihlas_server: string read Fzablok_prihlas_server write Fzablok_prihlas_server;
    property zablok_prihlas_user: string read Fzablok_prihlas_user write Fzablok_prihlas_user;
    property zablok_prihlas_password: string read Fzablok_prihlas_password write Fzablok_prihlas_password;
    property heslo_vyzadovat_min_delku: Integer read Fheslo_vyzadovat_min_delku write Fheslo_vyzadovat_min_delku;
    property heslo_min_delka: Integer read Fheslo_min_delka write Fheslo_min_delka;
    property heslo_jine_nez_user: Integer read Fheslo_jine_nez_user write Fheslo_jine_nez_user;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tgdpr_settings }

constructor Tgdpr_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tgdpr_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tgdpr_settings);

end.
