unit uTglobal_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tglobal_settings = class;
  
  [Entity]
  [Table('global_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tglobal_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('vyber_prijemky', [TColumnProp.Required])]
    Fvyber_prijemky: Integer;
    
    [Column('komentar_do_predpokladmat', [TColumnProp.Required])]
    Fkomentar_do_predpokladmat: Integer;
    
    [Column('ukony_komentar_ukonu', [TColumnProp.Required])]
    Fukony_komentar_ukonu: Integer;
    
    [Column('slozka_fotky', [TColumnProp.Required], 128)]
    Fslozka_fotky: string;
    
    [Column('use_importmoney', [TColumnProp.Required])]
    Fuse_importmoney: Integer;
    
    [Column('slozka_money', [TColumnProp.Required], 128)]
    Fslozka_money: string;
    
    [Column('initdir_skladmatedit', [TColumnProp.Required], 255)]
    Finitdir_skladmatedit: string;
    
    [Column('initdir_prijemka', [TColumnProp.Required], 255)]
    Finitdir_prijemka: string;
    
    [Column('initdir_dokument', [TColumnProp.Required], 255)]
    Finitdir_dokument: string;
    
    [Column('nazevprijemky_dle_souboru', [TColumnProp.Required])]
    Fnazevprijemky_dle_souboru: Integer;
    
    [Column('order_ciselnavolitelna1_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna1_popis: string;
    
    [Column('order_ciselnavolitelna2_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna2_popis: string;
    
    [Column('wc_pauza_barid', [TColumnProp.Required], 64)]
    Fwc_pauza_barid: string;
    
    [Column('wc_pauza_limit', [TColumnProp.Required])]
    Fwc_pauza_limit: Integer;
    
    [Column('zakazky_kod_nazev', [TColumnProp.Required])]
    Fzakazky_kod_nazev: Integer;
    
    [Column('vyskladnovat_s_pevnou_cenou', [TColumnProp.Required])]
    Fvyskladnovat_s_pevnou_cenou: Integer;
    
    [Column('defaultni_marze', [TColumnProp.Required])]
    Fdefaultni_marze: Integer;
    
    [Column('dochazka_typ', [TColumnProp.Required])]
    Fdochazka_typ: Integer;
    
    [Column('dochazka_zaokrouhlovat_na', [TColumnProp.Required])]
    Fdochazka_zaokrouhlovat_na: Integer;
    
    [Column('dochazka_sumy_ve_dnech', [TColumnProp.Required])]
    Fdochazka_sumy_ve_dnech: Integer;
    
    [Column('dochazka_rozpoznavat_smeny', [TColumnProp.Required])]
    Fdochazka_rozpoznavat_smeny: Integer;
    
    [Column('zauctovano_zakazky_stav', [TColumnProp.Required])]
    Fzauctovano_zakazky_stav: Integer;
    
    [Column('money_vychozi_stav_id', [TColumnProp.Required])]
    Fmoney_vychozi_stav_id: Integer;
    
    [Column('vychozi_typ_ceny_ukonu', [TColumnProp.Required])]
    Fvychozi_typ_ceny_ukonu: Integer;
    
    [Column('zak_bez_marze', [TColumnProp.Required])]
    Fzak_bez_marze: Integer;
    
    [Column('users_columns', [TColumnProp.Required])]
    Fusers_columns: Integer;
    
    [Column('faktura_zakazky_stav_1', [TColumnProp.Required])]
    Ffaktura_zakazky_stav_1: Integer;
    
    [Column('faktura_zakazky_stav_2', [TColumnProp.Required])]
    Ffaktura_zakazky_stav_2: Integer;
    
    [Column('probiha_klon', [TColumnProp.Required])]
    Fprobiha_klon: Integer;
    
    [Column('delit_dochazku', [TColumnProp.Required])]
    Fdelit_dochazku: Integer;
    
    [Column('print_podpis', [TColumnProp.Required], 255)]
    Fprint_podpis: string;
    
    [Column('use_dph', [TColumnProp.Required])]
    Fuse_dph: Integer;
    
    [Column('one_prijm_for_obj', [TColumnProp.Required])]
    Fone_prijm_for_obj: Integer;
    
    [Column('edt_smr_from_ord', [TColumnProp.Required])]
    Fedt_smr_from_ord: Integer;
    
    [Column('ord_ins_nonsklad', [TColumnProp.Required])]
    Ford_ins_nonsklad: Integer;
    
    [Column('ord_sum_uprice', [TColumnProp.Required])]
    Ford_sum_uprice: Integer;
    
    [Column('ocr_bar_id', [TColumnProp.Required], 64)]
    Focr_bar_id: string;
    
    [Column('ord_only_work_day_left', [TColumnProp.Required])]
    Ford_only_work_day_left: Integer;
    
    [Column('def_pay_fak', [TColumnProp.Required])]
    Fdef_pay_fak: Integer;
    
    [Column('fr_exportdir', [TColumnProp.Required], 256)]
    Ffr_exportdir: string;
    
    [Column('fr_savestyl', [TColumnProp.Required])]
    Ffr_savestyl: Integer;
    
    [Column('ord_iq_filtr_rd', [TColumnProp.Required])]
    Ford_iq_filtr_rd: Integer;
    
    [Column('doch_no_comm', [TColumnProp.Required])]
    Fdoch_no_comm: Integer;
    
    [Column('doch_break_round', [TColumnProp.Required])]
    Fdoch_break_round: Integer;
    
    [Column('doch_break_bar_id', [TColumnProp.Required], 50)]
    Fdoch_break_bar_id: string;
    
    [Column('lck_time_use', [TColumnProp.Required])]
    Flck_time_use: Integer;
    
    [Column('ord_show_koop', [TColumnProp.Required])]
    Ford_show_koop: Integer;
    
    [Column('doch_spec_prescas', [TColumnProp.Required])]
    Fdoch_spec_prescas: Integer;
    
    [Column('prijm_noch_edit_price', [TColumnProp.Required])]
    Fprijm_noch_edit_price: Integer;
    
    [Column('WebService_PIN_Auth', [TColumnProp.Required])]
    FWebService_PIN_Auth: Integer;
    
    [Column('vychozi_stav_zakazky', [TColumnProp.Required])]
    Fvychozi_stav_zakazky: Integer;
    
    [Column('prijm_sil_ctecka', [TColumnProp.Required])]
    Fprijm_sil_ctecka: Integer;
    
    [Column('ord_uspora', [TColumnProp.Required])]
    Ford_uspora: Integer;
    
    [Column('doch_neuk_back', [TColumnProp.Required])]
    Fdoch_neuk_back: Integer;
    
    [Column('default_unit', [TColumnProp.Required])]
    Fdefault_unit: Integer;
    
    [Column('cazer_sklad_id', [TColumnProp.Required])]
    Fcazer_sklad_id: Integer;
    
    [Column('use_fastreport', [TColumnProp.Required])]
    Fuse_fastreport: Integer;
    
    [Column('grafickyprehled_refresh', [TColumnProp.Required])]
    Fgrafickyprehled_refresh: Integer;
    
    [Column('zobrazit_cely_sklad', [TColumnProp.Required])]
    Fzobrazit_cely_sklad: Integer;
    
    [Column('import_ext', [TColumnProp.Required])]
    Fimport_ext: Integer;
    
    [Column('import_ext_caption', [TColumnProp.Required], 30)]
    Fimport_ext_caption: string;
    
    [Column('import_ext_exec', [TColumnProp.Required], 150)]
    Fimport_ext_exec: string;
    
    [Column('import_ext_params', [TColumnProp.Required], 150)]
    Fimport_ext_params: string;
    
    [Column('aktualni_stav_novy', [TColumnProp.Required])]
    Faktualni_stav_novy: Integer;
    
    [Column('KontrolaMnozstvi', [TColumnProp.Required])]
    FKontrolaMnozstvi: Integer;
    
    [Column('KontrolaMnozstviOperaceTyp', [TColumnProp.Required])]
    FKontrolaMnozstviOperaceTyp: Integer;
    
    [Column('KontrolaMnozstviOperacePrekroceni', [TColumnProp.Required])]
    FKontrolaMnozstviOperacePrekroceni: Integer;
    
    [Column('KontrolaMnozstviNesmiPrekrocitZakazku', [TColumnProp.Required])]
    FKontrolaMnozstviNesmiPrekrocitZakazku: Integer;
    
    [Column('KontrolaMnozstviOperaceHodnota', [TColumnProp.Required], 8, 0)]
    FKontrolaMnozstviOperaceHodnota: Double;
    
    [Column('url_prefix_image', [TColumnProp.Required], 2048)]
    Furl_prefix_image: string;
    
    [Column('objednavky_prijate_enabled', [TColumnProp.Required])]
    Fobjednavky_prijate_enabled: Integer;
    
    [Column('efektivita_order_work', [TColumnProp.Required])]
    Fefektivita_order_work: Integer;
    
    [Column('limit_zaznamu', [TColumnProp.Required])]
    Flimit_zaznamu: Integer;
    
    [Column('limit_zaznamu_pocet', [TColumnProp.Required])]
    Flimit_zaznamu_pocet: Integer;
    
    [Column('stav_zasob_do_minusu', [TColumnProp.Required])]
    Fstav_zasob_do_minusu: Integer;
    
    [Column('zobrazovat_detail_adres', [TColumnProp.Required])]
    Fzobrazovat_detail_adres: Integer;
    
    [Column('zobrazovat_zbyvajici_cas_readdata', [TColumnProp.Required])]
    Fzobrazovat_zbyvajici_cas_readdata: Integer;
    
    [Column('plac_volno_bar_id', [TColumnProp.Required], 64)]
    Fplac_volno_bar_id: string;
    
    [Column('cazer_sklad_pct', [TColumnProp.Required])]
    Fcazer_sklad_pct: Integer;
    
    [Column('vychozi_jazyk', [TColumnProp.Required], 10)]
    Fvychozi_jazyk: string;
    
    [Column('order_work_priprava_vypocet', [TColumnProp.Required])]
    Forder_work_priprava_vypocet: Integer;
    
    [Column('url_intranet', [TColumnProp.Required], 200)]
    Furl_intranet: string;
    
    [Column('cazer_sklad_pct_montaz', [TColumnProp.Required])]
    Fcazer_sklad_pct_montaz: Integer;
    
    [Column('cazer_sklad_pct_sprava', [TColumnProp.Required])]
    Fcazer_sklad_pct_sprava: Integer;
    
    [Column('orderwork_nove_poradi', [TColumnProp.Required])]
    Forderwork_nove_poradi: Integer;
    
    [Column('orderwork_delete_used', [TColumnProp.Required])]
    Forderwork_delete_used: Integer;
    
    [Column('order_dokonceno_procent_kusy', [TColumnProp.Required])]
    Forder_dokonceno_procent_kusy: Integer;
    
    [Column('CAS_DEF_SKLAD_GROUP_DILY', [TColumnProp.Required], 50)]
    FCAS_DEF_SKLAD_GROUP_DILY: string;
    
    [Column('doch_absence_bar_id', [TColumnProp.Required], 50)]
    Fdoch_absence_bar_id: string;
    
    [Column('operation_pct_up', [TColumnProp.Required])]
    Foperation_pct_up: Integer;
    
    [Column('order_ciselnavolitelna3_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna3_popis: string;
    
    [Column('cas_klon', [TColumnProp.Required])]
    Fcas_klon: TDateTime;
    
    [Column('dl_pocitat_mnozstvi', [TColumnProp.Required])]
    Fdl_pocitat_mnozstvi: Integer;
    
    [Column('dl_vytvorit_vydejku', [TColumnProp.Required])]
    Fdl_vytvorit_vydejku: Integer;
    
    [Column('dl_pocitat_mnozstvi_from', [TColumnProp.Required])]
    Fdl_pocitat_mnozstvi_from: Integer;
    
    [Column('ow_vicenasobne_poradi', [TColumnProp.Required])]
    Fow_vicenasobne_poradi: Integer;
    
    [Column('ow_vicenasobne_only_first', [TColumnProp.Required])]
    Fow_vicenasobne_only_first: Integer;
    
    [Column('koeficienty_dle_skupin', [TColumnProp.Required])]
    Fkoeficienty_dle_skupin: Integer;
    
    [Column('create_dir_order', [TColumnProp.Required])]
    Fcreate_dir_order: Integer;
    
    [Column('create_dir_order_path', [TColumnProp.Required], 255)]
    Fcreate_dir_order_path: string;
    
    [Column('order_ciselnavolitelna4_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna4_popis: string;
    
    [Column('import_ext_dl', [TColumnProp.Required])]
    Fimport_ext_dl: Integer;
    
    [Column('import_ext_dl_caption', [TColumnProp.Required], 30)]
    Fimport_ext_dl_caption: string;
    
    [Column('import_ext_dl_exec', [TColumnProp.Required], 150)]
    Fimport_ext_dl_exec: string;
    
    [Column('import_ext_dl_params', [TColumnProp.Required], 150)]
    Fimport_ext_dl_params: string;
    
    [Column('orderEditCalc', [TColumnProp.Required])]
    ForderEditCalc: Integer;
    
    [Column('orderEditCalcFunctionName', [TColumnProp.Required], 50)]
    ForderEditCalcFunctionName: string;
    
    [Column('orderEditCalcScript', [TColumnProp.Required], 4096)]
    ForderEditCalcScript: string;
    
    [Column('ORDER_PODZAKAZKA_SUFIX_FROM_DEFAULT', [TColumnProp.Required])]
    FORDER_PODZAKAZKA_SUFIX_FROM_DEFAULT: Integer;
    
    [Column('DL_CASTECNE_VYDANE_DO_PODZAKAZKY', [TColumnProp.Required])]
    FDL_CASTECNE_VYDANE_DO_PODZAKAZKY: Integer;
    
    [Column('ORDER_BUTTON_SAVE_RECALCULATE', [TColumnProp.Required])]
    FORDER_BUTTON_SAVE_RECALCULATE: Integer;
    
    [Column('PRINTWORKER_SKUPINY_CHANGE', [TColumnProp.Required])]
    FPRINTWORKER_SKUPINY_CHANGE: Integer;
    
    [Column('OBJEDNAVKY_NESESKUPOVAT_MATERIAL', [TColumnProp.Required])]
    FOBJEDNAVKY_NESESKUPOVAT_MATERIAL: Integer;
    
    [Column('OBJEDNAVKY_PREBIRAT_ZAKAZKU', [TColumnProp.Required])]
    FOBJEDNAVKY_PREBIRAT_ZAKAZKU: Integer;
    
    [Column('create_subdir_order', [TColumnProp.Required])]
    Fcreate_subdir_order: Integer;
    
    [Column('create_subdir_order_path', [TColumnProp.Required], 512)]
    Fcreate_subdir_order_path: string;
    
    [Column('newcolumnselector', [TColumnProp.Required])]
    Fnewcolumnselector: Integer;
    
    [Column('orderstavdirectorychange', [TColumnProp.Required])]
    Forderstavdirectorychange: Integer;
    
    [Column('orderstavdirectorychangepath', [TColumnProp.Required], 200)]
    Forderstavdirectorychangepath: string;
    
    [Column('orderstavdirectorychangeactive', [TColumnProp.Required])]
    Forderstavdirectorychangeactive: Integer;
    
    [Column('skladpouzitvychozipohyby', [TColumnProp.Required])]
    Fskladpouzitvychozipohyby: Integer;
    
    [Column('skladpouzitvychozipohyby_prijemka', [TColumnProp.Required])]
    Fskladpouzitvychozipohyby_prijemka: Integer;
    
    [Column('skladpouzitvychozipohyby_vydejka', [TColumnProp.Required])]
    Fskladpouzitvychozipohyby_vydejka: Integer;
    
    [Column('usetisktable', [TColumnProp.Required])]
    Fusetisktable: Integer;
    
    [Column('orderwork_neprepocitavat_poradi', [TColumnProp.Required])]
    Forderwork_neprepocitavat_poradi: Integer;
    
    [Column('ORDER_SABLONA_VOLITELNE_POLOZKY', [TColumnProp.Required])]
    FORDER_SABLONA_VOLITELNE_POLOZKY: Integer;
    
    [Column('ORDER_SABLONA_TYP_ZAKAZKY', [TColumnProp.Required])]
    FORDER_SABLONA_TYP_ZAKAZKY: Integer;
    
    [Column('ORDER_SABLONA_CAS_MONTAZE', [TColumnProp.Required])]
    FORDER_SABLONA_CAS_MONTAZE: Integer;
    
    [Column('ORDER_SABLONA_KOMENTAR_OBCHODNI', [TColumnProp.Required])]
    FORDER_SABLONA_KOMENTAR_OBCHODNI: Integer;
    
    [Column('ORDER_SABLONA_ROZMERY', [TColumnProp.Required])]
    FORDER_SABLONA_ROZMERY: Integer;
    
    [Column('orderWorkEditCalc', [TColumnProp.Required])]
    ForderWorkEditCalc: Integer;
    
    [Column('orderWorkEditCalcFunctionName', [TColumnProp.Required], 50)]
    ForderWorkEditCalcFunctionName: string;
    
    [Column('orderWorkEditCalcScript', [TColumnProp.Required], 4096)]
    ForderWorkEditCalcScript: string;
    
    [Column('naskladneno_zakazky_stav', [TColumnProp.Required])]
    Fnaskladneno_zakazky_stav: Integer;
    
    [Column('typ_vypoctu_ceny', [TColumnProp.Required])]
    Ftyp_vypoctu_ceny: Integer;
    
    [Column('nova_ukol_mzda', [TColumnProp.Required])]
    Fnova_ukol_mzda: Integer;
    
    [Column('order_prijem_final_vyrobek', [TColumnProp.Required])]
    Forder_prijem_final_vyrobek: Integer;
    
    [Column('order_klon_text', [TColumnProp.Required], 50)]
    Forder_klon_text: string;
    
    [Column('sklad_material_cena_celkem_typ', [TColumnProp.Required])]
    Fsklad_material_cena_celkem_typ: Integer;
    
    [Column('main_form_buttons_show', [TColumnProp.Required])]
    Fmain_form_buttons_show: Integer;
    
    [Column('ORD_INS_NONSKLAD_TYP', [TColumnProp.Required])]
    FORD_INS_NONSKLAD_TYP: Integer;
    
    [Column('DEFAULT_MENA', [TColumnProp.Required], 50)]
    FDEFAULT_MENA: string;
    
    [Column('MENA_ZKRATKA', [TColumnProp.Required], 50)]
    FMENA_ZKRATKA: string;
    
    [Column('CIZI_MENA', [TColumnProp.Required])]
    FCIZI_MENA: Integer;
    
    [Column('SKLAD_MATERIAL_VRATKA_POHYB', [TColumnProp.Required])]
    FSKLAD_MATERIAL_VRATKA_POHYB: Integer;
    
    [Column('DL_CHECK_ORDER_BARID_IN_CODE', [TColumnProp.Required])]
    FDL_CHECK_ORDER_BARID_IN_CODE: Integer;
    
    [Column('dl_zauctovano_zakazky_stav', [TColumnProp.Required])]
    Fdl_zauctovano_zakazky_stav: Integer;
    
    [Column('objednavky_subdodavky_datum', [TColumnProp.Required])]
    Fobjednavky_subdodavky_datum: Integer;
    
    [Column('objednavky_subdodavky_cena', [TColumnProp.Required])]
    Fobjednavky_subdodavky_cena: Integer;
    
    [Column('dl_vytvoreno_zakazky_stav', [TColumnProp.Required])]
    Fdl_vytvoreno_zakazky_stav: Integer;
    
    [Column('useStavyDokladu', [TColumnProp.Required])]
    FuseStavyDokladu: Integer;
    
    [Column('useSkladovePozice', [TColumnProp.Required])]
    FuseSkladovePozice: Integer;
    
    [Column('useSkladoveSkupinyBatchOut', [TColumnProp.Required])]
    FuseSkladoveSkupinyBatchOut: Integer;
    
    [Column('create_subdir_order_add_name', [TColumnProp.Required])]
    Fcreate_subdir_order_add_name: Integer;
    
    [Column('sklad_rozpad_materialu_show', [TColumnProp.Required])]
    Fsklad_rozpad_materialu_show: Integer;
    
    [Column('worker_koeficient_default', [TColumnProp.Required], 15, 3)]
    Fworker_koeficient_default: Double;
    
    [Column('worker_mzda_default', [TColumnProp.Required], 15, 3)]
    Fworker_mzda_default: Double;
    
    [Column('orderedit_typ_vypoctu_visible', [TColumnProp.Required])]
    Forderedit_typ_vypoctu_visible: Integer;
    
    [Column('order_klon_all_operation_planned', [TColumnProp.Required])]
    Forder_klon_all_operation_planned: Integer;
    
    [Column('newsqllike', [TColumnProp.Required])]
    Fnewsqllike: Integer;
    
    [Column('ordercallintranet', [TColumnProp.Required])]
    Fordercallintranet: Integer;
    
    [Column('ordercallintranet_url', [TColumnProp.Required], 500)]
    Fordercallintranet_url: string;
    
    [Column('filterreplacecomma', [TColumnProp.Required])]
    Ffilterreplacecomma: Integer;
    
    [Column('cnc_cena_default', [TColumnProp.Required], 15, 3)]
    Fcnc_cena_default: Double;
    
    [Column('order_sablona_objednavky', [TColumnProp.Required])]
    Forder_sablona_objednavky: Integer;
    
    [Column('worker_use_koeficient2', [TColumnProp.Required])]
    Fworker_use_koeficient2: Integer;
    
    [Column('sklad_material_dodavatele_show', [TColumnProp.Required])]
    Fsklad_material_dodavatele_show: Integer;
    
    [Column('sklad_material_inventury_show', [TColumnProp.Required])]
    Fsklad_material_inventury_show: Integer;
    
    [Column('order_ciselnavolitelna5_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna5_popis: string;
    
    [Column('order_gridCenyCasy', [TColumnProp.Required])]
    Forder_gridCenyCasy: Integer;
    
    [Column('operation_usercode_enabled', [TColumnProp.Required])]
    Foperation_usercode_enabled: Integer;
    
    [Column('order_ciselnavolitelna6_popis', [TColumnProp.Required], 64)]
    Forder_ciselnavolitelna6_popis: string;
    
    [Column('order_subdodavka_prebirat_pocet_mj', [TColumnProp.Required])]
    Forder_subdodavka_prebirat_pocet_mj: Integer;
    
    [Column('orderwork_new_poradi_enabled', [TColumnProp.Required])]
    Forderwork_new_poradi_enabled: Integer;
    
    [Column('right_panel_show_pozice', [TColumnProp.Required])]
    Fright_panel_show_pozice: Integer;
    
    [Column('price_calculate', [TColumnProp.Required])]
    Fprice_calculate: Integer;
    
    [Column('order_rozdel_defskupinastavu', [TColumnProp.Required], 100)]
    Forder_rozdel_defskupinastavu: string;
    
    [Column('mp_vicenasobne', [TColumnProp.Required])]
    Fmp_vicenasobne: Integer;
    
    [Column('use_telemetry', [TColumnProp.Required])]
    Fuse_telemetry: Integer;
    
    [Column('use_poznamka_rtf_format', [TColumnProp.Required])]
    Fuse_poznamka_rtf_format: Integer;
    
    [Column('sklad_material_limit_check', [TColumnProp.Required])]
    Fsklad_material_limit_check: Integer;
    
    [Column('sklad_material_vydejky_header_autocreate', [TColumnProp.Required])]
    Fsklad_material_vydejky_header_autocreate: Integer;
    
    [Column('sklad_material_prijemky_aktualizovat_ceny', [TColumnProp.Required])]
    Fsklad_material_prijemky_aktualizovat_ceny: Integer;
    
    [Column('orderwork_edit_operation_change', [TColumnProp.Required])]
    Forderwork_edit_operation_change: Integer;
    
    [Column('orderwork_edit_operation_change_recalculate', [TColumnProp.Required])]
    Forderwork_edit_operation_change_recalculate: Integer;
    
    [Column('id_skupiny_obedy', [TColumnProp.Required])]
    Fid_skupiny_obedy: Integer;
    
    [Column('dochazka_new', [TColumnProp.Required])]
    Fdochazka_new: Integer;
    
    [Column('orderwork_edit_operation_fix', [TColumnProp.Required])]
    Forderwork_edit_operation_fix: Integer;
    
    [Column('limit_zaznamu_combo_pocet', [TColumnProp.Required])]
    Flimit_zaznamu_combo_pocet: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property vyber_prijemky: Integer read Fvyber_prijemky write Fvyber_prijemky;
    property komentar_do_predpokladmat: Integer read Fkomentar_do_predpokladmat write Fkomentar_do_predpokladmat;
    property ukony_komentar_ukonu: Integer read Fukony_komentar_ukonu write Fukony_komentar_ukonu;
    property slozka_fotky: string read Fslozka_fotky write Fslozka_fotky;
    property use_importmoney: Integer read Fuse_importmoney write Fuse_importmoney;
    property slozka_money: string read Fslozka_money write Fslozka_money;
    property initdir_skladmatedit: string read Finitdir_skladmatedit write Finitdir_skladmatedit;
    property initdir_prijemka: string read Finitdir_prijemka write Finitdir_prijemka;
    property initdir_dokument: string read Finitdir_dokument write Finitdir_dokument;
    property nazevprijemky_dle_souboru: Integer read Fnazevprijemky_dle_souboru write Fnazevprijemky_dle_souboru;
    property order_ciselnavolitelna1_popis: string read Forder_ciselnavolitelna1_popis write Forder_ciselnavolitelna1_popis;
    property order_ciselnavolitelna2_popis: string read Forder_ciselnavolitelna2_popis write Forder_ciselnavolitelna2_popis;
    property wc_pauza_barid: string read Fwc_pauza_barid write Fwc_pauza_barid;
    property wc_pauza_limit: Integer read Fwc_pauza_limit write Fwc_pauza_limit;
    property zakazky_kod_nazev: Integer read Fzakazky_kod_nazev write Fzakazky_kod_nazev;
    property vyskladnovat_s_pevnou_cenou: Integer read Fvyskladnovat_s_pevnou_cenou write Fvyskladnovat_s_pevnou_cenou;
    property defaultni_marze: Integer read Fdefaultni_marze write Fdefaultni_marze;
    property dochazka_typ: Integer read Fdochazka_typ write Fdochazka_typ;
    property dochazka_zaokrouhlovat_na: Integer read Fdochazka_zaokrouhlovat_na write Fdochazka_zaokrouhlovat_na;
    property dochazka_sumy_ve_dnech: Integer read Fdochazka_sumy_ve_dnech write Fdochazka_sumy_ve_dnech;
    property dochazka_rozpoznavat_smeny: Integer read Fdochazka_rozpoznavat_smeny write Fdochazka_rozpoznavat_smeny;
    property zauctovano_zakazky_stav: Integer read Fzauctovano_zakazky_stav write Fzauctovano_zakazky_stav;
    property money_vychozi_stav_id: Integer read Fmoney_vychozi_stav_id write Fmoney_vychozi_stav_id;
    property vychozi_typ_ceny_ukonu: Integer read Fvychozi_typ_ceny_ukonu write Fvychozi_typ_ceny_ukonu;
    property zak_bez_marze: Integer read Fzak_bez_marze write Fzak_bez_marze;
    property users_columns: Integer read Fusers_columns write Fusers_columns;
    property faktura_zakazky_stav_1: Integer read Ffaktura_zakazky_stav_1 write Ffaktura_zakazky_stav_1;
    property faktura_zakazky_stav_2: Integer read Ffaktura_zakazky_stav_2 write Ffaktura_zakazky_stav_2;
    property probiha_klon: Integer read Fprobiha_klon write Fprobiha_klon;
    property delit_dochazku: Integer read Fdelit_dochazku write Fdelit_dochazku;
    property print_podpis: string read Fprint_podpis write Fprint_podpis;
    property use_dph: Integer read Fuse_dph write Fuse_dph;
    property one_prijm_for_obj: Integer read Fone_prijm_for_obj write Fone_prijm_for_obj;
    property edt_smr_from_ord: Integer read Fedt_smr_from_ord write Fedt_smr_from_ord;
    property ord_ins_nonsklad: Integer read Ford_ins_nonsklad write Ford_ins_nonsklad;
    property ord_sum_uprice: Integer read Ford_sum_uprice write Ford_sum_uprice;
    property ocr_bar_id: string read Focr_bar_id write Focr_bar_id;
    property ord_only_work_day_left: Integer read Ford_only_work_day_left write Ford_only_work_day_left;
    property def_pay_fak: Integer read Fdef_pay_fak write Fdef_pay_fak;
    property fr_exportdir: string read Ffr_exportdir write Ffr_exportdir;
    property fr_savestyl: Integer read Ffr_savestyl write Ffr_savestyl;
    property ord_iq_filtr_rd: Integer read Ford_iq_filtr_rd write Ford_iq_filtr_rd;
    property doch_no_comm: Integer read Fdoch_no_comm write Fdoch_no_comm;
    property doch_break_round: Integer read Fdoch_break_round write Fdoch_break_round;
    property doch_break_bar_id: string read Fdoch_break_bar_id write Fdoch_break_bar_id;
    property lck_time_use: Integer read Flck_time_use write Flck_time_use;
    property ord_show_koop: Integer read Ford_show_koop write Ford_show_koop;
    property doch_spec_prescas: Integer read Fdoch_spec_prescas write Fdoch_spec_prescas;
    property prijm_noch_edit_price: Integer read Fprijm_noch_edit_price write Fprijm_noch_edit_price;
    property WebService_PIN_Auth: Integer read FWebService_PIN_Auth write FWebService_PIN_Auth;
    property vychozi_stav_zakazky: Integer read Fvychozi_stav_zakazky write Fvychozi_stav_zakazky;
    property prijm_sil_ctecka: Integer read Fprijm_sil_ctecka write Fprijm_sil_ctecka;
    property ord_uspora: Integer read Ford_uspora write Ford_uspora;
    property doch_neuk_back: Integer read Fdoch_neuk_back write Fdoch_neuk_back;
    property default_unit: Integer read Fdefault_unit write Fdefault_unit;
    property cazer_sklad_id: Integer read Fcazer_sklad_id write Fcazer_sklad_id;
    property use_fastreport: Integer read Fuse_fastreport write Fuse_fastreport;
    property grafickyprehled_refresh: Integer read Fgrafickyprehled_refresh write Fgrafickyprehled_refresh;
    property zobrazit_cely_sklad: Integer read Fzobrazit_cely_sklad write Fzobrazit_cely_sklad;
    property import_ext: Integer read Fimport_ext write Fimport_ext;
    property import_ext_caption: string read Fimport_ext_caption write Fimport_ext_caption;
    property import_ext_exec: string read Fimport_ext_exec write Fimport_ext_exec;
    property import_ext_params: string read Fimport_ext_params write Fimport_ext_params;
    property aktualni_stav_novy: Integer read Faktualni_stav_novy write Faktualni_stav_novy;
    property KontrolaMnozstvi: Integer read FKontrolaMnozstvi write FKontrolaMnozstvi;
    property KontrolaMnozstviOperaceTyp: Integer read FKontrolaMnozstviOperaceTyp write FKontrolaMnozstviOperaceTyp;
    property KontrolaMnozstviOperacePrekroceni: Integer read FKontrolaMnozstviOperacePrekroceni write FKontrolaMnozstviOperacePrekroceni;
    property KontrolaMnozstviNesmiPrekrocitZakazku: Integer read FKontrolaMnozstviNesmiPrekrocitZakazku write FKontrolaMnozstviNesmiPrekrocitZakazku;
    property KontrolaMnozstviOperaceHodnota: Double read FKontrolaMnozstviOperaceHodnota write FKontrolaMnozstviOperaceHodnota;
    property url_prefix_image: string read Furl_prefix_image write Furl_prefix_image;
    property objednavky_prijate_enabled: Integer read Fobjednavky_prijate_enabled write Fobjednavky_prijate_enabled;
    property efektivita_order_work: Integer read Fefektivita_order_work write Fefektivita_order_work;
    property limit_zaznamu: Integer read Flimit_zaznamu write Flimit_zaznamu;
    property limit_zaznamu_pocet: Integer read Flimit_zaznamu_pocet write Flimit_zaznamu_pocet;
    property stav_zasob_do_minusu: Integer read Fstav_zasob_do_minusu write Fstav_zasob_do_minusu;
    property zobrazovat_detail_adres: Integer read Fzobrazovat_detail_adres write Fzobrazovat_detail_adres;
    property zobrazovat_zbyvajici_cas_readdata: Integer read Fzobrazovat_zbyvajici_cas_readdata write Fzobrazovat_zbyvajici_cas_readdata;
    property plac_volno_bar_id: string read Fplac_volno_bar_id write Fplac_volno_bar_id;
    property cazer_sklad_pct: Integer read Fcazer_sklad_pct write Fcazer_sklad_pct;
    property vychozi_jazyk: string read Fvychozi_jazyk write Fvychozi_jazyk;
    property order_work_priprava_vypocet: Integer read Forder_work_priprava_vypocet write Forder_work_priprava_vypocet;
    property url_intranet: string read Furl_intranet write Furl_intranet;
    property cazer_sklad_pct_montaz: Integer read Fcazer_sklad_pct_montaz write Fcazer_sklad_pct_montaz;
    property cazer_sklad_pct_sprava: Integer read Fcazer_sklad_pct_sprava write Fcazer_sklad_pct_sprava;
    property orderwork_nove_poradi: Integer read Forderwork_nove_poradi write Forderwork_nove_poradi;
    property orderwork_delete_used: Integer read Forderwork_delete_used write Forderwork_delete_used;
    property order_dokonceno_procent_kusy: Integer read Forder_dokonceno_procent_kusy write Forder_dokonceno_procent_kusy;
    property CAS_DEF_SKLAD_GROUP_DILY: string read FCAS_DEF_SKLAD_GROUP_DILY write FCAS_DEF_SKLAD_GROUP_DILY;
    property doch_absence_bar_id: string read Fdoch_absence_bar_id write Fdoch_absence_bar_id;
    property operation_pct_up: Integer read Foperation_pct_up write Foperation_pct_up;
    property order_ciselnavolitelna3_popis: string read Forder_ciselnavolitelna3_popis write Forder_ciselnavolitelna3_popis;
    property cas_klon: TDateTime read Fcas_klon write Fcas_klon;
    property dl_pocitat_mnozstvi: Integer read Fdl_pocitat_mnozstvi write Fdl_pocitat_mnozstvi;
    property dl_vytvorit_vydejku: Integer read Fdl_vytvorit_vydejku write Fdl_vytvorit_vydejku;
    property dl_pocitat_mnozstvi_from: Integer read Fdl_pocitat_mnozstvi_from write Fdl_pocitat_mnozstvi_from;
    property ow_vicenasobne_poradi: Integer read Fow_vicenasobne_poradi write Fow_vicenasobne_poradi;
    property ow_vicenasobne_only_first: Integer read Fow_vicenasobne_only_first write Fow_vicenasobne_only_first;
    property koeficienty_dle_skupin: Integer read Fkoeficienty_dle_skupin write Fkoeficienty_dle_skupin;
    property create_dir_order: Integer read Fcreate_dir_order write Fcreate_dir_order;
    property create_dir_order_path: string read Fcreate_dir_order_path write Fcreate_dir_order_path;
    property order_ciselnavolitelna4_popis: string read Forder_ciselnavolitelna4_popis write Forder_ciselnavolitelna4_popis;
    property import_ext_dl: Integer read Fimport_ext_dl write Fimport_ext_dl;
    property import_ext_dl_caption: string read Fimport_ext_dl_caption write Fimport_ext_dl_caption;
    property import_ext_dl_exec: string read Fimport_ext_dl_exec write Fimport_ext_dl_exec;
    property import_ext_dl_params: string read Fimport_ext_dl_params write Fimport_ext_dl_params;
    property orderEditCalc: Integer read ForderEditCalc write ForderEditCalc;
    property orderEditCalcFunctionName: string read ForderEditCalcFunctionName write ForderEditCalcFunctionName;
    property orderEditCalcScript: string read ForderEditCalcScript write ForderEditCalcScript;
    property ORDER_PODZAKAZKA_SUFIX_FROM_DEFAULT: Integer read FORDER_PODZAKAZKA_SUFIX_FROM_DEFAULT write FORDER_PODZAKAZKA_SUFIX_FROM_DEFAULT;
    property DL_CASTECNE_VYDANE_DO_PODZAKAZKY: Integer read FDL_CASTECNE_VYDANE_DO_PODZAKAZKY write FDL_CASTECNE_VYDANE_DO_PODZAKAZKY;
    property ORDER_BUTTON_SAVE_RECALCULATE: Integer read FORDER_BUTTON_SAVE_RECALCULATE write FORDER_BUTTON_SAVE_RECALCULATE;
    property PRINTWORKER_SKUPINY_CHANGE: Integer read FPRINTWORKER_SKUPINY_CHANGE write FPRINTWORKER_SKUPINY_CHANGE;
    property OBJEDNAVKY_NESESKUPOVAT_MATERIAL: Integer read FOBJEDNAVKY_NESESKUPOVAT_MATERIAL write FOBJEDNAVKY_NESESKUPOVAT_MATERIAL;
    property OBJEDNAVKY_PREBIRAT_ZAKAZKU: Integer read FOBJEDNAVKY_PREBIRAT_ZAKAZKU write FOBJEDNAVKY_PREBIRAT_ZAKAZKU;
    property create_subdir_order: Integer read Fcreate_subdir_order write Fcreate_subdir_order;
    property create_subdir_order_path: string read Fcreate_subdir_order_path write Fcreate_subdir_order_path;
    property newcolumnselector: Integer read Fnewcolumnselector write Fnewcolumnselector;
    property orderstavdirectorychange: Integer read Forderstavdirectorychange write Forderstavdirectorychange;
    property orderstavdirectorychangepath: string read Forderstavdirectorychangepath write Forderstavdirectorychangepath;
    property orderstavdirectorychangeactive: Integer read Forderstavdirectorychangeactive write Forderstavdirectorychangeactive;
    property skladpouzitvychozipohyby: Integer read Fskladpouzitvychozipohyby write Fskladpouzitvychozipohyby;
    property skladpouzitvychozipohyby_prijemka: Integer read Fskladpouzitvychozipohyby_prijemka write Fskladpouzitvychozipohyby_prijemka;
    property skladpouzitvychozipohyby_vydejka: Integer read Fskladpouzitvychozipohyby_vydejka write Fskladpouzitvychozipohyby_vydejka;
    property usetisktable: Integer read Fusetisktable write Fusetisktable;
    property orderwork_neprepocitavat_poradi: Integer read Forderwork_neprepocitavat_poradi write Forderwork_neprepocitavat_poradi;
    property ORDER_SABLONA_VOLITELNE_POLOZKY: Integer read FORDER_SABLONA_VOLITELNE_POLOZKY write FORDER_SABLONA_VOLITELNE_POLOZKY;
    property ORDER_SABLONA_TYP_ZAKAZKY: Integer read FORDER_SABLONA_TYP_ZAKAZKY write FORDER_SABLONA_TYP_ZAKAZKY;
    property ORDER_SABLONA_CAS_MONTAZE: Integer read FORDER_SABLONA_CAS_MONTAZE write FORDER_SABLONA_CAS_MONTAZE;
    property ORDER_SABLONA_KOMENTAR_OBCHODNI: Integer read FORDER_SABLONA_KOMENTAR_OBCHODNI write FORDER_SABLONA_KOMENTAR_OBCHODNI;
    property ORDER_SABLONA_ROZMERY: Integer read FORDER_SABLONA_ROZMERY write FORDER_SABLONA_ROZMERY;
    property orderWorkEditCalc: Integer read ForderWorkEditCalc write ForderWorkEditCalc;
    property orderWorkEditCalcFunctionName: string read ForderWorkEditCalcFunctionName write ForderWorkEditCalcFunctionName;
    property orderWorkEditCalcScript: string read ForderWorkEditCalcScript write ForderWorkEditCalcScript;
    property naskladneno_zakazky_stav: Integer read Fnaskladneno_zakazky_stav write Fnaskladneno_zakazky_stav;
    property typ_vypoctu_ceny: Integer read Ftyp_vypoctu_ceny write Ftyp_vypoctu_ceny;
    property nova_ukol_mzda: Integer read Fnova_ukol_mzda write Fnova_ukol_mzda;
    property order_prijem_final_vyrobek: Integer read Forder_prijem_final_vyrobek write Forder_prijem_final_vyrobek;
    property order_klon_text: string read Forder_klon_text write Forder_klon_text;
    property sklad_material_cena_celkem_typ: Integer read Fsklad_material_cena_celkem_typ write Fsklad_material_cena_celkem_typ;
    property main_form_buttons_show: Integer read Fmain_form_buttons_show write Fmain_form_buttons_show;
    property ORD_INS_NONSKLAD_TYP: Integer read FORD_INS_NONSKLAD_TYP write FORD_INS_NONSKLAD_TYP;
    property DEFAULT_MENA: string read FDEFAULT_MENA write FDEFAULT_MENA;
    property MENA_ZKRATKA: string read FMENA_ZKRATKA write FMENA_ZKRATKA;
    property CIZI_MENA: Integer read FCIZI_MENA write FCIZI_MENA;
    property SKLAD_MATERIAL_VRATKA_POHYB: Integer read FSKLAD_MATERIAL_VRATKA_POHYB write FSKLAD_MATERIAL_VRATKA_POHYB;
    property DL_CHECK_ORDER_BARID_IN_CODE: Integer read FDL_CHECK_ORDER_BARID_IN_CODE write FDL_CHECK_ORDER_BARID_IN_CODE;
    property dl_zauctovano_zakazky_stav: Integer read Fdl_zauctovano_zakazky_stav write Fdl_zauctovano_zakazky_stav;
    property objednavky_subdodavky_datum: Integer read Fobjednavky_subdodavky_datum write Fobjednavky_subdodavky_datum;
    property objednavky_subdodavky_cena: Integer read Fobjednavky_subdodavky_cena write Fobjednavky_subdodavky_cena;
    property dl_vytvoreno_zakazky_stav: Integer read Fdl_vytvoreno_zakazky_stav write Fdl_vytvoreno_zakazky_stav;
    property useStavyDokladu: Integer read FuseStavyDokladu write FuseStavyDokladu;
    property useSkladovePozice: Integer read FuseSkladovePozice write FuseSkladovePozice;
    property useSkladoveSkupinyBatchOut: Integer read FuseSkladoveSkupinyBatchOut write FuseSkladoveSkupinyBatchOut;
    property create_subdir_order_add_name: Integer read Fcreate_subdir_order_add_name write Fcreate_subdir_order_add_name;
    property sklad_rozpad_materialu_show: Integer read Fsklad_rozpad_materialu_show write Fsklad_rozpad_materialu_show;
    property worker_koeficient_default: Double read Fworker_koeficient_default write Fworker_koeficient_default;
    property worker_mzda_default: Double read Fworker_mzda_default write Fworker_mzda_default;
    property orderedit_typ_vypoctu_visible: Integer read Forderedit_typ_vypoctu_visible write Forderedit_typ_vypoctu_visible;
    property order_klon_all_operation_planned: Integer read Forder_klon_all_operation_planned write Forder_klon_all_operation_planned;
    property newsqllike: Integer read Fnewsqllike write Fnewsqllike;
    property ordercallintranet: Integer read Fordercallintranet write Fordercallintranet;
    property ordercallintranet_url: string read Fordercallintranet_url write Fordercallintranet_url;
    property filterreplacecomma: Integer read Ffilterreplacecomma write Ffilterreplacecomma;
    property cnc_cena_default: Double read Fcnc_cena_default write Fcnc_cena_default;
    property order_sablona_objednavky: Integer read Forder_sablona_objednavky write Forder_sablona_objednavky;
    property worker_use_koeficient2: Integer read Fworker_use_koeficient2 write Fworker_use_koeficient2;
    property sklad_material_dodavatele_show: Integer read Fsklad_material_dodavatele_show write Fsklad_material_dodavatele_show;
    property sklad_material_inventury_show: Integer read Fsklad_material_inventury_show write Fsklad_material_inventury_show;
    property order_ciselnavolitelna5_popis: string read Forder_ciselnavolitelna5_popis write Forder_ciselnavolitelna5_popis;
    property order_gridCenyCasy: Integer read Forder_gridCenyCasy write Forder_gridCenyCasy;
    property operation_usercode_enabled: Integer read Foperation_usercode_enabled write Foperation_usercode_enabled;
    property order_ciselnavolitelna6_popis: string read Forder_ciselnavolitelna6_popis write Forder_ciselnavolitelna6_popis;
    property order_subdodavka_prebirat_pocet_mj: Integer read Forder_subdodavka_prebirat_pocet_mj write Forder_subdodavka_prebirat_pocet_mj;
    property orderwork_new_poradi_enabled: Integer read Forderwork_new_poradi_enabled write Forderwork_new_poradi_enabled;
    property right_panel_show_pozice: Integer read Fright_panel_show_pozice write Fright_panel_show_pozice;
    property price_calculate: Integer read Fprice_calculate write Fprice_calculate;
    property order_rozdel_defskupinastavu: string read Forder_rozdel_defskupinastavu write Forder_rozdel_defskupinastavu;
    property mp_vicenasobne: Integer read Fmp_vicenasobne write Fmp_vicenasobne;
    property use_telemetry: Integer read Fuse_telemetry write Fuse_telemetry;
    property use_poznamka_rtf_format: Integer read Fuse_poznamka_rtf_format write Fuse_poznamka_rtf_format;
    property sklad_material_limit_check: Integer read Fsklad_material_limit_check write Fsklad_material_limit_check;
    property sklad_material_vydejky_header_autocreate: Integer read Fsklad_material_vydejky_header_autocreate write Fsklad_material_vydejky_header_autocreate;
    property sklad_material_prijemky_aktualizovat_ceny: Integer read Fsklad_material_prijemky_aktualizovat_ceny write Fsklad_material_prijemky_aktualizovat_ceny;
    property orderwork_edit_operation_change: Integer read Forderwork_edit_operation_change write Forderwork_edit_operation_change;
    property orderwork_edit_operation_change_recalculate: Integer read Forderwork_edit_operation_change_recalculate write Forderwork_edit_operation_change_recalculate;
    property id_skupiny_obedy: Integer read Fid_skupiny_obedy write Fid_skupiny_obedy;
    property dochazka_new: Integer read Fdochazka_new write Fdochazka_new;
    property orderwork_edit_operation_fix: Integer read Forderwork_edit_operation_fix write Forderwork_edit_operation_fix;
    property limit_zaznamu_combo_pocet: Integer read Flimit_zaznamu_combo_pocet write Flimit_zaznamu_combo_pocet;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tglobal_settings }

constructor Tglobal_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tglobal_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tglobal_settings);

end.
