unit uTglobal_settings_user_fields;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tglobal_settings_user_fields = class;
  
  [Entity]
  [Table('global_settings_user_fields')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tglobal_settings_user_fields = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('section', [TColumnProp.Required], 100)]
    Fsection: string;
    
    [Column('type', [TColumnProp.Required], 20)]
    Ftype_: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('caption', [TColumnProp.Required], 150)]
    Fcaption: string;
    
    [Column('value', [TColumnProp.Required], 150)]
    Fvalue: string;
    
    [Column('useinaurelius', [])]
    Fuseinaurelius: Nullable<Integer>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property section: string read Fsection write Fsection;
    property type_: string read Ftype_ write Ftype_;
    property name: string read Fname write Fname;
    property caption: string read Fcaption write Fcaption;
    property value: string read Fvalue write Fvalue;
    property useinaurelius: Nullable<Integer> read Fuseinaurelius write Fuseinaurelius;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tglobal_settings_user_fields }

constructor Tglobal_settings_user_fields.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tglobal_settings_user_fields.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tglobal_settings_user_fields);

end.
