unit uThnizda;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Thnizda = class;
  
  [Entity]
  [Table('hnizda')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Thnizda = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('cislo', [TColumnProp.Required])]
    Fcislo: Integer;
    
    [Column('jmeno', [TColumnProp.Required], 100)]
    Fjmeno: string;
    
    [Column('poznamka', [], 255)]
    Fpoznamka: Nullable<string>;
    
    [Column('datumzalozeni', [TColumnProp.Required])]
    Fdatumzalozeni: TDateTime;
    
    [Column('datumzruseni', [TColumnProp.Required])]
    Fdatumzruseni: TDateTime;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property cislo: Integer read Fcislo write Fcislo;
    property jmeno: string read Fjmeno write Fjmeno;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property datumzalozeni: TDateTime read Fdatumzalozeni write Fdatumzalozeni;
    property datumzruseni: TDateTime read Fdatumzruseni write Fdatumzruseni;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Thnizda }

constructor Thnizda.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Thnizda.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Thnizda);

end.
