unit uThnizda_logins;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Thnizda_logins = class;
  
  [Entity]
  [Table('hnizda_logins')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Thnizda_logins = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('id_hnizdo', [TColumnProp.Required])]
    Fid_hnizdo: Integer;
    
    [Column('id_worker', [TColumnProp.Required])]
    Fid_worker: Integer;
    
    [Column('prihlaseni', [TColumnProp.Required])]
    Fprihlaseni: TDateTime;
    
    [Column('odhlaseni', [TColumnProp.Required])]
    Fodhlaseni: TDateTime;
    
    [Column('je_vedouci', [TColumnProp.Required])]
    Fje_vedouci: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property id_hnizdo: Integer read Fid_hnizdo write Fid_hnizdo;
    property id_worker: Integer read Fid_worker write Fid_worker;
    property prihlaseni: TDateTime read Fprihlaseni write Fprihlaseni;
    property odhlaseni: TDateTime read Fodhlaseni write Fodhlaseni;
    property je_vedouci: Integer read Fje_vedouci write Fje_vedouci;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Thnizda_logins }

constructor Thnizda_logins.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Thnizda_logins.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Thnizda_logins);

end.
