unit uTinet_filters;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tinet_filters = class;
  
  [Entity]
  [Table('inet_filters')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tinet_filters = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('id_operation_group', [TColumnProp.Required])]
    Fid_operation_group: Integer;
    
    [Column('id_category', [TColumnProp.Required])]
    Fid_category: Integer;
    
    [Column('values', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fvalues: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property id_operation_group: Integer read Fid_operation_group write Fid_operation_group;
    property id_category: Integer read Fid_category write Fid_category;
    property values: TBlob read Fvalues write Fvalues;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tinet_filters }

constructor Tinet_filters.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tinet_filters.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tinet_filters);

end.
