unit uTjednotky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tjednotky = class;
  
  [Entity]
  [Table('jednotky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tjednotky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [], 50)]
    Fnazev: Nullable<string>;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('visible', [TColumnProp.Required])]
    Fvisible: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: Nullable<string> read Fnazev write Fnazev;
    property poradi: Integer read Fporadi write Fporadi;
    property visible: Integer read Fvisible write Fvisible;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tjednotky }

constructor Tjednotky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tjednotky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tjednotky);

end.
