unit uTkraticka;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tkraticka = class;
  
  [Entity]
  [Table('kraticka')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tkraticka = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('prurez_min', [TColumnProp.Required])]
    Fprurez_min: Integer;
    
    [Column('prurez_max', [TColumnProp.Required])]
    Fprurez_max: Integer;
    
    [Column('delka_min', [TColumnProp.Required])]
    Fdelka_min: Integer;
    
    [Column('delka_max', [TColumnProp.Required])]
    Fdelka_max: Integer;
    
    [Column('norma', [TColumnProp.Required], 15, 2)]
    Fnorma: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property prurez_min: Integer read Fprurez_min write Fprurez_min;
    property prurez_max: Integer read Fprurez_max write Fprurez_max;
    property delka_min: Integer read Fdelka_min write Fdelka_min;
    property delka_max: Integer read Fdelka_max write Fdelka_max;
    property norma: Double read Fnorma write Fnorma;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tkraticka }

constructor Tkraticka.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tkraticka.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tkraticka);

end.
