unit uTkurz;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tkurz = class;
  
  [Entity]
  [Table('kurz')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tkurz = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('kurz', [TColumnProp.Required], 11, 3)]
    Fkurz: Double;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('zkratka', [TColumnProp.Required], 20)]
    Fzkratka: string;
    
    [Column('mnozstvi', [TColumnProp.Required])]
    Fmnozstvi: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property kurz: Double read Fkurz write Fkurz;
    property start: TDateTime read Fstart write Fstart;
    property user: string read Fuser write Fuser;
    property zkratka: string read Fzkratka write Fzkratka;
    property mnozstvi: Integer read Fmnozstvi write Fmnozstvi;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tkurz }

constructor Tkurz.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tkurz.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tkurz);

end.
