unit uTkurz_meny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tkurz_meny = class;
  
  [Entity]
  [Table('kurz_meny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tkurz_meny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('zkratka', [TColumnProp.Required], 50)]
    Fzkratka: string;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('note', [TColumnProp.Required], 50)]
    Fnote: string;
    
    [Column('is_default', [TColumnProp.Required])]
    Fis_default: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property zkratka: string read Fzkratka write Fzkratka;
    property name: string read Fname write Fname;
    property note: string read Fnote write Fnote;
    property is_default: Integer read Fis_default write Fis_default;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tkurz_meny }

constructor Tkurz_meny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tkurz_meny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tkurz_meny);

end.
