unit uTlog;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tlog = class;
  
  [Entity]
  [Table('log')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tlog = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('ip', [TColumnProp.Required], 150)]
    Fip: string;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('user', [TColumnProp.Required], 75)]
    Fuser: string;
    
    [Column('typ', [TColumnProp.Required], 150)]
    Ftyp: string;
    
    [Column('keyword1', [TColumnProp.Required], 150)]
    Fkeyword1: string;
    
    [Column('keyword2', [TColumnProp.Required], 250)]
    Fkeyword2: string;
    
    [Column('udalost', [TColumnProp.Required], 75)]
    Fudalost: string;
    
    [Column('verzevyron', [TColumnProp.Required], 75)]
    Fverzevyron: string;
    
    [Column('loglevel', [TColumnProp.Required])]
    Floglevel: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property ip: string read Fip write Fip;
    property date: TDateTime read Fdate write Fdate;
    property note: TBlob read Fnote write Fnote;
    property user: string read Fuser write Fuser;
    property typ: string read Ftyp write Ftyp;
    property keyword1: string read Fkeyword1 write Fkeyword1;
    property keyword2: string read Fkeyword2 write Fkeyword2;
    property udalost: string read Fudalost write Fudalost;
    property verzevyron: string read Fverzevyron write Fverzevyron;
    property loglevel: Integer read Floglevel write Floglevel;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tlog }

constructor Tlog.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tlog.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tlog);

end.
