unit uTmaterial;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmaterial = class;
  
  [Entity]
  [Table('material')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmaterial = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    
    [Column('jednotka', [TColumnProp.Required])]
    Fjednotka: Integer;
    
    [Column('cena_jednotka', [TColumnProp.Required], 15, 3)]
    Fcena_jednotka: Double;
    
    [Column('cena_celkem', [TColumnProp.Required], 15, 3)]
    Fcena_celkem: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('worker', [TColumnProp.Required], 30)]
    Fworker: string;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Int64;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Int64;
    
    [Column('change_price', [TColumnProp.Required])]
    Fchange_price: Integer;
    
    [Column('cena_jednotka_nakup', [TColumnProp.Required], 15, 3)]
    Fcena_jednotka_nakup: Double;
    
    [Column('cena_celkem_nakup', [TColumnProp.Required], 15, 2)]
    Fcena_celkem_nakup: Double;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('vazena_cena', [TColumnProp.Required], 15, 3)]
    Fvazena_cena: Double;
    
    [Column('pohyb_vazena_cena', [TColumnProp.Required], 15, 2)]
    Fpohyb_vazena_cena: Double;
    
    [Column('last_nakup_cena', [TColumnProp.Required], 15, 2)]
    Flast_nakup_cena: Double;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property name: string read Fname write Fname;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property jednotka: Integer read Fjednotka write Fjednotka;
    property cena_jednotka: Double read Fcena_jednotka write Fcena_jednotka;
    property cena_celkem: Double read Fcena_celkem write Fcena_celkem;
    property user: string read Fuser write Fuser;
    property worker: string read Fworker write Fworker;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property worker_id: Int64 read Fworker_id write Fworker_id;
    property bar_id: string read Fbar_id write Fbar_id;
    property readdata_id: Int64 read Freaddata_id write Freaddata_id;
    property change_price: Integer read Fchange_price write Fchange_price;
    property cena_jednotka_nakup: Double read Fcena_jednotka_nakup write Fcena_jednotka_nakup;
    property cena_celkem_nakup: Double read Fcena_celkem_nakup write Fcena_celkem_nakup;
    property date: TDateTime read Fdate write Fdate;
    property vazena_cena: Double read Fvazena_cena write Fvazena_cena;
    property pohyb_vazena_cena: Double read Fpohyb_vazena_cena write Fpohyb_vazena_cena;
    property last_nakup_cena: Double read Flast_nakup_cena write Flast_nakup_cena;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmaterial }

constructor Tmaterial.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmaterial.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmaterial);

end.
