unit uTmaterial_predpokladany;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmaterial_predpokladany = class;
  
  [Entity]
  [Table('material_predpokladany')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmaterial_predpokladany = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    
    [Column('jednotka', [TColumnProp.Required])]
    Fjednotka: Integer;
    
    [Column('cena_jednotka', [TColumnProp.Required], 15, 2)]
    Fcena_jednotka: Double;
    
    [Column('cena_celkem', [TColumnProp.Required], 15, 2)]
    Fcena_celkem: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('par1', [TColumnProp.Required], 15, 2)]
    Fpar1: Double;
    
    [Column('par2', [TColumnProp.Required], 15, 2)]
    Fpar2: Double;
    
    [Column('par3', [TColumnProp.Required], 15, 2)]
    Fpar3: Double;
    
    [Column('par4', [TColumnProp.Required], 15, 2)]
    Fpar4: Double;
    
    [Column('par5', [TColumnProp.Required], 15, 2)]
    Fpar5: Double;
    
    [Column('par6', [TColumnProp.Required], 15, 2)]
    Fpar6: Double;
    
    [Column('par_typ', [TColumnProp.Required])]
    Fpar_typ: Int64;
    
    [Column('vyteznost', [TColumnProp.Required], 15, 3)]
    Fvyteznost: Double;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('objednavka_id', [TColumnProp.Required])]
    Fobjednavka_id: Integer;
    
    [Column('objednavka', [TColumnProp.Required], 100)]
    Fobjednavka: string;
    
    [Column('poradi', [])]
    Fporadi: Nullable<Integer>;
    
    [Column('DatePriprava', [TColumnProp.Required])]
    FDatePriprava: TDateTime;
    
    [Column('DateFinish', [TColumnProp.Required])]
    FDateFinish: TDateTime;
    
    [Column('mnozstvi_po_odecteni', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_po_odecteni: Double;
    
    [Column('mnozstvi_zakazky', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_zakazky: Double;
    
    [Column('mnozstvi_prvotni', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_prvotni: Double;
    
    [Column('calculated', [TColumnProp.Required])]
    Fcalculated: Integer;
    
    [Column('user_created', [TColumnProp.Required], 50)]
    Fuser_created: string;
    
    [Column('mnozstvi_vydane_na_podzakazky', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_vydane_na_podzakazky: Double;
    
    [Column('mnozstvi_predpokladane', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_predpokladane: Double;
    
    [Column('mnozstvi_predpokladane_koeficient', [TColumnProp.Required], 15, 4)]
    Fmnozstvi_predpokladane_koeficient: Double;
    
    [Column('orderwork_id', [TColumnProp.Required])]
    Forderwork_id: Integer;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property jednotka: Integer read Fjednotka write Fjednotka;
    property cena_jednotka: Double read Fcena_jednotka write Fcena_jednotka;
    property cena_celkem: Double read Fcena_celkem write Fcena_celkem;
    property user: string read Fuser write Fuser;
    property par1: Double read Fpar1 write Fpar1;
    property par2: Double read Fpar2 write Fpar2;
    property par3: Double read Fpar3 write Fpar3;
    property par4: Double read Fpar4 write Fpar4;
    property par5: Double read Fpar5 write Fpar5;
    property par6: Double read Fpar6 write Fpar6;
    property par_typ: Int64 read Fpar_typ write Fpar_typ;
    property vyteznost: Double read Fvyteznost write Fvyteznost;
    property note: TBlob read Fnote write Fnote;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property objednavka_id: Integer read Fobjednavka_id write Fobjednavka_id;
    property objednavka: string read Fobjednavka write Fobjednavka;
    property poradi: Nullable<Integer> read Fporadi write Fporadi;
    property DatePriprava: TDateTime read FDatePriprava write FDatePriprava;
    property DateFinish: TDateTime read FDateFinish write FDateFinish;
    property mnozstvi_po_odecteni: Double read Fmnozstvi_po_odecteni write Fmnozstvi_po_odecteni;
    property mnozstvi_zakazky: Double read Fmnozstvi_zakazky write Fmnozstvi_zakazky;
    property mnozstvi_prvotni: Double read Fmnozstvi_prvotni write Fmnozstvi_prvotni;
    property calculated: Integer read Fcalculated write Fcalculated;
    property user_created: string read Fuser_created write Fuser_created;
    property mnozstvi_vydane_na_podzakazky: Double read Fmnozstvi_vydane_na_podzakazky write Fmnozstvi_vydane_na_podzakazky;
    property mnozstvi_predpokladane: Double read Fmnozstvi_predpokladane write Fmnozstvi_predpokladane;
    property mnozstvi_predpokladane_koeficient: Double read Fmnozstvi_predpokladane_koeficient write Fmnozstvi_predpokladane_koeficient;
    property orderwork_id: Integer read Forderwork_id write Forderwork_id;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmaterial_predpokladany }

constructor Tmaterial_predpokladany.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmaterial_predpokladany.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmaterial_predpokladany);

end.
