unit uTmaterialy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmaterialy = class;
  
  [Entity]
  [Table('materialy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmaterialy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('nazev', [TColumnProp.Required], 25)]
    Fnazev: string;
    
    [Column('hustota', [TColumnProp.Required])]
    Fhustota: Integer;
    
    [Column('volitelna1', [TColumnProp.Required], 200)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 200)]
    Fvolitelna2: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property hustota: Integer read Fhustota write Fhustota;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmaterialy }

constructor Tmaterialy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmaterialy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmaterialy);

end.
