unit uTmonitoring_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmonitoring_readdata = class;
  
  [Entity]
  [Table('monitoring_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmonitoring_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('senzor_id', [TColumnProp.Required])]
    Fsenzor_id: Integer;
    
    [Column('read_datetime', [])]
    Fread_datetime: Nullable<TDateTime>;
    
    [Column('value_type', [TColumnProp.Required])]
    Fvalue_type: Integer;
    
    [Column('value', [TColumnProp.Required], 15, 4)]
    Fvalue: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property senzor_id: Integer read Fsenzor_id write Fsenzor_id;
    property read_datetime: Nullable<TDateTime> read Fread_datetime write Fread_datetime;
    property value_type: Integer read Fvalue_type write Fvalue_type;
    property value: Double read Fvalue write Fvalue;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmonitoring_readdata }

constructor Tmonitoring_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmonitoring_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmonitoring_readdata);

end.
