unit uTmonitoring_senzory;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmonitoring_senzory = class;
  
  [Entity]
  [Table('monitoring_senzory')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmonitoring_senzory = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    
    [Column('ip', [TColumnProp.Required], 100)]
    Fip: string;
    
    [Column('username', [TColumnProp.Required], 100)]
    Fusername: string;
    
    [Column('password', [TColumnProp.Required], 100)]
    Fpassword: string;
    
    [Column('comment', [TColumnProp.Required], 100)]
    Fcomment: string;
    
    [Column('active', [TColumnProp.Required])]
    Factive: Integer;
    
    [Column('last_up', [])]
    Flast_up: Nullable<TDateTime>;
    
    [Column('authentication', [TColumnProp.Required])]
    Fauthentication: Integer;
    
    [Column('last_processed', [])]
    Flast_processed: Nullable<TDateTime>;
    
    [Column('param_def', [TColumnProp.Required], 4000)]
    Fparam_def: string;
    
    [Column('ref_mon_stroj_id', [TColumnProp.Required])]
    Fref_mon_stroj_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property typ: Integer read Ftyp write Ftyp;
    property ip: string read Fip write Fip;
    property username: string read Fusername write Fusername;
    property password: string read Fpassword write Fpassword;
    property comment: string read Fcomment write Fcomment;
    property active: Integer read Factive write Factive;
    property last_up: Nullable<TDateTime> read Flast_up write Flast_up;
    property authentication: Integer read Fauthentication write Fauthentication;
    property last_processed: Nullable<TDateTime> read Flast_processed write Flast_processed;
    property param_def: string read Fparam_def write Fparam_def;
    property ref_mon_stroj_id: Integer read Fref_mon_stroj_id write Fref_mon_stroj_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmonitoring_senzory }

constructor Tmonitoring_senzory.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmonitoring_senzory.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmonitoring_senzory);

end.
