unit uTmonitoring_senzory_typy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmonitoring_senzory_typy = class;
  
  [Entity]
  [Table('monitoring_senzory_typy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmonitoring_senzory_typy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('precision', [TColumnProp.Required])]
    Fprecision: Integer;
    
    [Column('note', [], 200)]
    Fnote: Nullable<string>;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('communication_type', [TColumnProp.Required], 200)]
    Fcommunication_type: string;
    
    [Column('parameters_definition', [TColumnProp.Required], 1024)]
    Fparameters_definition: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property unit_: Integer read Funit_ write Funit_;
    property precision: Integer read Fprecision write Fprecision;
    property note: Nullable<string> read Fnote write Fnote;
    property name: string read Fname write Fname;
    property communication_type: string read Fcommunication_type write Fcommunication_type;
    property parameters_definition: string read Fparameters_definition write Fparameters_definition;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmonitoring_senzory_typy }

constructor Tmonitoring_senzory_typy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmonitoring_senzory_typy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmonitoring_senzory_typy);

end.
