unit uTmonitoring_senzory_typy_parametry;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmonitoring_senzory_typy_parametry = class;
  
  [Entity]
  [Table('monitoring_senzory_typy_parametry')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmonitoring_senzory_typy_parametry = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('type_id', [TColumnProp.Required])]
    Ftype_id: Integer;
    
    [Column('param_type', [TColumnProp.Required], 50)]
    Fparam_type: string;
    
    [Column('param_path', [TColumnProp.Required], 1000)]
    Fparam_path: string;
    
    [Column('note', [TColumnProp.Required], 150)]
    Fnote: string;
    
    [Column('param_isexpression', [TColumnProp.Required])]
    Fparam_isexpression: Integer;
    
    [Column('param_id', [TColumnProp.Required])]
    Fparam_id: Integer;
    
    [Column('param_isembedded', [TColumnProp.Required])]
    Fparam_isembedded: Integer;
    
    [Column('param_type_def', [TColumnProp.Required], 1500)]
    Fparam_type_def: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property type_id: Integer read Ftype_id write Ftype_id;
    property param_type: string read Fparam_type write Fparam_type;
    property param_path: string read Fparam_path write Fparam_path;
    property note: string read Fnote write Fnote;
    property param_isexpression: Integer read Fparam_isexpression write Fparam_isexpression;
    property param_id: Integer read Fparam_id write Fparam_id;
    property param_isembedded: Integer read Fparam_isembedded write Fparam_isembedded;
    property param_type_def: string read Fparam_type_def write Fparam_type_def;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmonitoring_senzory_typy_parametry }

constructor Tmonitoring_senzory_typy_parametry.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmonitoring_senzory_typy_parametry.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmonitoring_senzory_typy_parametry);

end.
