unit uTmonitoring_stroje;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tmonitoring_stroje = class;
  
  [Entity]
  [Table('monitoring_stroje')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tmonitoring_stroje = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('typ_stroje', [TColumnProp.Required])]
    Ftyp_stroje: Integer;
    
    [Column('cnc_id', [TColumnProp.Required])]
    Fcnc_id: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('idle', [])]
    Fidle: Nullable<Integer>;
    
    [Column('load', [])]
    Fload: Nullable<Integer>;
    
    [Column('high', [])]
    Fhigh: Nullable<Integer>;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property typ_stroje: Integer read Ftyp_stroje write Ftyp_stroje;
    property cnc_id: Integer read Fcnc_id write Fcnc_id;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property idle: Nullable<Integer> read Fidle write Fidle;
    property load: Nullable<Integer> read Fload write Fload;
    property high: Nullable<Integer> read Fhigh write Fhigh;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tmonitoring_stroje }

constructor Tmonitoring_stroje.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tmonitoring_stroje.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tmonitoring_stroje);

end.
