unit uTnabidka_polozky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tnabidka_polozky = class;
  
  [Entity]
  [Table('nabidka_polozky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tnabidka_polozky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('cena', [TColumnProp.Required], 15, 2)]
    Fcena: Double;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    
    [Column('dph', [TColumnProp.Required])]
    Fdph: Integer;
    
    [Column('sleva', [TColumnProp.Required])]
    Fsleva: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('cena_celkem', [TColumnProp.Required], 15, 2)]
    Fcena_celkem: Double;
    
    [Column('cislo', [TColumnProp.Required])]
    Fcislo: Integer;
    
    [Column('cena_nakup', [], 15, 2)]
    Fcena_nakup: Nullable<Double>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property cena: Double read Fcena write Fcena;
    property mnoz: Double read Fmnoz write Fmnoz;
    property dph: Integer read Fdph write Fdph;
    property sleva: Integer read Fsleva write Fsleva;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property order_id: string read Forder_id write Forder_id;
    property unit_: Integer read Funit_ write Funit_;
    property note: TBlob read Fnote write Fnote;
    property cena_celkem: Double read Fcena_celkem write Fcena_celkem;
    property cislo: Integer read Fcislo write Fcislo;
    property cena_nakup: Nullable<Double> read Fcena_nakup write Fcena_nakup;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tnabidka_polozky }

constructor Tnabidka_polozky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tnabidka_polozky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tnabidka_polozky);

end.
