unit uTnaradi_skupina;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tnaradi_skupina = class;
  
  [Entity]
  [Table('naradi_skupina')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tnaradi_skupina = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 255)]
    Fname: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    
    [Column('naradiType', [TColumnProp.Required])]
    FnaradiType: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property naradiType: Integer read FnaradiType write FnaradiType;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tnaradi_skupina }

constructor Tnaradi_skupina.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tnaradi_skupina.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tnaradi_skupina);

end.
