unit uTnotifications;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tnotifications = class;
  
  [Entity]
  [Table('notifications')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tnotifications = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('time_stamp', [TColumnProp.Required])]
    Ftime_stamp: TDateTime;
    
    [Column('notification_type', [])]
    Fnotification_type: Nullable<Integer>;
    
    [Column('sender', [], 255)]
    Fsender: Nullable<string>;
    
    [Column('recipient', [], 255)]
    Frecipient: Nullable<string>;
    
    [Column('body', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fbody: TBlob;
    
    [Column('ts_processed', [])]
    Fts_processed: Nullable<TDateTime>;
    
    [Column('status', [])]
    Fstatus: Nullable<Integer>;
    
    [Column('status_text', [], 255)]
    Fstatus_text: Nullable<string>;
    
    [Column('subject', [], 255)]
    Fsubject: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property time_stamp: TDateTime read Ftime_stamp write Ftime_stamp;
    property notification_type: Nullable<Integer> read Fnotification_type write Fnotification_type;
    property sender: Nullable<string> read Fsender write Fsender;
    property recipient: Nullable<string> read Frecipient write Frecipient;
    property body: TBlob read Fbody write Fbody;
    property ts_processed: Nullable<TDateTime> read Fts_processed write Fts_processed;
    property status: Nullable<Integer> read Fstatus write Fstatus;
    property status_text: Nullable<string> read Fstatus_text write Fstatus_text;
    property subject: Nullable<string> read Fsubject write Fsubject;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tnotifications }

constructor Tnotifications.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tnotifications.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tnotifications);

end.
