unit uTobjednavky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tobjednavky = class;
  
  [Entity]
  [Table('objednavky')]
  [UniqueKey('bar_id')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tobjednavky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('vystaveno', [TColumnProp.Required])]
    Fvystaveno: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('dodani', [TColumnProp.Required])]
    Fdodani: TDateTime;
    
    [Column('doprava_id', [TColumnProp.Required])]
    Fdoprava_id: Integer;
    
    [Column('doklad', [TColumnProp.Required], 50)]
    Fdoklad: string;
    
    [Column('doklad2', [TColumnProp.Required], 50)]
    Fdoklad2: string;
    
    [Column('splatno', [TColumnProp.Required])]
    Fsplatno: TDateTime;
    
    [Column('vykryto', [TColumnProp.Required])]
    Fvykryto: Integer;
    
    [Column('vykryto_date', [])]
    Fvykryto_date: Nullable<TDateTime>;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    
    [Column('StavDokladu', [TColumnProp.Required])]
    FStavDokladu: Integer;
    
    [Column('drawing', [TColumnProp.Required], 200)]
    Fdrawing: string;
    
    [Column('volitelna1', [TColumnProp.Required], 200)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 200)]
    Fvolitelna2: string;
    
    [Column('volitelna3', [TColumnProp.Required], 200)]
    Fvolitelna3: string;
    
    [Column('volitelna4', [TColumnProp.Required], 200)]
    Fvolitelna4: string;
    
    [Column('ciselna_volitelna1', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna1: Double;
    
    [Column('ciselna_volitelna2', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna2: Double;
    
    [Column('ciselna_volitelna3', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna3: Double;
    
    [Column('ciselna_volitelna4', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna4: Double;
    
    [Column('datumova_volitelna1', [TColumnProp.Required])]
    Fdatumova_volitelna1: TDateTime;
    
    [Column('datumova_volitelna2', [TColumnProp.Required])]
    Fdatumova_volitelna2: TDateTime;
    
    [Column('datumova_volitelna3', [TColumnProp.Required])]
    Fdatumova_volitelna3: TDateTime;
    
    [Column('datumova_volitelna4', [TColumnProp.Required])]
    Fdatumova_volitelna4: TDateTime;
    
    [Column('potvrzeni_date', [])]
    Fpotvrzeni_date: Nullable<TDateTime>;
    
    [Column('cm_castka', [TColumnProp.Required], 15, 3)]
    Fcm_castka: Double;
    
    [Column('cm_kurz', [TColumnProp.Required], 15, 3)]
    Fcm_kurz: Double;
    
    [Column('cm_mena', [TColumnProp.Required], 50)]
    Fcm_mena: string;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property note: TBlob read Fnote write Fnote;
    property vystaveno: TDateTime read Fvystaveno write Fvystaveno;
    property user: string read Fuser write Fuser;
    property name: string read Fname write Fname;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property order_id: string read Forder_id write Forder_id;
    property dodani: TDateTime read Fdodani write Fdodani;
    property doprava_id: Integer read Fdoprava_id write Fdoprava_id;
    property doklad: string read Fdoklad write Fdoklad;
    property doklad2: string read Fdoklad2 write Fdoklad2;
    property splatno: TDateTime read Fsplatno write Fsplatno;
    property vykryto: Integer read Fvykryto write Fvykryto;
    property vykryto_date: Nullable<TDateTime> read Fvykryto_date write Fvykryto_date;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property StavDokladu: Integer read FStavDokladu write FStavDokladu;
    property drawing: string read Fdrawing write Fdrawing;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property volitelna3: string read Fvolitelna3 write Fvolitelna3;
    property volitelna4: string read Fvolitelna4 write Fvolitelna4;
    property ciselna_volitelna1: Double read Fciselna_volitelna1 write Fciselna_volitelna1;
    property ciselna_volitelna2: Double read Fciselna_volitelna2 write Fciselna_volitelna2;
    property ciselna_volitelna3: Double read Fciselna_volitelna3 write Fciselna_volitelna3;
    property ciselna_volitelna4: Double read Fciselna_volitelna4 write Fciselna_volitelna4;
    property datumova_volitelna1: TDateTime read Fdatumova_volitelna1 write Fdatumova_volitelna1;
    property datumova_volitelna2: TDateTime read Fdatumova_volitelna2 write Fdatumova_volitelna2;
    property datumova_volitelna3: TDateTime read Fdatumova_volitelna3 write Fdatumova_volitelna3;
    property datumova_volitelna4: TDateTime read Fdatumova_volitelna4 write Fdatumova_volitelna4;
    property potvrzeni_date: Nullable<TDateTime> read Fpotvrzeni_date write Fpotvrzeni_date;
    property cm_castka: Double read Fcm_castka write Fcm_castka;
    property cm_kurz: Double read Fcm_kurz write Fcm_kurz;
    property cm_mena: string read Fcm_mena write Fcm_mena;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tobjednavky }

constructor Tobjednavky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tobjednavky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tobjednavky);

end.
