unit uTobjednavky_doc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tobjednavky_doc = class;
  
  [Entity]
  [Table('objednavky_doc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tobjednavky_doc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('objednavka_id', [TColumnProp.Required])]
    Fobjednavka_id: Integer;
    
    [Column('objednavka_typ', [TColumnProp.Required])]
    Fobjednavka_typ: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('path', [TColumnProp.Required], 255)]
    Fpath: string;
    
    [Column('isfile', [TColumnProp.Required])]
    Fisfile: Integer;
    
    [Column('defaultdocument', [TColumnProp.Required])]
    Fdefaultdocument: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property objednavka_id: Integer read Fobjednavka_id write Fobjednavka_id;
    property objednavka_typ: Integer read Fobjednavka_typ write Fobjednavka_typ;
    property name: string read Fname write Fname;
    property path: string read Fpath write Fpath;
    property isfile: Integer read Fisfile write Fisfile;
    property defaultdocument: Integer read Fdefaultdocument write Fdefaultdocument;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tobjednavky_doc }

constructor Tobjednavky_doc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tobjednavky_doc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tobjednavky_doc);

end.
