unit uTobjednavky_polozky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tobjednavky_polozky = class;
  
  [Entity]
  [Table('objednavky_polozky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tobjednavky_polozky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('objednavka_id', [TColumnProp.Required])]
    Fobjednavka_id: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('kusu', [TColumnProp.Required], 15, 3)]
    Fkusu: Double;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('price', [TColumnProp.Required], 15, 2)]
    Fprice: Double;
    
    [Column('naradi_id', [TColumnProp.Required])]
    Fnaradi_id: Integer;
    
    [Column('unitprice', [TColumnProp.Required], 15, 2)]
    Funitprice: Double;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('dodat_do', [TColumnProp.Required])]
    Fdodat_do: TDateTime;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('bez_vazby', [TColumnProp.Required])]
    Fbez_vazby: Integer;
    
    [Column('vykryto_bez_vazby', [TColumnProp.Required], 15, 2)]
    Fvykryto_bez_vazby: Double;
    
    [Column('vykryto', [TColumnProp.Required], 15, 3)]
    Fvykryto: Double;
    
    [Column('vykryto_date', [])]
    Fvykryto_date: Nullable<TDateTime>;
    
    [Column('subdodavka_id', [TColumnProp.Required])]
    Fsubdodavka_id: Integer;
    
    [Column('forma_id', [TColumnProp.Required])]
    Fforma_id: Integer;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('volitelna1', [TColumnProp.Required], 200)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 200)]
    Fvolitelna2: string;
    
    [Column('ciselna_volitelna1', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna1: Double;
    
    [Column('ciselna_volitelna2', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna2: Double;
    
    [Column('datumova_volitelna1', [TColumnProp.Required])]
    Fdatumova_volitelna1: TDateTime;
    
    [Column('datumova_volitelna2', [TColumnProp.Required])]
    Fdatumova_volitelna2: TDateTime;
    
    [Column('cm_price', [TColumnProp.Required], 15, 3)]
    Fcm_price: Double;
    
    [Column('cm_unitprice', [TColumnProp.Required], 15, 3)]
    Fcm_unitprice: Double;
    
    [Column('vykryto_subdodavky', [TColumnProp.Required], 15, 3)]
    Fvykryto_subdodavky: Double;
    
    [Column('vykryto_vse', [TColumnProp.Required])]
    Fvykryto_vse: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property objednavka_id: Integer read Fobjednavka_id write Fobjednavka_id;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property kusu: Double read Fkusu write Fkusu;
    property unit_: Integer read Funit_ write Funit_;
    property price: Double read Fprice write Fprice;
    property naradi_id: Integer read Fnaradi_id write Fnaradi_id;
    property unitprice: Double read Funitprice write Funitprice;
    property note: TBlob read Fnote write Fnote;
    property dodat_do: TDateTime read Fdodat_do write Fdodat_do;
    property order_id: string read Forder_id write Forder_id;
    property name: string read Fname write Fname;
    property bez_vazby: Integer read Fbez_vazby write Fbez_vazby;
    property vykryto_bez_vazby: Double read Fvykryto_bez_vazby write Fvykryto_bez_vazby;
    property vykryto: Double read Fvykryto write Fvykryto;
    property vykryto_date: Nullable<TDateTime> read Fvykryto_date write Fvykryto_date;
    property subdodavka_id: Integer read Fsubdodavka_id write Fsubdodavka_id;
    property forma_id: Integer read Fforma_id write Fforma_id;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property poradi: Integer read Fporadi write Fporadi;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property ciselna_volitelna1: Double read Fciselna_volitelna1 write Fciselna_volitelna1;
    property ciselna_volitelna2: Double read Fciselna_volitelna2 write Fciselna_volitelna2;
    property datumova_volitelna1: TDateTime read Fdatumova_volitelna1 write Fdatumova_volitelna1;
    property datumova_volitelna2: TDateTime read Fdatumova_volitelna2 write Fdatumova_volitelna2;
    property cm_price: Double read Fcm_price write Fcm_price;
    property cm_unitprice: Double read Fcm_unitprice write Fcm_unitprice;
    property vykryto_subdodavky: Double read Fvykryto_subdodavky write Fvykryto_subdodavky;
    property vykryto_vse: Integer read Fvykryto_vse write Fvykryto_vse;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tobjednavky_polozky }

constructor Tobjednavky_polozky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tobjednavky_polozky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tobjednavky_polozky);

end.
