unit uTobjednavky_prijate;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tobjednavky_prijate = class;
  
  [Entity]
  [Table('objednavky_prijate')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tobjednavky_prijate = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('vystaveno', [TColumnProp.Required])]
    Fvystaveno: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('dodat', [TColumnProp.Required])]
    Fdodat: TDateTime;
    
    [Column('StavDokladu', [TColumnProp.Required])]
    FStavDokladu: Integer;
    
    [Column('drawing', [TColumnProp.Required], 200)]
    Fdrawing: string;
    
    [Column('cm_mena', [TColumnProp.Required], 10)]
    Fcm_mena: string;
    
    [Column('cm_kurz', [TColumnProp.Required], 15, 3)]
    Fcm_kurz: Double;
    
    [Column('doprava_id', [TColumnProp.Required])]
    Fdoprava_id: Integer;
    
    [Column('doklad', [TColumnProp.Required], 50)]
    Fdoklad: string;
    
    [Column('volitelna1', [TColumnProp.Required], 100)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 100)]
    Fvolitelna2: string;
    
    [Column('volitelna3', [TColumnProp.Required], 100)]
    Fvolitelna3: string;
    
    [Column('volitelna4', [TColumnProp.Required], 100)]
    Fvolitelna4: string;
    
    [Column('ciselna_volitelna1', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna1: Double;
    
    [Column('ciselna_volitelna2', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna2: Double;
    
    [Column('ciselna_volitelna3', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna3: Double;
    
    [Column('ciselna_volitelna4', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna4: Double;
    
    [Column('datumova_volitelna1', [TColumnProp.Required])]
    Fdatumova_volitelna1: TDateTime;
    
    [Column('datumova_volitelna2', [TColumnProp.Required])]
    Fdatumova_volitelna2: TDateTime;
    
    [Column('datumova_volitelna3', [TColumnProp.Required])]
    Fdatumova_volitelna3: TDateTime;
    
    [Column('datumova_volitelna4', [TColumnProp.Required])]
    Fdatumova_volitelna4: TDateTime;
    
    [Column('druh_dokladu', [TColumnProp.Required])]
    Fdruh_dokladu: Integer;
    
    [Column('userCreated', [TColumnProp.Required], 50)]
    FuserCreated: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('dodaciadresa', [TColumnProp.Required])]
    Fdodaciadresa: Integer;
    
    [Column('externi_id', [TColumnProp.Required], 150)]
    Fexterni_id: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property note: TBlob read Fnote write Fnote;
    property vystaveno: TDateTime read Fvystaveno write Fvystaveno;
    property user: string read Fuser write Fuser;
    property name: string read Fname write Fname;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property dodat: TDateTime read Fdodat write Fdodat;
    property StavDokladu: Integer read FStavDokladu write FStavDokladu;
    property drawing: string read Fdrawing write Fdrawing;
    property cm_mena: string read Fcm_mena write Fcm_mena;
    property cm_kurz: Double read Fcm_kurz write Fcm_kurz;
    property doprava_id: Integer read Fdoprava_id write Fdoprava_id;
    property doklad: string read Fdoklad write Fdoklad;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property volitelna3: string read Fvolitelna3 write Fvolitelna3;
    property volitelna4: string read Fvolitelna4 write Fvolitelna4;
    property ciselna_volitelna1: Double read Fciselna_volitelna1 write Fciselna_volitelna1;
    property ciselna_volitelna2: Double read Fciselna_volitelna2 write Fciselna_volitelna2;
    property ciselna_volitelna3: Double read Fciselna_volitelna3 write Fciselna_volitelna3;
    property ciselna_volitelna4: Double read Fciselna_volitelna4 write Fciselna_volitelna4;
    property datumova_volitelna1: TDateTime read Fdatumova_volitelna1 write Fdatumova_volitelna1;
    property datumova_volitelna2: TDateTime read Fdatumova_volitelna2 write Fdatumova_volitelna2;
    property datumova_volitelna3: TDateTime read Fdatumova_volitelna3 write Fdatumova_volitelna3;
    property datumova_volitelna4: TDateTime read Fdatumova_volitelna4 write Fdatumova_volitelna4;
    property druh_dokladu: Integer read Fdruh_dokladu write Fdruh_dokladu;
    property userCreated: string read FuserCreated write FuserCreated;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property dodaciadresa: Integer read Fdodaciadresa write Fdodaciadresa;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tobjednavky_prijate }

constructor Tobjednavky_prijate.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tobjednavky_prijate.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tobjednavky_prijate);

end.
