unit uTobjednavky_prijate_polozky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tobjednavky_prijate_polozky = class;
  
  [Entity]
  [Table('objednavky_prijate_polozky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tobjednavky_prijate_polozky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('objednavka_id', [TColumnProp.Required])]
    Fobjednavka_id: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('kusu', [TColumnProp.Required], 15, 3)]
    Fkusu: Double;
    
    [Column('price', [TColumnProp.Required], 15, 3)]
    Fprice: Double;
    
    [Column('unitprice', [TColumnProp.Required], 15, 3)]
    Funitprice: Double;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('pozice', [TColumnProp.Required], 20)]
    Fpozice: string;
    
    [Column('pozadovene_datum', [TColumnProp.Required])]
    Fpozadovene_datum: TDateTime;
    
    [Column('potvrzene_datum', [TColumnProp.Required])]
    Fpotvrzene_datum: TDateTime;
    
    [Column('potvrzena_cena_jednotka', [TColumnProp.Required], 15, 3)]
    Fpotvrzena_cena_jednotka: Double;
    
    [Column('potvrzena_cena', [TColumnProp.Required], 15, 3)]
    Fpotvrzena_cena: Double;
    
    [Column('drawing', [TColumnProp.Required], 200)]
    Fdrawing: string;
    
    [Column('sell_price_unit', [TColumnProp.Required], 15, 3)]
    Fsell_price_unit: Double;
    
    [Column('sell_price', [TColumnProp.Required], 15, 3)]
    Fsell_price: Double;
    
    [Column('cm_price', [TColumnProp.Required], 15, 3)]
    Fcm_price: Double;
    
    [Column('cm_unitprice', [TColumnProp.Required], 15, 3)]
    Fcm_unitprice: Double;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('volitelna1', [TColumnProp.Required], 150)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 150)]
    Fvolitelna2: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('externi_id', [TColumnProp.Required], 150)]
    Fexterni_id: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property objednavka_id: Integer read Fobjednavka_id write Fobjednavka_id;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property kusu: Double read Fkusu write Fkusu;
    property price: Double read Fprice write Fprice;
    property unitprice: Double read Funitprice write Funitprice;
    property note: TBlob read Fnote write Fnote;
    property pozice: string read Fpozice write Fpozice;
    property pozadovene_datum: TDateTime read Fpozadovene_datum write Fpozadovene_datum;
    property potvrzene_datum: TDateTime read Fpotvrzene_datum write Fpotvrzene_datum;
    property potvrzena_cena_jednotka: Double read Fpotvrzena_cena_jednotka write Fpotvrzena_cena_jednotka;
    property potvrzena_cena: Double read Fpotvrzena_cena write Fpotvrzena_cena;
    property drawing: string read Fdrawing write Fdrawing;
    property sell_price_unit: Double read Fsell_price_unit write Fsell_price_unit;
    property sell_price: Double read Fsell_price write Fsell_price;
    property cm_price: Double read Fcm_price write Fcm_price;
    property cm_unitprice: Double read Fcm_unitprice write Fcm_unitprice;
    property unit_: Integer read Funit_ write Funit_;
    property poradi: Integer read Fporadi write Fporadi;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tobjednavky_prijate_polozky }

constructor Tobjednavky_prijate_polozky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tobjednavky_prijate_polozky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tobjednavky_prijate_polozky);

end.
