unit uToperation;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Toperation = class;
  
  [Entity]
  [Table('operation')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Toperation = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('group_name', [], 50)]
    Fgroup_name: Nullable<string>;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('machine_name', [TColumnProp.Required], 100)]
    Fmachine_name: string;
    
    [Column('id_employee', [TColumnProp.Required])]
    Fid_employee: Integer;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('unitcount', [TColumnProp.Required], 15, 5)]
    Funitcount: Double;
    
    [Column('unit_price', [TColumnProp.Required], 15, 2)]
    Funit_price: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('open_door', [TColumnProp.Required])]
    Fopen_door: Integer;
    
    [Column('orderstav_id', [TColumnProp.Required])]
    Forderstav_id: Integer;
    
    [Column('ukolova_mzda', [TColumnProp.Required], 15, 3)]
    Fukolova_mzda: Double;
    
    [Column('auto_writte', [TColumnProp.Required])]
    Fauto_writte: Integer;
    
    [Column('cnc_id', [TColumnProp.Required])]
    Fcnc_id: Integer;
    
    [Column('cena_mzdove_polozky', [TColumnProp.Required], 15, 2)]
    Fcena_mzdove_polozky: Double;
    
    [Column('maxmin_za_den', [TColumnProp.Required])]
    Fmaxmin_za_den: Integer;
    
    [Column('planovano_min', [TColumnProp.Required])]
    Fplanovano_min: Integer;
    
    [Column('resource_id', [TColumnProp.Required])]
    Fresource_id: Integer;
    
    [Column('take_photo', [TColumnProp.Required])]
    Ftake_photo: Integer;
    
    [Column('operace_predchazejici_id', [])]
    Foperace_predchazejici_id: Nullable<Integer>;
    
    [Column('operace_predchazejici_cas', [])]
    Foperace_predchazejici_cas: Nullable<Integer>;
    
    [Column('operace_predchazejici_fix', [])]
    Foperace_predchazejici_fix: Nullable<Integer>;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('priprava', [TColumnProp.Required])]
    Fpriprava: Integer;
    
    [Column('pripravaCas', [TColumnProp.Required])]
    FpripravaCas: Integer;
    
    [Column('pripravaInterval', [TColumnProp.Required])]
    FpripravaInterval: Integer;
    
    [Column('cena_faktura', [TColumnProp.Required], 15, 3)]
    Fcena_faktura: Double;
    
    [Column('cena_rezie', [TColumnProp.Required], 15, 3)]
    Fcena_rezie: Double;
    
    [Column('koeficient_mzdy', [TColumnProp.Required], 15, 3)]
    Fkoeficient_mzdy: Double;
    
    [Column('sklad_skupina_id', [TColumnProp.Required])]
    Fsklad_skupina_id: Integer;
    
    [Column('cena_mj_odmeny', [TColumnProp.Required], 15, 3)]
    Fcena_mj_odmeny: Double;
    
    [Column('cena_mj_operace', [TColumnProp.Required], 15, 3)]
    Fcena_mj_operace: Double;
    
    [Column('is_cnc', [TColumnProp.Required])]
    Fis_cnc: Integer;
    
    [Column('is_dochazka', [TColumnProp.Required])]
    Fis_dochazka: Integer;
    
    [Column('userCode', [TColumnProp.Required], 100)]
    FuserCode: string;
    
    [Column('is_fixed', [TColumnProp.Required])]
    Fis_fixed: Integer;
    
    [Column('is_servis', [TColumnProp.Required])]
    Fis_servis: Integer;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('ep_typ_planu_ID', [TColumnProp.Required])]
    Fep_typ_planu_ID: Integer;
    
    [Column('tech_prestavka_minut', [TColumnProp.Required])]
    Ftech_prestavka_minut: Integer;
    
    [Column('tech_prestavka_dni', [TColumnProp.Required])]
    Ftech_prestavka_dni: Integer;
    
    [Column('is_zakazka_povinna', [TColumnProp.Required])]
    Fis_zakazka_povinna: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property group_name: Nullable<string> read Fgroup_name write Fgroup_name;
    property note: TBlob read Fnote write Fnote;
    property machine_name: string read Fmachine_name write Fmachine_name;
    property id_employee: Integer read Fid_employee write Fid_employee;
    property unit_: Integer read Funit_ write Funit_;
    property unitcount: Double read Funitcount write Funitcount;
    property unit_price: Double read Funit_price write Funit_price;
    property user: string read Fuser write Fuser;
    property open_door: Integer read Fopen_door write Fopen_door;
    property orderstav_id: Integer read Forderstav_id write Forderstav_id;
    property ukolova_mzda: Double read Fukolova_mzda write Fukolova_mzda;
    property auto_writte: Integer read Fauto_writte write Fauto_writte;
    property cnc_id: Integer read Fcnc_id write Fcnc_id;
    property cena_mzdove_polozky: Double read Fcena_mzdove_polozky write Fcena_mzdove_polozky;
    property maxmin_za_den: Integer read Fmaxmin_za_den write Fmaxmin_za_den;
    property planovano_min: Integer read Fplanovano_min write Fplanovano_min;
    property resource_id: Integer read Fresource_id write Fresource_id;
    property take_photo: Integer read Ftake_photo write Ftake_photo;
    property operace_predchazejici_id: Nullable<Integer> read Foperace_predchazejici_id write Foperace_predchazejici_id;
    property operace_predchazejici_cas: Nullable<Integer> read Foperace_predchazejici_cas write Foperace_predchazejici_cas;
    property operace_predchazejici_fix: Nullable<Integer> read Foperace_predchazejici_fix write Foperace_predchazejici_fix;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property priprava: Integer read Fpriprava write Fpriprava;
    property pripravaCas: Integer read FpripravaCas write FpripravaCas;
    property pripravaInterval: Integer read FpripravaInterval write FpripravaInterval;
    property cena_faktura: Double read Fcena_faktura write Fcena_faktura;
    property cena_rezie: Double read Fcena_rezie write Fcena_rezie;
    property koeficient_mzdy: Double read Fkoeficient_mzdy write Fkoeficient_mzdy;
    property sklad_skupina_id: Integer read Fsklad_skupina_id write Fsklad_skupina_id;
    property cena_mj_odmeny: Double read Fcena_mj_odmeny write Fcena_mj_odmeny;
    property cena_mj_operace: Double read Fcena_mj_operace write Fcena_mj_operace;
    property is_cnc: Integer read Fis_cnc write Fis_cnc;
    property is_dochazka: Integer read Fis_dochazka write Fis_dochazka;
    property userCode: string read FuserCode write FuserCode;
    property is_fixed: Integer read Fis_fixed write Fis_fixed;
    property is_servis: Integer read Fis_servis write Fis_servis;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property ep_typ_planu_ID: Integer read Fep_typ_planu_ID write Fep_typ_planu_ID;
    property tech_prestavka_minut: Integer read Ftech_prestavka_minut write Ftech_prestavka_minut;
    property tech_prestavka_dni: Integer read Ftech_prestavka_dni write Ftech_prestavka_dni;
    property is_zakazka_povinna: Integer read Fis_zakazka_povinna write Fis_zakazka_povinna;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Toperation }

constructor Toperation.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Toperation.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Toperation);

end.
