unit uToperation_default;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Toperation_default = class;
  
  [Entity]
  [Table('operation_default')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Toperation_default = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('operation_id', [])]
    Foperation_id: Nullable<Integer>;
    
    [Column('pausal_id', [])]
    Fpausal_id: Nullable<Integer>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property operation_id: Nullable<Integer> read Foperation_id write Foperation_id;
    property pausal_id: Nullable<Integer> read Fpausal_id write Fpausal_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Toperation_default }

constructor Toperation_default.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Toperation_default.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Toperation_default);

end.
