unit uToperation_group;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Toperation_group = class;
  
  [Entity]
  [Table('operation_group')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Toperation_group = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('cislo', [TColumnProp.Required], 25)]
    Fcislo: string;
    
    [Column('zkratka', [TColumnProp.Required], 30)]
    Fzkratka: string;
    
    [Column('isObedy', [TColumnProp.Required])]
    FisObedy: Integer;
    
    [Column('isCnc', [TColumnProp.Required])]
    FisCnc: Integer;
    
    [Column('isNoTime', [TColumnProp.Required])]
    FisNoTime: Integer;
    
    [Column('isDochazka', [TColumnProp.Required])]
    FisDochazka: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property user: string read Fuser write Fuser;
    property cislo: string read Fcislo write Fcislo;
    property zkratka: string read Fzkratka write Fzkratka;
    property isObedy: Integer read FisObedy write FisObedy;
    property isCnc: Integer read FisCnc write FisCnc;
    property isNoTime: Integer read FisNoTime write FisNoTime;
    property isDochazka: Integer read FisDochazka write FisDochazka;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Toperation_group }

constructor Toperation_group.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Toperation_group.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Toperation_group);

end.
