unit uTorder_calc_list;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_calc_list = class;
  
  [Entity]
  [Table('order_calc_list')]
  [Id('ForderId', TIdGenerator.None)]
  Torder_calc_list = class
  private
    [Column('orderId', [TColumnProp.Required], 255)]
    ForderId: string;
    
    [Column('date', [])]
    Fdate: Nullable<TDateTime>;
    
    [Column('zdroj', [TColumnProp.Required], 255)]
    Fzdroj: string;
    
    [Column('action', [TColumnProp.Required], 20)]
    Faction: string;
    
    [Column('table_name', [TColumnProp.Required], 100)]
    Ftable_name: string;
    
    [Column('source_id', [TColumnProp.Required])]
    Fsource_id: Int64;
    
    [Column('old_value', [], 100)]
    Fold_value: Nullable<string>;
    
    [Column('new_value', [], 100)]
    Fnew_value: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property orderId: string read ForderId write ForderId;
    property date: Nullable<TDateTime> read Fdate write Fdate;
    property zdroj: string read Fzdroj write Fzdroj;
    property action: string read Faction write Faction;
    property table_name: string read Ftable_name write Ftable_name;
    property source_id: Int64 read Fsource_id write Fsource_id;
    property old_value: Nullable<string> read Fold_value write Fold_value;
    property new_value: Nullable<string> read Fnew_value write Fnew_value;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_calc_list }

constructor Torder_calc_list.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_calc_list.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_calc_list);

end.
