unit uTorder_filter;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_filter = class;
  
  [Entity]
  [Table('order_filter')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_filter = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('cislo', [TColumnProp.Required])]
    Fcislo: Integer;
    
    [Column('nazev', [TColumnProp.Required], 32)]
    Fnazev: string;
    
    [Column('textove_polozky', [TColumnProp.Required], 256)]
    Ftextove_polozky: string;
    
    [Column('stavy', [TColumnProp.Required], 256)]
    Fstavy: string;
    
    [Column('typy', [TColumnProp.Required], 256)]
    Ftypy: string;
    
    [Column('use_zadano', [TColumnProp.Required], 32)]
    Fuse_zadano: string;
    
    [Column('zadano_do', [TColumnProp.Required])]
    Fzadano_do: TDateTime;
    
    [Column('zadano_od', [TColumnProp.Required])]
    Fzadano_od: TDateTime;
    
    [Column('posouvat_zadano', [TColumnProp.Required], 32)]
    Fposouvat_zadano: string;
    
    [Column('use_dokonceni', [TColumnProp.Required], 32)]
    Fuse_dokonceni: string;
    
    [Column('dokonceni_od', [TColumnProp.Required])]
    Fdokonceni_od: TDateTime;
    
    [Column('dokonceni_do', [TColumnProp.Required])]
    Fdokonceni_do: TDateTime;
    
    [Column('posouvat_dokonceni', [TColumnProp.Required], 32)]
    Fposouvat_dokonceni: string;
    
    [Column('ulozeno', [TColumnProp.Required])]
    Fulozeno: TDateTime;
    
    [Column('use_zmenastavu', [TColumnProp.Required], 32)]
    Fuse_zmenastavu: string;
    
    [Column('posouvat_zmenustavu', [TColumnProp.Required], 32)]
    Fposouvat_zmenustavu: string;
    
    [Column('zmenastavu_od', [TColumnProp.Required])]
    Fzmenastavu_od: TDateTime;
    
    [Column('zmenastavu_do', [TColumnProp.Required])]
    Fzmenastavu_do: TDateTime;
    
    [Column('zmenastavu', [TColumnProp.Required], 256)]
    Fzmenastavu: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property cislo: Integer read Fcislo write Fcislo;
    property nazev: string read Fnazev write Fnazev;
    property textove_polozky: string read Ftextove_polozky write Ftextove_polozky;
    property stavy: string read Fstavy write Fstavy;
    property typy: string read Ftypy write Ftypy;
    property use_zadano: string read Fuse_zadano write Fuse_zadano;
    property zadano_do: TDateTime read Fzadano_do write Fzadano_do;
    property zadano_od: TDateTime read Fzadano_od write Fzadano_od;
    property posouvat_zadano: string read Fposouvat_zadano write Fposouvat_zadano;
    property use_dokonceni: string read Fuse_dokonceni write Fuse_dokonceni;
    property dokonceni_od: TDateTime read Fdokonceni_od write Fdokonceni_od;
    property dokonceni_do: TDateTime read Fdokonceni_do write Fdokonceni_do;
    property posouvat_dokonceni: string read Fposouvat_dokonceni write Fposouvat_dokonceni;
    property ulozeno: TDateTime read Fulozeno write Fulozeno;
    property use_zmenastavu: string read Fuse_zmenastavu write Fuse_zmenastavu;
    property posouvat_zmenustavu: string read Fposouvat_zmenustavu write Fposouvat_zmenustavu;
    property zmenastavu_od: TDateTime read Fzmenastavu_od write Fzmenastavu_od;
    property zmenastavu_do: TDateTime read Fzmenastavu_do write Fzmenastavu_do;
    property zmenastavu: string read Fzmenastavu write Fzmenastavu;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_filter }

constructor Torder_filter.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_filter.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_filter);

end.
