unit uTorder_priority_font;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_priority_font = class;
  
  [Entity]
  [Table('order_priority_font')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_priority_font = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('priorita_id', [TColumnProp.Required])]
    Fpriorita_id: Integer;
    
    [Column('size', [TColumnProp.Required])]
    Fsize: Integer;
    
    [Column('pismo', [TColumnProp.Required], 50)]
    Fpismo: string;
    
    [Column('underline', [TColumnProp.Required])]
    Funderline: Integer;
    
    [Column('bold', [TColumnProp.Required])]
    Fbold: Integer;
    
    [Column('italic', [TColumnProp.Required])]
    Fitalic: Integer;
    
    [Column('crossline', [TColumnProp.Required])]
    Fcrossline: Integer;
    
    [Column('color_pen', [TColumnProp.Required])]
    Fcolor_pen: Integer;
    
    [Column('color_brush', [TColumnProp.Required])]
    Fcolor_brush: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property priorita_id: Integer read Fpriorita_id write Fpriorita_id;
    property size: Integer read Fsize write Fsize;
    property pismo: string read Fpismo write Fpismo;
    property underline: Integer read Funderline write Funderline;
    property bold: Integer read Fbold write Fbold;
    property italic: Integer read Fitalic write Fitalic;
    property crossline: Integer read Fcrossline write Fcrossline;
    property color_pen: Integer read Fcolor_pen write Fcolor_pen;
    property color_brush: Integer read Fcolor_brush write Fcolor_brush;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_priority_font }

constructor Torder_priority_font.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_priority_font.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_priority_font);

end.
