unit uTorder_stav;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_stav = class;
  
  [Entity]
  [Table('order_stav')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_stav = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('group_name', [TColumnProp.Required], 20)]
    Fgroup_name: string;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('change_operation_id', [TColumnProp.Required])]
    Fchange_operation_id: Int64;
    
    [Column('cislo', [TColumnProp.Required], 25)]
    Fcislo: string;
    
    [Column('pocitat_plan', [TColumnProp.Required])]
    Fpocitat_plan: Integer;
    
    [Column('in_print', [TColumnProp.Required])]
    Fin_print: Integer;
    
    [Column('prepocitavat', [TColumnProp.Required])]
    Fprepocitavat: Integer;
    
    [Column('blokace_mat', [TColumnProp.Required])]
    Fblokace_mat: Integer;
    
    [Column('barevne_oznaceni', [TColumnProp.Required])]
    Fbarevne_oznaceni: Integer;
    
    [Column('barva', [TColumnProp.Required])]
    Fbarva: Integer;
    
    [Column('stav_vyroba', [TColumnProp.Required])]
    Fstav_vyroba: Integer;
    
    [Column('FinalStatus', [TColumnProp.Required])]
    FFinalStatus: Integer;
    
    [Column('FillSeznam', [TColumnProp.Required])]
    FFillSeznam: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property user: string read Fuser write Fuser;
    property group_name: string read Fgroup_name write Fgroup_name;
    property poradi: Integer read Fporadi write Fporadi;
    property change_operation_id: Int64 read Fchange_operation_id write Fchange_operation_id;
    property cislo: string read Fcislo write Fcislo;
    property pocitat_plan: Integer read Fpocitat_plan write Fpocitat_plan;
    property in_print: Integer read Fin_print write Fin_print;
    property prepocitavat: Integer read Fprepocitavat write Fprepocitavat;
    property blokace_mat: Integer read Fblokace_mat write Fblokace_mat;
    property barevne_oznaceni: Integer read Fbarevne_oznaceni write Fbarevne_oznaceni;
    property barva: Integer read Fbarva write Fbarva;
    property stav_vyroba: Integer read Fstav_vyroba write Fstav_vyroba;
    property FinalStatus: Integer read FFinalStatus write FFinalStatus;
    property FillSeznam: Integer read FFillSeznam write FFillSeznam;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_stav }

constructor Torder_stav.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_stav.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_stav);

end.
