unit uTorder_urovne;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_urovne = class;
  
  [Entity]
  [Table('order_urovne')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_urovne = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('glyph_id', [TColumnProp.Required])]
    Fglyph_id: Integer;
    
    [Column('nazev', [TColumnProp.Required], 30)]
    Fnazev: string;
    
    [Column('barva_pozadi', [TColumnProp.Required], 30)]
    Fbarva_pozadi: string;
    
    [Column('barva_fontu', [TColumnProp.Required], 30)]
    Fbarva_fontu: string;
    
    [Column('styl_fontu', [TColumnProp.Required], 30)]
    Fstyl_fontu: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property glyph_id: Integer read Fglyph_id write Fglyph_id;
    property nazev: string read Fnazev write Fnazev;
    property barva_pozadi: string read Fbarva_pozadi write Fbarva_pozadi;
    property barva_fontu: string read Fbarva_fontu write Fbarva_fontu;
    property styl_fontu: string read Fstyl_fontu write Fstyl_fontu;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_urovne }

constructor Torder_urovne.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_urovne.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_urovne);

end.
