unit uTorder_work;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_work = class;
  
  [Entity]
  [Table('order_work')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_work = class
  private
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('user_time', [TColumnProp.Required])]
    Fuser_time: Integer;
    
    [Column('user_price', [TColumnProp.Required], 15, 2)]
    Fuser_price: Double;
    
    [Column('units', [TColumnProp.Required], 15, 3)]
    Funits: Double;
    
    [Column('ukolova_mzda', [TColumnProp.Required], 15, 2)]
    Fukolova_mzda: Double;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('comment', [TColumnProp.Required, TColumnProp.Lazy])]
    [DBTypeMemo]
    Fcomment: TBlob;
    
    [Column('user_time_ks_second', [TColumnProp.Required])]
    Fuser_time_ks_second: Integer;
    
    [Column('koeficient_vyroby', [TColumnProp.Required])]
    Fkoeficient_vyroby: Integer;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('real_time', [TColumnProp.Required])]
    Freal_time: Integer;
    
    [Column('real_price', [TColumnProp.Required], 15, 3)]
    Freal_price: Double;
    
    [Column('vyrobenocelkem', [TColumnProp.Required], 15, 3)]
    Fvyrobenocelkem: Double;
    
    [Column('zmetku_celkem', [TColumnProp.Required], 11, 3)]
    Fzmetku_celkem: Double;
    
    [Column('plan_kalendar', [TColumnProp.Required])]
    Fplan_kalendar: Integer;
    
    [Column('operace_predchazejici_id', [TColumnProp.Required])]
    Foperace_predchazejici_id: Integer;
    
    [Column('operace_predchazejici_cas', [TColumnProp.Required])]
    Foperace_predchazejici_cas: Integer;
    
    [Column('operace_predchazejici_fix', [TColumnProp.Required])]
    Foperace_predchazejici_fix: Integer;
    
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('priznaky', [TColumnProp.Required])]
    Fpriznaky: Integer;
    
    [Column('operace_predchazejici_added', [TColumnProp.Required])]
    Foperace_predchazejici_added: Integer;
    
    [Column('priprava', [TColumnProp.Required])]
    Fpriprava: Integer;
    
    [Column('pripravaCas', [TColumnProp.Required])]
    FpripravaCas: Integer;
    
    [Column('pripravaKoeficient', [TColumnProp.Required])]
    FpripravaKoeficient: Integer;
    
    [Column('pripravaInterval', [TColumnProp.Required])]
    FpripravaInterval: Integer;
    
    [Column('start_req', [TColumnProp.Required])]
    Fstart_req: TDateTime;
    
    [Column('finish_req', [TColumnProp.Required])]
    Ffinish_req: TDateTime;
    
    [Column('forma1_id', [TColumnProp.Required])]
    Fforma1_id: Integer;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    
    [Column('poradi_techpostup', [TColumnProp.Required])]
    Fporadi_techpostup: Integer;
    
    [Column('forma1_mnozstvi_cyklus', [TColumnProp.Required], 15, 3)]
    Fforma1_mnozstvi_cyklus: Double;
    
    [Column('forma1_material_cyklus', [TColumnProp.Required], 15, 3)]
    Fforma1_material_cyklus: Double;
    
    [Column('vyplneno_ukolova_mzda', [TColumnProp.Required])]
    Fvyplneno_ukolova_mzda: Integer;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('op_unit_price', [TColumnProp.Required], 15, 3)]
    Fop_unit_price: Double;
    
    [Column('op_ukolova_mzda', [TColumnProp.Required], 15, 3)]
    Fop_ukolova_mzda: Double;
    
    [Column('op_cena_faktura', [TColumnProp.Required], 15, 3)]
    Fop_cena_faktura: Double;
    
    [Column('op_cena_rezie', [TColumnProp.Required], 15, 3)]
    Fop_cena_rezie: Double;
    
    [Column('op_cena_mj_odmeny', [TColumnProp.Required], 15, 3)]
    Fop_cena_mj_odmeny: Double;
    
    [Column('op_stroj_id', [TColumnProp.Required])]
    Fop_stroj_id: Integer;
    
    [Column('op_stroj_cena', [TColumnProp.Required], 15, 3)]
    Fop_stroj_cena: Double;
    
    [Column('op_cena_mj', [TColumnProp.Required], 15, 3)]
    Fop_cena_mj: Double;
    
    [Column('ts_Calculated', [TColumnProp.Required])]
    Fts_Calculated: Integer;
    
    [Column('days_before_finish', [TColumnProp.Required])]
    Fdays_before_finish: Integer;
    
    [Column('isFixed', [TColumnProp.Required])]
    FisFixed: Integer;
    
    [Column('user_create', [TColumnProp.Required], 50)]
    Fuser_create: string;
    
    [Column('start_real', [TColumnProp.Required])]
    Fstart_real: TDateTime;
    
    [Column('finish_real', [TColumnProp.Required])]
    Ffinish_real: TDateTime;
    
    [Column('ep_typ_planu_ID', [TColumnProp.Required])]
    Fep_typ_planu_ID: Integer;
    
    [Column('tech_prestavka_minut', [TColumnProp.Required])]
    Ftech_prestavka_minut: Integer;
    
    [Column('tech_prestavka_dni', [TColumnProp.Required])]
    Ftech_prestavka_dni: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_lastCalculated', [])]
    Fts_lastCalculated: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property user_time: Integer read Fuser_time write Fuser_time;
    property user_price: Double read Fuser_price write Fuser_price;
    property units: Double read Funits write Funits;
    property ukolova_mzda: Double read Fukolova_mzda write Fukolova_mzda;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property poradi: Integer read Fporadi write Fporadi;
    property comment: TBlob read Fcomment write Fcomment;
    property user_time_ks_second: Integer read Fuser_time_ks_second write Fuser_time_ks_second;
    property koeficient_vyroby: Integer read Fkoeficient_vyroby write Fkoeficient_vyroby;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property real_time: Integer read Freal_time write Freal_time;
    property real_price: Double read Freal_price write Freal_price;
    property vyrobenocelkem: Double read Fvyrobenocelkem write Fvyrobenocelkem;
    property zmetku_celkem: Double read Fzmetku_celkem write Fzmetku_celkem;
    property plan_kalendar: Integer read Fplan_kalendar write Fplan_kalendar;
    property operace_predchazejici_id: Integer read Foperace_predchazejici_id write Foperace_predchazejici_id;
    property operace_predchazejici_cas: Integer read Foperace_predchazejici_cas write Foperace_predchazejici_cas;
    property operace_predchazejici_fix: Integer read Foperace_predchazejici_fix write Foperace_predchazejici_fix;
    property id: Integer read Fid write Fid;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property priznaky: Integer read Fpriznaky write Fpriznaky;
    property operace_predchazejici_added: Integer read Foperace_predchazejici_added write Foperace_predchazejici_added;
    property priprava: Integer read Fpriprava write Fpriprava;
    property pripravaCas: Integer read FpripravaCas write FpripravaCas;
    property pripravaKoeficient: Integer read FpripravaKoeficient write FpripravaKoeficient;
    property pripravaInterval: Integer read FpripravaInterval write FpripravaInterval;
    property start_req: TDateTime read Fstart_req write Fstart_req;
    property finish_req: TDateTime read Ffinish_req write Ffinish_req;
    property forma1_id: Integer read Fforma1_id write Fforma1_id;
    property priorita: Integer read Fpriorita write Fpriorita;
    property poradi_techpostup: Integer read Fporadi_techpostup write Fporadi_techpostup;
    property forma1_mnozstvi_cyklus: Double read Fforma1_mnozstvi_cyklus write Fforma1_mnozstvi_cyklus;
    property forma1_material_cyklus: Double read Fforma1_material_cyklus write Fforma1_material_cyklus;
    property vyplneno_ukolova_mzda: Integer read Fvyplneno_ukolova_mzda write Fvyplneno_ukolova_mzda;
    property unit_: Integer read Funit_ write Funit_;
    property op_unit_price: Double read Fop_unit_price write Fop_unit_price;
    property op_ukolova_mzda: Double read Fop_ukolova_mzda write Fop_ukolova_mzda;
    property op_cena_faktura: Double read Fop_cena_faktura write Fop_cena_faktura;
    property op_cena_rezie: Double read Fop_cena_rezie write Fop_cena_rezie;
    property op_cena_mj_odmeny: Double read Fop_cena_mj_odmeny write Fop_cena_mj_odmeny;
    property op_stroj_id: Integer read Fop_stroj_id write Fop_stroj_id;
    property op_stroj_cena: Double read Fop_stroj_cena write Fop_stroj_cena;
    property op_cena_mj: Double read Fop_cena_mj write Fop_cena_mj;
    property ts_Calculated: Integer read Fts_Calculated write Fts_Calculated;
    property days_before_finish: Integer read Fdays_before_finish write Fdays_before_finish;
    property isFixed: Integer read FisFixed write FisFixed;
    property user_create: string read Fuser_create write Fuser_create;
    property start_real: TDateTime read Fstart_real write Fstart_real;
    property finish_real: TDateTime read Ffinish_real write Ffinish_real;
    property ep_typ_planu_ID: Integer read Fep_typ_planu_ID write Fep_typ_planu_ID;
    property tech_prestavka_minut: Integer read Ftech_prestavka_minut write Ftech_prestavka_minut;
    property tech_prestavka_dni: Integer read Ftech_prestavka_dni write Ftech_prestavka_dni;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_lastCalculated: Nullable<TDateTime> read Fts_lastCalculated write Fts_lastCalculated;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_work }

constructor Torder_work.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_work.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_work);

end.
