unit uTorder_work_plan;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Torder_work_plan = class;
  
  [Entity]
  [Table('order_work_plan')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder_work_plan = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('plan_time', [TColumnProp.Required])]
    Fplan_time: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property plan_time: Integer read Fplan_time write Fplan_time;
    property user: string read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Torder_work_plan }

constructor Torder_work_plan.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Torder_work_plan.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Torder_work_plan);

end.
