unit uTpackages;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tpackages = class;
  
  [Entity]
  [Table('packages')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tpackages = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('bar_id', [], 50)]
    Fbar_id: Nullable<string>;
    
    [Column('spedition_id', [])]
    Fspedition_id: Nullable<Int64>;
    
    [Column('vytvoren', [])]
    Fvytvoren: Nullable<TDateTime>;
    
    [Column('zabalen', [])]
    Fzabalen: Nullable<TDateTime>;
    
    [Column('readdata_id', [])]
    Freaddata_id: Nullable<Int64>;
    
    [Column('order_id', [], 50)]
    Forder_id: Nullable<string>;
    
    [Column('hnizdo', [TColumnProp.Required])]
    Fhnizdo: Integer;
    
    [Column('customer_id', [])]
    Fcustomer_id: Nullable<Integer>;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('vytisteno_dne', [])]
    Fvytisteno_dne: Nullable<TDateTime>;
    
    [Column('expedice', [])]
    Fexpedice: Nullable<TDateTime>;
    
    [Column('tisk', [TColumnProp.Required])]
    Ftisk: Integer;
    
    [Column('soubor_exp', [], 120)]
    Fsoubor_exp: Nullable<string>;
    
    [Column('odeslan', [])]
    Fodeslan: Nullable<TDateTime>;
    
    [Column('expedice_bar', [], 50)]
    Fexpedice_bar: Nullable<string>;
    
    [Column('poznamka', [], 100)]
    Fpoznamka: Nullable<string>;
    
    [Column('hmotnost', [TColumnProp.Required])]
    Fhmotnost: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property bar_id: Nullable<string> read Fbar_id write Fbar_id;
    property spedition_id: Nullable<Int64> read Fspedition_id write Fspedition_id;
    property vytvoren: Nullable<TDateTime> read Fvytvoren write Fvytvoren;
    property zabalen: Nullable<TDateTime> read Fzabalen write Fzabalen;
    property readdata_id: Nullable<Int64> read Freaddata_id write Freaddata_id;
    property order_id: Nullable<string> read Forder_id write Forder_id;
    property hnizdo: Integer read Fhnizdo write Fhnizdo;
    property customer_id: Nullable<Integer> read Fcustomer_id write Fcustomer_id;
    property stav: Integer read Fstav write Fstav;
    property poradi: Integer read Fporadi write Fporadi;
    property vytisteno_dne: Nullable<TDateTime> read Fvytisteno_dne write Fvytisteno_dne;
    property expedice: Nullable<TDateTime> read Fexpedice write Fexpedice;
    property tisk: Integer read Ftisk write Ftisk;
    property soubor_exp: Nullable<string> read Fsoubor_exp write Fsoubor_exp;
    property odeslan: Nullable<TDateTime> read Fodeslan write Fodeslan;
    property expedice_bar: Nullable<string> read Fexpedice_bar write Fexpedice_bar;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property hmotnost: Integer read Fhmotnost write Fhmotnost;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tpackages }

constructor Tpackages.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tpackages.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tpackages);

end.
