unit uTpausal;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tpausal = class;
  
  [Entity]
  [Table('pausal')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tpausal = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('time', [TColumnProp.Required])]
    Ftime: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property bar_id: string read Fbar_id write Fbar_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property time: TDateTime read Ftime write Ftime;
    property user: string read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tpausal }

constructor Tpausal.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tpausal.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tpausal);

end.
