unit uTplan_group_smeny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_group_smeny = class;
  
  [Entity]
  [Table('plan_group_smeny')]
  [Id('Fid_standardni_smena', TIdGenerator.None)]
  [Id('Fid_smena', TIdGenerator.None)]
  [Id('Fid_den', TIdGenerator.None)]
  [Id('Fmisto_prace', TIdGenerator.None)]
  [Id('Ftyp_smeny', TIdGenerator.None)]
  [Id('Fid_plan_smena_skupina', TIdGenerator.None)]
  [Id('Fid_plan_smena', TIdGenerator.None)]
  [Id('Fid_misto_prace', TIdGenerator.None)]
  [Id('Fid_typ_smeny', TIdGenerator.None)]
  [Id('Fid_pracovni_skupina', TIdGenerator.None)]
  Tplan_group_smeny = class
  private
    [Column('id_standardni_smena', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_standardni_smena: Integer;
    
    [Column('id_smena', [TColumnProp.Required])]
    Fid_smena: Integer;
    
    [Column('id_den', [TColumnProp.Required])]
    Fid_den: Integer;
    
    [Column('misto_prace', [TColumnProp.Required])]
    Fmisto_prace: Integer;
    
    [Column('typ_smeny', [TColumnProp.Required])]
    Ftyp_smeny: Integer;
    
    [Column('id_plan_smena_skupina', [TColumnProp.Required])]
    Fid_plan_smena_skupina: Integer;
    
    [Column('id_plan_smena', [TColumnProp.Required])]
    Fid_plan_smena: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('id_pracovni_skupina', [TColumnProp.Required])]
    Fid_pracovni_skupina: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_standardni_smena: Integer read Fid_standardni_smena write Fid_standardni_smena;
    property id_smena: Integer read Fid_smena write Fid_smena;
    property id_den: Integer read Fid_den write Fid_den;
    property misto_prace: Integer read Fmisto_prace write Fmisto_prace;
    property typ_smeny: Integer read Ftyp_smeny write Ftyp_smeny;
    property id_plan_smena_skupina: Integer read Fid_plan_smena_skupina write Fid_plan_smena_skupina;
    property id_plan_smena: Integer read Fid_plan_smena write Fid_plan_smena;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property id_pracovni_skupina: Integer read Fid_pracovni_skupina write Fid_pracovni_skupina;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_group_smeny }

constructor Tplan_group_smeny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_group_smeny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_group_smeny);

end.
