unit uTplan_misto_prace;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_misto_prace = class;
  
  [Entity]
  [Table('plan_misto_prace')]
  [Id('Fid_misto_prace', TIdGenerator.IdentityOrSequence)]
  Tplan_misto_prace = class
  private
    [Column('id_misto_prace', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_misto_prace: Integer;
    
    [Column('popis', [TColumnProp.Required], 100)]
    Fpopis: string;
    
    [Column('ma_mit_plan', [TColumnProp.Required])]
    Fma_mit_plan: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property popis: string read Fpopis write Fpopis;
    property ma_mit_plan: Integer read Fma_mit_plan write Fma_mit_plan;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_misto_prace }

constructor Tplan_misto_prace.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_misto_prace.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_misto_prace);

end.
