unit uTplan_na_den;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_na_den = class;
  
  [Entity]
  [Table('plan_na_den')]
  [Id('Fid_plan_den', TIdGenerator.IdentityOrSequence)]
  Tplan_na_den = class
  private
    [Column('id_plan_den', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_plan_den: Integer;
    
    [Column('id_worker', [TColumnProp.Required])]
    Fid_worker: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('den_v_kalendari', [TColumnProp.Required])]
    Fden_v_kalendari: TDateTime;
    
    [Column('worker_kapacita_den', [TColumnProp.Required], 5, 2)]
    Fworker_kapacita_den: Double;
    
    [Column('worker_stav', [TColumnProp.Required])]
    Fworker_stav: Integer;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Integer;
    
    [Column('poznamka', [], 200)]
    Fpoznamka: Nullable<string>;
    
    [Column('Nepritomnost_cas', [TColumnProp.Required], 5, 2)]
    FNepritomnost_cas: Double;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Int64;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('start', [])]
    Fstart: Nullable<TDateTime>;
    
    [Column('finish', [])]
    Ffinish: Nullable<TDateTime>;
    
    [Column('prestavka_po', [TColumnProp.Required])]
    Fprestavka_po: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_plan_den: Integer read Fid_plan_den write Fid_plan_den;
    property id_worker: Integer read Fid_worker write Fid_worker;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property den_v_kalendari: TDateTime read Fden_v_kalendari write Fden_v_kalendari;
    property worker_kapacita_den: Double read Fworker_kapacita_den write Fworker_kapacita_den;
    property worker_stav: Integer read Fworker_stav write Fworker_stav;
    property operation_id: Integer read Foperation_id write Foperation_id;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property Nepritomnost_cas: Double read FNepritomnost_cas write FNepritomnost_cas;
    property readdata_id: Int64 read Freaddata_id write Freaddata_id;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property start: Nullable<TDateTime> read Fstart write Fstart;
    property finish: Nullable<TDateTime> read Ffinish write Ffinish;
    property prestavka_po: Integer read Fprestavka_po write Fprestavka_po;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_na_den }

constructor Tplan_na_den.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_na_den.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_na_den);

end.
