unit uTplan_smena_na_den;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_smena_na_den = class;
  
  [Entity]
  [Table('plan_smena_na_den')]
  [Id('Fid_plan_smena_na_den', TIdGenerator.None)]
  [Id('Fid_plan_smena', TIdGenerator.None)]
  [Id('Fid_typ_provoz', TIdGenerator.None)]
  [Id('Fid_typ_smeny', TIdGenerator.None)]
  [Id('Fid_misto_prace', TIdGenerator.None)]
  Tplan_smena_na_den = class
  private
    [Column('id_plan_smena_na_den', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_plan_smena_na_den: Integer;
    
    [Column('id_plan_smena', [TColumnProp.Required])]
    Fid_plan_smena: Integer;
    
    [Column('id_typ_provoz', [TColumnProp.Required])]
    Fid_typ_provoz: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('den_v_kalendari', [TColumnProp.Required])]
    Fden_v_kalendari: TDateTime;
    
    [Column('kapacita_na_den', [TColumnProp.Required], 9, 2)]
    Fkapacita_na_den: Double;
    
    [Column('kapacita_naplnena', [TColumnProp.Required], 9, 2)]
    Fkapacita_naplnena: Double;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_plan_smena_na_den: Integer read Fid_plan_smena_na_den write Fid_plan_smena_na_den;
    property id_plan_smena: Integer read Fid_plan_smena write Fid_plan_smena;
    property id_typ_provoz: Integer read Fid_typ_provoz write Fid_typ_provoz;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property den_v_kalendari: TDateTime read Fden_v_kalendari write Fden_v_kalendari;
    property kapacita_na_den: Double read Fkapacita_na_den write Fkapacita_na_den;
    property kapacita_naplnena: Double read Fkapacita_naplnena write Fkapacita_naplnena;
    property stav: Integer read Fstav write Fstav;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_smena_na_den }

constructor Tplan_smena_na_den.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_smena_na_den.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_smena_na_den);

end.
