unit uTplan_standardni_smena;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_standardni_smena = class;
  
  [Entity]
  [Table('plan_standardni_smena')]
  [Id('Fid_standardni_smena', TIdGenerator.None)]
  [Id('Fden_v_tydnu', TIdGenerator.None)]
  [Id('Fid_plan_smena_skupina', TIdGenerator.None)]
  [Id('Fid_plan_smena', TIdGenerator.None)]
  [Id('Fid_misto_prace', TIdGenerator.None)]
  [Id('Fid_typ_smeny', TIdGenerator.None)]
  [Id('Fid_pracovni_skupina', TIdGenerator.None)]
  Tplan_standardni_smena = class
  private
    [Column('id_standardni_smena', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_standardni_smena: Integer;
    
    [Column('id_plan_smena_skupina', [TColumnProp.Required])]
    Fid_plan_smena_skupina: Integer;
    
    [Column('id_plan_smena', [TColumnProp.Required])]
    Fid_plan_smena: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('id_typ_smeny', [TColumnProp.Required])]
    Fid_typ_smeny: Integer;
    
    [Column('id_pracovni_skupina', [TColumnProp.Required])]
    Fid_pracovni_skupina: Integer;
    
    [Column('den_v_tydnu', [TColumnProp.Required])]
    Fden_v_tydnu: Integer;
    
    [Column('fond_hodin', [TColumnProp.Required], 5, 2)]
    Ffond_hodin: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_standardni_smena: Integer read Fid_standardni_smena write Fid_standardni_smena;
    property id_plan_smena_skupina: Integer read Fid_plan_smena_skupina write Fid_plan_smena_skupina;
    property id_plan_smena: Integer read Fid_plan_smena write Fid_plan_smena;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property id_typ_smeny: Integer read Fid_typ_smeny write Fid_typ_smeny;
    property id_pracovni_skupina: Integer read Fid_pracovni_skupina write Fid_pracovni_skupina;
    property den_v_tydnu: Integer read Fden_v_tydnu write Fden_v_tydnu;
    property fond_hodin: Double read Ffond_hodin write Ffond_hodin;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_standardni_smena }

constructor Tplan_standardni_smena.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_standardni_smena.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_standardni_smena);

end.
