unit uTplan_worker;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_worker = class;
  
  [Entity]
  [Table('plan_worker')]
  [Id('Fid_worker', TIdGenerator.IdentityOrSequence)]
  Tplan_worker = class
  private
    [Column('id_worker', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_worker: Integer;
    
    [Column('dovolena', [TColumnProp.Required])]
    Fdovolena: Integer;
    
    [Column('prescas', [TColumnProp.Required])]
    Fprescas: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_worker: Integer read Fid_worker write Fid_worker;
    property dovolena: Integer read Fdovolena write Fdovolena;
    property prescas: Integer read Fprescas write Fprescas;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_worker }

constructor Tplan_worker.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_worker.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_worker);

end.
