unit uTplan_worker_skupina;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tplan_worker_skupina = class;
  
  [Entity]
  [Table('plan_worker_skupina')]
  [Id('Fid_worker_skupina', TIdGenerator.IdentityOrSequence)]
  Tplan_worker_skupina = class
  private
    [Column('id_worker_skupina', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_worker_skupina: Integer;
    
    [Column('popis', [TColumnProp.Required], 100)]
    Fpopis: string;
    
    [Column('ma_mit_plan', [TColumnProp.Required])]
    Fma_mit_plan: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_worker_skupina: Integer read Fid_worker_skupina write Fid_worker_skupina;
    property popis: string read Fpopis write Fpopis;
    property ma_mit_plan: Integer read Fma_mit_plan write Fma_mit_plan;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tplan_worker_skupina }

constructor Tplan_worker_skupina.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tplan_worker_skupina.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tplan_worker_skupina);

end.
