unit uTpozice;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tpozice = class;
  
  [Entity]
  [Table('pozice')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tpozice = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('sklad_id', [TColumnProp.Required])]
    Fsklad_id: Integer;
    
    [Column('pozice', [TColumnProp.Required], 50)]
    Fpozice: string;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property sklad_id: Integer read Fsklad_id write Fsklad_id;
    property pozice: string read Fpozice write Fpozice;
    property mnoz: Double read Fmnoz write Fmnoz;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tpozice }

constructor Tpozice.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tpozice.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tpozice);

end.
