unit uTprohlidky_stroje;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tprohlidky_stroje = class;
  
  [Entity]
  [Table('prohlidky_stroje')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tprohlidky_stroje = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    
    [Column('stav_hodin', [TColumnProp.Required])]
    Fstav_hodin: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('typ_id', [TColumnProp.Required])]
    Ftyp_id: Integer;
    
    [Column('stroj_typ', [TColumnProp.Required])]
    Fstroj_typ: Integer;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('provedl', [TColumnProp.Required], 200)]
    Fprovedl: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property datum: TDateTime read Fdatum write Fdatum;
    property stav_hodin: Integer read Fstav_hodin write Fstav_hodin;
    property note: TBlob read Fnote write Fnote;
    property typ_id: Integer read Ftyp_id write Ftyp_id;
    property stroj_typ: Integer read Fstroj_typ write Fstroj_typ;
    property readdata_id: Integer read Freaddata_id write Freaddata_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property provedl: string read Fprovedl write Fprovedl;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tprohlidky_stroje }

constructor Tprohlidky_stroje.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tprohlidky_stroje.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tprohlidky_stroje);

end.
