unit uTpruv_list;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tpruv_list = class;
  
  [Entity]
  [Table('pruv_list')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tpruv_list = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Int64;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('mnoz', [TColumnProp.Required], 9, 3)]
    Fmnoz: Double;
    
    [Column('zmetku', [TColumnProp.Required], 9, 3)]
    Fzmetku: Double;
    
    [Column('rucnizmena', [TColumnProp.Required])]
    Frucnizmena: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property worker_id: Int64 read Fworker_id write Fworker_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property order_id: string read Forder_id write Forder_id;
    property date: TDateTime read Fdate write Fdate;
    property mnoz: Double read Fmnoz write Fmnoz;
    property zmetku: Double read Fzmetku write Fzmetku;
    property rucnizmena: Integer read Frucnizmena write Frucnizmena;
    property note: TBlob read Fnote write Fnote;
    property datum: TDateTime read Fdatum write Fdatum;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tpruv_list }

constructor Tpruv_list.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tpruv_list.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tpruv_list);

end.
