unit uTreaddata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treaddata = class;
  
  [Entity]
  [Table('readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treaddata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('repair_type', [TColumnProp.Required])]
    Frepair_type: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('calculated', [TColumnProp.Required])]
    Fcalculated: Integer;
    
    [Column('order_group_id', [TColumnProp.Required])]
    Forder_group_id: Integer;
    
    [Column('calculated_machine', [TColumnProp.Required])]
    Fcalculated_machine: Integer;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    
    [Column('ukonova_mzda', [TColumnProp.Required], 15, 3)]
    Fukonova_mzda: Double;
    
    [Column('added_price', [TColumnProp.Required])]
    Fadded_price: Integer;
    
    [Column('naklady', [TColumnProp.Required], 15, 2)]
    Fnaklady: Double;
    
    [Column('serial_id', [TColumnProp.Required])]
    Fserial_id: Int64;
    
    [Column('exportovano', [TColumnProp.Required])]
    Fexportovano: Integer;
    
    [Column('ukon_mzda', [TColumnProp.Required], 15, 2)]
    Fukon_mzda: Double;
    
    [Column('typ_ukon_mzdy', [TColumnProp.Required])]
    Ftyp_ukon_mzdy: Integer;
    
    [Column('zmetku', [TColumnProp.Required], 15, 3)]
    Fzmetku: Double;
    
    [Column('worker_id2', [TColumnProp.Required])]
    Fworker_id2: Integer;
    
    [Column('volitelna1', [TColumnProp.Required])]
    Fvolitelna1: Integer;
    
    [Column('kusy_zapocteno', [TColumnProp.Required])]
    Fkusy_zapocteno: Integer;
    
    [Column('calculated_orderwork', [TColumnProp.Required])]
    Fcalculated_orderwork: Integer;
    
    [Column('calculated_kalendar', [TColumnProp.Required])]
    Fcalculated_kalendar: Integer;
    
    [Column('photo_count', [TColumnProp.Required])]
    Fphoto_count: Integer;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    
    [Column('dodaci_list_polozka_id', [TColumnProp.Required])]
    Fdodaci_list_polozka_id: Integer;
    
    [Column('volitelna2', [TColumnProp.Required], 7, 2)]
    Fvolitelna2: Double;
    
    [Column('serial_id_str', [], 50)]
    Fserial_id_str: Nullable<string>;
    
    [Column('hnizdo', [])]
    Fhnizdo: Nullable<Integer>;
    
    [Column('poradi_operace', [TColumnProp.Required])]
    Fporadi_operace: Integer;
    
    [Column('orderwork_id', [])]
    Forderwork_id: Nullable<Integer>;
    
    [Column('zamceno', [TColumnProp.Required])]
    Fzamceno: Integer;
    
    [Column('zamceno_cas', [TColumnProp.Required])]
    Fzamceno_cas: TDateTime;
    
    [Column('zamceno_id_user', [TColumnProp.Required])]
    Fzamceno_id_user: Integer;
    
    [Column('sarze', [TColumnProp.Required], 255)]
    Fsarze: string;
    
    [Column('naklady_vstup', [TColumnProp.Required], 15, 2)]
    Fnaklady_vstup: Double;
    
    [Column('locked', [TColumnProp.Required])]
    Flocked: Integer;
    
    [Column('cena_worker', [TColumnProp.Required], 15, 2)]
    Fcena_worker: Double;
    
    [Column('cena_worker2', [TColumnProp.Required], 15, 2)]
    Fcena_worker2: Double;
    
    [Column('cena_operation', [TColumnProp.Required], 15, 2)]
    Fcena_operation: Double;
    
    [Column('cena_cnc', [TColumnProp.Required], 15, 2)]
    Fcena_cnc: Double;
    
    [Column('cena_stroj', [TColumnProp.Required], 15, 2)]
    Fcena_stroj: Double;
    
    [Column('faktura_id', [])]
    Ffaktura_id: Nullable<Integer>;
    
    [Column('faktura_doklad', [], 150)]
    Ffaktura_doklad: Nullable<string>;
    
    [Column('cena_MJ', [TColumnProp.Required], 15, 4)]
    Fcena_MJ: Double;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('prepocitano', [TColumnProp.Required])]
    Fprepocitano: Integer;
    
    [Column('naklady_worker', [TColumnProp.Required], 15, 3)]
    Fnaklady_worker: Double;
    
    [Column('naklady_order', [TColumnProp.Required], 15, 3)]
    Fnaklady_order: Double;
    
    [Column('naklady_operation', [TColumnProp.Required], 15, 3)]
    Fnaklady_operation: Double;
    
    [Column('um_uznano', [])]
    Fum_uznano: Nullable<Integer>;
    
    [Column('um_fond_odpis', [])]
    Fum_fond_odpis: Nullable<Integer>;
    
    [Column('um_fond_zbyva', [])]
    Fum_fond_zbyva: Nullable<Integer>;
    
    [Column('um_uznano_datum', [])]
    Fum_uznano_datum: Nullable<TDateTime>;
    
    [Column('um_uznano_user', [], 100)]
    Fum_uznano_user: Nullable<string>;
    
    [Column('externi_id', [], 100)]
    Fexterni_id: Nullable<string>;
    
    [Column('ceny_added', [TColumnProp.Required])]
    Fceny_added: Integer;
    
    [Column('terminal_ip', [TColumnProp.Required], 64)]
    Fterminal_ip: string;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('vydano', [TColumnProp.Required], 15, 3)]
    Fvydano: Double;
    
    [Column('priznak1', [TColumnProp.Required])]
    Fpriznak1: Integer;
    
    [Column('priznak2', [TColumnProp.Required])]
    Fpriznak2: Integer;
    
    [Column('note2', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote2: TBlob;
    
    [Column('note2_transferred', [TColumnProp.Required])]
    Fnote2_transferred: Integer;
    
    [Column('worker_group_id', [TColumnProp.Required])]
    Fworker_group_id: Int64;
    
    [Column('produktivita', [TColumnProp.Required], 15, 4)]
    Fproduktivita: Double;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property repair_type: Integer read Frepair_type write Frepair_type;
    property note: TBlob read Fnote write Fnote;
    property user: string read Fuser write Fuser;
    property calculated: Integer read Fcalculated write Fcalculated;
    property order_group_id: Integer read Forder_group_id write Forder_group_id;
    property calculated_machine: Integer read Fcalculated_machine write Fcalculated_machine;
    property mnoz: Double read Fmnoz write Fmnoz;
    property ukonova_mzda: Double read Fukonova_mzda write Fukonova_mzda;
    property added_price: Integer read Fadded_price write Fadded_price;
    property naklady: Double read Fnaklady write Fnaklady;
    property serial_id: Int64 read Fserial_id write Fserial_id;
    property exportovano: Integer read Fexportovano write Fexportovano;
    property ukon_mzda: Double read Fukon_mzda write Fukon_mzda;
    property typ_ukon_mzdy: Integer read Ftyp_ukon_mzdy write Ftyp_ukon_mzdy;
    property zmetku: Double read Fzmetku write Fzmetku;
    property worker_id2: Integer read Fworker_id2 write Fworker_id2;
    property volitelna1: Integer read Fvolitelna1 write Fvolitelna1;
    property kusy_zapocteno: Integer read Fkusy_zapocteno write Fkusy_zapocteno;
    property calculated_orderwork: Integer read Fcalculated_orderwork write Fcalculated_orderwork;
    property calculated_kalendar: Integer read Fcalculated_kalendar write Fcalculated_kalendar;
    property photo_count: Integer read Fphoto_count write Fphoto_count;
    property priorita: Integer read Fpriorita write Fpriorita;
    property dodaci_list_polozka_id: Integer read Fdodaci_list_polozka_id write Fdodaci_list_polozka_id;
    property volitelna2: Double read Fvolitelna2 write Fvolitelna2;
    property serial_id_str: Nullable<string> read Fserial_id_str write Fserial_id_str;
    property hnizdo: Nullable<Integer> read Fhnizdo write Fhnizdo;
    property poradi_operace: Integer read Fporadi_operace write Fporadi_operace;
    property orderwork_id: Nullable<Integer> read Forderwork_id write Forderwork_id;
    property zamceno: Integer read Fzamceno write Fzamceno;
    property zamceno_cas: TDateTime read Fzamceno_cas write Fzamceno_cas;
    property zamceno_id_user: Integer read Fzamceno_id_user write Fzamceno_id_user;
    property sarze: string read Fsarze write Fsarze;
    property naklady_vstup: Double read Fnaklady_vstup write Fnaklady_vstup;
    property locked: Integer read Flocked write Flocked;
    property cena_worker: Double read Fcena_worker write Fcena_worker;
    property cena_worker2: Double read Fcena_worker2 write Fcena_worker2;
    property cena_operation: Double read Fcena_operation write Fcena_operation;
    property cena_cnc: Double read Fcena_cnc write Fcena_cnc;
    property cena_stroj: Double read Fcena_stroj write Fcena_stroj;
    property faktura_id: Nullable<Integer> read Ffaktura_id write Ffaktura_id;
    property faktura_doklad: Nullable<string> read Ffaktura_doklad write Ffaktura_doklad;
    property cena_MJ: Double read Fcena_MJ write Fcena_MJ;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property prepocitano: Integer read Fprepocitano write Fprepocitano;
    property naklady_worker: Double read Fnaklady_worker write Fnaklady_worker;
    property naklady_order: Double read Fnaklady_order write Fnaklady_order;
    property naklady_operation: Double read Fnaklady_operation write Fnaklady_operation;
    property um_uznano: Nullable<Integer> read Fum_uznano write Fum_uznano;
    property um_fond_odpis: Nullable<Integer> read Fum_fond_odpis write Fum_fond_odpis;
    property um_fond_zbyva: Nullable<Integer> read Fum_fond_zbyva write Fum_fond_zbyva;
    property um_uznano_datum: Nullable<TDateTime> read Fum_uznano_datum write Fum_uznano_datum;
    property um_uznano_user: Nullable<string> read Fum_uznano_user write Fum_uznano_user;
    property externi_id: Nullable<string> read Fexterni_id write Fexterni_id;
    property ceny_added: Integer read Fceny_added write Fceny_added;
    property terminal_ip: string read Fterminal_ip write Fterminal_ip;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property vydano: Double read Fvydano write Fvydano;
    property priznak1: Integer read Fpriznak1 write Fpriznak1;
    property priznak2: Integer read Fpriznak2 write Fpriznak2;
    property note2: TBlob read Fnote2 write Fnote2;
    property note2_transferred: Integer read Fnote2_transferred write Fnote2_transferred;
    property worker_group_id: Int64 read Fworker_group_id write Fworker_group_id;
    property produktivita: Double read Fproduktivita write Fproduktivita;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treaddata }

constructor Treaddata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treaddata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treaddata);

end.
