unit uTreaddata_ceny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treaddata_ceny = class;
  
  [Entity]
  [Table('readdata_ceny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treaddata_ceny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('id_readdata', [TColumnProp.Required])]
    Fid_readdata: Int64;
    
    [Column('cena_worker', [TColumnProp.Required], 15, 3)]
    Fcena_worker: Double;
    
    [Column('cena_worker_naklad', [TColumnProp.Required], 15, 3)]
    Fcena_worker_naklad: Double;
    
    [Column('cena_worker_faktura', [TColumnProp.Required], 15, 3)]
    Fcena_worker_faktura: Double;
    
    [Column('cena_worker2', [TColumnProp.Required], 15, 3)]
    Fcena_worker2: Double;
    
    [Column('cena_worker2_naklad', [TColumnProp.Required], 15, 3)]
    Fcena_worker2_naklad: Double;
    
    [Column('cena_worker2_faktura', [TColumnProp.Required], 15, 3)]
    Fcena_worker2_faktura: Double;
    
    [Column('cena_operation', [TColumnProp.Required], 15, 3)]
    Fcena_operation: Double;
    
    [Column('cena_operation_mj', [TColumnProp.Required], 15, 3)]
    Fcena_operation_mj: Double;
    
    [Column('cena_ow_operation', [TColumnProp.Required], 15, 3)]
    Fcena_ow_operation: Double;
    
    [Column('cena_ow_operation_mj', [TColumnProp.Required], 15, 3)]
    Fcena_ow_operation_mj: Double;
    
    [Column('cena_stroj', [TColumnProp.Required], 15, 3)]
    Fcena_stroj: Double;
    
    [Column('cena_cnc', [TColumnProp.Required], 15, 3)]
    Fcena_cnc: Double;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('time_stamp', [TColumnProp.Required])]
    Ftime_stamp: TDateTime;
    
    [Column('verze', [TColumnProp.Required], 50)]
    Fverze: string;
    
    [Column('worker_koef_skut_nakl', [TColumnProp.Required], 15, 3)]
    Fworker_koef_skut_nakl: Double;
    
    [Column('worker2_koef_skut_nakl', [TColumnProp.Required], 15, 3)]
    Fworker2_koef_skut_nakl: Double;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('added', [TColumnProp.Required])]
    Fadded: Integer;
    
    [Column('calculated', [TColumnProp.Required])]
    Fcalculated: Integer;
    
    [Column('worker_price_sat', [TColumnProp.Required], 15, 2)]
    Fworker_price_sat: Double;
    
    [Column('worker2_price_sat', [TColumnProp.Required], 15, 2)]
    Fworker2_price_sat: Double;
    
    [Column('worker_price_sun', [TColumnProp.Required], 15, 2)]
    Fworker_price_sun: Double;
    
    [Column('worker2_price_sun', [TColumnProp.Required], 15, 2)]
    Fworker2_price_sun: Double;
    
    [Column('mzda', [TColumnProp.Required], 15, 2)]
    Fmzda: Double;
    
    [Column('naklad', [TColumnProp.Required], 15, 2)]
    Fnaklad: Double;
    
    [Column('op_cena_rezie', [TColumnProp.Required], 15, 2)]
    Fop_cena_rezie: Double;
    
    [Column('ow_ukolova_mzda', [TColumnProp.Required], 15, 2)]
    Fow_ukolova_mzda: Double;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('worker_id2', [TColumnProp.Required])]
    Fworker_id2: Integer;
    
    [Column('mzda_hod', [TColumnProp.Required], 15, 2)]
    Fmzda_hod: Double;
    
    [Column('mzda_ukol', [TColumnProp.Required], 15, 2)]
    Fmzda_ukol: Double;
    
    [Column('odvody', [TColumnProp.Required], 15, 2)]
    Fodvody: Double;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    
    [Column('ts_calculated', [TColumnProp.Required])]
    Fts_calculated: TDateTime;
    
    [Column('op_ukol_mzda', [TColumnProp.Required], 15, 2)]
    Fop_ukol_mzda: Double;
    
    [Column('op_cena_mj_odmena', [TColumnProp.Required], 15, 3)]
    Fop_cena_mj_odmena: Double;
    
    [Column('rezie', [TColumnProp.Required], 15, 3)]
    Frezie: Double;
    
    [Column('ow_cena_rezie', [TColumnProp.Required], 15, 3)]
    Fow_cena_rezie: Double;
    
    [Column('ow_unit_price', [TColumnProp.Required], 15, 3)]
    Fow_unit_price: Double;
    
    [Column('op_cena_mj', [TColumnProp.Required], 15, 3)]
    Fop_cena_mj: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property id_readdata: Int64 read Fid_readdata write Fid_readdata;
    property cena_worker: Double read Fcena_worker write Fcena_worker;
    property cena_worker_naklad: Double read Fcena_worker_naklad write Fcena_worker_naklad;
    property cena_worker_faktura: Double read Fcena_worker_faktura write Fcena_worker_faktura;
    property cena_worker2: Double read Fcena_worker2 write Fcena_worker2;
    property cena_worker2_naklad: Double read Fcena_worker2_naklad write Fcena_worker2_naklad;
    property cena_worker2_faktura: Double read Fcena_worker2_faktura write Fcena_worker2_faktura;
    property cena_operation: Double read Fcena_operation write Fcena_operation;
    property cena_operation_mj: Double read Fcena_operation_mj write Fcena_operation_mj;
    property cena_ow_operation: Double read Fcena_ow_operation write Fcena_ow_operation;
    property cena_ow_operation_mj: Double read Fcena_ow_operation_mj write Fcena_ow_operation_mj;
    property cena_stroj: Double read Fcena_stroj write Fcena_stroj;
    property cena_cnc: Double read Fcena_cnc write Fcena_cnc;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property time_stamp: TDateTime read Ftime_stamp write Ftime_stamp;
    property verze: string read Fverze write Fverze;
    property worker_koef_skut_nakl: Double read Fworker_koef_skut_nakl write Fworker_koef_skut_nakl;
    property worker2_koef_skut_nakl: Double read Fworker2_koef_skut_nakl write Fworker2_koef_skut_nakl;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property added: Integer read Fadded write Fadded;
    property calculated: Integer read Fcalculated write Fcalculated;
    property worker_price_sat: Double read Fworker_price_sat write Fworker_price_sat;
    property worker2_price_sat: Double read Fworker2_price_sat write Fworker2_price_sat;
    property worker_price_sun: Double read Fworker_price_sun write Fworker_price_sun;
    property worker2_price_sun: Double read Fworker2_price_sun write Fworker2_price_sun;
    property mzda: Double read Fmzda write Fmzda;
    property naklad: Double read Fnaklad write Fnaklad;
    property op_cena_rezie: Double read Fop_cena_rezie write Fop_cena_rezie;
    property ow_ukolova_mzda: Double read Fow_ukolova_mzda write Fow_ukolova_mzda;
    property mnoz: Double read Fmnoz write Fmnoz;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property worker_id2: Integer read Fworker_id2 write Fworker_id2;
    property mzda_hod: Double read Fmzda_hod write Fmzda_hod;
    property mzda_ukol: Double read Fmzda_ukol write Fmzda_ukol;
    property odvody: Double read Fodvody write Fodvody;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property ts_calculated: TDateTime read Fts_calculated write Fts_calculated;
    property op_ukol_mzda: Double read Fop_ukol_mzda write Fop_ukol_mzda;
    property op_cena_mj_odmena: Double read Fop_cena_mj_odmena write Fop_cena_mj_odmena;
    property rezie: Double read Frezie write Frezie;
    property ow_cena_rezie: Double read Fow_cena_rezie write Fow_cena_rezie;
    property ow_unit_price: Double read Fow_unit_price write Fow_unit_price;
    property op_cena_mj: Double read Fop_cena_mj write Fop_cena_mj;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treaddata_ceny }

constructor Treaddata_ceny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treaddata_ceny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treaddata_ceny);

end.
