unit uTreaddata_doc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treaddata_doc = class;
  
  [Entity]
  [Table('readdata_doc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treaddata_doc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('id_readdata', [TColumnProp.Required])]
    Fid_readdata: Integer;
    
    [Column('type', [TColumnProp.Required], 6)]
    Ftype_: string;
    
    [Column('content', [TColumnProp.Required, TColumnProp.Lazy])]
    Fcontent: TBlob;
    
    [Column('exported', [TColumnProp.Required])]
    Fexported: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('processed', [TColumnProp.Required])]
    Fprocessed: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property id_readdata: Integer read Fid_readdata write Fid_readdata;
    property type_: string read Ftype_ write Ftype_;
    property content: TBlob read Fcontent write Fcontent;
    property exported: Integer read Fexported write Fexported;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property processed: Integer read Fprocessed write Fprocessed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treaddata_doc }

constructor Treaddata_doc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treaddata_doc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treaddata_doc);

end.
