unit uTreaddata_foto;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treaddata_foto = class;
  
  [Entity]
  [Table('readdata_foto')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treaddata_foto = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Int64;
    
    [Column('foto_path', [TColumnProp.Required], 256)]
    Ffoto_path: string;
    
    [Column('isFile', [TColumnProp.Required])]
    FisFile: Integer;
    
    [Column('foto_Data', [TColumnProp.Lazy])]
    Ffoto_Data: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property readdata_id: Int64 read Freaddata_id write Freaddata_id;
    property foto_path: string read Ffoto_path write Ffoto_path;
    property isFile: Integer read FisFile write FisFile;
    property foto_Data: TBlob read Ffoto_Data write Ffoto_Data;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treaddata_foto }

constructor Treaddata_foto.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treaddata_foto.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treaddata_foto);

end.
