unit uTreaddata_stroj;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treaddata_stroj = class;
  
  [Entity]
  [Table('readdata_stroj')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treaddata_stroj = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('worker_id2', [TColumnProp.Required])]
    Fworker_id2: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('status_id', [TColumnProp.Required])]
    Fstatus_id: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property mnoz: Double read Fmnoz write Fmnoz;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property worker_id2: Integer read Fworker_id2 write Fworker_id2;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property status_id: Integer read Fstatus_id write Fstatus_id;
    property note: TBlob read Fnote write Fnote;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treaddata_stroj }

constructor Treaddata_stroj.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treaddata_stroj.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treaddata_stroj);

end.
