unit uTreader;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Treader = class;
  
  [Entity]
  [Table('reader')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Treader = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('code', [TColumnProp.Required], 20)]
    Fcode: string;
    
    [Column('processed', [TColumnProp.Required])]
    Fprocessed: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property date: TDateTime read Fdate write Fdate;
    property code: string read Fcode write Fcode;
    property processed: Integer read Fprocessed write Fprocessed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Treader }

constructor Treader.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Treader.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Treader);

end.
