unit uTref_operation_worker;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_operation_worker = class;
  
  [Entity]
  [Table('ref_operation_worker')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_operation_worker = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Integer;
    
    [Column('worker_cena', [TColumnProp.Required], 23)]
    Fworker_cena: Double;
    
    [Column('operation_cena', [TColumnProp.Required], 23)]
    Foperation_cena: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property operation_id: Integer read Foperation_id write Foperation_id;
    property worker_cena: Double read Fworker_cena write Fworker_cena;
    property operation_cena: Double read Foperation_cena write Foperation_cena;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_operation_worker }

constructor Tref_operation_worker.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_operation_worker.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_operation_worker);

end.
