unit uTref_user_orderstav;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_user_orderstav = class;
  
  [Entity]
  [Table('ref_user_orderstav')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_user_orderstav = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('order_stav', [TColumnProp.Required])]
    Forder_stav: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property order_stav: Integer read Forder_stav write Forder_stav;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_user_orderstav }

constructor Tref_user_orderstav.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_user_orderstav.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_user_orderstav);

end.
