unit uTref_user_ordertyp;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_user_ordertyp = class;
  
  [Entity]
  [Table('ref_user_ordertyp')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_user_ordertyp = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('order_typ', [TColumnProp.Required])]
    Forder_typ: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property order_typ: Integer read Forder_typ write Forder_typ;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_user_ordertyp }

constructor Tref_user_ordertyp.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_user_ordertyp.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_user_ordertyp);

end.
