unit uTref_worker_cnc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_worker_cnc = class;
  
  [Entity]
  [Table('ref_worker_cnc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_worker_cnc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('cnc_id', [TColumnProp.Required])]
    Fcnc_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property cnc_id: Integer read Fcnc_id write Fcnc_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_worker_cnc }

constructor Tref_worker_cnc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_worker_cnc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_worker_cnc);

end.
