unit uTref_worker_group;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tref_worker_group = class;
  
  [Entity]
  [Table('ref_worker_group')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tref_worker_group = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('is_master', [TColumnProp.Required])]
    Fis_master: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property is_master: Integer read Fis_master write Fis_master;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tref_worker_group }

constructor Tref_worker_group.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tref_worker_group.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tref_worker_group);

end.
