unit uTregistrace;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tregistrace = class;
  
  [Entity]
  [Table('registrace')]
  [Id('Fhwnumber', TIdGenerator.None)]
  Tregistrace = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('cnt', [TColumnProp.Lazy])]
    Fcnt: TBlob;
    
    [Column('data', [TColumnProp.Lazy])]
    Fdata: TBlob;
    
    [Column('hwnumber', [TColumnProp.Required], 150)]
    Fhwnumber: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property cnt: TBlob read Fcnt write Fcnt;
    property data: TBlob read Fdata write Fdata;
    property hwnumber: string read Fhwnumber write Fhwnumber;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tregistrace }

constructor Tregistrace.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tregistrace.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tregistrace);

end.
