unit uTrepair_type;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Trepair_type = class;
  
  [Entity]
  [Table('repair_type')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Trepair_type = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('note', [TColumnProp.Required], 255)]
    Fnote: string;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('Special1', [TColumnProp.Required])]
    FSpecial1: Integer;
    
    [Column('Special2', [TColumnProp.Required])]
    FSpecial2: Integer;
    
    [Column('Zmetek', [TColumnProp.Required])]
    FZmetek: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('stroj_typ', [TColumnProp.Required])]
    Fstroj_typ: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property note: string read Fnote write Fnote;
    property bar_id: string read Fbar_id write Fbar_id;
    property user: string read Fuser write Fuser;
    property Special1: Integer read FSpecial1 write FSpecial1;
    property Special2: Integer read FSpecial2 write FSpecial2;
    property Zmetek: Integer read FZmetek write FZmetek;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property stroj_typ: Integer read Fstroj_typ write Fstroj_typ;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Trepair_type }

constructor Trepair_type.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Trepair_type.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Trepair_type);

end.
