unit uTsablony_operation_group;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsablony_operation_group = class;
  
  [Entity]
  [Table('sablony_operation_group')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsablony_operation_group = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsablony_operation_group }

constructor Tsablony_operation_group.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsablony_operation_group.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsablony_operation_group);

end.
