unit uTschedulerresource;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tschedulerresource = class;
  
  [Entity]
  [Table('schedulerresource')]
  [Id('FResourceID', TIdGenerator.IdentityOrSequence)]
  Tschedulerresource = class
  private
    [Column('ResourceID', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    FResourceID: Int64;
    
    [Column('ResourceColor', [TColumnProp.Required])]
    FResourceColor: Integer;
    
    [Column('ResourceName', [TColumnProp.Required], 50)]
    FResourceName: string;
    
    [Column('Fond', [TColumnProp.Required], 11, 3)]
    FFond: Double;
    
    [Column('PoStart', [TColumnProp.Required])]
    FPoStart: TDateTime;
    
    [Column('PoFinish', [TColumnProp.Required])]
    FPoFinish: TDateTime;
    
    [Column('UtStart', [TColumnProp.Required])]
    FUtStart: TDateTime;
    
    [Column('UtFinish', [TColumnProp.Required])]
    FUtFinish: TDateTime;
    
    [Column('StStart', [TColumnProp.Required])]
    FStStart: TDateTime;
    
    [Column('StFinish', [TColumnProp.Required])]
    FStFinish: TDateTime;
    
    [Column('CtStart', [TColumnProp.Required])]
    FCtStart: TDateTime;
    
    [Column('CtFinish', [TColumnProp.Required])]
    FCtFinish: TDateTime;
    
    [Column('PaStart', [TColumnProp.Required])]
    FPaStart: TDateTime;
    
    [Column('PaFinish', [TColumnProp.Required])]
    FPaFinish: TDateTime;
    
    [Column('SoStart', [TColumnProp.Required])]
    FSoStart: TDateTime;
    
    [Column('SoFinish', [TColumnProp.Required])]
    FSoFinish: TDateTime;
    
    [Column('NeStart', [TColumnProp.Required])]
    FNeStart: TDateTime;
    
    [Column('NeFinish', [TColumnProp.Required])]
    FNeFinish: TDateTime;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    
    [Column('master_id', [TColumnProp.Required])]
    Fmaster_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property ResourceID: Int64 read FResourceID write FResourceID;
    property ResourceColor: Integer read FResourceColor write FResourceColor;
    property ResourceName: string read FResourceName write FResourceName;
    property Fond: Double read FFond write FFond;
    property PoStart: TDateTime read FPoStart write FPoStart;
    property PoFinish: TDateTime read FPoFinish write FPoFinish;
    property UtStart: TDateTime read FUtStart write FUtStart;
    property UtFinish: TDateTime read FUtFinish write FUtFinish;
    property StStart: TDateTime read FStStart write FStStart;
    property StFinish: TDateTime read FStFinish write FStFinish;
    property CtStart: TDateTime read FCtStart write FCtStart;
    property CtFinish: TDateTime read FCtFinish write FCtFinish;
    property PaStart: TDateTime read FPaStart write FPaStart;
    property PaFinish: TDateTime read FPaFinish write FPaFinish;
    property SoStart: TDateTime read FSoStart write FSoStart;
    property SoFinish: TDateTime read FSoFinish write FSoFinish;
    property NeStart: TDateTime read FNeStart write FNeStart;
    property NeFinish: TDateTime read FNeFinish write FNeFinish;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property master_id: Integer read Fmaster_id write Fmaster_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tschedulerresource }

constructor Tschedulerresource.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tschedulerresource.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tschedulerresource);

end.
