unit uTschedulertable;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tschedulertable = class;
  
  [Entity]
  [Table('schedulertable')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tschedulertable = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('LabelColor', [])]
    FLabelColor: Nullable<Integer>;
    
    [Column('Caption', [], 256)]
    FCaption: Nullable<string>;
    
    [Column('EventType', [])]
    FEventType: Nullable<Integer>;
    
    [Column('Finish', [TColumnProp.Required])]
    FFinish: TDateTime;
    
    [Column('Location', [], 25)]
    FLocation: Nullable<string>;
    
    [Column('Options', [])]
    FOptions: Nullable<Integer>;
    
    [Column('ResourceID', [])]
    FResourceID: Nullable<Integer>;
    
    [Column('Start', [TColumnProp.Required])]
    FStart: TDateTime;
    
    [Column('State', [])]
    FState: Nullable<Integer>;
    
    [Column('order_id', [], 50)]
    Forder_id: Nullable<string>;
    
    [Column('operation_id', [], 10)]
    Foperation_id: Nullable<string>;
    
    [Column('Message', [TColumnProp.Lazy])]
    [DBTypeMemo]
    FMessage: TBlob;
    
    [Column('cas_na_kus', [])]
    Fcas_na_kus: Nullable<Integer>;
    
    [Column('plan_ks', [], 11, 2)]
    Fplan_ks: Nullable<Double>;
    
    [Column('plan_cas', [])]
    Fplan_cas: Nullable<Integer>;
    
    [Column('readdata_id', [TColumnProp.Required])]
    Freaddata_id: Int64;
    
    [Column('worker_id', [], 10)]
    Fworker_id: Nullable<string>;
    
    [Column('LabelColor2', [])]
    FLabelColor2: Nullable<Integer>;
    
    [Column('odprac_cas', [])]
    Fodprac_cas: Nullable<Integer>;
    
    [Column('vyteznost', [TColumnProp.Required])]
    Fvyteznost: Integer;
    
    [Column('zaplanovano', [])]
    Fzaplanovano: Nullable<Integer>;
    
    [Column('LabelColor3', [])]
    FLabelColor3: Nullable<Integer>;
    
    [Column('typ_kolize', [])]
    Ftyp_kolize: Nullable<Integer>;
    
    [Column('LabelColor4', [])]
    FLabelColor4: Nullable<Integer>;
    
    [Column('fixed', [TColumnProp.Required])]
    Ffixed: Integer;
    
    [Column('floating', [TColumnProp.Required])]
    Ffloating: Integer;
    
    [Column('erasable', [TColumnProp.Required])]
    Ferasable: Integer;
    
    [Column('visible', [TColumnProp.Required])]
    Fvisible: Integer;
    
    [Column('source', [TColumnProp.Required], 100)]
    Fsource: string;
    
    [Column('movecounter', [TColumnProp.Required])]
    Fmovecounter: Integer;
    
    [Column('mindatetime', [])]
    Fmindatetime: Nullable<TDateTime>;
    
    [Column('maxdatetime', [])]
    Fmaxdatetime: Nullable<TDateTime>;
    
    [Column('ep_simulace_id', [TColumnProp.Required])]
    Fep_simulace_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property LabelColor: Nullable<Integer> read FLabelColor write FLabelColor;
    property Caption: Nullable<string> read FCaption write FCaption;
    property EventType: Nullable<Integer> read FEventType write FEventType;
    property Finish: TDateTime read FFinish write FFinish;
    property Location: Nullable<string> read FLocation write FLocation;
    property Options: Nullable<Integer> read FOptions write FOptions;
    property ResourceID: Nullable<Integer> read FResourceID write FResourceID;
    property Start: TDateTime read FStart write FStart;
    property State: Nullable<Integer> read FState write FState;
    property order_id: Nullable<string> read Forder_id write Forder_id;
    property operation_id: Nullable<string> read Foperation_id write Foperation_id;
    property Message: TBlob read FMessage write FMessage;
    property cas_na_kus: Nullable<Integer> read Fcas_na_kus write Fcas_na_kus;
    property plan_ks: Nullable<Double> read Fplan_ks write Fplan_ks;
    property plan_cas: Nullable<Integer> read Fplan_cas write Fplan_cas;
    property readdata_id: Int64 read Freaddata_id write Freaddata_id;
    property worker_id: Nullable<string> read Fworker_id write Fworker_id;
    property LabelColor2: Nullable<Integer> read FLabelColor2 write FLabelColor2;
    property odprac_cas: Nullable<Integer> read Fodprac_cas write Fodprac_cas;
    property vyteznost: Integer read Fvyteznost write Fvyteznost;
    property zaplanovano: Nullable<Integer> read Fzaplanovano write Fzaplanovano;
    property LabelColor3: Nullable<Integer> read FLabelColor3 write FLabelColor3;
    property typ_kolize: Nullable<Integer> read Ftyp_kolize write Ftyp_kolize;
    property LabelColor4: Nullable<Integer> read FLabelColor4 write FLabelColor4;
    property fixed: Integer read Ffixed write Ffixed;
    property floating: Integer read Ffloating write Ffloating;
    property erasable: Integer read Ferasable write Ferasable;
    property visible: Integer read Fvisible write Fvisible;
    property source: string read Fsource write Fsource;
    property movecounter: Integer read Fmovecounter write Fmovecounter;
    property mindatetime: Nullable<TDateTime> read Fmindatetime write Fmindatetime;
    property maxdatetime: Nullable<TDateTime> read Fmaxdatetime write Fmaxdatetime;
    property ep_simulace_id: Integer read Fep_simulace_id write Fep_simulace_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tschedulertable }

constructor Tschedulertable.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tschedulertable.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tschedulertable);

end.
