unit uTscript;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tscript = class;
  
  [Entity]
  [Table('script')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tscript = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('events', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fevents: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property events: TBlob read Fevents write Fevents;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tscript }

constructor Tscript.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tscript.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tscript);

end.
