unit uTserial_code;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tserial_code = class;
  
  [Entity]
  [Table('serial_code')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tserial_code = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('note', [TColumnProp.Required], 512)]
    Fnote: string;
    
    [Column('oznaceni', [TColumnProp.Required], 50)]
    Foznaceni: string;
    
    [Column('radek', [TColumnProp.Required])]
    Fradek: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property order_id: string read Forder_id write Forder_id;
    property note: string read Fnote write Fnote;
    property oznaceni: string read Foznaceni write Foznaceni;
    property radek: Integer read Fradek write Fradek;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tserial_code }

constructor Tserial_code.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tserial_code.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tserial_code);

end.
