unit uTservis_typ;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tservis_typ = class;
  
  [Entity]
  [Table('servis_typ')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tservis_typ = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('agenda_id', [TColumnProp.Required])]
    Fagenda_id: Integer;
    
    [Column('zodpovida', [TColumnProp.Required], 200)]
    Fzodpovida: string;
    
    [Column('note', [TColumnProp.Required], 1024)]
    Fnote: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property agenda_id: Integer read Fagenda_id write Fagenda_id;
    property zodpovida: string read Fzodpovida write Fzodpovida;
    property note: string read Fnote write Fnote;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tservis_typ }

constructor Tservis_typ.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tservis_typ.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tservis_typ);

end.
