unit uTservis_typ_ref_stroje;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tservis_typ_ref_stroje = class;
  
  [Entity]
  [Table('servis_typ_ref_stroje')]
  [Id('Fstroj_id', TIdGenerator.None)]
  [Id('Fstroj_typ', TIdGenerator.None)]
  [Id('Foperation_id', TIdGenerator.None)]
  Tservis_typ_ref_stroje = class
  private
    [Column('id', [TColumnProp.Required])]
    Fid: Integer;
    
    [Column('stroj_id', [TColumnProp.Required])]
    Fstroj_id: Integer;
    
    [Column('stroj_typ', [TColumnProp.Required])]
    Fstroj_typ: Integer;
    
    [Column('typ_id', [TColumnProp.Required])]
    Ftyp_id: Integer;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Integer;
    
    [Column('servis_interval_cas', [TColumnProp.Required])]
    Fservis_interval_cas: Integer;
    
    [Column('servis_interval_mj', [TColumnProp.Required])]
    Fservis_interval_mj: Integer;
    
    [Column('servis_interval_typ', [TColumnProp.Required])]
    Fservis_interval_typ: Integer;
    
    [Column('servis_interval_obdobi', [TColumnProp.Required])]
    Fservis_interval_obdobi: Integer;
    
    [Column('servis_interval_obdobi_typ', [TColumnProp.Required])]
    Fservis_interval_obdobi_typ: Integer;
    
    [Column('servis_operation_id', [TColumnProp.Required])]
    Fservis_operation_id: Integer;
    
    [Column('servis_note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fservis_note: TBlob;
    
    [Column('servis_interval_obdobi_odstavka', [TColumnProp.Required])]
    Fservis_interval_obdobi_odstavka: Integer;
    
    [Column('servis_interval_obdobi_delka', [TColumnProp.Required])]
    Fservis_interval_obdobi_delka: Integer;
    
    [Column('servis_upozorneni_dny', [TColumnProp.Required])]
    Fservis_upozorneni_dny: Integer;
    
    [Column('servis_upozorneni_mail', [TColumnProp.Required])]
    Fservis_upozorneni_mail: Integer;
    
    [Column('servis_pristi_date', [TColumnProp.Required])]
    Fservis_pristi_date: TDateTime;
    
    [Column('servis_upozorneni_mail_vyroba', [TColumnProp.Required])]
    Fservis_upozorneni_mail_vyroba: Integer;
    
    [Column('servis_upozorneni_mj', [TColumnProp.Required])]
    Fservis_upozorneni_mj: Integer;
    
    [Column('servis_upozorneni_h', [TColumnProp.Required])]
    Fservis_upozorneni_h: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property stroj_id: Integer read Fstroj_id write Fstroj_id;
    property stroj_typ: Integer read Fstroj_typ write Fstroj_typ;
    property typ_id: Integer read Ftyp_id write Ftyp_id;
    property operation_id: Integer read Foperation_id write Foperation_id;
    property servis_interval_cas: Integer read Fservis_interval_cas write Fservis_interval_cas;
    property servis_interval_mj: Integer read Fservis_interval_mj write Fservis_interval_mj;
    property servis_interval_typ: Integer read Fservis_interval_typ write Fservis_interval_typ;
    property servis_interval_obdobi: Integer read Fservis_interval_obdobi write Fservis_interval_obdobi;
    property servis_interval_obdobi_typ: Integer read Fservis_interval_obdobi_typ write Fservis_interval_obdobi_typ;
    property servis_operation_id: Integer read Fservis_operation_id write Fservis_operation_id;
    property servis_note: TBlob read Fservis_note write Fservis_note;
    property servis_interval_obdobi_odstavka: Integer read Fservis_interval_obdobi_odstavka write Fservis_interval_obdobi_odstavka;
    property servis_interval_obdobi_delka: Integer read Fservis_interval_obdobi_delka write Fservis_interval_obdobi_delka;
    property servis_upozorneni_dny: Integer read Fservis_upozorneni_dny write Fservis_upozorneni_dny;
    property servis_upozorneni_mail: Integer read Fservis_upozorneni_mail write Fservis_upozorneni_mail;
    property servis_pristi_date: TDateTime read Fservis_pristi_date write Fservis_pristi_date;
    property servis_upozorneni_mail_vyroba: Integer read Fservis_upozorneni_mail_vyroba write Fservis_upozorneni_mail_vyroba;
    property servis_upozorneni_mj: Integer read Fservis_upozorneni_mj write Fservis_upozorneni_mj;
    property servis_upozorneni_h: Integer read Fservis_upozorneni_h write Fservis_upozorneni_h;
    property poradi: Integer read Fporadi write Fporadi;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tservis_typ_ref_stroje }

constructor Tservis_typ_ref_stroje.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tservis_typ_ref_stroje.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tservis_typ_ref_stroje);

end.
