unit uTsklad_formy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_formy = class;
  
  [Entity]
  [Table('sklad_formy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_formy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('nakup', [TColumnProp.Required])]
    Fnakup: TDateTime;
    
    [Column('servis', [TColumnProp.Required])]
    Fservis: TDateTime;
    
    [Column('delay_servis_date', [TColumnProp.Required])]
    Fdelay_servis_date: TDateTime;
    
    [Column('delay_servis_time', [TColumnProp.Required])]
    Fdelay_servis_time: Integer;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('cena', [TColumnProp.Required], 15, 2)]
    Fcena: Double;
    
    [Column('mnozstvi', [TColumnProp.Required])]
    Fmnozstvi: Integer;
    
    [Column('mnozstvi_init', [TColumnProp.Required])]
    Fmnozstvi_init: Integer;
    
    [Column('skupina', [TColumnProp.Required], 50)]
    Fskupina: string;
    
    [Column('objednano', [TColumnProp.Required], 15, 2)]
    Fobjednano: Double;
    
    [Column('pocatecnistav', [TColumnProp.Required])]
    Fpocatecnistav: Integer;
    
    [Column('vyrobni_c', [TColumnProp.Required], 50)]
    Fvyrobni_c: string;
    
    [Column('last_finish', [TColumnProp.Required])]
    Flast_finish: TDateTime;
    
    [Column('termin_zaruky', [TColumnProp.Required])]
    Ftermin_zaruky: TDateTime;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('dodavatel_id', [TColumnProp.Required])]
    Fdodavatel_id: Integer;
    
    [Column('mnozstvi_cyklus', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_cyklus: Double;
    
    [Column('material_cyklus', [TColumnProp.Required], 15, 3)]
    Fmaterial_cyklus: Double;
    
    [Column('material_cyklus_unit', [TColumnProp.Required])]
    Fmaterial_cyklus_unit: Integer;
    
    [Column('zbytky_cyklus', [TColumnProp.Required], 15, 3)]
    Fzbytky_cyklus: Double;
    
    [Column('zbytky_cyklus_unit', [TColumnProp.Required])]
    Fzbytky_cyklus_unit: Integer;
    
    [Column('pocet_cyklu', [TColumnProp.Required])]
    Fpocet_cyklu: Integer;
    
    [Column('pocet_cyklu_upozorneni', [TColumnProp.Required])]
    Fpocet_cyklu_upozorneni: Integer;
    
    [Column('userindex', [TColumnProp.Required], 50)]
    Fuserindex: string;
    
    [Column('customer', [TColumnProp.Required], 50)]
    Fcustomer: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Integer;
    
    [Column('articleNumber', [TColumnProp.Required], 50)]
    FarticleNumber: string;
    
    [Column('hmotnost', [TColumnProp.Required], 15, 3)]
    Fhmotnost: Double;
    
    [Column('rating', [TColumnProp.Required], 50)]
    Frating: string;
    
    [Column('volitelna1', [TColumnProp.Required], 100)]
    Fvolitelna1: string;
    
    [Column('volitelna2', [TColumnProp.Required], 100)]
    Fvolitelna2: string;
    
    [Column('ciselna_volitelna1', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna1: Double;
    
    [Column('ciselna_volitelna2', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna2: Double;
    
    [Column('ciselna_volitelna3', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna3: Double;
    
    [Column('ciselna_volitelna4', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna4: Double;
    
    [Column('ciselna_volitelna5', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna5: Double;
    
    [Column('ciselna_volitelna6', [TColumnProp.Required], 15, 3)]
    Fciselna_volitelna6: Double;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property note: TBlob read Fnote write Fnote;
    property nakup: TDateTime read Fnakup write Fnakup;
    property servis: TDateTime read Fservis write Fservis;
    property delay_servis_date: TDateTime read Fdelay_servis_date write Fdelay_servis_date;
    property delay_servis_time: Integer read Fdelay_servis_time write Fdelay_servis_time;
    property stav: Integer read Fstav write Fstav;
    property user: string read Fuser write Fuser;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property cena: Double read Fcena write Fcena;
    property mnozstvi: Integer read Fmnozstvi write Fmnozstvi;
    property mnozstvi_init: Integer read Fmnozstvi_init write Fmnozstvi_init;
    property skupina: string read Fskupina write Fskupina;
    property objednano: Double read Fobjednano write Fobjednano;
    property pocatecnistav: Integer read Fpocatecnistav write Fpocatecnistav;
    property vyrobni_c: string read Fvyrobni_c write Fvyrobni_c;
    property last_finish: TDateTime read Flast_finish write Flast_finish;
    property termin_zaruky: TDateTime read Ftermin_zaruky write Ftermin_zaruky;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property dodavatel_id: Integer read Fdodavatel_id write Fdodavatel_id;
    property mnozstvi_cyklus: Double read Fmnozstvi_cyklus write Fmnozstvi_cyklus;
    property material_cyklus: Double read Fmaterial_cyklus write Fmaterial_cyklus;
    property material_cyklus_unit: Integer read Fmaterial_cyklus_unit write Fmaterial_cyklus_unit;
    property zbytky_cyklus: Double read Fzbytky_cyklus write Fzbytky_cyklus;
    property zbytky_cyklus_unit: Integer read Fzbytky_cyklus_unit write Fzbytky_cyklus_unit;
    property pocet_cyklu: Integer read Fpocet_cyklu write Fpocet_cyklu;
    property pocet_cyklu_upozorneni: Integer read Fpocet_cyklu_upozorneni write Fpocet_cyklu_upozorneni;
    property userindex: string read Fuserindex write Fuserindex;
    property customer: string read Fcustomer write Fcustomer;
    property customer_id: Integer read Fcustomer_id write Fcustomer_id;
    property articleNumber: string read FarticleNumber write FarticleNumber;
    property hmotnost: Double read Fhmotnost write Fhmotnost;
    property rating: string read Frating write Frating;
    property volitelna1: string read Fvolitelna1 write Fvolitelna1;
    property volitelna2: string read Fvolitelna2 write Fvolitelna2;
    property ciselna_volitelna1: Double read Fciselna_volitelna1 write Fciselna_volitelna1;
    property ciselna_volitelna2: Double read Fciselna_volitelna2 write Fciselna_volitelna2;
    property ciselna_volitelna3: Double read Fciselna_volitelna3 write Fciselna_volitelna3;
    property ciselna_volitelna4: Double read Fciselna_volitelna4 write Fciselna_volitelna4;
    property ciselna_volitelna5: Double read Fciselna_volitelna5 write Fciselna_volitelna5;
    property ciselna_volitelna6: Double read Fciselna_volitelna6 write Fciselna_volitelna6;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_formy }

constructor Tsklad_formy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_formy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_formy);

end.
