unit uTsklad_formy_pohyb;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_formy_pohyb = class;
  
  [Entity]
  [Table('sklad_formy_pohyb')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_formy_pohyb = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('typ_pohybu', [TColumnProp.Required])]
    Ftyp_pohybu: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property note: TBlob read Fnote write Fnote;
    property typ_pohybu: Integer read Ftyp_pohybu write Ftyp_pohybu;
    property user: string read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_formy_pohyb }

constructor Tsklad_formy_pohyb.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_formy_pohyb.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_formy_pohyb);

end.
