unit uTsklad_inventura;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_inventura = class;
  
  [Entity]
  [Table('sklad_inventura')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_inventura = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('datum_inventura', [TColumnProp.Required])]
    Fdatum_inventura: TDateTime;
    
    [Column('datum_evidenci_stav', [TColumnProp.Required])]
    Fdatum_evidenci_stav: TDateTime;
    
    [Column('datum_uzavreni', [TColumnProp.Required])]
    Fdatum_uzavreni: TDateTime;
    
    [Column('poznamka', [TColumnProp.Required], 250)]
    Fpoznamka: string;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    
    [Column('typ_sklad_filter', [TColumnProp.Required])]
    Ftyp_sklad_filter: Integer;
    
    [Column('sklad_filter_list', [TColumnProp.Required], 200)]
    Fsklad_filter_list: string;
    
    [Column('id_typ_inventura', [TColumnProp.Required])]
    Fid_typ_inventura: Integer;
    
    [Column('id_prijemka', [TColumnProp.Required])]
    Fid_prijemka: Integer;
    
    [Column('id_typ_prijemka', [TColumnProp.Required])]
    Fid_typ_prijemka: Integer;
    
    [Column('id_vydejka', [TColumnProp.Required])]
    Fid_vydejka: Integer;
    
    [Column('id_typ_vydejka', [TColumnProp.Required])]
    Fid_typ_vydejka: Integer;
    
    [Column('nazev', [TColumnProp.Required], 200)]
    Fnazev: string;
    
    [Column('skupina_filter_list', [TColumnProp.Required], 300)]
    Fskupina_filter_list: string;
    
    [Column('inventura_doklad', [TColumnProp.Required], 100)]
    Finventura_doklad: string;
    
    [Column('inventura_nazev', [TColumnProp.Required], 200)]
    Finventura_nazev: string;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('cvicna', [TColumnProp.Required])]
    Fcvicna: Integer;
    
    [Column('vytvoril_user_id', [TColumnProp.Required])]
    Fvytvoril_user_id: Integer;
    
    [Column('uzavrel_user_id', [TColumnProp.Required])]
    Fuzavrel_user_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('id_prijemka2', [TColumnProp.Required])]
    Fid_prijemka2: Integer;
    
    [Column('id_vydejka2', [TColumnProp.Required])]
    Fid_vydejka2: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property datum_inventura: TDateTime read Fdatum_inventura write Fdatum_inventura;
    property datum_evidenci_stav: TDateTime read Fdatum_evidenci_stav write Fdatum_evidenci_stav;
    property datum_uzavreni: TDateTime read Fdatum_uzavreni write Fdatum_uzavreni;
    property poznamka: string read Fpoznamka write Fpoznamka;
    property stav: Integer read Fstav write Fstav;
    property typ_sklad_filter: Integer read Ftyp_sklad_filter write Ftyp_sklad_filter;
    property sklad_filter_list: string read Fsklad_filter_list write Fsklad_filter_list;
    property id_typ_inventura: Integer read Fid_typ_inventura write Fid_typ_inventura;
    property id_prijemka: Integer read Fid_prijemka write Fid_prijemka;
    property id_typ_prijemka: Integer read Fid_typ_prijemka write Fid_typ_prijemka;
    property id_vydejka: Integer read Fid_vydejka write Fid_vydejka;
    property id_typ_vydejka: Integer read Fid_typ_vydejka write Fid_typ_vydejka;
    property nazev: string read Fnazev write Fnazev;
    property skupina_filter_list: string read Fskupina_filter_list write Fskupina_filter_list;
    property inventura_doklad: string read Finventura_doklad write Finventura_doklad;
    property inventura_nazev: string read Finventura_nazev write Finventura_nazev;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property cvicna: Integer read Fcvicna write Fcvicna;
    property vytvoril_user_id: Integer read Fvytvoril_user_id write Fvytvoril_user_id;
    property uzavrel_user_id: Integer read Fuzavrel_user_id write Fuzavrel_user_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property id_prijemka2: Integer read Fid_prijemka2 write Fid_prijemka2;
    property id_vydejka2: Integer read Fid_vydejka2 write Fid_vydejka2;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_inventura }

constructor Tsklad_inventura.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_inventura.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_inventura);

end.
