unit uTsklad_inventura_log;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_inventura_log = class;
  
  [Entity]
  [Table('sklad_inventura_log')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_inventura_log = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('inventura_id', [TColumnProp.Required])]
    Finventura_id: Integer;
    
    [Column('Popis', [TColumnProp.Required], 200)]
    FPopis: string;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('kdy', [TColumnProp.Required])]
    Fkdy: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property inventura_id: Integer read Finventura_id write Finventura_id;
    property Popis: string read FPopis write FPopis;
    property user_id: Integer read Fuser_id write Fuser_id;
    property kdy: TDateTime read Fkdy write Fkdy;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_inventura_log }

constructor Tsklad_inventura_log.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_inventura_log.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_inventura_log);

end.
