unit uTsklad_inventura_soupisy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_inventura_soupisy = class;
  
  [Entity]
  [Table('sklad_inventura_soupisy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_inventura_soupisy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('id_inventura', [TColumnProp.Required])]
    Fid_inventura: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    
    [Column('cenaMJ', [TColumnProp.Required], 15, 3)]
    FcenaMJ: Double;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('mnozstvi_skutecnost', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_skutecnost: Double;
    
    [Column('neplatna', [TColumnProp.Required])]
    Fneplatna: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property id_inventura: Integer read Fid_inventura write Fid_inventura;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property cenaMJ: Double read FcenaMJ write FcenaMJ;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property mnozstvi_skutecnost: Double read Fmnozstvi_skutecnost write Fmnozstvi_skutecnost;
    property neplatna: Integer read Fneplatna write Fneplatna;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_inventura_soupisy }

constructor Tsklad_inventura_soupisy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_inventura_soupisy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_inventura_soupisy);

end.
