unit uTsklad_inventura_typ;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_inventura_typ = class;
  
  [Entity]
  [Table('sklad_inventura_typ')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_inventura_typ = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_inventura_typ }

constructor Tsklad_inventura_typ.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_inventura_typ.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_inventura_typ);

end.
