unit uTsklad_material;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material = class;
  
  [Entity]
  [Table('sklad_material')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('count', [TColumnProp.Required], 15, 3)]
    Fcount: Double;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    
    [Column('price', [TColumnProp.Required], 15, 2)]
    Fprice: Double;
    
    [Column('note', [], 1024)]
    Fnote: Nullable<string>;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('limit_count', [TColumnProp.Required])]
    Flimit_count: Integer;
    
    [Column('id_pohoda', [TColumnProp.Required], 100)]
    Fid_pohoda: string;
    
    [Column('sell_price', [TColumnProp.Required], 15, 2)]
    Fsell_price: Double;
    
    [Column('count_init', [TColumnProp.Required], 15, 3)]
    Fcount_init: Double;
    
    [Column('koeficient', [TColumnProp.Required], 15, 2)]
    Fkoeficient: Double;
    
    [Column('typ_mat', [TColumnProp.Required])]
    Ftyp_mat: Integer;
    
    [Column('sklad_id', [TColumnProp.Required])]
    Fsklad_id: Integer;
    
    [Column('blokovano', [TColumnProp.Required], 15, 3)]
    Fblokovano: Double;
    
    [Column('planovano', [TColumnProp.Required], 15, 3)]
    Fplanovano: Double;
    
    [Column('objednano', [TColumnProp.Required], 15, 3)]
    Fobjednano: Double;
    
    [Column('coef_unit1', [TColumnProp.Required], 15, 5)]
    Fcoef_unit1: Double;
    
    [Column('coef_unit2', [TColumnProp.Required], 15, 5)]
    Fcoef_unit2: Double;
    
    [Column('coef_unit3', [TColumnProp.Required], 15, 5)]
    Fcoef_unit3: Double;
    
    [Column('coef_unit4', [TColumnProp.Required], 15, 5)]
    Fcoef_unit4: Double;
    
    [Column('coef_unit5', [TColumnProp.Required], 15, 5)]
    Fcoef_unit5: Double;
    
    [Column('coef_unit6', [TColumnProp.Required], 15, 5)]
    Fcoef_unit6: Double;
    
    [Column('coef_unit7', [TColumnProp.Required], 15, 5)]
    Fcoef_unit7: Double;
    
    [Column('coef_unit8', [TColumnProp.Required], 15, 5)]
    Fcoef_unit8: Double;
    
    [Column('coef_unit9', [TColumnProp.Required], 15, 5)]
    Fcoef_unit9: Double;
    
    [Column('coef_unit10', [TColumnProp.Required], 15, 5)]
    Fcoef_unit10: Double;
    
    [Column('coef_user1', [TColumnProp.Required], 15, 5)]
    Fcoef_user1: Double;
    
    [Column('coef_user2', [TColumnProp.Required], 15, 3)]
    Fcoef_user2: Double;
    
    [Column('coef_user1_name', [TColumnProp.Required], 50)]
    Fcoef_user1_name: string;
    
    [Column('coef_user2_name', [TColumnProp.Required], 50)]
    Fcoef_user2_name: string;
    
    [Column('material_from_id', [TColumnProp.Required])]
    Fmaterial_from_id: Integer;
    
    [Column('avg_price', [TColumnProp.Required], 15, 2)]
    Favg_price: Double;
    
    [Column('coef_unit11', [TColumnProp.Required], 15, 5)]
    Fcoef_unit11: Double;
    
    [Column('second_unit', [TColumnProp.Required])]
    Fsecond_unit: Integer;
    
    [Column('marze', [TColumnProp.Required], 15, 3)]
    Fmarze: Double;
    
    [Column('ean', [TColumnProp.Required], 50)]
    Fean: string;
    
    [Column('coef_unit12', [TColumnProp.Required], 15, 5)]
    Fcoef_unit12: Double;
    
    [Column('path', [TColumnProp.Required], 255)]
    Fpath: string;
    
    [Column('vykres', [TColumnProp.Required], 200)]
    Fvykres: string;
    
    [Column('umisteni1', [TColumnProp.Required], 100)]
    Fumisteni1: string;
    
    [Column('text1', [TColumnProp.Required], 100)]
    Ftext1: string;
    
    [Column('text2', [TColumnProp.Required], 100)]
    Ftext2: string;
    
    [Column('dil_na', [], 500)]
    Fdil_na: Nullable<string>;
    
    [Column('coef_unit13', [TColumnProp.Required], 15, 5)]
    Fcoef_unit13: Double;
    
    [Column('coef_unit14', [TColumnProp.Required], 15, 5)]
    Fcoef_unit14: Double;
    
    [Column('coef_unit15', [TColumnProp.Required], 15, 5)]
    Fcoef_unit15: Double;
    
    [Column('coef_unit16', [TColumnProp.Required], 15, 5)]
    Fcoef_unit16: Double;
    
    [Column('coef_unit17', [TColumnProp.Required], 15, 5)]
    Fcoef_unit17: Double;
    
    [Column('count_sklad2', [], 15, 3)]
    Fcount_sklad2: Nullable<Double>;
    
    [Column('count_sklad3', [], 15, 3)]
    Fcount_sklad3: Nullable<Double>;
    
    [Column('count_sklad4', [], 15, 3)]
    Fcount_sklad4: Nullable<Double>;
    
    [Column('count_sklad5', [], 15, 3)]
    Fcount_sklad5: Nullable<Double>;
    
    [Column('count_sklad6', [], 15, 3)]
    Fcount_sklad6: Nullable<Double>;
    
    [Column('count_sklad7', [], 15, 3)]
    Fcount_sklad7: Nullable<Double>;
    
    [Column('count_sklad8', [], 15, 3)]
    Fcount_sklad8: Nullable<Double>;
    
    [Column('tvar', [], 4)]
    Ftvar: Nullable<string>;
    
    [Column('rozmer1', [], 15, 3)]
    Frozmer1: Nullable<Double>;
    
    [Column('rozmer2', [], 15, 3)]
    Frozmer2: Nullable<Double>;
    
    [Column('delka', [], 15, 3)]
    Fdelka: Nullable<Double>;
    
    [Column('count_sklad9', [], 15, 3)]
    Fcount_sklad9: Nullable<Double>;
    
    [Column('count_sklad10', [], 15, 3)]
    Fcount_sklad10: Nullable<Double>;
    
    [Column('count_sklad11', [], 15, 3)]
    Fcount_sklad11: Nullable<Double>;
    
    [Column('count_sklad12', [], 15, 3)]
    Fcount_sklad12: Nullable<Double>;
    
    [Column('count_sklad13', [], 15, 3)]
    Fcount_sklad13: Nullable<Double>;
    
    [Column('count_sklad14', [], 15, 3)]
    Fcount_sklad14: Nullable<Double>;
    
    [Column('count_sklad15', [], 15, 3)]
    Fcount_sklad15: Nullable<Double>;
    
    [Column('count_sklad16', [], 15, 3)]
    Fcount_sklad16: Nullable<Double>;
    
    [Column('count_sklad17', [], 15, 3)]
    Fcount_sklad17: Nullable<Double>;
    
    [Column('count_sklad18', [], 15, 3)]
    Fcount_sklad18: Nullable<Double>;
    
    [Column('count_sklad19', [], 15, 3)]
    Fcount_sklad19: Nullable<Double>;
    
    [Column('count_sklad20', [], 15, 3)]
    Fcount_sklad20: Nullable<Double>;
    
    [Column('sablona_id', [TColumnProp.Required], 50)]
    Fsablona_id: string;
    
    [Column('unirec', [], 256)]
    Funirec: Nullable<string>;
    
    [Column('coef_unit18', [TColumnProp.Required], 15, 5)]
    Fcoef_unit18: Double;
    
    [Column('coef_unit19', [TColumnProp.Required], 15, 5)]
    Fcoef_unit19: Double;
    
    [Column('coef_unit20', [TColumnProp.Required], 15, 5)]
    Fcoef_unit20: Double;
    
    [Column('vazena_cena', [TColumnProp.Required], 15, 2)]
    Fvazena_cena: Double;
    
    [Column('hodnota_vazena_cena', [TColumnProp.Required], 15, 2)]
    Fhodnota_vazena_cena: Double;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('coef_unit21', [TColumnProp.Required], 15, 5)]
    Fcoef_unit21: Double;
    
    [Column('dodavatel_id', [TColumnProp.Required])]
    Fdodavatel_id: Int64;
    
    [Column('rozmer3', [], 15, 3)]
    Frozmer3: Nullable<Double>;
    
    [Column('tvar_id', [TColumnProp.Required])]
    Ftvar_id: Integer;
    
    [Column('id_moneyAgenda', [TColumnProp.Required])]
    Fid_moneyAgenda: Integer;
    
    [Column('zbytky_material_id', [TColumnProp.Required])]
    Fzbytky_material_id: Integer;
    
    [Column('zbytky_koeficient', [], 15, 4)]
    Fzbytky_koeficient: Nullable<Double>;
    
    [Column('hmotnost', [], 15, 4)]
    Fhmotnost: Nullable<Double>;
    
    [Column('skryta', [TColumnProp.Required])]
    Fskryta: Integer;
    
    [Column('coef_unit22', [TColumnProp.Required], 15, 5)]
    Fcoef_unit22: Double;
    
    [Column('coef_unit23', [TColumnProp.Required], 15, 5)]
    Fcoef_unit23: Double;
    
    [Column('limit_max_count', [TColumnProp.Required], 15, 3)]
    Flimit_max_count: Double;
    
    [Column('kod_objednaci', [TColumnProp.Required], 100)]
    Fkod_objednaci: string;
    
    [Column('text_objednaci', [TColumnProp.Required], 100)]
    Ftext_objednaci: string;
    
    [Column('dodaci_doba', [TColumnProp.Required], 15, 3)]
    Fdodaci_doba: Double;
    
    [Column('dodaci_doba_typ', [TColumnProp.Required])]
    Fdodaci_doba_typ: Integer;
    
    [Column('objednanoprijate', [TColumnProp.Required], 15, 3)]
    Fobjednanoprijate: Double;
    
    [Column('typ_vypoctu_prodejni_ceny', [TColumnProp.Required])]
    Ftyp_vypoctu_prodejni_ceny: Integer;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('balici_mnozstvi', [TColumnProp.Required], 15, 3)]
    Fbalici_mnozstvi: Double;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property count: Double read Fcount write Fcount;
    property unit_: Integer read Funit_ write Funit_;
    property price: Double read Fprice write Fprice;
    property note: Nullable<string> read Fnote write Fnote;
    property user: string read Fuser write Fuser;
    property limit_count: Integer read Flimit_count write Flimit_count;
    property id_pohoda: string read Fid_pohoda write Fid_pohoda;
    property sell_price: Double read Fsell_price write Fsell_price;
    property count_init: Double read Fcount_init write Fcount_init;
    property koeficient: Double read Fkoeficient write Fkoeficient;
    property typ_mat: Integer read Ftyp_mat write Ftyp_mat;
    property sklad_id: Integer read Fsklad_id write Fsklad_id;
    property blokovano: Double read Fblokovano write Fblokovano;
    property planovano: Double read Fplanovano write Fplanovano;
    property objednano: Double read Fobjednano write Fobjednano;
    property coef_unit1: Double read Fcoef_unit1 write Fcoef_unit1;
    property coef_unit2: Double read Fcoef_unit2 write Fcoef_unit2;
    property coef_unit3: Double read Fcoef_unit3 write Fcoef_unit3;
    property coef_unit4: Double read Fcoef_unit4 write Fcoef_unit4;
    property coef_unit5: Double read Fcoef_unit5 write Fcoef_unit5;
    property coef_unit6: Double read Fcoef_unit6 write Fcoef_unit6;
    property coef_unit7: Double read Fcoef_unit7 write Fcoef_unit7;
    property coef_unit8: Double read Fcoef_unit8 write Fcoef_unit8;
    property coef_unit9: Double read Fcoef_unit9 write Fcoef_unit9;
    property coef_unit10: Double read Fcoef_unit10 write Fcoef_unit10;
    property coef_user1: Double read Fcoef_user1 write Fcoef_user1;
    property coef_user2: Double read Fcoef_user2 write Fcoef_user2;
    property coef_user1_name: string read Fcoef_user1_name write Fcoef_user1_name;
    property coef_user2_name: string read Fcoef_user2_name write Fcoef_user2_name;
    property material_from_id: Integer read Fmaterial_from_id write Fmaterial_from_id;
    property avg_price: Double read Favg_price write Favg_price;
    property coef_unit11: Double read Fcoef_unit11 write Fcoef_unit11;
    property second_unit: Integer read Fsecond_unit write Fsecond_unit;
    property marze: Double read Fmarze write Fmarze;
    property ean: string read Fean write Fean;
    property coef_unit12: Double read Fcoef_unit12 write Fcoef_unit12;
    property path: string read Fpath write Fpath;
    property vykres: string read Fvykres write Fvykres;
    property umisteni1: string read Fumisteni1 write Fumisteni1;
    property text1: string read Ftext1 write Ftext1;
    property text2: string read Ftext2 write Ftext2;
    property dil_na: Nullable<string> read Fdil_na write Fdil_na;
    property coef_unit13: Double read Fcoef_unit13 write Fcoef_unit13;
    property coef_unit14: Double read Fcoef_unit14 write Fcoef_unit14;
    property coef_unit15: Double read Fcoef_unit15 write Fcoef_unit15;
    property coef_unit16: Double read Fcoef_unit16 write Fcoef_unit16;
    property coef_unit17: Double read Fcoef_unit17 write Fcoef_unit17;
    property count_sklad2: Nullable<Double> read Fcount_sklad2 write Fcount_sklad2;
    property count_sklad3: Nullable<Double> read Fcount_sklad3 write Fcount_sklad3;
    property count_sklad4: Nullable<Double> read Fcount_sklad4 write Fcount_sklad4;
    property count_sklad5: Nullable<Double> read Fcount_sklad5 write Fcount_sklad5;
    property count_sklad6: Nullable<Double> read Fcount_sklad6 write Fcount_sklad6;
    property count_sklad7: Nullable<Double> read Fcount_sklad7 write Fcount_sklad7;
    property count_sklad8: Nullable<Double> read Fcount_sklad8 write Fcount_sklad8;
    property tvar: Nullable<string> read Ftvar write Ftvar;
    property rozmer1: Nullable<Double> read Frozmer1 write Frozmer1;
    property rozmer2: Nullable<Double> read Frozmer2 write Frozmer2;
    property delka: Nullable<Double> read Fdelka write Fdelka;
    property count_sklad9: Nullable<Double> read Fcount_sklad9 write Fcount_sklad9;
    property count_sklad10: Nullable<Double> read Fcount_sklad10 write Fcount_sklad10;
    property count_sklad11: Nullable<Double> read Fcount_sklad11 write Fcount_sklad11;
    property count_sklad12: Nullable<Double> read Fcount_sklad12 write Fcount_sklad12;
    property count_sklad13: Nullable<Double> read Fcount_sklad13 write Fcount_sklad13;
    property count_sklad14: Nullable<Double> read Fcount_sklad14 write Fcount_sklad14;
    property count_sklad15: Nullable<Double> read Fcount_sklad15 write Fcount_sklad15;
    property count_sklad16: Nullable<Double> read Fcount_sklad16 write Fcount_sklad16;
    property count_sklad17: Nullable<Double> read Fcount_sklad17 write Fcount_sklad17;
    property count_sklad18: Nullable<Double> read Fcount_sklad18 write Fcount_sklad18;
    property count_sklad19: Nullable<Double> read Fcount_sklad19 write Fcount_sklad19;
    property count_sklad20: Nullable<Double> read Fcount_sklad20 write Fcount_sklad20;
    property sablona_id: string read Fsablona_id write Fsablona_id;
    property unirec: Nullable<string> read Funirec write Funirec;
    property coef_unit18: Double read Fcoef_unit18 write Fcoef_unit18;
    property coef_unit19: Double read Fcoef_unit19 write Fcoef_unit19;
    property coef_unit20: Double read Fcoef_unit20 write Fcoef_unit20;
    property vazena_cena: Double read Fvazena_cena write Fvazena_cena;
    property hodnota_vazena_cena: Double read Fhodnota_vazena_cena write Fhodnota_vazena_cena;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property coef_unit21: Double read Fcoef_unit21 write Fcoef_unit21;
    property dodavatel_id: Int64 read Fdodavatel_id write Fdodavatel_id;
    property rozmer3: Nullable<Double> read Frozmer3 write Frozmer3;
    property tvar_id: Integer read Ftvar_id write Ftvar_id;
    property id_moneyAgenda: Integer read Fid_moneyAgenda write Fid_moneyAgenda;
    property zbytky_material_id: Integer read Fzbytky_material_id write Fzbytky_material_id;
    property zbytky_koeficient: Nullable<Double> read Fzbytky_koeficient write Fzbytky_koeficient;
    property hmotnost: Nullable<Double> read Fhmotnost write Fhmotnost;
    property skryta: Integer read Fskryta write Fskryta;
    property coef_unit22: Double read Fcoef_unit22 write Fcoef_unit22;
    property coef_unit23: Double read Fcoef_unit23 write Fcoef_unit23;
    property limit_max_count: Double read Flimit_max_count write Flimit_max_count;
    property kod_objednaci: string read Fkod_objednaci write Fkod_objednaci;
    property text_objednaci: string read Ftext_objednaci write Ftext_objednaci;
    property dodaci_doba: Double read Fdodaci_doba write Fdodaci_doba;
    property dodaci_doba_typ: Integer read Fdodaci_doba_typ write Fdodaci_doba_typ;
    property objednanoprijate: Double read Fobjednanoprijate write Fobjednanoprijate;
    property typ_vypoctu_prodejni_ceny: Integer read Ftyp_vypoctu_prodejni_ceny write Ftyp_vypoctu_prodejni_ceny;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property balici_mnozstvi: Double read Fbalici_mnozstvi write Fbalici_mnozstvi;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material }

constructor Tsklad_material.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material);

end.
