unit uTsklad_material_doc;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_doc = class;
  
  [Entity]
  [Table('sklad_material_doc')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_doc = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('path', [TColumnProp.Required], 255)]
    Fpath: string;
    
    [Column('isFile', [TColumnProp.Required])]
    FisFile: Integer;
    
    [Column('zobrazitNahled', [TColumnProp.Required])]
    FzobrazitNahled: Integer;
    
    [Column('external_list_type', [TColumnProp.Required], 10)]
    Fexternal_list_type: string;
    
    [Column('external_list_id_record', [TColumnProp.Required])]
    Fexternal_list_id_record: Integer;
    
    [Column('defaultDocument', [TColumnProp.Required])]
    FdefaultDocument: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property name: string read Fname write Fname;
    property path: string read Fpath write Fpath;
    property isFile: Integer read FisFile write FisFile;
    property zobrazitNahled: Integer read FzobrazitNahled write FzobrazitNahled;
    property external_list_type: string read Fexternal_list_type write Fexternal_list_type;
    property external_list_id_record: Integer read Fexternal_list_id_record write Fexternal_list_id_record;
    property defaultDocument: Integer read FdefaultDocument write FdefaultDocument;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_doc }

constructor Tsklad_material_doc.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_doc.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_doc);

end.
