unit uTsklad_material_dodavatele;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_dodavatele = class;
  
  [Entity]
  [Table('sklad_material_dodavatele')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_dodavatele = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('dodavatel_id', [TColumnProp.Required])]
    Fdodavatel_id: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('cena', [TColumnProp.Required], 15, 3)]
    Fcena: Double;
    
    [Column('kod_objednaci', [TColumnProp.Required], 100)]
    Fkod_objednaci: string;
    
    [Column('text_objednaci', [TColumnProp.Required], 100)]
    Ftext_objednaci: string;
    
    [Column('poznamka', [TColumnProp.Required], 500)]
    Fpoznamka: string;
    
    [Column('cena1', [TColumnProp.Required], 15, 3)]
    Fcena1: Double;
    
    [Column('limit_mnozstvi1', [TColumnProp.Required], 15, 3)]
    Flimit_mnozstvi1: Double;
    
    [Column('cena2', [TColumnProp.Required], 15, 3)]
    Fcena2: Double;
    
    [Column('limit_mnozstvi2', [TColumnProp.Required], 15, 3)]
    Flimit_mnozstvi2: Double;
    
    [Column('kod_carovy', [TColumnProp.Required], 100)]
    Fkod_carovy: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property dodavatel_id: Integer read Fdodavatel_id write Fdodavatel_id;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property cena: Double read Fcena write Fcena;
    property kod_objednaci: string read Fkod_objednaci write Fkod_objednaci;
    property text_objednaci: string read Ftext_objednaci write Ftext_objednaci;
    property poznamka: string read Fpoznamka write Fpoznamka;
    property cena1: Double read Fcena1 write Fcena1;
    property limit_mnozstvi1: Double read Flimit_mnozstvi1 write Flimit_mnozstvi1;
    property cena2: Double read Fcena2 write Fcena2;
    property limit_mnozstvi2: Double read Flimit_mnozstvi2 write Flimit_mnozstvi2;
    property kod_carovy: string read Fkod_carovy write Fkod_carovy;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_dodavatele }

constructor Tsklad_material_dodavatele.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_dodavatele.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_dodavatele);

end.
