unit uTsklad_material_ean;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_ean = class;
  
  [Entity]
  [Table('sklad_material_ean')]
  [UniqueKey('material_id')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_ean = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('ean_code', [TColumnProp.Required], 255)]
    Fean_code: string;
    
    [Column('type', [TColumnProp.Required])]
    Ftype_: Integer;
    
    [Column('unit_count', [TColumnProp.Required], 15, 3)]
    Funit_count: Double;
    
    [Column('unit', [TColumnProp.Required])]
    Funit_: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property ean_code: string read Fean_code write Fean_code;
    property type_: Integer read Ftype_ write Ftype_;
    property unit_count: Double read Funit_count write Funit_count;
    property unit_: Integer read Funit_ write Funit_;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_ean }

constructor Tsklad_material_ean.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_ean.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_ean);

end.
