unit uTsklad_material_pohyb;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_pohyb = class;
  
  [Entity]
  [Table('sklad_material_pohyb')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_pohyb = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('do_skladu_id', [TColumnProp.Required])]
    Fdo_skladu_id: Integer;
    
    [Column('ze_skladu_id', [TColumnProp.Required])]
    Fze_skladu_id: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('aktivni', [TColumnProp.Required])]
    Faktivni: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property do_skladu_id: Integer read Fdo_skladu_id write Fdo_skladu_id;
    property ze_skladu_id: Integer read Fze_skladu_id write Fze_skladu_id;
    property bar_id: string read Fbar_id write Fbar_id;
    property aktivni: Integer read Faktivni write Faktivni;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_pohyb }

constructor Tsklad_material_pohyb.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_pohyb.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_pohyb);

end.
