unit uTsklad_material_pozice;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_pozice = class;
  
  [Entity]
  [Table('sklad_material_pozice')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_pozice = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('pozice_bar_id', [TColumnProp.Required], 10)]
    Fpozice_bar_id: string;
    
    [Column('full', [TColumnProp.Required])]
    Ffull: Integer;
    
    [Column('sklad_id', [TColumnProp.Required])]
    Fsklad_id: Integer;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    
    [Column('note', [TColumnProp.Required], 255)]
    Fnote: string;
    
    [Column('datum_prijem', [TColumnProp.Required])]
    Fdatum_prijem: TDateTime;
    
    [Column('datum_vydej', [TColumnProp.Required])]
    Fdatum_vydej: TDateTime;
    
    [Column('pozice_n1', [TColumnProp.Required])]
    Fpozice_n1: Integer;
    
    [Column('pozice_n2', [TColumnProp.Required])]
    Fpozice_n2: Integer;
    
    [Column('pozice_n3', [TColumnProp.Required])]
    Fpozice_n3: Integer;
    
    [Column('pozice_n4', [TColumnProp.Required])]
    Fpozice_n4: Integer;
    
    [Column('prefix_pozice', [TColumnProp.Required], 1)]
    Fprefix_pozice: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property pozice_bar_id: string read Fpozice_bar_id write Fpozice_bar_id;
    property full: Integer read Ffull write Ffull;
    property sklad_id: Integer read Fsklad_id write Fsklad_id;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property note: string read Fnote write Fnote;
    property datum_prijem: TDateTime read Fdatum_prijem write Fdatum_prijem;
    property datum_vydej: TDateTime read Fdatum_vydej write Fdatum_vydej;
    property pozice_n1: Integer read Fpozice_n1 write Fpozice_n1;
    property pozice_n2: Integer read Fpozice_n2 write Fpozice_n2;
    property pozice_n3: Integer read Fpozice_n3 write Fpozice_n3;
    property pozice_n4: Integer read Fpozice_n4 write Fpozice_n4;
    property prefix_pozice: string read Fprefix_pozice write Fprefix_pozice;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_pozice }

constructor Tsklad_material_pozice.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_pozice.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_pozice);

end.
