unit uTsklad_material_pozice_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_pozice_readdata = class;
  
  [Entity]
  [Table('sklad_material_pozice_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_pozice_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('active', [TColumnProp.Required])]
    Factive: Integer;
    
    [Column('pozice_id', [TColumnProp.Required])]
    Fpozice_id: Integer;
    
    [Column('pozice_id_sub', [TColumnProp.Required])]
    Fpozice_id_sub: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    
    [Column('vaha', [TColumnProp.Required], 15, 3)]
    Fvaha: Double;
    
    [Column('sklad_readdata_id', [TColumnProp.Required])]
    Fsklad_readdata_id: Int64;
    
    [Column('pohyb_datetime', [TColumnProp.Required])]
    Fpohyb_datetime: TDateTime;
    
    [Column('pohyb_datetime_out', [TColumnProp.Required])]
    Fpohyb_datetime_out: TDateTime;
    
    [Column('pohyb', [], 15, 3)]
    Fpohyb: Nullable<Double>;
    
    [Column('pohyb_typ', [], 50)]
    Fpohyb_typ: Nullable<string>;
    
    [Column('note', [], 255)]
    Fnote: Nullable<string>;
    
    [Column('user_id_in', [TColumnProp.Required])]
    Fuser_id_in: Integer;
    
    [Column('user_id_out', [TColumnProp.Required])]
    Fuser_id_out: Integer;
    
    [Column('paleta_id', [TColumnProp.Required])]
    Fpaleta_id: Integer;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('request_id', [TColumnProp.Required])]
    Frequest_id: Integer;
    
    [Column('sarze', [TColumnProp.Required], 255)]
    Fsarze: string;
    
    [Column('pohyb_group_id', [TColumnProp.Required])]
    Fpohyb_group_id: Integer;
    
    [Column('printed', [TColumnProp.Required])]
    Fprinted: Integer;
    
    [Column('printed_datetime', [TColumnProp.Required])]
    Fprinted_datetime: TDateTime;
    
    [Column('exported', [TColumnProp.Required])]
    Fexported: Integer;
    
    [Column('exported_datetime', [TColumnProp.Required])]
    Fexported_datetime: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property active: Integer read Factive write Factive;
    property pozice_id: Integer read Fpozice_id write Fpozice_id;
    property pozice_id_sub: Integer read Fpozice_id_sub write Fpozice_id_sub;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property vaha: Double read Fvaha write Fvaha;
    property sklad_readdata_id: Int64 read Fsklad_readdata_id write Fsklad_readdata_id;
    property pohyb_datetime: TDateTime read Fpohyb_datetime write Fpohyb_datetime;
    property pohyb_datetime_out: TDateTime read Fpohyb_datetime_out write Fpohyb_datetime_out;
    property pohyb: Nullable<Double> read Fpohyb write Fpohyb;
    property pohyb_typ: Nullable<string> read Fpohyb_typ write Fpohyb_typ;
    property note: Nullable<string> read Fnote write Fnote;
    property user_id_in: Integer read Fuser_id_in write Fuser_id_in;
    property user_id_out: Integer read Fuser_id_out write Fuser_id_out;
    property paleta_id: Integer read Fpaleta_id write Fpaleta_id;
    property order_id: string read Forder_id write Forder_id;
    property request_id: Integer read Frequest_id write Frequest_id;
    property sarze: string read Fsarze write Fsarze;
    property pohyb_group_id: Integer read Fpohyb_group_id write Fpohyb_group_id;
    property printed: Integer read Fprinted write Fprinted;
    property printed_datetime: TDateTime read Fprinted_datetime write Fprinted_datetime;
    property exported: Integer read Fexported write Fexported;
    property exported_datetime: TDateTime read Fexported_datetime write Fexported_datetime;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_pozice_readdata }

constructor Tsklad_material_pozice_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_pozice_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_pozice_readdata);

end.
