unit uTsklad_material_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_readdata = class;
  
  [Entity]
  [Table('sklad_material_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('count', [TColumnProp.Required], 15, 3)]
    Fcount: Double;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('calculated', [TColumnProp.Required])]
    Fcalculated: Integer;
    
    [Column('added', [TColumnProp.Required])]
    Fadded: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('exported', [TColumnProp.Required])]
    Fexported: Integer;
    
    [Column('prijem_id', [TColumnProp.Required])]
    Fprijem_id: Int64;
    
    [Column('castka', [TColumnProp.Required], 15, 5)]
    Fcastka: Double;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('stav_skladu', [TColumnProp.Required], 15, 3)]
    Fstav_skladu: Double;
    
    [Column('polozka_objednavky_id', [TColumnProp.Required])]
    Fpolozka_objednavky_id: Integer;
    
    [Column('prevod_nasklad', [TColumnProp.Required])]
    Fprevod_nasklad: Integer;
    
    [Column('polozka_dodlist_id', [TColumnProp.Required])]
    Fpolozka_dodlist_id: Integer;
    
    [Column('ulozeno', [TColumnProp.Required])]
    Fulozeno: TDateTime;
    
    [Column('pohyb_id', [TColumnProp.Required])]
    Fpohyb_id: Integer;
    
    [Column('ExtObj', [], 256)]
    FExtObj: Nullable<string>;
    
    [Column('ExtDL', [], 256)]
    FExtDL: Nullable<string>;
    
    [Column('unirec', [], 256)]
    Funirec: Nullable<string>;
    
    [Column('delka_prirezu', [TColumnProp.Required], 15, 3)]
    Fdelka_prirezu: Double;
    
    [Column('prorez', [TColumnProp.Required], 15, 3)]
    Fprorez: Double;
    
    [Column('count2', [TColumnProp.Required], 15, 3)]
    Fcount2: Double;
    
    [Column('zbytkovy_material', [TColumnProp.Required], 15, 3)]
    Fzbytkovy_material: Double;
    
    [Column('cislo', [], 256)]
    Fcislo: Nullable<string>;
    
    [Column('vazena_cena', [TColumnProp.Required], 15, 3)]
    Fvazena_cena: Double;
    
    [Column('pohyb_vazena_cena', [TColumnProp.Required], 20, 6)]
    Fpohyb_vazena_cena: Double;
    
    [Column('last_nakup_cena', [TColumnProp.Required], 15, 3)]
    Flast_nakup_cena: Double;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('exportvydejka_id', [])]
    Fexportvydejka_id: Nullable<Integer>;
    
    [Column('rozpustene_naklady', [TColumnProp.Required], 15, 5)]
    Frozpustene_naklady: Double;
    
    [Column('vydej_id', [TColumnProp.Required])]
    Fvydej_id: Int64;
    
    [Column('zdroj_order_id', [TColumnProp.Required], 50)]
    Fzdroj_order_id: string;
    
    [Column('sarze', [TColumnProp.Required], 255)]
    Fsarze: string;
    
    [Column('printed', [TColumnProp.Required])]
    Fprinted: Integer;
    
    [Column('printed_datetime', [TColumnProp.Required])]
    Fprinted_datetime: TDateTime;
    
    [Column('exported_datetime', [TColumnProp.Required])]
    Fexported_datetime: TDateTime;
    
    [Column('cm_castka', [TColumnProp.Required], 15, 5)]
    Fcm_castka: Double;
    
    [Column('cm_kurz', [TColumnProp.Required], 15, 3)]
    Fcm_kurz: Double;
    
    [Column('cm_mena', [TColumnProp.Required], 50)]
    Fcm_mena: string;
    
    [Column('cm_celkem', [TColumnProp.Required], 15, 3)]
    Fcm_celkem: Double;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property date: TDateTime read Fdate write Fdate;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property count: Double read Fcount write Fcount;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property order_id: string read Forder_id write Forder_id;
    property calculated: Integer read Fcalculated write Fcalculated;
    property added: Integer read Fadded write Fadded;
    property user: string read Fuser write Fuser;
    property exported: Integer read Fexported write Fexported;
    property prijem_id: Int64 read Fprijem_id write Fprijem_id;
    property castka: Double read Fcastka write Fcastka;
    property note: TBlob read Fnote write Fnote;
    property stav_skladu: Double read Fstav_skladu write Fstav_skladu;
    property polozka_objednavky_id: Integer read Fpolozka_objednavky_id write Fpolozka_objednavky_id;
    property prevod_nasklad: Integer read Fprevod_nasklad write Fprevod_nasklad;
    property polozka_dodlist_id: Integer read Fpolozka_dodlist_id write Fpolozka_dodlist_id;
    property ulozeno: TDateTime read Fulozeno write Fulozeno;
    property pohyb_id: Integer read Fpohyb_id write Fpohyb_id;
    property ExtObj: Nullable<string> read FExtObj write FExtObj;
    property ExtDL: Nullable<string> read FExtDL write FExtDL;
    property unirec: Nullable<string> read Funirec write Funirec;
    property delka_prirezu: Double read Fdelka_prirezu write Fdelka_prirezu;
    property prorez: Double read Fprorez write Fprorez;
    property count2: Double read Fcount2 write Fcount2;
    property zbytkovy_material: Double read Fzbytkovy_material write Fzbytkovy_material;
    property cislo: Nullable<string> read Fcislo write Fcislo;
    property vazena_cena: Double read Fvazena_cena write Fvazena_cena;
    property pohyb_vazena_cena: Double read Fpohyb_vazena_cena write Fpohyb_vazena_cena;
    property last_nakup_cena: Double read Flast_nakup_cena write Flast_nakup_cena;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property exportvydejka_id: Nullable<Integer> read Fexportvydejka_id write Fexportvydejka_id;
    property rozpustene_naklady: Double read Frozpustene_naklady write Frozpustene_naklady;
    property vydej_id: Int64 read Fvydej_id write Fvydej_id;
    property zdroj_order_id: string read Fzdroj_order_id write Fzdroj_order_id;
    property sarze: string read Fsarze write Fsarze;
    property printed: Integer read Fprinted write Fprinted;
    property printed_datetime: TDateTime read Fprinted_datetime write Fprinted_datetime;
    property exported_datetime: TDateTime read Fexported_datetime write Fexported_datetime;
    property cm_castka: Double read Fcm_castka write Fcm_castka;
    property cm_kurz: Double read Fcm_kurz write Fcm_kurz;
    property cm_mena: string read Fcm_mena write Fcm_mena;
    property cm_celkem: Double read Fcm_celkem write Fcm_celkem;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_readdata }

constructor Tsklad_material_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_readdata);

end.
