unit uTsklad_material_tvar;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_tvar = class;
  
  [Entity]
  [Table('sklad_material_tvar')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_tvar = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_tvar }

constructor Tsklad_material_tvar.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_tvar.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_tvar);

end.
