unit uTsklad_material_vydejky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_vydejky = class;
  
  [Entity]
  [Table('sklad_material_vydejky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_vydejky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('doklad', [TColumnProp.Required], 50)]
    Fdoklad: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('date', [TColumnProp.Required])]
    Fdate: TDateTime;
    
    [Column('castka', [TColumnProp.Required], 15, 2)]
    Fcastka: Double;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('cena_celkem', [TColumnProp.Required], 15, 2)]
    Fcena_celkem: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('oznaceni', [TColumnProp.Required], 50)]
    Foznaceni: string;
    
    [Column('path', [TColumnProp.Required], 255)]
    Fpath: string;
    
    [Column('path2', [TColumnProp.Required], 255)]
    Fpath2: string;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('prijaty_doklad', [TColumnProp.Required], 50)]
    Fprijaty_doklad: string;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('customer_id', [TColumnProp.Required])]
    Fcustomer_id: Int64;
    
    [Column('dodaciListVydany', [TColumnProp.Required], 50)]
    FdodaciListVydany: string;
    
    [Column('fakturaVydana', [TColumnProp.Required], 50)]
    FfakturaVydana: string;
    
    [Column('fakturaVydanaDatum', [TColumnProp.Required])]
    FfakturaVydanaDatum: TDateTime;
    
    [Column('customer_name', [TColumnProp.Required], 100)]
    Fcustomer_name: string;
    
    [Column('customer_ico', [TColumnProp.Required], 100)]
    Fcustomer_ico: string;
    
    [Column('export_poradi', [TColumnProp.Required])]
    Fexport_poradi: Integer;
    
    [Column('pohyb_id', [TColumnProp.Required])]
    Fpohyb_id: Integer;
    
    [Column('typ', [TColumnProp.Required])]
    Ftyp: Integer;
    
    [Column('StavDokladu', [TColumnProp.Required])]
    FStavDokladu: Integer;
    
    [Column('printed', [TColumnProp.Required])]
    Fprinted: Integer;
    
    [Column('printed_datetime', [TColumnProp.Required])]
    Fprinted_datetime: TDateTime;
    
    [Column('exported', [TColumnProp.Required])]
    Fexported: Integer;
    
    [Column('exported_datetime', [TColumnProp.Required])]
    Fexported_datetime: TDateTime;
    
    [Column('cm_castka', [TColumnProp.Required], 15, 3)]
    Fcm_castka: Double;
    
    [Column('cm_cena_celkem', [TColumnProp.Required], 15, 3)]
    Fcm_cena_celkem: Double;
    
    [Column('cm_kurz', [TColumnProp.Required], 15, 3)]
    Fcm_kurz: Double;
    
    [Column('cm_mena', [TColumnProp.Required], 50)]
    Fcm_mena: string;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property doklad: string read Fdoklad write Fdoklad;
    property name: string read Fname write Fname;
    property date: TDateTime read Fdate write Fdate;
    property castka: Double read Fcastka write Fcastka;
    property note: TBlob read Fnote write Fnote;
    property cena_celkem: Double read Fcena_celkem write Fcena_celkem;
    property user: string read Fuser write Fuser;
    property oznaceni: string read Foznaceni write Foznaceni;
    property path: string read Fpath write Fpath;
    property path2: string read Fpath2 write Fpath2;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property prijaty_doklad: string read Fprijaty_doklad write Fprijaty_doklad;
    property order_id: string read Forder_id write Forder_id;
    property customer_id: Int64 read Fcustomer_id write Fcustomer_id;
    property dodaciListVydany: string read FdodaciListVydany write FdodaciListVydany;
    property fakturaVydana: string read FfakturaVydana write FfakturaVydana;
    property fakturaVydanaDatum: TDateTime read FfakturaVydanaDatum write FfakturaVydanaDatum;
    property customer_name: string read Fcustomer_name write Fcustomer_name;
    property customer_ico: string read Fcustomer_ico write Fcustomer_ico;
    property export_poradi: Integer read Fexport_poradi write Fexport_poradi;
    property pohyb_id: Integer read Fpohyb_id write Fpohyb_id;
    property typ: Integer read Ftyp write Ftyp;
    property StavDokladu: Integer read FStavDokladu write FStavDokladu;
    property printed: Integer read Fprinted write Fprinted;
    property printed_datetime: TDateTime read Fprinted_datetime write Fprinted_datetime;
    property exported: Integer read Fexported write Fexported;
    property exported_datetime: TDateTime read Fexported_datetime write Fexported_datetime;
    property cm_castka: Double read Fcm_castka write Fcm_castka;
    property cm_cena_celkem: Double read Fcm_cena_celkem write Fcm_cena_celkem;
    property cm_kurz: Double read Fcm_kurz write Fcm_kurz;
    property cm_mena: string read Fcm_mena write Fcm_mena;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_vydejky }

constructor Tsklad_material_vydejky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_vydejky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_vydejky);

end.
