unit uTsklad_material_vydejky_typy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_material_vydejky_typy = class;
  
  [Entity]
  [Table('sklad_material_vydejky_typy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_material_vydejky_typy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('zkratka', [TColumnProp.Required], 50)]
    Fzkratka: string;
    
    [Column('popis', [], 50)]
    Fpopis: Nullable<string>;
    
    [Column('zkratka_export', [TColumnProp.Required], 50)]
    Fzkratka_export: string;
    
    [Column('id_sklad_pohyb', [TColumnProp.Required])]
    Fid_sklad_pohyb: Integer;
    
    [Column('doklad_autocreate', [TColumnProp.Required])]
    Fdoklad_autocreate: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property zkratka: string read Fzkratka write Fzkratka;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property zkratka_export: string read Fzkratka_export write Fzkratka_export;
    property id_sklad_pohyb: Integer read Fid_sklad_pohyb write Fid_sklad_pohyb;
    property doklad_autocreate: Integer read Fdoklad_autocreate write Fdoklad_autocreate;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_material_vydejky_typy }

constructor Tsklad_material_vydejky_typy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_material_vydejky_typy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_material_vydejky_typy);

end.
