unit uTsklad_naradi;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_naradi = class;
  
  [Entity]
  [Table('sklad_naradi')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_naradi = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 250)]
    Fname: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('nakup', [TColumnProp.Required])]
    Fnakup: TDateTime;
    
    [Column('servis', [TColumnProp.Required])]
    Fservis: TDateTime;
    
    [Column('delay_servis_date', [TColumnProp.Required])]
    Fdelay_servis_date: TDateTime;
    
    [Column('delay_servis_time', [TColumnProp.Required])]
    Fdelay_servis_time: Integer;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('cena', [TColumnProp.Required], 15, 2)]
    Fcena: Double;
    
    [Column('mnozstvi', [TColumnProp.Required])]
    Fmnozstvi: Integer;
    
    [Column('mnozstvi_init', [TColumnProp.Required])]
    Fmnozstvi_init: Integer;
    
    [Column('skupina', [TColumnProp.Required], 50)]
    Fskupina: string;
    
    [Column('objednano', [TColumnProp.Required], 15, 3)]
    Fobjednano: Double;
    
    [Column('pocatecnistav', [TColumnProp.Required])]
    Fpocatecnistav: Integer;
    
    [Column('vyrobni_c', [TColumnProp.Required], 100)]
    Fvyrobni_c: string;
    
    [Column('last_finish', [TColumnProp.Required])]
    Flast_finish: TDateTime;
    
    [Column('termin_zaruky', [TColumnProp.Required])]
    Ftermin_zaruky: TDateTime;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('dodavatel_id', [TColumnProp.Required])]
    Fdodavatel_id: Integer;
    
    [Column('typ_naradi', [TColumnProp.Required])]
    Ftyp_naradi: Integer;
    
    [Column('ukonceni_interval', [TColumnProp.Required])]
    Fukonceni_interval: Integer;
    
    [Column('stavKarty', [TColumnProp.Required])]
    FstavKarty: Integer;
    
    [Column('mnozstvi_limit', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_limit: Double;
    
    [Column('zarukaDelka', [TColumnProp.Required])]
    FzarukaDelka: Integer;
    
    [Column('katalog', [TColumnProp.Required], 100)]
    Fkatalog: string;
    
    [Column('sledovat_vyrobni_cisla', [TColumnProp.Required])]
    Fsledovat_vyrobni_cisla: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property note: TBlob read Fnote write Fnote;
    property nakup: TDateTime read Fnakup write Fnakup;
    property servis: TDateTime read Fservis write Fservis;
    property delay_servis_date: TDateTime read Fdelay_servis_date write Fdelay_servis_date;
    property delay_servis_time: Integer read Fdelay_servis_time write Fdelay_servis_time;
    property stav: Integer read Fstav write Fstav;
    property user: string read Fuser write Fuser;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property cena: Double read Fcena write Fcena;
    property mnozstvi: Integer read Fmnozstvi write Fmnozstvi;
    property mnozstvi_init: Integer read Fmnozstvi_init write Fmnozstvi_init;
    property skupina: string read Fskupina write Fskupina;
    property objednano: Double read Fobjednano write Fobjednano;
    property pocatecnistav: Integer read Fpocatecnistav write Fpocatecnistav;
    property vyrobni_c: string read Fvyrobni_c write Fvyrobni_c;
    property last_finish: TDateTime read Flast_finish write Flast_finish;
    property termin_zaruky: TDateTime read Ftermin_zaruky write Ftermin_zaruky;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property dodavatel_id: Integer read Fdodavatel_id write Fdodavatel_id;
    property typ_naradi: Integer read Ftyp_naradi write Ftyp_naradi;
    property ukonceni_interval: Integer read Fukonceni_interval write Fukonceni_interval;
    property stavKarty: Integer read FstavKarty write FstavKarty;
    property mnozstvi_limit: Double read Fmnozstvi_limit write Fmnozstvi_limit;
    property zarukaDelka: Integer read FzarukaDelka write FzarukaDelka;
    property katalog: string read Fkatalog write Fkatalog;
    property sledovat_vyrobni_cisla: Integer read Fsledovat_vyrobni_cisla write Fsledovat_vyrobni_cisla;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_naradi }

constructor Tsklad_naradi.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_naradi.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_naradi);

end.
