unit uTsklad_naradi_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_naradi_readdata = class;
  
  [Entity]
  [Table('sklad_naradi_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_naradi_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('naradi_id', [TColumnProp.Required])]
    Fnaradi_id: Integer;
    
    [Column('pohyb_id', [TColumnProp.Required])]
    Fpohyb_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('calculated', [TColumnProp.Required])]
    Fcalculated: Integer;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('count', [TColumnProp.Required])]
    Fcount: Integer;
    
    [Column('stav_skladu', [TColumnProp.Required])]
    Fstav_skladu: Integer;
    
    [Column('isActual', [TColumnProp.Required])]
    FisActual: Integer;
    
    [Column('polozka_objednavky_id', [TColumnProp.Required])]
    Fpolozka_objednavky_id: Integer;
    
    [Column('castka', [TColumnProp.Required], 15, 2)]
    Fcastka: Double;
    
    [Column('order_id', [TColumnProp.Required], 150)]
    Forder_id: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property naradi_id: Integer read Fnaradi_id write Fnaradi_id;
    property pohyb_id: Integer read Fpohyb_id write Fpohyb_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property start: TDateTime read Fstart write Fstart;
    property finish: TDateTime read Ffinish write Ffinish;
    property note: TBlob read Fnote write Fnote;
    property calculated: Integer read Fcalculated write Fcalculated;
    property user: string read Fuser write Fuser;
    property count: Integer read Fcount write Fcount;
    property stav_skladu: Integer read Fstav_skladu write Fstav_skladu;
    property isActual: Integer read FisActual write FisActual;
    property polozka_objednavky_id: Integer read Fpolozka_objednavky_id write Fpolozka_objednavky_id;
    property castka: Double read Fcastka write Fcastka;
    property order_id: string read Forder_id write Forder_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_naradi_readdata }

constructor Tsklad_naradi_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_naradi_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_naradi_readdata);

end.
