unit uTsklad_skupiny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklad_skupiny = class;
  
  [Entity]
  [Table('sklad_skupiny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklad_skupiny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 255)]
    Fname: string;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    
    [Column('id_pohoda', [TColumnProp.Required], 100)]
    Fid_pohoda: string;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('operation_id_batchout', [TColumnProp.Required])]
    Foperation_id_batchout: Integer;
    
    [Column('prefix_pozice', [TColumnProp.Required], 1)]
    Fprefix_pozice: string;
    
    [Column('vychozi_marze', [TColumnProp.Required], 15, 3)]
    Fvychozi_marze: Double;
    
    [Column('vypocet_ceny', [TColumnProp.Required])]
    Fvypocet_ceny: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property user: string read Fuser write Fuser;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property id_pohoda: string read Fid_pohoda write Fid_pohoda;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property operation_id_batchout: Integer read Foperation_id_batchout write Foperation_id_batchout;
    property prefix_pozice: string read Fprefix_pozice write Fprefix_pozice;
    property vychozi_marze: Double read Fvychozi_marze write Fvychozi_marze;
    property vypocet_ceny: Integer read Fvypocet_ceny write Fvypocet_ceny;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklad_skupiny }

constructor Tsklad_skupiny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklad_skupiny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklad_skupiny);

end.
