unit uTsklady_materialu;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsklady_materialu = class;
  
  [Entity]
  [Table('sklady_materialu')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsklady_materialu = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('name', [], 100)]
    Fname: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property name: Nullable<string> read Fname write Fname;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsklady_materialu }

constructor Tsklady_materialu.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsklady_materialu.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsklady_materialu);

end.
