unit uTsp_log;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsp_log = class;
  
  [Entity]
  [Table('sp_log')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsp_log = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('time_stamp', [TColumnProp.Required])]
    Ftime_stamp: TDateTime;
    
    [Column('level', [], 20)]
    Flevel: Nullable<string>;
    
    [Column('sp_name', [], 255)]
    Fsp_name: Nullable<string>;
    
    [Column('message', [], 512)]
    Fmessage: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property time_stamp: TDateTime read Ftime_stamp write Ftime_stamp;
    property level: Nullable<string> read Flevel write Flevel;
    property sp_name: Nullable<string> read Fsp_name write Fsp_name;
    property message: Nullable<string> read Fmessage write Fmessage;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsp_log }

constructor Tsp_log.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsp_log.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsp_log);

end.
