unit uTsp_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsp_settings = class;
  
  [Entity]
  [Table('sp_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsp_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('sp_name', [], 255)]
    Fsp_name: Nullable<string>;
    
    [Column('enabled', [])]
    Fenabled: Nullable<Integer>;
    
    [Column('log_level', [], 20)]
    Flog_level: Nullable<string>;
    
    [Column('locked', [])]
    Flocked: Nullable<Integer>;
    
    [Column('locked_timestamp', [TColumnProp.Required])]
    Flocked_timestamp: TDateTime;
    
    [Column('sp_alias', [], 255)]
    Fsp_alias: Nullable<string>;
    
    [Column('visible', [TColumnProp.Required])]
    Fvisible: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property sp_name: Nullable<string> read Fsp_name write Fsp_name;
    property enabled: Nullable<Integer> read Fenabled write Fenabled;
    property log_level: Nullable<string> read Flog_level write Flog_level;
    property locked: Nullable<Integer> read Flocked write Flocked;
    property locked_timestamp: TDateTime read Flocked_timestamp write Flocked_timestamp;
    property sp_alias: Nullable<string> read Fsp_alias write Fsp_alias;
    property visible: Integer read Fvisible write Fvisible;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsp_settings }

constructor Tsp_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsp_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsp_settings);

end.
