unit uTstavydokladu;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tstavydokladu = class;
  
  [Entity]
  [Table('stavydokladu')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tstavydokladu = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('tabulka', [TColumnProp.Required], 100)]
    Ftabulka: string;
    
    [Column('note', [TColumnProp.Required], 255)]
    Fnote: string;
    
    [Column('active', [TColumnProp.Required])]
    Factive: Integer;
    
    [Column('groupId', [TColumnProp.Required])]
    FgroupId: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    
    [Column('isFinal', [TColumnProp.Required])]
    FisFinal: Integer;
    
    [Column('finalAction', [TColumnProp.Required])]
    FfinalAction: Integer;
    
    [Column('closeAction', [TColumnProp.Required])]
    FcloseAction: Integer;
    
    [Column('use_for_calculation', [TColumnProp.Required])]
    Fuse_for_calculation: Integer;
    
    [Column('use_as_default', [TColumnProp.Required])]
    Fuse_as_default: Integer;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property poradi: Integer read Fporadi write Fporadi;
    property name: string read Fname write Fname;
    property tabulka: string read Ftabulka write Ftabulka;
    property note: string read Fnote write Fnote;
    property active: Integer read Factive write Factive;
    property groupId: Integer read FgroupId write FgroupId;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property isFinal: Integer read FisFinal write FisFinal;
    property finalAction: Integer read FfinalAction write FfinalAction;
    property closeAction: Integer read FcloseAction write FcloseAction;
    property use_for_calculation: Integer read Fuse_for_calculation write Fuse_for_calculation;
    property use_as_default: Integer read Fuse_as_default write Fuse_as_default;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tstavydokladu }

constructor Tstavydokladu.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tstavydokladu.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tstavydokladu);

end.
