unit uTstroj_group;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tstroj_group = class;
  
  [Entity]
  [Table('stroj_group')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tstroj_group = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('creator', [TColumnProp.Required], 50)]
    Fcreator: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property user: string read Fuser write Fuser;
    property creator: string read Fcreator write Fcreator;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tstroj_group }

constructor Tstroj_group.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tstroj_group.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tstroj_group);

end.
