unit uTstroje;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tstroje = class;
  
  [Entity]
  [Table('stroje')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tstroje = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('datum_nakup', [TColumnProp.Required])]
    Fdatum_nakup: TDateTime;
    
    [Column('odpracovano', [TColumnProp.Required])]
    Fodpracovano: Integer;
    
    [Column('cena_hodina', [TColumnProp.Required], 15, 2)]
    Fcena_hodina: Double;
    
    [Column('servis_delay', [TColumnProp.Required])]
    Fservis_delay: Integer;
    
    [Column('servis', [TColumnProp.Required])]
    Fservis: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('termin_zaruky', [TColumnProp.Required])]
    Ftermin_zaruky: TDateTime;
    
    [Column('termin_vyrazeni', [TColumnProp.Required])]
    Ftermin_vyrazeni: TDateTime;
    
    [Column('zodpovida', [TColumnProp.Required])]
    Fzodpovida: Integer;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property datum_nakup: TDateTime read Fdatum_nakup write Fdatum_nakup;
    property odpracovano: Integer read Fodpracovano write Fodpracovano;
    property cena_hodina: Double read Fcena_hodina write Fcena_hodina;
    property servis_delay: Integer read Fservis_delay write Fservis_delay;
    property servis: TDateTime read Fservis write Fservis;
    property user: string read Fuser write Fuser;
    property note: TBlob read Fnote write Fnote;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property termin_zaruky: TDateTime read Ftermin_zaruky write Ftermin_zaruky;
    property termin_vyrazeni: TDateTime read Ftermin_vyrazeni write Ftermin_vyrazeni;
    property zodpovida: Integer read Fzodpovida write Fzodpovida;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tstroje }

constructor Tstroje.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tstroje.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tstroje);

end.
