unit uTstroje_stavy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tstroje_stavy = class;
  
  [Entity]
  [Table('stroje_stavy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tstroje_stavy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('color', [TColumnProp.Required])]
    Fcolor: Integer;
    
    [Column('is_running', [TColumnProp.Required])]
    Fis_running: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property color: Integer read Fcolor write Fcolor;
    property is_running: Integer read Fis_running write Fis_running;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tstroje_stavy }

constructor Tstroje_stavy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tstroje_stavy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tstroje_stavy);

end.
