unit uTsubdodavky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsubdodavky = class;
  
  [Entity]
  [Table('subdodavky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsubdodavky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id', [TColumnProp.Required], 200)]
    Forder_id: string;
    
    [Column('name', [TColumnProp.Required], 200)]
    Fname: string;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    
    [Column('jednotka', [TColumnProp.Required])]
    Fjednotka: Integer;
    
    [Column('cena_jednotka', [TColumnProp.Required], 15, 3)]
    Fcena_jednotka: Double;
    
    [Column('cena_celkem', [TColumnProp.Required], 15, 3)]
    Fcena_celkem: Double;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('doklad', [TColumnProp.Required], 50)]
    Fdoklad: string;
    
    [Column('cislo', [TColumnProp.Required])]
    Fcislo: Integer;
    
    [Column('planovana', [TColumnProp.Required])]
    Fplanovana: Integer;
    
    [Column('datum_realizace', [TColumnProp.Required])]
    Fdatum_realizace: TDateTime;
    
    [Column('datum_vytvoreni', [TColumnProp.Required])]
    Fdatum_vytvoreni: TDateTime;
    
    [Column('dokladMoney', [TColumnProp.Required], 50)]
    FdokladMoney: string;
    
    [Column('user_price', [TColumnProp.Required], 15, 3)]
    Fuser_price: Double;
    
    [Column('note', [TColumnProp.Required], 4096)]
    Fnote: string;
    
    [Column('Create_fak', [TColumnProp.Required])]
    FCreate_fak: TDateTime;
    
    [Column('dodavatelName', [TColumnProp.Required], 150)]
    FdodavatelName: string;
    
    [Column('dodavatelId', [TColumnProp.Required])]
    FdodavatelId: Integer;
    
    [Column('id_pohoda', [TColumnProp.Required], 100)]
    Fid_pohoda: string;
    
    [Column('Predp_datum_dodani', [TColumnProp.Required])]
    FPredp_datum_dodani: TDateTime;
    
    [Column('Datum_dodani', [TColumnProp.Required])]
    FDatum_dodani: TDateTime;
    
    [Column('realizovana', [TColumnProp.Required])]
    Frealizovana: Integer;
    
    [Column('misto_doruceni', [TColumnProp.Required], 150)]
    Fmisto_doruceni: string;
    
    [Column('mnozstvi_real', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_real: Double;
    
    [Column('mnozstvi_vydano', [TColumnProp.Required], 15, 3)]
    Fmnozstvi_vydano: Double;
    
    [Column('datum_vydano', [TColumnProp.Required])]
    Fdatum_vydano: TDateTime;
    
    [Column('doklad2', [TColumnProp.Required], 100)]
    Fdoklad2: string;
    
    [Column('print_count', [TColumnProp.Required])]
    Fprint_count: Integer;
    
    [Column('printed', [TColumnProp.Required])]
    Fprinted: Integer;
    
    [Column('printed_datetime', [TColumnProp.Required])]
    Fprinted_datetime: TDateTime;
    
    [Column('user_created', [TColumnProp.Required], 50)]
    Fuser_created: string;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id: string read Forder_id write Forder_id;
    property name: string read Fname write Fname;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property jednotka: Integer read Fjednotka write Fjednotka;
    property cena_jednotka: Double read Fcena_jednotka write Fcena_jednotka;
    property cena_celkem: Double read Fcena_celkem write Fcena_celkem;
    property user: string read Fuser write Fuser;
    property doklad: string read Fdoklad write Fdoklad;
    property cislo: Integer read Fcislo write Fcislo;
    property planovana: Integer read Fplanovana write Fplanovana;
    property datum_realizace: TDateTime read Fdatum_realizace write Fdatum_realizace;
    property datum_vytvoreni: TDateTime read Fdatum_vytvoreni write Fdatum_vytvoreni;
    property dokladMoney: string read FdokladMoney write FdokladMoney;
    property user_price: Double read Fuser_price write Fuser_price;
    property note: string read Fnote write Fnote;
    property Create_fak: TDateTime read FCreate_fak write FCreate_fak;
    property dodavatelName: string read FdodavatelName write FdodavatelName;
    property dodavatelId: Integer read FdodavatelId write FdodavatelId;
    property id_pohoda: string read Fid_pohoda write Fid_pohoda;
    property Predp_datum_dodani: TDateTime read FPredp_datum_dodani write FPredp_datum_dodani;
    property Datum_dodani: TDateTime read FDatum_dodani write FDatum_dodani;
    property realizovana: Integer read Frealizovana write Frealizovana;
    property misto_doruceni: string read Fmisto_doruceni write Fmisto_doruceni;
    property mnozstvi_real: Double read Fmnozstvi_real write Fmnozstvi_real;
    property mnozstvi_vydano: Double read Fmnozstvi_vydano write Fmnozstvi_vydano;
    property datum_vydano: TDateTime read Fdatum_vydano write Fdatum_vydano;
    property doklad2: string read Fdoklad2 write Fdoklad2;
    property print_count: Integer read Fprint_count write Fprint_count;
    property printed: Integer read Fprinted write Fprinted;
    property printed_datetime: TDateTime read Fprinted_datetime write Fprinted_datetime;
    property user_created: string read Fuser_created write Fuser_created;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsubdodavky }

constructor Tsubdodavky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsubdodavky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsubdodavky);

end.
