unit uTsw_term;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsw_term = class;
  
  [Entity]
  [Table('sw_term')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsw_term = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('ip', [TColumnProp.Required], 50)]
    Fip: string;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property ip: string read Fip write Fip;
    property start: TDateTime read Fstart write Fstart;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsw_term }

constructor Tsw_term.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsw_term.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsw_term);

end.
