unit uTswterm_rozdel;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tswterm_rozdel = class;
  
  [Entity]
  [Table('swterm_rozdel')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tswterm_rozdel = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Int64;
    
    [Column('order_id', [TColumnProp.Required], 50)]
    Forder_id: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('cas', [TColumnProp.Required])]
    Fcas: TDateTime;
    
    [Column('procent', [TColumnProp.Required], 15, 3)]
    Fprocent: Double;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    
    [Column('ukon_mzda', [TColumnProp.Required], 15, 3)]
    Fukon_mzda: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Int64 read Fuser_id write Fuser_id;
    property order_id: string read Forder_id write Forder_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property cas: TDateTime read Fcas write Fcas;
    property procent: Double read Fprocent write Fprocent;
    property start: TDateTime read Fstart write Fstart;
    property mnoz: Double read Fmnoz write Fmnoz;
    property ukon_mzda: Double read Fukon_mzda write Fukon_mzda;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tswterm_rozdel }

constructor Tswterm_rozdel.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tswterm_rozdel.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tswterm_rozdel);

end.
