unit uTsystem;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsystem = class;
  
  [Entity]
  [Table('system')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsystem = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('version', [TColumnProp.Required], 20)]
    Fversion: string;
    
    [Column('table_version', [TColumnProp.Required], 20)]
    Ftable_version: string;
    
    [Column('program_id', [TColumnProp.Required], 30)]
    Fprogram_id: string;
    
    [Column('last_repair', [TColumnProp.Required])]
    Flast_repair: TDateTime;
    
    [Column('last_optimize', [TColumnProp.Required])]
    Flast_optimize: TDateTime;
    
    [Column('limit_sw_term', [TColumnProp.Required])]
    Flimit_sw_term: Integer;
    
    [Column('last_backup', [TColumnProp.Required])]
    Flast_backup: TDateTime;
    
    [Column('upgrade_locktables', [TColumnProp.Required])]
    Fupgrade_locktables: Integer;
    
    [Column('limit_vmt_term', [TColumnProp.Required])]
    Flimit_vmt_term: Integer;
    
    [Column('limit_smt_term', [TColumnProp.Required])]
    Flimit_smt_term: Integer;
    
    [Column('use_telemetry', [TColumnProp.Required])]
    Fuse_telemetry: Integer;
    
    [Column('betachannel', [TColumnProp.Required])]
    Fbetachannel: Integer;
    
    [Column('language_version', [TColumnProp.Required], 20)]
    Flanguage_version: string;
    
    [Column('bgs_last_run', [TColumnProp.Required])]
    Fbgs_last_run: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property version: string read Fversion write Fversion;
    property table_version: string read Ftable_version write Ftable_version;
    property program_id: string read Fprogram_id write Fprogram_id;
    property last_repair: TDateTime read Flast_repair write Flast_repair;
    property last_optimize: TDateTime read Flast_optimize write Flast_optimize;
    property limit_sw_term: Integer read Flimit_sw_term write Flimit_sw_term;
    property last_backup: TDateTime read Flast_backup write Flast_backup;
    property upgrade_locktables: Integer read Fupgrade_locktables write Fupgrade_locktables;
    property limit_vmt_term: Integer read Flimit_vmt_term write Flimit_vmt_term;
    property limit_smt_term: Integer read Flimit_smt_term write Flimit_smt_term;
    property use_telemetry: Integer read Fuse_telemetry write Fuse_telemetry;
    property betachannel: Integer read Fbetachannel write Fbetachannel;
    property language_version: string read Flanguage_version write Flanguage_version;
    property bgs_last_run: TDateTime read Fbgs_last_run write Fbgs_last_run;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsystem }

constructor Tsystem.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsystem.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsystem);

end.
