unit uTsystem_terminals;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsystem_terminals = class;
  
  [Entity]
  [Table('system_terminals')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsystem_terminals = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('note', [TColumnProp.Required], 50)]
    Fnote: string;
    
    [Column('is_default', [TColumnProp.Required])]
    Fis_default: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property bar_id: string read Fbar_id write Fbar_id;
    property name: string read Fname write Fname;
    property note: string read Fnote write Fnote;
    property is_default: Integer read Fis_default write Fis_default;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsystem_terminals }

constructor Tsystem_terminals.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsystem_terminals.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsystem_terminals);

end.
