unit uTsystem_terminals_functions;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tsystem_terminals_functions = class;
  
  [Entity]
  [Table('system_terminals_functions')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tsystem_terminals_functions = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('terminal', [TColumnProp.Required], 50)]
    Fterminal: string;
    
    [Column('module', [TColumnProp.Required], 50)]
    Fmodule: string;
    
    [Column('enabled', [TColumnProp.Required])]
    Fenabled: Integer;
    
    [Column('note', [TColumnProp.Required], 300)]
    Fnote: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property terminal: string read Fterminal write Fterminal;
    property module: string read Fmodule write Fmodule;
    property enabled: Integer read Fenabled write Fenabled;
    property note: string read Fnote write Fnote;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tsystem_terminals_functions }

constructor Tsystem_terminals_functions.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tsystem_terminals_functions.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tsystem_terminals_functions);

end.
