unit uTtech_postup;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttech_postup = class;
  
  [Entity]
  [Table('tech_postup')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Ttech_postup = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    
    [Column('cas_jednotky', [TColumnProp.Required])]
    Fcas_jednotky: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property note: TBlob read Fnote write Fnote;
    property cas_jednotky: Integer read Fcas_jednotky write Fcas_jednotky;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttech_postup }

constructor Ttech_postup.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttech_postup.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttech_postup);

end.
