unit uTtech_postup_polozky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttech_postup_polozky = class;
  
  [Entity]
  [Table('tech_postup_polozky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Ttech_postup_polozky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('postup_id', [TColumnProp.Required])]
    Fpostup_id: Int64;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('mnozstvi', [TColumnProp.Required], 15, 3)]
    Fmnozstvi: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property postup_id: Int64 read Fpostup_id write Fpostup_id;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property mnozstvi: Double read Fmnozstvi write Fmnozstvi;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttech_postup_polozky }

constructor Ttech_postup_polozky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttech_postup_polozky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttech_postup_polozky);

end.
