unit uTterminal;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tterminal = class;
  
  [Entity]
  [Table('terminal')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tterminal = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('ip', [], 15)]
    Fip: Nullable<string>;
    
    [Column('typ_terminalu', [])]
    Ftyp_terminalu: Nullable<Integer>;
    
    [Column('worker_id', [])]
    Fworker_id: Nullable<Integer>;
    
    [Column('povolit_prijemky', [TColumnProp.Required])]
    Fpovolit_prijemky: Integer;
    
    [Column('povolit_vydejky', [TColumnProp.Required])]
    Fpovolit_vydejky: Integer;
    
    [Column('vytvaret_zakazku', [TColumnProp.Required])]
    Fvytvaret_zakazku: Integer;
    
    [Column('SerialNumber', [TColumnProp.Required], 100)]
    FSerialNumber: string;
    
    [Column('APIkey', [TColumnProp.Required], 100)]
    FAPIkey: string;
    
    [Column('HASHcode', [TColumnProp.Required], 100)]
    FHASHcode: string;
    
    [Column('note', [TColumnProp.Required], 250)]
    Fnote: string;
    
    [Column('terminalName', [TColumnProp.Required], 100)]
    FterminalName: string;
    
    [Column('BasicConfiguration', [TColumnProp.Required], 2048)]
    FBasicConfiguration: string;
    
    [Column('FullConfiguration', [TColumnProp.Lazy])]
    FFullConfiguration: TBlob;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property ip: Nullable<string> read Fip write Fip;
    property typ_terminalu: Nullable<Integer> read Ftyp_terminalu write Ftyp_terminalu;
    property worker_id: Nullable<Integer> read Fworker_id write Fworker_id;
    property povolit_prijemky: Integer read Fpovolit_prijemky write Fpovolit_prijemky;
    property povolit_vydejky: Integer read Fpovolit_vydejky write Fpovolit_vydejky;
    property vytvaret_zakazku: Integer read Fvytvaret_zakazku write Fvytvaret_zakazku;
    property SerialNumber: string read FSerialNumber write FSerialNumber;
    property APIkey: string read FAPIkey write FAPIkey;
    property HASHcode: string read FHASHcode write FHASHcode;
    property note: string read Fnote write Fnote;
    property terminalName: string read FterminalName write FterminalName;
    property BasicConfiguration: string read FBasicConfiguration write FBasicConfiguration;
    property FullConfiguration: TBlob read FFullConfiguration write FFullConfiguration;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tterminal }

constructor Tterminal.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tterminal.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tterminal);

end.
