unit uTterminal_typ;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tterminal_typ = class;
  
  [Entity]
  [Table('terminal_typ')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tterminal_typ = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('typ', [TColumnProp.Required], 50)]
    Ftyp: string;
    
    [Column('note', [TColumnProp.Required], 50)]
    Fnote: string;
    
    [Column('licenci', [TColumnProp.Required])]
    Flicenci: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property typ: string read Ftyp write Ftyp;
    property note: string read Fnote write Fnote;
    property licenci: Integer read Flicenci write Flicenci;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tterminal_typ }

constructor Tterminal_typ.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tterminal_typ.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tterminal_typ);

end.
