unit uTtisk_formulare;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttisk_formulare = class;
  
  [Entity]
  [Table('tisk_formulare')]
  [Id('Fid', TIdGenerator.None)]
  [Id('Fidhlavicka', TIdGenerator.None)]
  Ttisk_formulare = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('idhlavicka', [TColumnProp.Required])]
    Fidhlavicka: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('cesta', [TColumnProp.Required], 500)]
    Fcesta: string;
    
    [Column('kmen', [TColumnProp.Required])]
    Fkmen: Integer;
    
    [Column('typ', [TColumnProp.Required], 1)]
    Ftyp: string;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property idhlavicka: Integer read Fidhlavicka write Fidhlavicka;
    property nazev: string read Fnazev write Fnazev;
    property cesta: string read Fcesta write Fcesta;
    property kmen: Integer read Fkmen write Fkmen;
    property typ: string read Ftyp write Ftyp;
    property stav: Integer read Fstav write Fstav;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttisk_formulare }

constructor Ttisk_formulare.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttisk_formulare.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttisk_formulare);

end.
