unit uTtisk_hlavicka;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttisk_hlavicka = class;
  
  [Entity]
  [Table('tisk_hlavicka')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Ttisk_hlavicka = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nadpis', [TColumnProp.Required], 100)]
    Fnadpis: string;
    
    [Column('slozka', [TColumnProp.Required], 150)]
    Fslozka: string;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nadpis: string read Fnadpis write Fnadpis;
    property slozka: string read Fslozka write Fslozka;
    property stav: Integer read Fstav write Fstav;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttisk_hlavicka }

constructor Ttisk_hlavicka.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttisk_hlavicka.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttisk_hlavicka);

end.
