unit uTtisk_prava;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttisk_prava = class;
  
  [Entity]
  [Table('tisk_prava')]
  [Id('Fid', TIdGenerator.None)]
  [Id('Ftisk_id', TIdGenerator.None)]
  Ttisk_prava = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('tisk_id', [TColumnProp.Required])]
    Ftisk_id: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('profese_id', [TColumnProp.Required])]
    Fprofese_id: Integer;
    
    [Column('obecne', [TColumnProp.Required], 100)]
    Fobecne: string;
    
    [Column('stav', [TColumnProp.Required])]
    Fstav: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property tisk_id: Integer read Ftisk_id write Ftisk_id;
    property user_id: Integer read Fuser_id write Fuser_id;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property profese_id: Integer read Fprofese_id write Fprofese_id;
    property obecne: string read Fobecne write Fobecne;
    property stav: Integer read Fstav write Fstav;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttisk_prava }

constructor Ttisk_prava.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttisk_prava.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttisk_prava);

end.
