unit uTtyp_baleni;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttyp_baleni = class;
  
  [Entity]
  [Table('typ_baleni')]
  [Id('Fid_typbaleni', TIdGenerator.IdentityOrSequence)]
  Ttyp_baleni = class
  private
    [Column('id_typbaleni', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_typbaleni: Integer;
    
    [Column('typ_dopravy', [])]
    Ftyp_dopravy: Nullable<Integer>;
    
    [Column('kod', [], 3)]
    Fkod: Nullable<string>;
    
    [Column('popis', [], 50)]
    Fpopis: Nullable<string>;
    
    [Column('vychozi', [TColumnProp.Required])]
    Fvychozi: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_typbaleni: Integer read Fid_typbaleni write Fid_typbaleni;
    property typ_dopravy: Nullable<Integer> read Ftyp_dopravy write Ftyp_dopravy;
    property kod: Nullable<string> read Fkod write Fkod;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property vychozi: Integer read Fvychozi write Fvychozi;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttyp_baleni }

constructor Ttyp_baleni.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttyp_baleni.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttyp_baleni);

end.
