unit uTtyp_zasilky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Ttyp_zasilky = class;
  
  [Entity]
  [Table('typ_zasilky')]
  [Id('Fid_typdopravy', TIdGenerator.IdentityOrSequence)]
  Ttyp_zasilky = class
  private
    [Column('id_typdopravy', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid_typdopravy: Integer;
    
    [Column('id_doprava', [])]
    Fid_doprava: Nullable<Integer>;
    
    [Column('popis', [], 50)]
    Fpopis: Nullable<string>;
    
    [Column('vychozi', [TColumnProp.Required])]
    Fvychozi: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id_typdopravy: Integer read Fid_typdopravy write Fid_typdopravy;
    property id_doprava: Nullable<Integer> read Fid_doprava write Fid_doprava;
    property popis: Nullable<string> read Fpopis write Fpopis;
    property vychozi: Integer read Fvychozi write Fvychozi;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Ttyp_zasilky }

constructor Ttyp_zasilky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Ttyp_zasilky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Ttyp_zasilky);

end.
