unit uTukolmzda_typ;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tukolmzda_typ = class;
  
  [Entity]
  [Table('ukolmzda_typ')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tukolmzda_typ = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('typ_vypoctu', [TColumnProp.Required])]
    Ftyp_vypoctu: Integer;
    
    [Column('poradi', [TColumnProp.Required])]
    Fporadi: Integer;
    
    [Column('nazev', [TColumnProp.Required], 255)]
    Fnazev: string;
    
    [Column('popis', [TColumnProp.Required], 255)]
    Fpopis: string;
    
    [Column('vzorec', [TColumnProp.Required], 255)]
    Fvzorec: string;
    
    [Column('w_p', [TColumnProp.Required])]
    Fw_p: Integer;
    
    [Column('wk_p', [TColumnProp.Required])]
    Fwk_p: Integer;
    
    [Column('ph_p', [TColumnProp.Required])]
    Fph_p: Integer;
    
    [Column('pj_p', [TColumnProp.Required])]
    Fpj_p: Integer;
    
    [Column('oh_p', [TColumnProp.Required])]
    Foh_p: Integer;
    
    [Column('oj_p', [TColumnProp.Required])]
    Foj_p: Integer;
    
    [Column('st_p', [TColumnProp.Required])]
    Fst_p: Integer;
    
    [Column('visible', [TColumnProp.Required])]
    Fvisible: Integer;
    
    [Column('readonly', [TColumnProp.Required])]
    Freadonly: Integer;
    
    [Column('call_external', [TColumnProp.Required])]
    Fcall_external: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property typ_vypoctu: Integer read Ftyp_vypoctu write Ftyp_vypoctu;
    property poradi: Integer read Fporadi write Fporadi;
    property nazev: string read Fnazev write Fnazev;
    property popis: string read Fpopis write Fpopis;
    property vzorec: string read Fvzorec write Fvzorec;
    property w_p: Integer read Fw_p write Fw_p;
    property wk_p: Integer read Fwk_p write Fwk_p;
    property ph_p: Integer read Fph_p write Fph_p;
    property pj_p: Integer read Fpj_p write Fpj_p;
    property oh_p: Integer read Foh_p write Foh_p;
    property oj_p: Integer read Foj_p write Foj_p;
    property st_p: Integer read Fst_p write Fst_p;
    property visible: Integer read Fvisible write Fvisible;
    property readonly: Integer read Freadonly write Freadonly;
    property call_external: Integer read Fcall_external write Fcall_external;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tukolmzda_typ }

constructor Tukolmzda_typ.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tukolmzda_typ.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tukolmzda_typ);

end.
