unit uTukoly;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tukoly = class;
  
  [Entity]
  [Table('ukoly')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tukoly = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 255)]
    Fnazev: string;
    
    [Column('termin', [TColumnProp.Required])]
    Ftermin: TDateTime;
    
    [Column('resitel_id', [TColumnProp.Required])]
    Fresitel_id: Integer;
    
    [Column('zadavatel_id', [TColumnProp.Required])]
    Fzadavatel_id: Integer;
    
    [Column('popis', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fpopis: TBlob;
    
    [Column('reakce', [], 255)]
    Freakce: Nullable<string>;
    
    [Column('stav_id', [TColumnProp.Required])]
    Fstav_id: Integer;
    
    [Column('opakovani_id', [TColumnProp.Required])]
    Fopakovani_id: Integer;
    
    [Column('opakovani_interval', [TColumnProp.Required], 100)]
    Fopakovani_interval: string;
    
    [Column('opakovani_param1', [TColumnProp.Required], 100)]
    Fopakovani_param1: string;
    
    [Column('podminka_id', [TColumnProp.Required])]
    Fpodminka_id: Integer;
    
    [Column('podminka_param1', [TColumnProp.Required], 100)]
    Fpodminka_param1: string;
    
    [Column('podminka_param2', [TColumnProp.Required], 100)]
    Fpodminka_param2: string;
    
    [Column('podminka_param3', [TColumnProp.Required], 100)]
    Fpodminka_param3: string;
    
    [Column('zmena', [TColumnProp.Required])]
    Fzmena: TDateTime;
    
    [Column('cnc_id', [TColumnProp.Required])]
    Fcnc_id: Integer;
    
    [Column('picture', [TColumnProp.Required], 100)]
    Fpicture: string;
    
    [Column('urceno', [TColumnProp.Required], 100)]
    Furceno: string;
    
    [Column('zmenil_stav', [TColumnProp.Required])]
    Fzmenil_stav: Integer;
    
    [Column('schvalit', [TColumnProp.Required])]
    Fschvalit: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property termin: TDateTime read Ftermin write Ftermin;
    property resitel_id: Integer read Fresitel_id write Fresitel_id;
    property zadavatel_id: Integer read Fzadavatel_id write Fzadavatel_id;
    property popis: TBlob read Fpopis write Fpopis;
    property reakce: Nullable<string> read Freakce write Freakce;
    property stav_id: Integer read Fstav_id write Fstav_id;
    property opakovani_id: Integer read Fopakovani_id write Fopakovani_id;
    property opakovani_interval: string read Fopakovani_interval write Fopakovani_interval;
    property opakovani_param1: string read Fopakovani_param1 write Fopakovani_param1;
    property podminka_id: Integer read Fpodminka_id write Fpodminka_id;
    property podminka_param1: string read Fpodminka_param1 write Fpodminka_param1;
    property podminka_param2: string read Fpodminka_param2 write Fpodminka_param2;
    property podminka_param3: string read Fpodminka_param3 write Fpodminka_param3;
    property zmena: TDateTime read Fzmena write Fzmena;
    property cnc_id: Integer read Fcnc_id write Fcnc_id;
    property picture: string read Fpicture write Fpicture;
    property urceno: string read Furceno write Furceno;
    property zmenil_stav: Integer read Fzmenil_stav write Fzmenil_stav;
    property schvalit: Integer read Fschvalit write Fschvalit;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tukoly }

constructor Tukoly.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tukoly.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tukoly);

end.
