unit uTukoly_opakovani;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tukoly_opakovani = class;
  
  [Entity]
  [Table('ukoly_opakovani')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tukoly_opakovani = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('interval', [TColumnProp.Required], 100)]
    Finterval: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property interval: string read Finterval write Finterval;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tukoly_opakovani }

constructor Tukoly_opakovani.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tukoly_opakovani.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tukoly_opakovani);

end.
