unit uTukoly_podminky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tukoly_podminky = class;
  
  [Entity]
  [Table('ukoly_podminky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tukoly_podminky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('kod', [TColumnProp.Required], 50)]
    Fkod: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property kod: string read Fkod write Fkod;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tukoly_podminky }

constructor Tukoly_podminky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tukoly_podminky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tukoly_podminky);

end.
