unit uTukoly_stavy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tukoly_stavy = class;
  
  [Entity]
  [Table('ukoly_stavy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tukoly_stavy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('aktivni', [TColumnProp.Required], 1)]
    Faktivni: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property aktivni: string read Faktivni write Faktivni;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tukoly_stavy }

constructor Tukoly_stavy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tukoly_stavy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tukoly_stavy);

end.
