unit uTuser_default_view_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_default_view_settings = class;
  
  [Entity]
  [Table('user_default_view_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_default_view_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('agenda', [TColumnProp.Required], 80)]
    Fagenda: string;
    
    [Column('pohled_id', [TColumnProp.Required])]
    Fpohled_id: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property agenda: string read Fagenda write Fagenda;
    property pohled_id: Integer read Fpohled_id write Fpohled_id;
    property user_id: Integer read Fuser_id write Fuser_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_default_view_settings }

constructor Tuser_default_view_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_default_view_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_default_view_settings);

end.
