unit uTuser_filter_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_filter_settings = class;
  
  [Entity]
  [Table('user_filter_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_filter_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('form_name', [TColumnProp.Required], 100)]
    Fform_name: string;
    
    [Column('ts_name', [TColumnProp.Required], 100)]
    Fts_name: string;
    
    [Column('definition', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fdefinition: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property form_name: string read Fform_name write Fform_name;
    property ts_name: string read Fts_name write Fts_name;
    property definition: TBlob read Fdefinition write Fdefinition;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_filter_settings }

constructor Tuser_filter_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_filter_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_filter_settings);

end.
