unit uTuser_print_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_print_settings = class;
  
  [Entity]
  [Table('user_print_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_print_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('ts_name', [], 150)]
    Fts_name: Nullable<string>;
    
    [Column('printer_name', [], 100)]
    Fprinter_name: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property user_id: Integer read Fuser_id write Fuser_id;
    property ts_name: Nullable<string> read Fts_name write Fts_name;
    property printer_name: Nullable<string> read Fprinter_name write Fprinter_name;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_print_settings }

constructor Tuser_print_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_print_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_print_settings);

end.
