unit uTuser_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_settings = class;
  
  [Entity]
  [Table('user_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('format_hodin', [TColumnProp.Required], 32)]
    Fformat_hodin: string;
    
    [Column('zakazka_timeout', [TColumnProp.Required], 32)]
    Fzakazka_timeout: string;
    
    [Column('auto_select_group', [TColumnProp.Required], 32)]
    Fauto_select_group: string;
    
    [Column('show_datacol_toppan', [TColumnProp.Required], 32)]
    Fshow_datacol_toppan: string;
    
    [Column('order_stavyrazeni', [TColumnProp.Required], 32)]
    Forder_stavyrazeni: string;
    
    [Column('btn_import', [TColumnProp.Required], 32)]
    Fbtn_import: string;
    
    [Column('btn_calc', [TColumnProp.Required], 32)]
    Fbtn_calc: string;
    
    [Column('bar_format', [TColumnProp.Required], 32)]
    Fbar_format: string;
    
    [Column('proskrtavat_dochazku', [TColumnProp.Required], 32)]
    Fproskrtavat_dochazku: string;
    
    [Column('proskrtavaci_znak', [TColumnProp.Required], 32)]
    Fproskrtavaci_znak: string;
    
    [Column('sberdat_odprac', [TColumnProp.Required], 32)]
    Fsberdat_odprac: string;
    
    [Column('des_oddelovac', [TColumnProp.Required], 32)]
    Fdes_oddelovac: string;
    
    [Column('print_default', [TColumnProp.Required], 64)]
    Fprint_default: string;
    
    [Column('print_copyes', [TColumnProp.Required], 32)]
    Fprint_copyes: string;
    
    [Column('print_all', [TColumnProp.Required], 32)]
    Fprint_all: string;
    
    [Column('print_savepozice', [TColumnProp.Required], 32)]
    Fprint_savepozice: string;
    
    [Column('print_offset_x', [TColumnProp.Required], 32)]
    Fprint_offset_x: string;
    
    [Column('print_offset_y', [TColumnProp.Required], 32)]
    Fprint_offset_y: string;
    
    [Column('rezerva', [TColumnProp.Required], 32)]
    Frezerva: string;
    
    [Column('ctecka_rizeni_toku', [TColumnProp.Required], 32)]
    Fctecka_rizeni_toku: string;
    
    [Column('ctecka_port', [TColumnProp.Required], 32)]
    Fctecka_port: string;
    
    [Column('ctecka_stopbit', [TColumnProp.Required], 32)]
    Fctecka_stopbit: string;
    
    [Column('ctecka_databit', [TColumnProp.Required], 32)]
    Fctecka_databit: string;
    
    [Column('ctecka_laser', [TColumnProp.Required], 32)]
    Fctecka_laser: string;
    
    [Column('ctecka_autocheck', [TColumnProp.Required], 32)]
    Fctecka_autocheck: string;
    
    [Column('popup_datumy', [TColumnProp.Required], 32)]
    Fpopup_datumy: string;
    
    [Column('barvy', [TColumnProp.Required], 1024)]
    Fbarvy: string;
    
    [Column('styly', [TColumnProp.Required], 1024)]
    Fstyly: string;
    
    [Column('color_pasive_active', [TColumnProp.Required], 32)]
    Fcolor_pasive_active: string;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('select_group_oper', [TColumnProp.Required], 50)]
    Fselect_group_oper: string;
    
    [Column('last_selected_orderwork', [TColumnProp.Required], 100)]
    Flast_selected_orderwork: string;
    
    [Column('last_selected_orderwork_group', [TColumnProp.Required], 50)]
    Flast_selected_orderwork_group: string;
    
    [Column('auto_neukoncene_prichody', [TColumnProp.Required], 10)]
    Fauto_neukoncene_prichody: string;
    
    [Column('vyber_tisku', [TColumnProp.Required], 512)]
    Fvyber_tisku: string;
    
    [Column('print_default_brothers', [TColumnProp.Required], 64)]
    Fprint_default_brothers: string;
    
    [Column('print_brothers_use', [TColumnProp.Required], 32)]
    Fprint_brothers_use: string;
    
    [Column('print_barcode_use', [TColumnProp.Required], 32)]
    Fprint_barcode_use: string;
    
    [Column('auto_select_group_sklad', [TColumnProp.Required], 32)]
    Fauto_select_group_sklad: string;
    
    [Column('select_group_sklad', [TColumnProp.Required], 50)]
    Fselect_group_sklad: string;
    
    [Column('zmena_na_stav', [TColumnProp.Required], 32)]
    Fzmena_na_stav: string;
    
    [Column('popisgrafprehled', [TColumnProp.Required])]
    Fpopisgrafprehled: Integer;
    
    [Column('last_selected_kusu', [TColumnProp.Required], 50)]
    Flast_selected_kusu: string;
    
    [Column('btn_stavyzak', [TColumnProp.Required], 32)]
    Fbtn_stavyzak: string;
    
    [Column('last_selected_predmat_group', [TColumnProp.Required], 50)]
    Flast_selected_predmat_group: string;
    
    [Column('last_selected_predmat_id', [TColumnProp.Required], 50)]
    Flast_selected_predmat_id: string;
    
    [Column('auto_select_last_predpmat', [TColumnProp.Required], 32)]
    Fauto_select_last_predpmat: string;
    
    [Column('order_userfiltr', [TColumnProp.Required], 64)]
    Forder_userfiltr: string;
    
    [Column('rychla_mys', [TColumnProp.Required])]
    Frychla_mys: Integer;
    
    [Column('chk_mater', [TColumnProp.Required])]
    Fchk_mater: Integer;
    
    [Column('print_podpis', [TColumnProp.Required], 255)]
    Fprint_podpis: string;
    
    [Column('use_akt_date_ord', [TColumnProp.Required])]
    Fuse_akt_date_ord: Integer;
    
    [Column('start_akt_date_ord', [TColumnProp.Required])]
    Fstart_akt_date_ord: TDateTime;
    
    [Column('fin_akt_date_ord', [TColumnProp.Required])]
    Ffin_akt_date_ord: TDateTime;
    
    [Column('use_chk_ow_time', [TColumnProp.Required])]
    Fuse_chk_ow_time: Integer;
    
    [Column('print_doc', [TColumnProp.Required])]
    Fprint_doc: Integer;
    
    [Column('use_clipboard', [TColumnProp.Required])]
    Fuse_clipboard: Integer;
    
    [Column('ord_show_btntoday', [TColumnProp.Required])]
    Ford_show_btntoday: Integer;
    
    [Column('ord_chkmater_vzdy', [TColumnProp.Required])]
    Ford_chkmater_vzdy: Integer;
    
    [Column('prn_adv_vyk_yisk', [TColumnProp.Required])]
    Fprn_adv_vyk_yisk: Integer;
    
    [Column('use_def_orderstav', [TColumnProp.Required])]
    Fuse_def_orderstav: Integer;
    
    [Column('ord_templ_name', [TColumnProp.Required])]
    Ford_templ_name: Integer;
    
    [Column('ord_sablona_sett', [TColumnProp.Required], 10)]
    Ford_sablona_sett: string;
    
    [Column('ow_def_poradi', [TColumnProp.Required])]
    Fow_def_poradi: Integer;
    
    [Column('ord_bold_master', [TColumnProp.Required])]
    Ford_bold_master: Integer;
    
    [Column('ord_color_master', [TColumnProp.Required])]
    Ford_color_master: Integer;
    
    [Column('ctecka_prijemka_port', [TColumnProp.Required], 32)]
    Fctecka_prijemka_port: string;
    
    [Column('ctecka_prijemka_autocheck', [TColumnProp.Required])]
    Fctecka_prijemka_autocheck: Integer;
    
    [Column('ctecka_vydejka_port', [TColumnProp.Required], 32)]
    Fctecka_vydejka_port: string;
    
    [Column('ctecka_vydejka_autocheck', [TColumnProp.Required])]
    Fctecka_vydejka_autocheck: Integer;
    
    [Column('ctecka_sklad_ms5145', [TColumnProp.Required])]
    Fctecka_sklad_ms5145: Integer;
    
    [Column('operace_prekroceny_cas_prebarvit', [TColumnProp.Required])]
    Foperace_prekroceny_cas_prebarvit: Integer;
    
    [Column('operace_prekroceny_cas_barva', [TColumnProp.Required])]
    Foperace_prekroceny_cas_barva: Integer;
    
    [Column('zak_detail_1', [TColumnProp.Required])]
    Fzak_detail_1: Integer;
    
    [Column('zak_detail_2', [TColumnProp.Required])]
    Fzak_detail_2: Integer;
    
    [Column('zak_detail_3', [TColumnProp.Required])]
    Fzak_detail_3: Integer;
    
    [Column('zak_detail_4', [TColumnProp.Required])]
    Fzak_detail_4: Integer;
    
    [Column('zak_detail_5', [TColumnProp.Required])]
    Fzak_detail_5: Integer;
    
    [Column('zak_detail_6', [TColumnProp.Required])]
    Fzak_detail_6: Integer;
    
    [Column('zak_height_det_1', [TColumnProp.Required])]
    Fzak_height_det_1: Integer;
    
    [Column('zak_height_det_2', [TColumnProp.Required])]
    Fzak_height_det_2: Integer;
    
    [Column('zak_height_det_4', [TColumnProp.Required])]
    Fzak_height_det_4: Integer;
    
    [Column('zak_height_det_6', [TColumnProp.Required])]
    Fzak_height_det_6: Integer;
    
    [Column('zak_height_det_3', [TColumnProp.Required])]
    Fzak_height_det_3: Integer;
    
    [Column('zak_height_det_5', [TColumnProp.Required])]
    Fzak_height_det_5: Integer;
    
    [Column('graf_prehled_zak_left', [TColumnProp.Required])]
    Fgraf_prehled_zak_left: Integer;
    
    [Column('graf_prehled_zak_boot1', [TColumnProp.Required])]
    Fgraf_prehled_zak_boot1: Integer;
    
    [Column('graf_prehled_zak_boot2', [TColumnProp.Required])]
    Fgraf_prehled_zak_boot2: Integer;
    
    [Column('cas_klon', [TColumnProp.Required])]
    Fcas_klon: TDateTime;
    
    [Column('auto_akt_date_ord', [TColumnProp.Required])]
    Fauto_akt_date_ord: Integer;
    
    [Column('use_akt_date_sklad', [TColumnProp.Required])]
    Fuse_akt_date_sklad: Integer;
    
    [Column('start_akt_date_sklad', [TColumnProp.Required])]
    Fstart_akt_date_sklad: TDateTime;
    
    [Column('fin_akt_date_sklad', [TColumnProp.Required])]
    Ffin_akt_date_sklad: TDateTime;
    
    [Column('auto_akt_date_sklad', [TColumnProp.Required])]
    Fauto_akt_date_sklad: Integer;
    
    [Column('varianta_autoposun', [TColumnProp.Required])]
    Fvarianta_autoposun: Integer;
    
    [Column('kontrola_konec_obdobi_min', [TColumnProp.Required])]
    Fkontrola_konec_obdobi_min: Integer;
    
    [Column('sklad_detail_1', [TColumnProp.Required])]
    Fsklad_detail_1: Integer;
    
    [Column('sklad_detail_2', [TColumnProp.Required])]
    Fsklad_detail_2: Integer;
    
    [Column('sklad_detail_3', [TColumnProp.Required])]
    Fsklad_detail_3: Integer;
    
    [Column('sklad_height_det_1', [TColumnProp.Required])]
    Fsklad_height_det_1: Integer;
    
    [Column('sklad_height_det_2', [TColumnProp.Required])]
    Fsklad_height_det_2: Integer;
    
    [Column('sklad_height_det_3', [TColumnProp.Required])]
    Fsklad_height_det_3: Integer;
    
    [Column('sklad_pravy_panel', [TColumnProp.Required])]
    Fsklad_pravy_panel: Integer;
    
    [Column('sklad_pravy_panel_width', [TColumnProp.Required])]
    Fsklad_pravy_panel_width: Integer;
    
    [Column('excel_export_varianta', [TColumnProp.Required])]
    Fexcel_export_varianta: Integer;
    
    [Column('excel_export_cesta', [TColumnProp.Required], 250)]
    Fexcel_export_cesta: string;
    
    [Column('excel_export_otevrit', [TColumnProp.Required])]
    Fexcel_export_otevrit: Integer;
    
    [Column('zak_material_prehled_width', [TColumnProp.Required])]
    Fzak_material_prehled_width: Integer;
    
    [Column('zak_pred_material_prehled_width', [TColumnProp.Required])]
    Fzak_pred_material_prehled_width: Integer;
    
    [Column('sklad_prehled_width', [TColumnProp.Required])]
    Fsklad_prehled_width: Integer;
    
    [Column('zak_material_prehled_pravy_panel', [TColumnProp.Required])]
    Fzak_material_prehled_pravy_panel: Integer;
    
    [Column('zak_material_pred_prehled_pravy_panel', [TColumnProp.Required])]
    Fzak_material_pred_prehled_pravy_panel: Integer;
    
    [Column('aktivmi_zakazky_hromadne_blokace', [TColumnProp.Required])]
    Faktivmi_zakazky_hromadne_blokace: Integer;
    
    [Column('corder_autorefresh', [TColumnProp.Required])]
    Fcorder_autorefresh: Integer;
    
    [Column('corder_autorefresh_interval', [TColumnProp.Required])]
    Fcorder_autorefresh_interval: Integer;
    
    [Column('corder_predpokladany_cas_zdroj', [TColumnProp.Required])]
    Fcorder_predpokladany_cas_zdroj: Integer;
    
    [Column('dashboard_show', [TColumnProp.Required])]
    Fdashboard_show: Integer;
    
    [Column('userEmail', [TColumnProp.Required], 255)]
    FuserEmail: string;
    
    [Column('userPhone', [TColumnProp.Required], 255)]
    FuserPhone: string;
    
    [Column('userNOS_order', [TColumnProp.Required])]
    FuserNOS_order: Integer;
    
    [Column('userRealName', [TColumnProp.Required], 255)]
    FuserRealName: string;
    
    [Column('auto_akt_date_ord_before', [TColumnProp.Required])]
    Fauto_akt_date_ord_before: Integer;
    
    [Column('auto_akt_date_ord_after', [TColumnProp.Required])]
    Fauto_akt_date_ord_after: Integer;
    
    [Column('order_auto_query_refresh_list_back', [TColumnProp.Required])]
    Forder_auto_query_refresh_list_back: Integer;
    
    [Column('order_type', [TColumnProp.Required])]
    Forder_type: Integer;
    
    [Column('order_rada', [TColumnProp.Required])]
    Forder_rada: Integer;
    
    [Column('order_finish_null', [TColumnProp.Required])]
    Forder_finish_null: Integer;
    
    [Column('order_settings', [TColumnProp.Required])]
    Forder_settings: Integer;
    
    [Column('user_language', [TColumnProp.Required], 10)]
    Fuser_language: string;
    
    [Column('operace_top5_days', [TColumnProp.Required])]
    Foperace_top5_days: Integer;
    
    [Column('colorize_grid_cell', [TColumnProp.Required])]
    Fcolorize_grid_cell: Integer;
    
    [Column('use_def_ordertyp', [TColumnProp.Required])]
    Fuse_def_ordertyp: Integer;
    
    [Column('filtrace_enter_order', [TColumnProp.Required])]
    Ffiltrace_enter_order: Integer;
    
    [Column('filtrace_order_active_control', [TColumnProp.Required])]
    Ffiltrace_order_active_control: Integer;
    
    [Column('filtrace_enter_global', [TColumnProp.Required])]
    Ffiltrace_enter_global: Integer;
    
    [Column('zak_seznam_pravy_panel', [TColumnProp.Required])]
    Fzak_seznam_pravy_panel: Integer;
    
    [Column('zak_seznam_pravy_panel_width', [TColumnProp.Required])]
    Fzak_seznam_pravy_panel_width: Integer;
    
    [Column('zak_operace_pravy_panel', [TColumnProp.Required])]
    Fzak_operace_pravy_panel: Integer;
    
    [Column('zak_operace_pravy_panel_width', [TColumnProp.Required])]
    Fzak_operace_pravy_panel_width: Integer;
    
    [Column('zam_pravy_panel', [TColumnProp.Required])]
    Fzam_pravy_panel: Integer;
    
    [Column('zam_pravy_panel_width', [TColumnProp.Required])]
    Fzam_pravy_panel_width: Integer;
    
    [Column('stroje_pravy_panel', [TColumnProp.Required])]
    Fstroje_pravy_panel: Integer;
    
    [Column('stroje_pravy_panel_width', [TColumnProp.Required])]
    Fstroje_pravy_panel_width: Integer;
    
    [Column('cnc_pravy_panel', [TColumnProp.Required])]
    Fcnc_pravy_panel: Integer;
    
    [Column('cnc_pravy_panel_width', [TColumnProp.Required])]
    Fcnc_pravy_panel_width: Integer;
    
    [Column('operace_pravy_panel', [TColumnProp.Required])]
    Foperace_pravy_panel: Integer;
    
    [Column('operace_pravy_panel_width', [TColumnProp.Required])]
    Foperace_pravy_panel_width: Integer;
    
    [Column('dashboard_panel1', [TColumnProp.Required], 200)]
    Fdashboard_panel1: string;
    
    [Column('dashboard_panel2', [TColumnProp.Required], 200)]
    Fdashboard_panel2: string;
    
    [Column('dashboard_panel3', [TColumnProp.Required], 200)]
    Fdashboard_panel3: string;
    
    [Column('dashboard_panel4', [TColumnProp.Required], 200)]
    Fdashboard_panel4: string;
    
    [Column('dashboard_panel5', [TColumnProp.Required], 200)]
    Fdashboard_panel5: string;
    
    [Column('dashboard_panel6', [TColumnProp.Required], 200)]
    Fdashboard_panel6: string;
    
    [Column('sklad_detail_4', [TColumnProp.Required])]
    Fsklad_detail_4: Integer;
    
    [Column('sklad_height_det_4', [TColumnProp.Required])]
    Fsklad_height_det_4: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property format_hodin: string read Fformat_hodin write Fformat_hodin;
    property zakazka_timeout: string read Fzakazka_timeout write Fzakazka_timeout;
    property auto_select_group: string read Fauto_select_group write Fauto_select_group;
    property show_datacol_toppan: string read Fshow_datacol_toppan write Fshow_datacol_toppan;
    property order_stavyrazeni: string read Forder_stavyrazeni write Forder_stavyrazeni;
    property btn_import: string read Fbtn_import write Fbtn_import;
    property btn_calc: string read Fbtn_calc write Fbtn_calc;
    property bar_format: string read Fbar_format write Fbar_format;
    property proskrtavat_dochazku: string read Fproskrtavat_dochazku write Fproskrtavat_dochazku;
    property proskrtavaci_znak: string read Fproskrtavaci_znak write Fproskrtavaci_znak;
    property sberdat_odprac: string read Fsberdat_odprac write Fsberdat_odprac;
    property des_oddelovac: string read Fdes_oddelovac write Fdes_oddelovac;
    property print_default: string read Fprint_default write Fprint_default;
    property print_copyes: string read Fprint_copyes write Fprint_copyes;
    property print_all: string read Fprint_all write Fprint_all;
    property print_savepozice: string read Fprint_savepozice write Fprint_savepozice;
    property print_offset_x: string read Fprint_offset_x write Fprint_offset_x;
    property print_offset_y: string read Fprint_offset_y write Fprint_offset_y;
    property rezerva: string read Frezerva write Frezerva;
    property ctecka_rizeni_toku: string read Fctecka_rizeni_toku write Fctecka_rizeni_toku;
    property ctecka_port: string read Fctecka_port write Fctecka_port;
    property ctecka_stopbit: string read Fctecka_stopbit write Fctecka_stopbit;
    property ctecka_databit: string read Fctecka_databit write Fctecka_databit;
    property ctecka_laser: string read Fctecka_laser write Fctecka_laser;
    property ctecka_autocheck: string read Fctecka_autocheck write Fctecka_autocheck;
    property popup_datumy: string read Fpopup_datumy write Fpopup_datumy;
    property barvy: string read Fbarvy write Fbarvy;
    property styly: string read Fstyly write Fstyly;
    property color_pasive_active: string read Fcolor_pasive_active write Fcolor_pasive_active;
    property user_id: Integer read Fuser_id write Fuser_id;
    property select_group_oper: string read Fselect_group_oper write Fselect_group_oper;
    property last_selected_orderwork: string read Flast_selected_orderwork write Flast_selected_orderwork;
    property last_selected_orderwork_group: string read Flast_selected_orderwork_group write Flast_selected_orderwork_group;
    property auto_neukoncene_prichody: string read Fauto_neukoncene_prichody write Fauto_neukoncene_prichody;
    property vyber_tisku: string read Fvyber_tisku write Fvyber_tisku;
    property print_default_brothers: string read Fprint_default_brothers write Fprint_default_brothers;
    property print_brothers_use: string read Fprint_brothers_use write Fprint_brothers_use;
    property print_barcode_use: string read Fprint_barcode_use write Fprint_barcode_use;
    property auto_select_group_sklad: string read Fauto_select_group_sklad write Fauto_select_group_sklad;
    property select_group_sklad: string read Fselect_group_sklad write Fselect_group_sklad;
    property zmena_na_stav: string read Fzmena_na_stav write Fzmena_na_stav;
    property popisgrafprehled: Integer read Fpopisgrafprehled write Fpopisgrafprehled;
    property last_selected_kusu: string read Flast_selected_kusu write Flast_selected_kusu;
    property btn_stavyzak: string read Fbtn_stavyzak write Fbtn_stavyzak;
    property last_selected_predmat_group: string read Flast_selected_predmat_group write Flast_selected_predmat_group;
    property last_selected_predmat_id: string read Flast_selected_predmat_id write Flast_selected_predmat_id;
    property auto_select_last_predpmat: string read Fauto_select_last_predpmat write Fauto_select_last_predpmat;
    property order_userfiltr: string read Forder_userfiltr write Forder_userfiltr;
    property rychla_mys: Integer read Frychla_mys write Frychla_mys;
    property chk_mater: Integer read Fchk_mater write Fchk_mater;
    property print_podpis: string read Fprint_podpis write Fprint_podpis;
    property use_akt_date_ord: Integer read Fuse_akt_date_ord write Fuse_akt_date_ord;
    property start_akt_date_ord: TDateTime read Fstart_akt_date_ord write Fstart_akt_date_ord;
    property fin_akt_date_ord: TDateTime read Ffin_akt_date_ord write Ffin_akt_date_ord;
    property use_chk_ow_time: Integer read Fuse_chk_ow_time write Fuse_chk_ow_time;
    property print_doc: Integer read Fprint_doc write Fprint_doc;
    property use_clipboard: Integer read Fuse_clipboard write Fuse_clipboard;
    property ord_show_btntoday: Integer read Ford_show_btntoday write Ford_show_btntoday;
    property ord_chkmater_vzdy: Integer read Ford_chkmater_vzdy write Ford_chkmater_vzdy;
    property prn_adv_vyk_yisk: Integer read Fprn_adv_vyk_yisk write Fprn_adv_vyk_yisk;
    property use_def_orderstav: Integer read Fuse_def_orderstav write Fuse_def_orderstav;
    property ord_templ_name: Integer read Ford_templ_name write Ford_templ_name;
    property ord_sablona_sett: string read Ford_sablona_sett write Ford_sablona_sett;
    property ow_def_poradi: Integer read Fow_def_poradi write Fow_def_poradi;
    property ord_bold_master: Integer read Ford_bold_master write Ford_bold_master;
    property ord_color_master: Integer read Ford_color_master write Ford_color_master;
    property ctecka_prijemka_port: string read Fctecka_prijemka_port write Fctecka_prijemka_port;
    property ctecka_prijemka_autocheck: Integer read Fctecka_prijemka_autocheck write Fctecka_prijemka_autocheck;
    property ctecka_vydejka_port: string read Fctecka_vydejka_port write Fctecka_vydejka_port;
    property ctecka_vydejka_autocheck: Integer read Fctecka_vydejka_autocheck write Fctecka_vydejka_autocheck;
    property ctecka_sklad_ms5145: Integer read Fctecka_sklad_ms5145 write Fctecka_sklad_ms5145;
    property operace_prekroceny_cas_prebarvit: Integer read Foperace_prekroceny_cas_prebarvit write Foperace_prekroceny_cas_prebarvit;
    property operace_prekroceny_cas_barva: Integer read Foperace_prekroceny_cas_barva write Foperace_prekroceny_cas_barva;
    property zak_detail_1: Integer read Fzak_detail_1 write Fzak_detail_1;
    property zak_detail_2: Integer read Fzak_detail_2 write Fzak_detail_2;
    property zak_detail_3: Integer read Fzak_detail_3 write Fzak_detail_3;
    property zak_detail_4: Integer read Fzak_detail_4 write Fzak_detail_4;
    property zak_detail_5: Integer read Fzak_detail_5 write Fzak_detail_5;
    property zak_detail_6: Integer read Fzak_detail_6 write Fzak_detail_6;
    property zak_height_det_1: Integer read Fzak_height_det_1 write Fzak_height_det_1;
    property zak_height_det_2: Integer read Fzak_height_det_2 write Fzak_height_det_2;
    property zak_height_det_4: Integer read Fzak_height_det_4 write Fzak_height_det_4;
    property zak_height_det_6: Integer read Fzak_height_det_6 write Fzak_height_det_6;
    property zak_height_det_3: Integer read Fzak_height_det_3 write Fzak_height_det_3;
    property zak_height_det_5: Integer read Fzak_height_det_5 write Fzak_height_det_5;
    property graf_prehled_zak_left: Integer read Fgraf_prehled_zak_left write Fgraf_prehled_zak_left;
    property graf_prehled_zak_boot1: Integer read Fgraf_prehled_zak_boot1 write Fgraf_prehled_zak_boot1;
    property graf_prehled_zak_boot2: Integer read Fgraf_prehled_zak_boot2 write Fgraf_prehled_zak_boot2;
    property cas_klon: TDateTime read Fcas_klon write Fcas_klon;
    property auto_akt_date_ord: Integer read Fauto_akt_date_ord write Fauto_akt_date_ord;
    property use_akt_date_sklad: Integer read Fuse_akt_date_sklad write Fuse_akt_date_sklad;
    property start_akt_date_sklad: TDateTime read Fstart_akt_date_sklad write Fstart_akt_date_sklad;
    property fin_akt_date_sklad: TDateTime read Ffin_akt_date_sklad write Ffin_akt_date_sklad;
    property auto_akt_date_sklad: Integer read Fauto_akt_date_sklad write Fauto_akt_date_sklad;
    property varianta_autoposun: Integer read Fvarianta_autoposun write Fvarianta_autoposun;
    property kontrola_konec_obdobi_min: Integer read Fkontrola_konec_obdobi_min write Fkontrola_konec_obdobi_min;
    property sklad_detail_1: Integer read Fsklad_detail_1 write Fsklad_detail_1;
    property sklad_detail_2: Integer read Fsklad_detail_2 write Fsklad_detail_2;
    property sklad_detail_3: Integer read Fsklad_detail_3 write Fsklad_detail_3;
    property sklad_height_det_1: Integer read Fsklad_height_det_1 write Fsklad_height_det_1;
    property sklad_height_det_2: Integer read Fsklad_height_det_2 write Fsklad_height_det_2;
    property sklad_height_det_3: Integer read Fsklad_height_det_3 write Fsklad_height_det_3;
    property sklad_pravy_panel: Integer read Fsklad_pravy_panel write Fsklad_pravy_panel;
    property sklad_pravy_panel_width: Integer read Fsklad_pravy_panel_width write Fsklad_pravy_panel_width;
    property excel_export_varianta: Integer read Fexcel_export_varianta write Fexcel_export_varianta;
    property excel_export_cesta: string read Fexcel_export_cesta write Fexcel_export_cesta;
    property excel_export_otevrit: Integer read Fexcel_export_otevrit write Fexcel_export_otevrit;
    property zak_material_prehled_width: Integer read Fzak_material_prehled_width write Fzak_material_prehled_width;
    property zak_pred_material_prehled_width: Integer read Fzak_pred_material_prehled_width write Fzak_pred_material_prehled_width;
    property sklad_prehled_width: Integer read Fsklad_prehled_width write Fsklad_prehled_width;
    property zak_material_prehled_pravy_panel: Integer read Fzak_material_prehled_pravy_panel write Fzak_material_prehled_pravy_panel;
    property zak_material_pred_prehled_pravy_panel: Integer read Fzak_material_pred_prehled_pravy_panel write Fzak_material_pred_prehled_pravy_panel;
    property aktivmi_zakazky_hromadne_blokace: Integer read Faktivmi_zakazky_hromadne_blokace write Faktivmi_zakazky_hromadne_blokace;
    property corder_autorefresh: Integer read Fcorder_autorefresh write Fcorder_autorefresh;
    property corder_autorefresh_interval: Integer read Fcorder_autorefresh_interval write Fcorder_autorefresh_interval;
    property corder_predpokladany_cas_zdroj: Integer read Fcorder_predpokladany_cas_zdroj write Fcorder_predpokladany_cas_zdroj;
    property dashboard_show: Integer read Fdashboard_show write Fdashboard_show;
    property userEmail: string read FuserEmail write FuserEmail;
    property userPhone: string read FuserPhone write FuserPhone;
    property userNOS_order: Integer read FuserNOS_order write FuserNOS_order;
    property userRealName: string read FuserRealName write FuserRealName;
    property auto_akt_date_ord_before: Integer read Fauto_akt_date_ord_before write Fauto_akt_date_ord_before;
    property auto_akt_date_ord_after: Integer read Fauto_akt_date_ord_after write Fauto_akt_date_ord_after;
    property order_auto_query_refresh_list_back: Integer read Forder_auto_query_refresh_list_back write Forder_auto_query_refresh_list_back;
    property order_type: Integer read Forder_type write Forder_type;
    property order_rada: Integer read Forder_rada write Forder_rada;
    property order_finish_null: Integer read Forder_finish_null write Forder_finish_null;
    property order_settings: Integer read Forder_settings write Forder_settings;
    property user_language: string read Fuser_language write Fuser_language;
    property operace_top5_days: Integer read Foperace_top5_days write Foperace_top5_days;
    property colorize_grid_cell: Integer read Fcolorize_grid_cell write Fcolorize_grid_cell;
    property use_def_ordertyp: Integer read Fuse_def_ordertyp write Fuse_def_ordertyp;
    property filtrace_enter_order: Integer read Ffiltrace_enter_order write Ffiltrace_enter_order;
    property filtrace_order_active_control: Integer read Ffiltrace_order_active_control write Ffiltrace_order_active_control;
    property filtrace_enter_global: Integer read Ffiltrace_enter_global write Ffiltrace_enter_global;
    property zak_seznam_pravy_panel: Integer read Fzak_seznam_pravy_panel write Fzak_seznam_pravy_panel;
    property zak_seznam_pravy_panel_width: Integer read Fzak_seznam_pravy_panel_width write Fzak_seznam_pravy_panel_width;
    property zak_operace_pravy_panel: Integer read Fzak_operace_pravy_panel write Fzak_operace_pravy_panel;
    property zak_operace_pravy_panel_width: Integer read Fzak_operace_pravy_panel_width write Fzak_operace_pravy_panel_width;
    property zam_pravy_panel: Integer read Fzam_pravy_panel write Fzam_pravy_panel;
    property zam_pravy_panel_width: Integer read Fzam_pravy_panel_width write Fzam_pravy_panel_width;
    property stroje_pravy_panel: Integer read Fstroje_pravy_panel write Fstroje_pravy_panel;
    property stroje_pravy_panel_width: Integer read Fstroje_pravy_panel_width write Fstroje_pravy_panel_width;
    property cnc_pravy_panel: Integer read Fcnc_pravy_panel write Fcnc_pravy_panel;
    property cnc_pravy_panel_width: Integer read Fcnc_pravy_panel_width write Fcnc_pravy_panel_width;
    property operace_pravy_panel: Integer read Foperace_pravy_panel write Foperace_pravy_panel;
    property operace_pravy_panel_width: Integer read Foperace_pravy_panel_width write Foperace_pravy_panel_width;
    property dashboard_panel1: string read Fdashboard_panel1 write Fdashboard_panel1;
    property dashboard_panel2: string read Fdashboard_panel2 write Fdashboard_panel2;
    property dashboard_panel3: string read Fdashboard_panel3 write Fdashboard_panel3;
    property dashboard_panel4: string read Fdashboard_panel4 write Fdashboard_panel4;
    property dashboard_panel5: string read Fdashboard_panel5 write Fdashboard_panel5;
    property dashboard_panel6: string read Fdashboard_panel6 write Fdashboard_panel6;
    property sklad_detail_4: Integer read Fsklad_detail_4 write Fsklad_detail_4;
    property sklad_height_det_4: Integer read Fsklad_height_det_4 write Fsklad_height_det_4;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_settings }

constructor Tuser_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_settings);

end.
