unit uTuser_settings_user_fields;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_settings_user_fields = class;
  
  [Entity]
  [Table('user_settings_user_fields')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_settings_user_fields = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('section', [TColumnProp.Required], 100)]
    Fsection: string;
    
    [Column('type', [TColumnProp.Required], 20)]
    Ftype_: string;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('caption', [TColumnProp.Required], 150)]
    Fcaption: string;
    
    [Column('value', [TColumnProp.Required], 150)]
    Fvalue: string;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('posindex', [TColumnProp.Required])]
    Fposindex: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property section: string read Fsection write Fsection;
    property type_: string read Ftype_ write Ftype_;
    property name: string read Fname write Fname;
    property caption: string read Fcaption write Fcaption;
    property value: string read Fvalue write Fvalue;
    property user_id: Integer read Fuser_id write Fuser_id;
    property posindex: Integer read Fposindex write Fposindex;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_settings_user_fields }

constructor Tuser_settings_user_fields.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_settings_user_fields.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_settings_user_fields);

end.
