unit uTuser_view_settings;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuser_view_settings = class;
  
  [Entity]
  [Table('user_view_settings')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuser_view_settings = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('agenda', [TColumnProp.Required], 80)]
    Fagenda: string;
    
    [Column('name', [TColumnProp.Required], 150)]
    Fname: string;
    
    [Column('vychozi', [TColumnProp.Required])]
    Fvychozi: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    
    [Column('nastaveni', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnastaveni: TBlob;
    
    [Column('nastaveni_json', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnastaveni_json: TBlob;
    
    [Column('view_sql', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fview_sql: TBlob;
    
    [Column('pouzit_web', [TColumnProp.Required])]
    Fpouzit_web: Integer;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_changed', [TColumnProp.Required])]
    Fts_changed: TDateTime;
    
    [Column('user_created', [TColumnProp.Required], 200)]
    Fuser_created: string;
    
    [Column('user_lastchange', [TColumnProp.Required], 200)]
    Fuser_lastchange: string;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property agenda: string read Fagenda write Fagenda;
    property name: string read Fname write Fname;
    property vychozi: Integer read Fvychozi write Fvychozi;
    property user_id: Integer read Fuser_id write Fuser_id;
    property nastaveni: TBlob read Fnastaveni write Fnastaveni;
    property nastaveni_json: TBlob read Fnastaveni_json write Fnastaveni_json;
    property view_sql: TBlob read Fview_sql write Fview_sql;
    property pouzit_web: Integer read Fpouzit_web write Fpouzit_web;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_changed: TDateTime read Fts_changed write Fts_changed;
    property user_created: string read Fuser_created write Fuser_created;
    property user_lastchange: string read Fuser_lastchange write Fuser_lastchange;
    property priorita: Integer read Fpriorita write Fpriorita;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuser_view_settings }

constructor Tuser_view_settings.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuser_view_settings.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuser_view_settings);

end.
