unit uTuserlist;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuserlist = class;
  
  [Entity]
  [Table('userlist')]
  [Id('FcomputerId', TIdGenerator.None)]
  [Id('Fuser', TIdGenerator.None)]
  Tuserlist = class
  private
    [Column('computerId', [TColumnProp.Required], 50)]
    FcomputerId: string;
    
    [Column('user', [TColumnProp.Required], 255)]
    Fuser: string;
    
    [Column('computerName', [TColumnProp.Required], 40)]
    FcomputerName: string;
    
    [Column('loginTime', [TColumnProp.Required])]
    FloginTime: TDateTime;
    
    [Column('lastActivity', [TColumnProp.Required])]
    FlastActivity: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property computerId: string read FcomputerId write FcomputerId;
    property user: string read Fuser write Fuser;
    property computerName: string read FcomputerName write FcomputerName;
    property loginTime: TDateTime read FloginTime write FloginTime;
    property lastActivity: TDateTime read FlastActivity write FlastActivity;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuserlist }

constructor Tuserlist.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuserlist.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuserlist);

end.
