unit uTuzamcene_obdobi;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuzamcene_obdobi = class;
  
  [Entity]
  [Table('uzamcene_obdobi')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuzamcene_obdobi = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('datumKonecObdobi', [TColumnProp.Required])]
    FdatumKonecObdobi: TDateTime;
    
    [Column('datumUzamceni', [TColumnProp.Required])]
    FdatumUzamceni: TDateTime;
    
    [Column('user', [], 50)]
    Fuser: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property datumKonecObdobi: TDateTime read FdatumKonecObdobi write FdatumKonecObdobi;
    property datumUzamceni: TDateTime read FdatumUzamceni write FdatumUzamceni;
    property user: Nullable<string> read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuzamcene_obdobi }

constructor Tuzamcene_obdobi.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuzamcene_obdobi.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuzamcene_obdobi);

end.
