unit uTuzavreni_zakazek;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tuzavreni_zakazek = class;
  
  [Entity]
  [Table('uzavreni_zakazek')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tuzavreni_zakazek = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('order_id_from', [TColumnProp.Required], 50)]
    Forder_id_from: string;
    
    [Column('order_id_to', [TColumnProp.Required], 50)]
    Forder_id_to: string;
    
    [Column('operation_id', [TColumnProp.Required])]
    Foperation_id: Int64;
    
    [Column('kusu', [TColumnProp.Required], 15, 3)]
    Fkusu: Double;
    
    [Column('prevedeno', [TColumnProp.Required])]
    Fprevedeno: TDateTime;
    
    [Column('ke_dni', [TColumnProp.Required])]
    Fke_dni: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property order_id_from: string read Forder_id_from write Forder_id_from;
    property order_id_to: string read Forder_id_to write Forder_id_to;
    property operation_id: Int64 read Foperation_id write Foperation_id;
    property kusu: Double read Fkusu write Fkusu;
    property prevedeno: TDateTime read Fprevedeno write Fprevedeno;
    property ke_dni: TDateTime read Fke_dni write Fke_dni;
    property user: string read Fuser write Fuser;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tuzavreni_zakazek }

constructor Tuzavreni_zakazek.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tuzavreni_zakazek.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tuzavreni_zakazek);

end.
