unit uTvyrobni_calc_material;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tvyrobni_calc_material = class;
  
  [Entity]
  [Table('vyrobni_calc_material')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tvyrobni_calc_material = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('calc_id', [TColumnProp.Required])]
    Fcalc_id: Integer;
    
    [Column('material_id', [TColumnProp.Required])]
    Fmaterial_id: Int64;
    
    [Column('mnoz', [TColumnProp.Required], 15, 3)]
    Fmnoz: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property calc_id: Integer read Fcalc_id write Fcalc_id;
    property material_id: Int64 read Fmaterial_id write Fmaterial_id;
    property mnoz: Double read Fmnoz write Fmnoz;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tvyrobni_calc_material }

constructor Tvyrobni_calc_material.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tvyrobni_calc_material.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tvyrobni_calc_material);

end.
