unit uTworker;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker = class;
  
  [Entity]
  [Table('worker')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 50)]
    Fname: string;
    
    [Column('bar_id', [TColumnProp.Required], 50)]
    Fbar_id: string;
    
    [Column('comment', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fcomment: TBlob;
    
    [Column('start', [TColumnProp.Required])]
    Fstart: TDateTime;
    
    [Column('active', [TColumnProp.Required], 20)]
    Factive: string;
    
    [Column('finish', [TColumnProp.Required])]
    Ffinish: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('workerprice', [TColumnProp.Required], 15, 2)]
    Fworkerprice: Double;
    
    [Column('price_sat', [TColumnProp.Required], 15, 2)]
    Fprice_sat: Double;
    
    [Column('price_sun', [TColumnProp.Required], 15, 2)]
    Fprice_sun: Double;
    
    [Column('type', [TColumnProp.Required])]
    Ftype_: Integer;
    
    [Column('cnc', [TColumnProp.Required])]
    Fcnc: Integer;
    
    [Column('card', [TColumnProp.Required], 20)]
    Fcard: string;
    
    [Column('group_name', [TColumnProp.Required], 50)]
    Fgroup_name: string;
    
    [Column('profese', [TColumnProp.Required], 50)]
    Fprofese: string;
    
    [Column('misto_prace', [TColumnProp.Required], 50)]
    Fmisto_prace: string;
    
    [Column('smena', [TColumnProp.Required], 50)]
    Fsmena: string;
    
    [Column('dostupne_smeny', [TColumnProp.Required], 256)]
    Fdostupne_smeny: string;
    
    [Column('cnc_start_operation_id', [TColumnProp.Required])]
    Fcnc_start_operation_id: Integer;
    
    [Column('cnc_end_operation_id', [TColumnProp.Required])]
    Fcnc_end_operation_id: Integer;
    
    [Column('cnc_operation_prihlaseni', [TColumnProp.Required])]
    Fcnc_operation_prihlaseni: Integer;
    
    [Column('cnc_operation_kontrola', [TColumnProp.Required])]
    Fcnc_operation_kontrola: Integer;
    
    [Column('cnc_operation_servis', [TColumnProp.Required])]
    Fcnc_operation_servis: Integer;
    
    [Column('cnc_operation_odevzdaniks', [TColumnProp.Required])]
    Fcnc_operation_odevzdaniks: Integer;
    
    [Column('cnc_operation_idle', [TColumnProp.Required])]
    Fcnc_operation_idle: Integer;
    
    [Column('cnc_operation_alarm', [TColumnProp.Required])]
    Fcnc_operation_alarm: Integer;
    
    [Column('cnc_operation_sing', [TColumnProp.Required])]
    Fcnc_operation_sing: Integer;
    
    [Column('cnc_operation_feed', [TColumnProp.Required])]
    Fcnc_operation_feed: Integer;
    
    [Column('cnc_operation_busy', [TColumnProp.Required])]
    Fcnc_operation_busy: Integer;
    
    [Column('card_dmr', [TColumnProp.Required], 64)]
    Fcard_dmr: string;
    
    [Column('cnc_operation_udrzba', [TColumnProp.Required])]
    Fcnc_operation_udrzba: Integer;
    
    [Column('stavCnc', [TColumnProp.Required], 50)]
    FstavCnc: string;
    
    [Column('busyStart', [TColumnProp.Required])]
    FbusyStart: TDateTime;
    
    [Column('lastCycle', [TColumnProp.Required])]
    FlastCycle: TDateTime;
    
    [Column('cnc_operation_konec', [TColumnProp.Required])]
    Fcnc_operation_konec: Integer;
    
    [Column('cnc_operation_nedefinovano', [TColumnProp.Required])]
    Fcnc_operation_nedefinovano: Integer;
    
    [Column('cnc_operation_waitkontrola', [TColumnProp.Required])]
    Fcnc_operation_waitkontrola: Integer;
    
    [Column('alias', [TColumnProp.Required], 50)]
    Falias: string;
    
    [Column('priorita', [TColumnProp.Required])]
    Fpriorita: Integer;
    
    [Column('cena_fakturace', [TColumnProp.Required], 15, 2)]
    Fcena_fakturace: Double;
    
    [Column('use_cena_fakturace', [TColumnProp.Required])]
    Fuse_cena_fakturace: Integer;
    
    [Column('user_pin', [TColumnProp.Required])]
    Fuser_pin: Int64;
    
    [Column('prihlaseni', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fprihlaseni: string;
    
    [Column('cnc_group', [TColumnProp.Required])]
    Fcnc_group: Integer;
    
    [Column('price_prescas', [TColumnProp.Required], 15, 2)]
    Fprice_prescas: Double;
    
    [Column('pozice', [TColumnProp.Required], 50)]
    Fpozice: string;
    
    [Column('id_nadrizeny', [TColumnProp.Required])]
    Fid_nadrizeny: Integer;
    
    [Column('id_pracovni_skupina', [TColumnProp.Required])]
    Fid_pracovni_skupina: Integer;
    
    [Column('id_ridici_struktura', [TColumnProp.Required])]
    Fid_ridici_struktura: Integer;
    
    [Column('id_profese', [TColumnProp.Required])]
    Fid_profese: Integer;
    
    [Column('id_misto_prace', [TColumnProp.Required])]
    Fid_misto_prace: Integer;
    
    [Column('email', [TColumnProp.Required], 150)]
    Femail: string;
    
    [Column('telefon', [TColumnProp.Required], 150)]
    Ftelefon: string;
    
    [Column('price_mzda', [TColumnProp.Required], 15, 3)]
    Fprice_mzda: Double;
    
    [Column('cnc_servis_datum', [TColumnProp.Required])]
    Fcnc_servis_datum: TDateTime;
    
    [Column('cnc_servis_interval', [TColumnProp.Required], 15, 3)]
    Fcnc_servis_interval: Double;
    
    [Column('cnc_servis_interval_unit', [TColumnProp.Required])]
    Fcnc_servis_interval_unit: Integer;
    
    [Column('koef_skut_nakl', [TColumnProp.Required], 15, 3)]
    Fkoef_skut_nakl: Double;
    
    [Column('gdpr_zbyva', [TColumnProp.Required])]
    Fgdpr_zbyva: Integer;
    
    [Column('gdpr_anonymizovano', [TColumnProp.Required])]
    Fgdpr_anonymizovano: Integer;
    
    [Column('pouzeDochazka', [TColumnProp.Required])]
    FpouzeDochazka: Integer;
    
    [Column('bezCasu', [TColumnProp.Required])]
    FbezCasu: Integer;
    
    [Column('price_sat_koef', [TColumnProp.Required], 15, 3)]
    Fprice_sat_koef: Double;
    
    [Column('price_sun_koef', [TColumnProp.Required], 15, 3)]
    Fprice_sun_koef: Double;
    
    [Column('koef_ukol_mzdy', [TColumnProp.Required], 15, 3)]
    Fkoef_ukol_mzdy: Double;
    
    [Column('koef_ukol_mzdy_type', [TColumnProp.Required])]
    Fkoef_ukol_mzdy_type: Integer;
    
    [Column('koef_ukol_mzdy2', [TColumnProp.Required], 15, 3)]
    Fkoef_ukol_mzdy2: Double;
    
    [Column('koef_ukol_mzdy2_type', [TColumnProp.Required])]
    Fkoef_ukol_mzdy2_type: Integer;
    
    [Column('group_id', [TColumnProp.Required])]
    Fgroup_id: Integer;
    
    [Column('smena_id', [TColumnProp.Required])]
    Fsmena_id: Integer;
    
    [Column('thp', [TColumnProp.Required])]
    Fthp: Integer;
    
    [Column('externi_id', [TColumnProp.Required], 100)]
    Fexterni_id: string;
    
    [Column('firstname', [TColumnProp.Required], 50)]
    Ffirstname: string;
    
    [Column('lastname', [TColumnProp.Required], 100)]
    Flastname: string;
    
    [Column('birthdate', [TColumnProp.Required])]
    Fbirthdate: TDateTime;
    
    [Column('pracovni_pomer', [TColumnProp.Required], 50)]
    Fpracovni_pomer: string;
    
    [Column('ts_lastChange', [])]
    Fts_lastChange: Nullable<TDateTime>;
    
    [Column('ts_created', [])]
    Fts_created: Nullable<TDateTime>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property bar_id: string read Fbar_id write Fbar_id;
    property comment: TBlob read Fcomment write Fcomment;
    property start: TDateTime read Fstart write Fstart;
    property active: string read Factive write Factive;
    property finish: TDateTime read Ffinish write Ffinish;
    property user: string read Fuser write Fuser;
    property workerprice: Double read Fworkerprice write Fworkerprice;
    property price_sat: Double read Fprice_sat write Fprice_sat;
    property price_sun: Double read Fprice_sun write Fprice_sun;
    property type_: Integer read Ftype_ write Ftype_;
    property cnc: Integer read Fcnc write Fcnc;
    property card: string read Fcard write Fcard;
    property group_name: string read Fgroup_name write Fgroup_name;
    property profese: string read Fprofese write Fprofese;
    property misto_prace: string read Fmisto_prace write Fmisto_prace;
    property smena: string read Fsmena write Fsmena;
    property dostupne_smeny: string read Fdostupne_smeny write Fdostupne_smeny;
    property cnc_start_operation_id: Integer read Fcnc_start_operation_id write Fcnc_start_operation_id;
    property cnc_end_operation_id: Integer read Fcnc_end_operation_id write Fcnc_end_operation_id;
    property cnc_operation_prihlaseni: Integer read Fcnc_operation_prihlaseni write Fcnc_operation_prihlaseni;
    property cnc_operation_kontrola: Integer read Fcnc_operation_kontrola write Fcnc_operation_kontrola;
    property cnc_operation_servis: Integer read Fcnc_operation_servis write Fcnc_operation_servis;
    property cnc_operation_odevzdaniks: Integer read Fcnc_operation_odevzdaniks write Fcnc_operation_odevzdaniks;
    property cnc_operation_idle: Integer read Fcnc_operation_idle write Fcnc_operation_idle;
    property cnc_operation_alarm: Integer read Fcnc_operation_alarm write Fcnc_operation_alarm;
    property cnc_operation_sing: Integer read Fcnc_operation_sing write Fcnc_operation_sing;
    property cnc_operation_feed: Integer read Fcnc_operation_feed write Fcnc_operation_feed;
    property cnc_operation_busy: Integer read Fcnc_operation_busy write Fcnc_operation_busy;
    property card_dmr: string read Fcard_dmr write Fcard_dmr;
    property cnc_operation_udrzba: Integer read Fcnc_operation_udrzba write Fcnc_operation_udrzba;
    property stavCnc: string read FstavCnc write FstavCnc;
    property busyStart: TDateTime read FbusyStart write FbusyStart;
    property lastCycle: TDateTime read FlastCycle write FlastCycle;
    property cnc_operation_konec: Integer read Fcnc_operation_konec write Fcnc_operation_konec;
    property cnc_operation_nedefinovano: Integer read Fcnc_operation_nedefinovano write Fcnc_operation_nedefinovano;
    property cnc_operation_waitkontrola: Integer read Fcnc_operation_waitkontrola write Fcnc_operation_waitkontrola;
    property alias: string read Falias write Falias;
    property priorita: Integer read Fpriorita write Fpriorita;
    property cena_fakturace: Double read Fcena_fakturace write Fcena_fakturace;
    property use_cena_fakturace: Integer read Fuse_cena_fakturace write Fuse_cena_fakturace;
    property user_pin: Int64 read Fuser_pin write Fuser_pin;
    property prihlaseni: string read Fprihlaseni;
    property cnc_group: Integer read Fcnc_group write Fcnc_group;
    property price_prescas: Double read Fprice_prescas write Fprice_prescas;
    property pozice: string read Fpozice write Fpozice;
    property id_nadrizeny: Integer read Fid_nadrizeny write Fid_nadrizeny;
    property id_pracovni_skupina: Integer read Fid_pracovni_skupina write Fid_pracovni_skupina;
    property id_ridici_struktura: Integer read Fid_ridici_struktura write Fid_ridici_struktura;
    property id_profese: Integer read Fid_profese write Fid_profese;
    property id_misto_prace: Integer read Fid_misto_prace write Fid_misto_prace;
    property email: string read Femail write Femail;
    property telefon: string read Ftelefon write Ftelefon;
    property price_mzda: Double read Fprice_mzda write Fprice_mzda;
    property cnc_servis_datum: TDateTime read Fcnc_servis_datum write Fcnc_servis_datum;
    property cnc_servis_interval: Double read Fcnc_servis_interval write Fcnc_servis_interval;
    property cnc_servis_interval_unit: Integer read Fcnc_servis_interval_unit write Fcnc_servis_interval_unit;
    property koef_skut_nakl: Double read Fkoef_skut_nakl write Fkoef_skut_nakl;
    property gdpr_zbyva: Integer read Fgdpr_zbyva write Fgdpr_zbyva;
    property gdpr_anonymizovano: Integer read Fgdpr_anonymizovano write Fgdpr_anonymizovano;
    property pouzeDochazka: Integer read FpouzeDochazka write FpouzeDochazka;
    property bezCasu: Integer read FbezCasu write FbezCasu;
    property price_sat_koef: Double read Fprice_sat_koef write Fprice_sat_koef;
    property price_sun_koef: Double read Fprice_sun_koef write Fprice_sun_koef;
    property koef_ukol_mzdy: Double read Fkoef_ukol_mzdy write Fkoef_ukol_mzdy;
    property koef_ukol_mzdy_type: Integer read Fkoef_ukol_mzdy_type write Fkoef_ukol_mzdy_type;
    property koef_ukol_mzdy2: Double read Fkoef_ukol_mzdy2 write Fkoef_ukol_mzdy2;
    property koef_ukol_mzdy2_type: Integer read Fkoef_ukol_mzdy2_type write Fkoef_ukol_mzdy2_type;
    property group_id: Integer read Fgroup_id write Fgroup_id;
    property smena_id: Integer read Fsmena_id write Fsmena_id;
    property thp: Integer read Fthp write Fthp;
    property externi_id: string read Fexterni_id write Fexterni_id;
    property firstname: string read Ffirstname write Ffirstname;
    property lastname: string read Flastname write Flastname;
    property birthdate: TDateTime read Fbirthdate write Fbirthdate;
    property pracovni_pomer: string read Fpracovni_pomer write Fpracovni_pomer;
    property ts_lastChange: Nullable<TDateTime> read Fts_lastChange write Fts_lastChange;
    property ts_created: Nullable<TDateTime> read Fts_created write Fts_created;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker }

constructor Tworker.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker);

end.
