unit uTworker_cidla;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_cidla = class;
  
  [Entity]
  [Table('worker_cidla')]
  [UniqueKey('idCidlo')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_cidla = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('idCidlo', [TColumnProp.Required])]
    FidCidlo: Integer;
    
    [Column('idWorker', [TColumnProp.Required])]
    FidWorker: Integer;
    
    [Column('Prava', [TColumnProp.Required])]
    FPrava: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property idCidlo: Integer read FidCidlo write FidCidlo;
    property idWorker: Integer read FidWorker write FidWorker;
    property Prava: Integer read FPrava write FPrava;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_cidla }

constructor Tworker_cidla.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_cidla.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_cidla);

end.
