unit uTworker_foto;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_foto = class;
  
  [Entity]
  [Table('worker_foto')]
  [Id('Fworker_id', TIdGenerator.None)]
  Tworker_foto = class
  private
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('foto_data', [TColumnProp.Lazy])]
    Ffoto_data: TBlob;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property foto_data: TBlob read Ffoto_data write Ffoto_data;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_foto }

constructor Tworker_foto.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_foto.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_foto);

end.
