unit uTworker_functions;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_functions = class;
  
  [Entity]
  [Table('worker_functions')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_functions = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required], 50)]
    Fworker_id: string;
    
    [Column('terminal_id', [TColumnProp.Required], 50)]
    Fterminal_id: string;
    
    [Column('function_id', [TColumnProp.Required], 50)]
    Ffunction_id: string;
    
    [Column('is_default', [TColumnProp.Required])]
    Fis_default: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: string read Fworker_id write Fworker_id;
    property terminal_id: string read Fterminal_id write Fterminal_id;
    property function_id: string read Ffunction_id write Ffunction_id;
    property is_default: Integer read Fis_default write Fis_default;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_functions }

constructor Tworker_functions.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_functions.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_functions);

end.
