unit uTworker_group;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_group = class;
  
  [Entity]
  [Table('worker_group')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_group = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [TColumnProp.Required], 100)]
    Fname: string;
    
    [Column('code', [TColumnProp.Required], 50)]
    Fcode: string;
    
    [Column('note', [TColumnProp.Required], 255)]
    Fnote: string;
    
    [Column('parent_id', [TColumnProp.Required])]
    Fparent_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property code: string read Fcode write Fcode;
    property note: string read Fnote write Fnote;
    property parent_id: Integer read Fparent_id write Fparent_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_group }

constructor Tworker_group.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_group.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_group);

end.
