unit uTworker_pracovni_rezim;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_pracovni_rezim = class;
  
  [Entity]
  [Table('worker_pracovni_rezim')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_pracovni_rezim = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 100)]
    Fnazev: string;
    
    [Column('tydenni_max', [], 9, 2)]
    Ftydenni_max: Nullable<Double>;
    
    [Column('denni_max', [TColumnProp.Required], 9, 2)]
    Fdenni_max: Double;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property tydenni_max: Nullable<Double> read Ftydenni_max write Ftydenni_max;
    property denni_max: Double read Fdenni_max write Fdenni_max;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_pracovni_rezim }

constructor Tworker_pracovni_rezim.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_pracovni_rezim.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_pracovni_rezim);

end.
