unit uTworker_prava;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_prava = class;
  
  [Entity]
  [Table('worker_prava')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_prava = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('name', [], 100)]
    Fname: Nullable<string>;
    
    [Column('description', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fdescription: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property name: Nullable<string> read Fname write Fname;
    property description: TBlob read Fdescription write Fdescription;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_prava }

constructor Tworker_prava.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_prava.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_prava);

end.
