unit uTworker_prescasy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_prescasy = class;
  
  [Entity]
  [Table('worker_prescasy')]
  [UniqueKey('worker_id')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_prescasy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    
    [Column('prichod_vypocteno', [TColumnProp.Required])]
    Fprichod_vypocteno: Integer;
    
    [Column('prichod_ignorovat', [TColumnProp.Required])]
    Fprichod_ignorovat: Integer;
    
    [Column('prichod_nadpracovani', [TColumnProp.Required])]
    Fprichod_nadpracovani: Integer;
    
    [Column('prichod_fond', [TColumnProp.Required])]
    Fprichod_fond: Integer;
    
    [Column('prichod_proplatit', [TColumnProp.Required])]
    Fprichod_proplatit: Integer;
    
    [Column('prichod_poznamka', [TColumnProp.Required], 200)]
    Fprichod_poznamka: string;
    
    [Column('prichod_user_id', [TColumnProp.Required])]
    Fprichod_user_id: Integer;
    
    [Column('prichod_timestamp', [TColumnProp.Required])]
    Fprichod_timestamp: TDateTime;
    
    [Column('prichod_vycerpano', [TColumnProp.Required])]
    Fprichod_vycerpano: Integer;
    
    [Column('odchod_vypocteno', [TColumnProp.Required])]
    Fodchod_vypocteno: Integer;
    
    [Column('odchod_ignorovat', [TColumnProp.Required])]
    Fodchod_ignorovat: Integer;
    
    [Column('odchod_nadpracovani', [TColumnProp.Required])]
    Fodchod_nadpracovani: Integer;
    
    [Column('odchod_fond', [TColumnProp.Required])]
    Fodchod_fond: Integer;
    
    [Column('odchod_proplatit', [TColumnProp.Required])]
    Fodchod_proplatit: Integer;
    
    [Column('odchod_poznamka', [TColumnProp.Required], 200)]
    Fodchod_poznamka: string;
    
    [Column('odchod_user_id', [TColumnProp.Required])]
    Fodchod_user_id: Integer;
    
    [Column('odchod_timestamp', [TColumnProp.Required])]
    Fodchod_timestamp: TDateTime;
    
    [Column('odchod_vycerpano', [TColumnProp.Required])]
    Fodchod_vycerpano: Integer;
    
    [Column('prichod_ignorovat_zapocet', [TColumnProp.Required])]
    Fprichod_ignorovat_zapocet: Integer;
    
    [Column('prichod_nadpracovani_zapocet', [TColumnProp.Required])]
    Fprichod_nadpracovani_zapocet: Integer;
    
    [Column('odchod_ignorovat_zapocet', [TColumnProp.Required])]
    Fodchod_ignorovat_zapocet: Integer;
    
    [Column('odchod_nadpracovani_zapocet', [TColumnProp.Required])]
    Fodchod_nadpracovani_zapocet: Integer;
    
    [Column('prichod_readdata_id', [TColumnProp.Required])]
    Fprichod_readdata_id: Int64;
    
    [Column('odchod_readdata_id', [TColumnProp.Required])]
    Fodchod_readdata_id: Int64;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property datum: TDateTime read Fdatum write Fdatum;
    property prichod_vypocteno: Integer read Fprichod_vypocteno write Fprichod_vypocteno;
    property prichod_ignorovat: Integer read Fprichod_ignorovat write Fprichod_ignorovat;
    property prichod_nadpracovani: Integer read Fprichod_nadpracovani write Fprichod_nadpracovani;
    property prichod_fond: Integer read Fprichod_fond write Fprichod_fond;
    property prichod_proplatit: Integer read Fprichod_proplatit write Fprichod_proplatit;
    property prichod_poznamka: string read Fprichod_poznamka write Fprichod_poznamka;
    property prichod_user_id: Integer read Fprichod_user_id write Fprichod_user_id;
    property prichod_timestamp: TDateTime read Fprichod_timestamp write Fprichod_timestamp;
    property prichod_vycerpano: Integer read Fprichod_vycerpano write Fprichod_vycerpano;
    property odchod_vypocteno: Integer read Fodchod_vypocteno write Fodchod_vypocteno;
    property odchod_ignorovat: Integer read Fodchod_ignorovat write Fodchod_ignorovat;
    property odchod_nadpracovani: Integer read Fodchod_nadpracovani write Fodchod_nadpracovani;
    property odchod_fond: Integer read Fodchod_fond write Fodchod_fond;
    property odchod_proplatit: Integer read Fodchod_proplatit write Fodchod_proplatit;
    property odchod_poznamka: string read Fodchod_poznamka write Fodchod_poznamka;
    property odchod_user_id: Integer read Fodchod_user_id write Fodchod_user_id;
    property odchod_timestamp: TDateTime read Fodchod_timestamp write Fodchod_timestamp;
    property odchod_vycerpano: Integer read Fodchod_vycerpano write Fodchod_vycerpano;
    property prichod_ignorovat_zapocet: Integer read Fprichod_ignorovat_zapocet write Fprichod_ignorovat_zapocet;
    property prichod_nadpracovani_zapocet: Integer read Fprichod_nadpracovani_zapocet write Fprichod_nadpracovani_zapocet;
    property odchod_ignorovat_zapocet: Integer read Fodchod_ignorovat_zapocet write Fodchod_ignorovat_zapocet;
    property odchod_nadpracovani_zapocet: Integer read Fodchod_nadpracovani_zapocet write Fodchod_nadpracovani_zapocet;
    property prichod_readdata_id: Int64 read Fprichod_readdata_id write Fprichod_readdata_id;
    property odchod_readdata_id: Int64 read Fodchod_readdata_id write Fodchod_readdata_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_prescasy }

constructor Tworker_prescasy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_prescasy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_prescasy);

end.
