unit uTworker_prescasy_dochazka;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_prescasy_dochazka = class;
  
  [Entity]
  [Table('worker_prescasy_dochazka')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_prescasy_dochazka = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_prescasy_id', [TColumnProp.Required])]
    Fworker_prescasy_id: Integer;
    
    [Column('dochazka_id', [TColumnProp.Required])]
    Fdochazka_id: Integer;
    
    [Column('prichod_cerpano', [TColumnProp.Required])]
    Fprichod_cerpano: Integer;
    
    [Column('odchod_cerpano', [TColumnProp.Required])]
    Fodchod_cerpano: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_prescasy_id: Integer read Fworker_prescasy_id write Fworker_prescasy_id;
    property dochazka_id: Integer read Fdochazka_id write Fdochazka_id;
    property prichod_cerpano: Integer read Fprichod_cerpano write Fprichod_cerpano;
    property odchod_cerpano: Integer read Fodchod_cerpano write Fodchod_cerpano;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_prescasy_dochazka }

constructor Tworker_prescasy_dochazka.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_prescasy_dochazka.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_prescasy_dochazka);

end.
