unit uTworker_prescasy_prevod;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_prescasy_prevod = class;
  
  [Entity]
  [Table('worker_prescasy_prevod')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_prescasy_prevod = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('rok', [TColumnProp.Required])]
    Frok: Integer;
    
    [Column('mesic', [TColumnProp.Required])]
    Fmesic: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('datum', [TColumnProp.Required])]
    Fdatum: TDateTime;
    
    [Column('user', [TColumnProp.Required], 50)]
    Fuser: string;
    
    [Column('prevedeno', [TColumnProp.Required])]
    Fprevedeno: Integer;
    
    [Column('zustava', [TColumnProp.Required])]
    Fzustava: Integer;
    
    [Column('note', [TColumnProp.Lazy])]
    [DBTypeMemo]
    Fnote: TBlob;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property rok: Integer read Frok write Frok;
    property mesic: Integer read Fmesic write Fmesic;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property datum: TDateTime read Fdatum write Fdatum;
    property user: string read Fuser write Fuser;
    property prevedeno: Integer read Fprevedeno write Fprevedeno;
    property zustava: Integer read Fzustava write Fzustava;
    property note: TBlob read Fnote write Fnote;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_prescasy_prevod }

constructor Tworker_prescasy_prevod.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_prescasy_prevod.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_prescasy_prevod);

end.
