unit uTworker_proskoleni;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_proskoleni = class;
  
  [Entity]
  [Table('worker_proskoleni')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_proskoleni = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('id_typ_proskoleni', [TColumnProp.Required])]
    Fid_typ_proskoleni: Integer;
    
    [Column('probehlo_dne', [])]
    Fprobehlo_dne: Nullable<TDateTime>;
    
    [Column('plati_do', [])]
    Fplati_do: Nullable<TDateTime>;
    
    [Column('dokumenty_cesta', [], 300)]
    Fdokumenty_cesta: Nullable<string>;
    
    [Column('poznamka', [], 300)]
    Fpoznamka: Nullable<string>;
    
    [Column('uroven', [TColumnProp.Required])]
    Furoven: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property id_typ_proskoleni: Integer read Fid_typ_proskoleni write Fid_typ_proskoleni;
    property probehlo_dne: Nullable<TDateTime> read Fprobehlo_dne write Fprobehlo_dne;
    property plati_do: Nullable<TDateTime> read Fplati_do write Fplati_do;
    property dokumenty_cesta: Nullable<string> read Fdokumenty_cesta write Fdokumenty_cesta;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property uroven: Integer read Furoven write Furoven;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_proskoleni }

constructor Tworker_proskoleni.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_proskoleni.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_proskoleni);

end.
