unit uTworker_proskoleni_druh;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_proskoleni_druh = class;
  
  [Entity]
  [Table('worker_proskoleni_druh')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_proskoleni_druh = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('zkratka', [TColumnProp.Required], 20)]
    Fzkratka: string;
    
    [Column('poznamka', [], 300)]
    Fpoznamka: Nullable<string>;
    
    [Column('druh', [TColumnProp.Required])]
    Fdruh: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property zkratka: string read Fzkratka write Fzkratka;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property druh: Integer read Fdruh write Fdruh;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_proskoleni_druh }

constructor Tworker_proskoleni_druh.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_proskoleni_druh.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_proskoleni_druh);

end.
