unit uTworker_proskoleni_readdata;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_proskoleni_readdata = class;
  
  [Entity]
  [Table('worker_proskoleni_readdata')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_proskoleni_readdata = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('proskoleni_typ', [TColumnProp.Required])]
    Fproskoleni_typ: Integer;
    
    [Column('proskoleni_uroven', [TColumnProp.Required])]
    Fproskoleni_uroven: Integer;
    
    [Column('proskoleni_datum', [])]
    Fproskoleni_datum: Nullable<TDateTime>;
    
    [Column('proskoleni_datum_nasledujici', [])]
    Fproskoleni_datum_nasledujici: Nullable<TDateTime>;
    
    [Column('vlozeno', [])]
    Fvlozeno: Nullable<TDateTime>;
    
    [Column('editovano', [])]
    Feditovano: Nullable<TDateTime>;
    
    [Column('uzivatel', [TColumnProp.Required], 50)]
    Fuzivatel: string;
    
    [Column('poznamka', [TColumnProp.Required], 300)]
    Fpoznamka: string;
    
    [Column('proskoleni_id', [TColumnProp.Required])]
    Fproskoleni_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property proskoleni_typ: Integer read Fproskoleni_typ write Fproskoleni_typ;
    property proskoleni_uroven: Integer read Fproskoleni_uroven write Fproskoleni_uroven;
    property proskoleni_datum: Nullable<TDateTime> read Fproskoleni_datum write Fproskoleni_datum;
    property proskoleni_datum_nasledujici: Nullable<TDateTime> read Fproskoleni_datum_nasledujici write Fproskoleni_datum_nasledujici;
    property vlozeno: Nullable<TDateTime> read Fvlozeno write Fvlozeno;
    property editovano: Nullable<TDateTime> read Feditovano write Feditovano;
    property uzivatel: string read Fuzivatel write Fuzivatel;
    property poznamka: string read Fpoznamka write Fpoznamka;
    property proskoleni_id: Integer read Fproskoleni_id write Fproskoleni_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_proskoleni_readdata }

constructor Tworker_proskoleni_readdata.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_proskoleni_readdata.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_proskoleni_readdata);

end.
