unit uTworker_proskoleni_typ;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_proskoleni_typ = class;
  
  [Entity]
  [Table('worker_proskoleni_typ')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_proskoleni_typ = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [TColumnProp.Required], 50)]
    Fnazev: string;
    
    [Column('pocet_urovni', [TColumnProp.Required])]
    Fpocet_urovni: Integer;
    
    [Column('proskoleni_interval', [TColumnProp.Required])]
    Fproskoleni_interval: Integer;
    
    [Column('poznamka', [TColumnProp.Required], 300)]
    Fpoznamka: string;
    
    [Column('proskoleni_druh', [TColumnProp.Required])]
    Fproskoleni_druh: Integer;
    
    [Column('dokumenty_cesta', [TColumnProp.Required], 300)]
    Fdokumenty_cesta: string;
    
    [Column('postupne', [TColumnProp.Required])]
    Fpostupne: Integer;
    
    [Column('interval_jednotka', [TColumnProp.Required])]
    Finterval_jednotka: Integer;
    
    [Column('skolitel_nazev', [TColumnProp.Required], 100)]
    Fskolitel_nazev: string;
    
    [Column('skolitel_info', [TColumnProp.Required])]
    Fskolitel_info: Integer;
    
    [Column('skolitel_email', [TColumnProp.Required], 100)]
    Fskolitel_email: string;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('user_id', [TColumnProp.Required])]
    Fuser_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: string read Fnazev write Fnazev;
    property pocet_urovni: Integer read Fpocet_urovni write Fpocet_urovni;
    property proskoleni_interval: Integer read Fproskoleni_interval write Fproskoleni_interval;
    property poznamka: string read Fpoznamka write Fpoznamka;
    property proskoleni_druh: Integer read Fproskoleni_druh write Fproskoleni_druh;
    property dokumenty_cesta: string read Fdokumenty_cesta write Fdokumenty_cesta;
    property postupne: Integer read Fpostupne write Fpostupne;
    property interval_jednotka: Integer read Finterval_jednotka write Finterval_jednotka;
    property skolitel_nazev: string read Fskolitel_nazev write Fskolitel_nazev;
    property skolitel_info: Integer read Fskolitel_info write Fskolitel_info;
    property skolitel_email: string read Fskolitel_email write Fskolitel_email;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property user_id: Integer read Fuser_id write Fuser_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_proskoleni_typ }

constructor Tworker_proskoleni_typ.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_proskoleni_typ.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_proskoleni_typ);

end.
