unit uTworker_smeny;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_smeny = class;
  
  [Entity]
  [Table('worker_smeny')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_smeny = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('po_zacatek', [TColumnProp.Required])]
    Fpo_zacatek: TDateTime;
    
    [Column('po_konec', [TColumnProp.Required])]
    Fpo_konec: TDateTime;
    
    [Column('po_doba', [TColumnProp.Required], 11, 2)]
    Fpo_doba: Double;
    
    [Column('ut_zacatek', [TColumnProp.Required])]
    Fut_zacatek: TDateTime;
    
    [Column('ut_konec', [TColumnProp.Required])]
    Fut_konec: TDateTime;
    
    [Column('ut_doba', [TColumnProp.Required], 11, 2)]
    Fut_doba: Double;
    
    [Column('st_zacatek', [TColumnProp.Required])]
    Fst_zacatek: TDateTime;
    
    [Column('st_konec', [TColumnProp.Required])]
    Fst_konec: TDateTime;
    
    [Column('st_doba', [TColumnProp.Required], 11, 2)]
    Fst_doba: Double;
    
    [Column('ct_zacatek', [TColumnProp.Required])]
    Fct_zacatek: TDateTime;
    
    [Column('ct_konec', [TColumnProp.Required])]
    Fct_konec: TDateTime;
    
    [Column('ct_doba', [TColumnProp.Required], 11, 2)]
    Fct_doba: Double;
    
    [Column('pa_zacatek', [TColumnProp.Required])]
    Fpa_zacatek: TDateTime;
    
    [Column('pa_konec', [TColumnProp.Required])]
    Fpa_konec: TDateTime;
    
    [Column('pa_doba', [TColumnProp.Required], 11, 2)]
    Fpa_doba: Double;
    
    [Column('so_zacatek', [TColumnProp.Required])]
    Fso_zacatek: TDateTime;
    
    [Column('so_konec', [TColumnProp.Required])]
    Fso_konec: TDateTime;
    
    [Column('so_doba', [TColumnProp.Required], 11, 2)]
    Fso_doba: Double;
    
    [Column('ne_zacatek', [TColumnProp.Required])]
    Fne_zacatek: TDateTime;
    
    [Column('ne_konec', [TColumnProp.Required])]
    Fne_konec: TDateTime;
    
    [Column('ne_doba', [TColumnProp.Required], 11, 2)]
    Fne_doba: Double;
    
    [Column('roud_work_start', [TColumnProp.Required])]
    Froud_work_start: Integer;
    
    [Column('roud_work_finish', [TColumnProp.Required])]
    Froud_work_finish: Integer;
    
    [Column('auto_del_prescas_ifless', [TColumnProp.Required])]
    Fauto_del_prescas_ifless: Integer;
    
    [Column('auto_break_dochazka', [TColumnProp.Required])]
    Fauto_break_dochazka: Integer;
    
    [Column('auto_break_if', [TColumnProp.Required])]
    Fauto_break_if: Integer;
    
    [Column('penalizace_if_min', [TColumnProp.Required])]
    Fpenalizace_if_min: Integer;
    
    [Column('penalizace_minut', [TColumnProp.Required])]
    Fpenalizace_minut: Integer;
    
    [Column('ignore_before_work', [TColumnProp.Required])]
    Fignore_before_work: Integer;
    
    [Column('use_penalizace', [TColumnProp.Required])]
    Fuse_penalizace: Integer;
    
    [Column('nazev', [TColumnProp.Required], 64)]
    Fnazev: string;
    
    [Column('prestavka1od', [TColumnProp.Required])]
    Fprestavka1od: TDateTime;
    
    [Column('prestavka1do', [TColumnProp.Required])]
    Fprestavka1do: TDateTime;
    
    [Column('prestavka2od', [TColumnProp.Required])]
    Fprestavka2od: TDateTime;
    
    [Column('prestavka2do', [TColumnProp.Required])]
    Fprestavka2do: TDateTime;
    
    [Column('prestavka3od', [TColumnProp.Required])]
    Fprestavka3od: TDateTime;
    
    [Column('prestavka3do', [TColumnProp.Required])]
    Fprestavka3do: TDateTime;
    
    [Column('upravit_zacatek', [TColumnProp.Required])]
    Fupravit_zacatek: Integer;
    
    [Column('auto_break_repeat', [TColumnProp.Required])]
    Fauto_break_repeat: Integer;
    
    [Column('barva', [TColumnProp.Required])]
    Fbarva: Integer;
    
    [Column('pracovni_rezim_id', [TColumnProp.Required])]
    Fpracovni_rezim_id: Integer;
    
    [Column('skryta', [TColumnProp.Required])]
    Fskryta: Integer;
    
    [Column('prestavka_povolena', [TColumnProp.Required])]
    Fprestavka_povolena: Integer;
    
    [Column('prestavka_doba', [TColumnProp.Required])]
    Fprestavka_doba: Integer;
    
    [Column('zkratka', [TColumnProp.Required], 3)]
    Fzkratka: string;
    
    [Column('nerovnomerna', [TColumnProp.Required])]
    Fnerovnomerna: Integer;
    
    [Column('prestavka_po', [TColumnProp.Required])]
    Fprestavka_po: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property po_zacatek: TDateTime read Fpo_zacatek write Fpo_zacatek;
    property po_konec: TDateTime read Fpo_konec write Fpo_konec;
    property po_doba: Double read Fpo_doba write Fpo_doba;
    property ut_zacatek: TDateTime read Fut_zacatek write Fut_zacatek;
    property ut_konec: TDateTime read Fut_konec write Fut_konec;
    property ut_doba: Double read Fut_doba write Fut_doba;
    property st_zacatek: TDateTime read Fst_zacatek write Fst_zacatek;
    property st_konec: TDateTime read Fst_konec write Fst_konec;
    property st_doba: Double read Fst_doba write Fst_doba;
    property ct_zacatek: TDateTime read Fct_zacatek write Fct_zacatek;
    property ct_konec: TDateTime read Fct_konec write Fct_konec;
    property ct_doba: Double read Fct_doba write Fct_doba;
    property pa_zacatek: TDateTime read Fpa_zacatek write Fpa_zacatek;
    property pa_konec: TDateTime read Fpa_konec write Fpa_konec;
    property pa_doba: Double read Fpa_doba write Fpa_doba;
    property so_zacatek: TDateTime read Fso_zacatek write Fso_zacatek;
    property so_konec: TDateTime read Fso_konec write Fso_konec;
    property so_doba: Double read Fso_doba write Fso_doba;
    property ne_zacatek: TDateTime read Fne_zacatek write Fne_zacatek;
    property ne_konec: TDateTime read Fne_konec write Fne_konec;
    property ne_doba: Double read Fne_doba write Fne_doba;
    property roud_work_start: Integer read Froud_work_start write Froud_work_start;
    property roud_work_finish: Integer read Froud_work_finish write Froud_work_finish;
    property auto_del_prescas_ifless: Integer read Fauto_del_prescas_ifless write Fauto_del_prescas_ifless;
    property auto_break_dochazka: Integer read Fauto_break_dochazka write Fauto_break_dochazka;
    property auto_break_if: Integer read Fauto_break_if write Fauto_break_if;
    property penalizace_if_min: Integer read Fpenalizace_if_min write Fpenalizace_if_min;
    property penalizace_minut: Integer read Fpenalizace_minut write Fpenalizace_minut;
    property ignore_before_work: Integer read Fignore_before_work write Fignore_before_work;
    property use_penalizace: Integer read Fuse_penalizace write Fuse_penalizace;
    property nazev: string read Fnazev write Fnazev;
    property prestavka1od: TDateTime read Fprestavka1od write Fprestavka1od;
    property prestavka1do: TDateTime read Fprestavka1do write Fprestavka1do;
    property prestavka2od: TDateTime read Fprestavka2od write Fprestavka2od;
    property prestavka2do: TDateTime read Fprestavka2do write Fprestavka2do;
    property prestavka3od: TDateTime read Fprestavka3od write Fprestavka3od;
    property prestavka3do: TDateTime read Fprestavka3do write Fprestavka3do;
    property upravit_zacatek: Integer read Fupravit_zacatek write Fupravit_zacatek;
    property auto_break_repeat: Integer read Fauto_break_repeat write Fauto_break_repeat;
    property barva: Integer read Fbarva write Fbarva;
    property pracovni_rezim_id: Integer read Fpracovni_rezim_id write Fpracovni_rezim_id;
    property skryta: Integer read Fskryta write Fskryta;
    property prestavka_povolena: Integer read Fprestavka_povolena write Fprestavka_povolena;
    property prestavka_doba: Integer read Fprestavka_doba write Fprestavka_doba;
    property zkratka: string read Fzkratka write Fzkratka;
    property nerovnomerna: Integer read Fnerovnomerna write Fnerovnomerna;
    property prestavka_po: Integer read Fprestavka_po write Fprestavka_po;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_smeny }

constructor Tworker_smeny.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_smeny.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_smeny);

end.
