unit uTworker_svatky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_svatky = class;
  
  [Entity]
  [Table('worker_svatky')]
  [Id('Fname_day', TIdGenerator.None)]
  [Id('Fname_month', TIdGenerator.None)]
  [Id('Fcountry_code', TIdGenerator.None)]
  [Id('Ffirst_name', TIdGenerator.None)]
  Tworker_svatky = class
  private
    [Column('name_date', [TColumnProp.Required])]
    Fname_date: TDateTime;
    
    [Column('name_day', [TColumnProp.Required])]
    Fname_day: Integer;
    
    [Column('name_month', [TColumnProp.Required])]
    Fname_month: Integer;
    
    [Column('country_code', [TColumnProp.Required], 6)]
    Fcountry_code: string;
    
    [Column('first_name', [TColumnProp.Required], 50)]
    Ffirst_name: string;
    
    [Column('ts_created', [TColumnProp.Required])]
    Fts_created: TDateTime;
    
    [Column('ts_lastchange', [TColumnProp.Required])]
    Fts_lastchange: TDateTime;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property name_date: TDateTime read Fname_date write Fname_date;
    property name_day: Integer read Fname_day write Fname_day;
    property name_month: Integer read Fname_month write Fname_month;
    property country_code: string read Fcountry_code write Fcountry_code;
    property first_name: string read Ffirst_name write Ffirst_name;
    property ts_created: TDateTime read Fts_created write Fts_created;
    property ts_lastchange: TDateTime read Fts_lastchange write Fts_lastchange;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_svatky }

constructor Tworker_svatky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_svatky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_svatky);

end.
