unit uTworker_workhours;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tworker_workhours = class;
  
  [Entity]
  [Table('worker_workhours')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker_workhours = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('worker_id', [TColumnProp.Required])]
    Fworker_id: Integer;
    
    [Column('start', [])]
    Fstart: Nullable<TDateTime>;
    
    [Column('week_amount', [TColumnProp.Required], 9, 2)]
    Fweek_amount: Double;
    
    [Column('note', [TColumnProp.Required], 200)]
    Fnote: string;
    
    [Column('pracovni_rezim_id', [TColumnProp.Required])]
    Fpracovni_rezim_id: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property worker_id: Integer read Fworker_id write Fworker_id;
    property start: Nullable<TDateTime> read Fstart write Fstart;
    property week_amount: Double read Fweek_amount write Fweek_amount;
    property note: string read Fnote write Fnote;
    property pracovni_rezim_id: Integer read Fpracovni_rezim_id write Fpracovni_rezim_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tworker_workhours }

constructor Tworker_workhours.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tworker_workhours.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tworker_workhours);

end.
