unit uTzakazky_objednavky;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tzakazky_objednavky = class;
  
  [Entity]
  [Table('zakazky_objednavky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tzakazky_objednavky = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Int64;
    
    [Column('polozka_prijate_objednavky_id', [TColumnProp.Required])]
    Fpolozka_prijate_objednavky_id: Int64;
    
    [Column('order_id', [], 50)]
    Forder_id: Nullable<string>;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Int64 read Fid write Fid;
    property polozka_prijate_objednavky_id: Int64 read Fpolozka_prijate_objednavky_id write Fpolozka_prijate_objednavky_id;
    property order_id: Nullable<string> read Forder_id write Forder_id;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tzakazky_objednavky }

constructor Tzakazky_objednavky.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tzakazky_objednavky.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tzakazky_objednavky);

end.
