unit uTzpusob_dopravy;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tzpusob_dopravy = class;
  
  [Entity]
  [Table('zpusob_dopravy')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tzpusob_dopravy = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [], 50)]
    Fnazev: Nullable<string>;
    
    [Column('typ', [])]
    Ftyp: Nullable<Integer>;
    
    [Column('formular', [], 100)]
    Fformular: Nullable<string>;
    
    [Column('platby', [], 50)]
    Fplatby: Nullable<string>;
    
    [Column('poznamka', [], 200)]
    Fpoznamka: Nullable<string>;
    
    [Column('castka', [TColumnProp.Required], 15, 2)]
    Fcastka: Double;
    
    [Column('maxHmotnost', [TColumnProp.Required])]
    FmaxHmotnost: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: Nullable<string> read Fnazev write Fnazev;
    property typ: Nullable<Integer> read Ftyp write Ftyp;
    property formular: Nullable<string> read Fformular write Fformular;
    property platby: Nullable<string> read Fplatby write Fplatby;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property castka: Double read Fcastka write Fcastka;
    property maxHmotnost: Integer read FmaxHmotnost write FmaxHmotnost;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tzpusob_dopravy }

constructor Tzpusob_dopravy.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tzpusob_dopravy.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tzpusob_dopravy);

end.
