unit uTzpusob_platby;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy;

type
  Tzpusob_platby = class;
  
  [Entity]
  [Table('zpusob_platby')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tzpusob_platby = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;
    
    [Column('nazev', [], 50)]
    Fnazev: Nullable<string>;
    
    [Column('typ', [])]
    Ftyp: Nullable<Integer>;
    
    [Column('castka', [TColumnProp.Required], 15, 2)]
    Fcastka: Double;
    
    [Column('poznamka', [], 250)]
    Fpoznamka: Nullable<string>;
    
    [Column('isDefault', [TColumnProp.Required])]
    FisDefault: Integer;
    FDynCon: TDynamicProperties;
  public
    constructor Create;
    destructor Destroy; override;
    property id: Integer read Fid write Fid;
    property nazev: Nullable<string> read Fnazev write Fnazev;
    property typ: Nullable<Integer> read Ftyp write Ftyp;
    property castka: Double read Fcastka write Fcastka;
    property poznamka: Nullable<string> read Fpoznamka write Fpoznamka;
    property isDefault: Integer read FisDefault write FisDefault;
    property DynCon: TDynamicProperties read FDynCon;
  end;
  
implementation

{ Tzpusob_platby }

constructor Tzpusob_platby.Create;
begin
  inherited;
  FDynCon := TDynamicProperties.Create;
end;

destructor Tzpusob_platby.Destroy;
begin
  FDynCon.Free;
  inherited;
end;

initialization
  RegisterEntity(Tzpusob_platby);

end.
