unit eMISTRServiceImplementation;

interface

uses
  XData.Server.Module,
  XData.Service.Common,
  eMISTRService, System.Generics.Collections,
  sparkle.Security,
  xdata.Sys.Exceptions, eMISTRDataModel, uTWorker, uTC_Order; //eMISTRmodels,

type
  [ServiceImplementation]
  TeMISTRService = class(TInterfacedObject, IeMISTRService)
  private
    function Sum(A, B: double): double;
    function EchoString(Value: string): string;
    function Hello: string;
    function GetWorkers : TList<Tworker>;
    function GetOrders : TList<TC_Order>;
  end;

implementation

function TeMISTRService.Sum(A, B: double): double;
begin
  Result := A + B;
end;

function TeMISTRService.EchoString(Value: string): string;
begin
  Result := Value;
end;

function TeMISTRService.GetOrders: TList<Tc_order>;
var
  User: IUserIdentity;

begin
//  User := TXDataOperationContext.Current.Request.User;
//  if User = nil then
//    raise EXDataHttpUnauthorized.Create('User not authenticated');

  Result := TXDataOperationContext.Current.GetManager.Find<Tc_order>.OrderBy('bar_id').List;
end;

function TeMISTRService.GetWorkers: TList<Tworker>;
begin
  Result := TXDataOperationContext.Current.GetManager.Find<Tworker>.OrderBy('id').List;
end;

function TeMISTRService.Hello: string;
begin
  Result := 'prdel';
end;


initialization
  RegisterServiceType(TeMISTRService);

end.
