unit uMonitoringModels;

interface

uses
  SysUtils,
  Generics.Collections,
  Aurelius.Mapping.Attributes,
  Aurelius.Types.Blob,
  Aurelius.Types.DynamicProperties,
  Aurelius.Types.Nullable,
  Aurelius.Types.Proxy,
  Aurelius.Criteria.Dictionary;

type
    TWorker = class;
    TOrder = class;
    TStatusData = class
      private
        fWorkerId : Integer;
        fOperationId : integer;
      public
        property WorkerId: integer read fWorkerId write fWorkerId;
        property OperationId: Integer Read fOperationId write fOperationId;
    end;
    TBatchData = class
      private
        fWorkerId : Integer;
        fOperationId : integer;
      public
        property WorkerId: integer read fWorkerId write fWorkerId;
        property OperationId: Integer Read fOperationId write fOperationId;    end;
    TDocumentData = class
      private
        fWorkerId : Integer;
        fOperationId : integer;
      public
        property WorkerId: integer read fWorkerId write fWorkerId;
        property OperationId: Integer Read fOperationId write fOperationId;    end;

  [Entity]
  [Table('worker')]
  [Description('Zamstnanci')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Tworker = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    [Description('')]
    Fid: Integer;

    [Column('name', [TColumnProp.Required], 50)]
    [Description('')]
    Fname: string;

    [Column('bar_id', [TColumnProp.Required], 50)]
    [Description('')]
    Fbar_id: string;

    [Column('comment', [TColumnProp.Lazy])]
    [Description('')]
    [DBTypeMemo]
    Fcomment: TBlob;

    [Column('active', [TColumnProp.Required], 20)]
    [Description('')]
    Factive: string;

    [Column('cnc', [TColumnProp.Required])]
    [Description('')]
    Fcnc: Integer;

    [Column('card', [TColumnProp.Required], 20)]
    [Description('')]
    Fcard: string;

  public
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property bar_id: string read Fbar_id write Fbar_id;
    property comment: TBlob read Fcomment write Fcomment;
    property active: string read Factive write Factive;
    property cnc: Integer read Fcnc write Fcnc;
    property card: string read Fcard write Fcard;
  end;

  [Entity]
  [Table('c_order')]
  [Description('Zakzky')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  Torder = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    [Description('')]
    Fid: Integer;

    [Column('name', [TColumnProp.Required], 50)]
    [Description('')]
    Fname: string;

    [Column('bar_id', [TColumnProp.Required], 50)]
    [Description('')]
    Fbar_id: string;
  public
    property id: Integer read Fid write Fid;
    property name: string read Fname write Fname;
    property bar_id: string read Fbar_id write Fbar_id;
  end;


implementation

initialization
  RegisterEntity(TWorker);
  RegisterEntity(TOrder);

end.
