/// <author>Petr rmek</author>
///datamodul pro aurelius 2022-11-08
unit udm.aurelius;

interface

uses
  System.SysUtils, System.Classes, Aurelius.Drivers.FireDac,
  Aurelius.Engine.ObjectManager, Aurelius.Linq, Aurelius.Engine.DatabaseManager,
  Aurelius.Events.Manager, Data.DB, Aurelius.Bind.BaseDataset,
  Aurelius.Bind.Dataset, Aurelius.Comp.ModelEvents, Aurelius.Comp.DBSchema,
  Aurelius.Comp.Manager, Aurelius.Comp.Connection, Aurelius.Sql.MySQL,
  Aurelius.Schema.MySQL, Aurelius.Sql.SqlAnywhere, Aurelius.Schema.SqlAnywhere,
  Aurelius.Drivers.UniDac, Aurelius.Mapping.Setup, Aurelius.Mapping.Attributes,
  Aurelius.Mapping.Explorer, connectionModule,
  System.Generics.Collections;

type
  TdmAurelius = class(TDataModule)
    AureliusConnection1: TAureliusConnection;
    AureliusManager1: TAureliusManager;
    AureliusDBSchema1: TAureliusDBSchema;
    AureliusModelEvents1: TAureliusModelEvents;
    AureliusDataset1: TAureliusDataset;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure CreateDynamicProps(ASetup: TMappingSetup);
    procedure DefineMappingSetup;
  end;

var
  dmAurelius: TdmAurelius;

implementation

uses uTC_order;

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

{ TdmAurelius }

procedure TdmAurelius.CreateDynamicProps(ASetup: TMappingSetup);
var  PersonProps: TList<TDynamicProperty>;
begin
    PersonProps := ASetup.DynamicProps[TC_order];
//    PersonProps.Add(TDynamicProperty.Create('Props', 'HairStyle',
//      TypeInfo(THairStyle),
//      TDynamicColumn.Create('HAIR_STYLE')));
//    PersonProps.AddTDynamicProperty.Create('Props', 'Photo',
//      TypeInfo(TBlob),
//      TDynamicColumn.Create('PHOTO')));
    PersonProps.Add(TDynamicProperty.Create('DynCon', 'GoodBye',
      TypeInfo(string),
      TDynamicColumn.Create('goodbye', [], 30)));

    var Statement := AureliusManager1.ObjManager.Connection.CreateStatement;
    Statement.SetSQLCommand('SELECT * FROM global_settings_user_fields WHERE section=''ZAKAZKY'' AND useInAurelius=1 ORDER BY itemOrder');
    var aaaaa := Statement.ExecuteQuery;

    begin
       while not aaaaa.next do
       begin
         if aaaaa.GetFieldValue('type').AsString='STRING' then
           PersonProps.Add(TDynamicProperty.Create('DynCon', aaaaa.GetFieldValue('name').AsString,
             TypeInfo(string),
               TDynamicColumn.Create(aaaaa.GetFieldValue('name').AsString, [], 100)));

         if aaaaa.GetFieldValue('type').AsString='INT' then
           PersonProps.Add(TDynamicProperty.Create('DynCon', aaaaa.GetFieldValue('name').AsString,
             TypeInfo(integer),
               TDynamicColumn.Create(aaaaa.GetFieldValue('name').AsString)));

         if aaaaa.GetFieldValue('type').AsString='DECIMAL' then
           PersonProps.Add(TDynamicProperty.Create('DynCon', aaaaa.GetFieldValue('name').AsString,
            TypeInfo(Double),
               TDynamicColumn.Create(aaaaa.GetFieldValue('name').AsString)));

         if aaaaa.GetFieldValue('type').AsString='DATE' then
           PersonProps.Add(TDynamicProperty.Create('DynCon', aaaaa.GetFieldValue('name').AsString,
            TypeInfo(TDate),
               TDynamicColumn.Create(aaaaa.GetFieldValue('name').AsString)));

         if aaaaa.GetFieldValue('type').AsString='DATETIME' then
           PersonProps.Add(TDynamicProperty.Create('DynCon', aaaaa.GetFieldValue('name').AsString,
            TypeInfo(TDatetime),
               TDynamicColumn.Create(aaaaa.GetFieldValue('name').AsString)));

         //mujSQL.Next;
       end;
    end;

end;

procedure TdmAurelius.DefineMappingSetup;
var  MapSetup: TMappingSetup;
begin
  AureliusConnection1.AdaptedConnection := connectionModule.FireDacMySqlConnection.Connection;
  MapSetup := TMappingSetup.Create;
    try
       CreateDynamicProps(MapSetup);
       TMappingExplorer.ReplaceDefaultInstance(TMappingExplorer.Create(MapSetup));
    finally
      MapSetup.Free;
    end;
end;

end.
